//
// Verilog description for cell cpu, 
// Mon Dec 30 11:14:55 2013
//
// LeonardoSpectrum Level 3, 2008a.5 
//


module cpu ( clk, reset, paddr, pdata, portain, portbout, portcout, expdin, 
             expdout, expaddr, expread, expwrite, debugw, debugpc, debuginst, 
             debugstatus ) ;

    input clk ;
    input reset ;
    output [10:0]paddr ;
    input [11:0]pdata ;
    input [7:0]portain ;
    output [7:0]portbout ;
    output [7:0]portcout ;
    input [7:0]expdin ;
    output [7:0]expdout ;
    output [6:0]expaddr ;
    output expread ;
    output expwrite ;
    output [7:0]debugw ;
    output [10:0]debugpc ;
    output [11:0]debuginst ;
    output [7:0]debugstatus ;

    wire ideccwe, ideczwe, idecfwe, idecwwe, aluz, alucout, alub_7, alub_6, 
         alub_5, alub_4, alub_3, alub_2, alub_1, alub_0, alua_7, alua_6, alua_5, 
         alua_4, alua_3, alua_2, alua_1, alua_0, bdpol, istris, isoption, 
         aluop_3, aluop_2, aluop_1, aluop_0, alubsel_1, alubsel_0, aluasel_1, 
         aluasel_0, nx4179, fsr_1, nx2, nx12, nx22, nx32, nx36, nx48, nx58, nx68, 
         nx78, nx86, nx96, nx106, nx116, nx126, nx134, nx140, nx150, nx160, 
         fsr_0, nx172, fsr_3, nx192, fsr_4, nx210, nx230, fsr_2, nx236, nx256, 
         nx262, nx272, nx278, nx286, nx288, nx302, nx312, nx338, porta_0, nx362, 
         tmr0_0, nx374, nx378, nx382, option_5, nx396, option_3, prescaler_0, 
         nx4289, prescaler_3, prescaler_2, prescaler_1, nx456, option_2, 
         prescaler_4, prescaler_5, nx506, option_1, prescaler_6, option_0, nx592, 
         nx606, nx628, nx634, nx638, nx644, nx654, nx678, nx696, nx700, nx712, 
         nx726, nx734, stacklevel_1, nx748, stacklevel_0, nx4292, nx4293, nx792, 
         nx816, nx830, nx834, nx840, stack1_0, nx846, nx852, stack2_0, nx874, 
         nx886, nx898, nx924, nx948, nx966, nx972, nx990, nx996, nx1002, nx1012, 
         nx1020, nx1028, nx1038, nx1048, regs_dram_modgen_ram_ix26_a_0_dup_1313, 
         nx1056, nx1058, nx1066, regs_dram_modgen_ram_ix26_a_1_dup_1312, nx1078, 
         nx1086, regs_dram_modgen_ram_ix26_a_2_dup_1311, nx1100, nx1108, 
         regs_dram_modgen_ram_ix26_a_3_dup_1310, nx1120, nx1128, nx1140, nx1142, 
         regs_dram_modgen_ram_ix26_a_4_dup_1309, nx1148, nx1150, nx1158, 
         regs_dram_modgen_ram_ix26_a_5_dup_1308, nx1170, nx1178, 
         regs_dram_modgen_ram_ix26_a_6_dup_1307, nx1192, nx1200, 
         regs_dram_modgen_ram_ix26_a_7_dup_1306, nx1212, nx1220, nx1232, nx1234, 
         regs_dram_modgen_ram_ix26_a_8_dup_1305, nx1240, nx1248, 
         regs_dram_modgen_ram_ix26_a_9_dup_1304, nx1260, nx1268, 
         regs_dram_modgen_ram_ix26_a_10_dup_1303, nx1282, nx1290, 
         regs_dram_modgen_ram_ix26_a_11_dup_1302, nx1302, nx1310, nx1322, nx1324, 
         regs_dram_modgen_ram_ix26_a_12_dup_1301, nx1328, nx1330, nx1338, 
         regs_dram_modgen_ram_ix26_a_13_dup_1300, nx1350, nx1358, 
         regs_dram_modgen_ram_ix26_a_14_dup_1299, nx1372, nx1380, 
         regs_dram_modgen_ram_ix26_a_15_dup_1298, nx1392, nx1400, nx1412, nx1414, 
         nx1430, regs_dram_modgen_ram_ix26_a_16_dup_1297, nx1438, 
         regs_dram_modgen_ram_ix26_a_17_dup_1296, nx1456, 
         regs_dram_modgen_ram_ix26_a_18_dup_1295, nx1476, 
         regs_dram_modgen_ram_ix26_a_19_dup_1294, nx1494, nx1506, nx1508, 
         regs_dram_modgen_ram_ix26_a_20_dup_1293, nx1516, 
         regs_dram_modgen_ram_ix26_a_21_dup_1292, nx1534, 
         regs_dram_modgen_ram_ix26_a_22_dup_1291, nx1554, 
         regs_dram_modgen_ram_ix26_a_23_dup_1290, nx1572, nx1584, nx1586, 
         regs_dram_modgen_ram_ix26_a_24_dup_1289, nx1596, 
         regs_dram_modgen_ram_ix26_a_25_dup_1288, nx1614, 
         regs_dram_modgen_ram_ix26_a_26_dup_1287, nx1634, 
         regs_dram_modgen_ram_ix26_a_27_dup_1286, nx1652, nx1664, nx1666, 
         regs_dram_modgen_ram_ix26_a_28_dup_1285, nx1674, 
         regs_dram_modgen_ram_ix26_a_29_dup_1284, nx1692, 
         regs_dram_modgen_ram_ix26_a_30_dup_1283, nx1712, 
         regs_dram_modgen_ram_ix26_a_31_dup_1282, nx1730, nx1742, nx1744, nx1754, 
         nx1762, regs_dram_modgen_ram_ix26_a_32_dup_1281, nx1770, 
         regs_dram_modgen_ram_ix26_a_33_dup_1280, nx1788, 
         regs_dram_modgen_ram_ix26_a_34_dup_1279, nx1808, 
         regs_dram_modgen_ram_ix26_a_35_dup_1278, nx1826, nx1838, nx1840, 
         regs_dram_modgen_ram_ix26_a_36_dup_1277, nx1848, 
         regs_dram_modgen_ram_ix26_a_37_dup_1276, nx1866, 
         regs_dram_modgen_ram_ix26_a_38_dup_1275, nx1886, 
         regs_dram_modgen_ram_ix26_a_39_dup_1274, nx1904, nx1916, nx1918, 
         regs_dram_modgen_ram_ix26_a_40_dup_1273, nx1928, 
         regs_dram_modgen_ram_ix26_a_41_dup_1272, nx1946, 
         regs_dram_modgen_ram_ix26_a_42_dup_1271, nx1966, 
         regs_dram_modgen_ram_ix26_a_43_dup_1270, nx1984, nx1996, nx1998, 
         regs_dram_modgen_ram_ix26_a_44_dup_1269, nx2006, 
         regs_dram_modgen_ram_ix26_a_45_dup_1268, nx2024, 
         regs_dram_modgen_ram_ix26_a_46_dup_1267, nx2044, 
         regs_dram_modgen_ram_ix26_a_47_dup_1266, nx2062, nx2074, nx2076, nx2080, 
         nx2094, regs_dram_modgen_ram_ix26_a_48_dup_1265, nx2102, 
         regs_dram_modgen_ram_ix26_a_49_dup_1264, nx2120, 
         regs_dram_modgen_ram_ix26_a_50_dup_1263, nx2140, 
         regs_dram_modgen_ram_ix26_a_51_dup_1262, nx2158, nx2170, nx2172, 
         regs_dram_modgen_ram_ix26_a_52_dup_1261, nx2180, 
         regs_dram_modgen_ram_ix26_a_53_dup_1260, nx2198, 
         regs_dram_modgen_ram_ix26_a_54_dup_1259, nx2218, 
         regs_dram_modgen_ram_ix26_a_55_dup_1258, nx2236, nx2248, nx2250, 
         regs_dram_modgen_ram_ix26_a_56_dup_1257, nx2260, 
         regs_dram_modgen_ram_ix26_a_57_dup_1256, nx2278, 
         regs_dram_modgen_ram_ix26_a_58_dup_1255, nx2298, 
         regs_dram_modgen_ram_ix26_a_59_dup_1254, nx2316, nx2328, nx2330, 
         regs_dram_modgen_ram_ix26_a_60_dup_1253, nx2338, 
         regs_dram_modgen_ram_ix26_a_61_dup_1252, nx2356, 
         regs_dram_modgen_ram_ix26_a_62_dup_1251, nx2376, 
         regs_dram_modgen_ram_ix26_a_63_dup_1250, nx2394, nx2406, nx2408, nx2412, 
         nx2420, nx2424, regs_dram_modgen_ram_ix26_a_64_dup_1249, nx2432, 
         regs_dram_modgen_ram_ix26_a_65_dup_1248, nx2450, 
         regs_dram_modgen_ram_ix26_a_66_dup_1247, nx2470, 
         regs_dram_modgen_ram_ix26_a_67_dup_1246, nx2488, nx2500, nx2502, 
         regs_dram_modgen_ram_ix26_a_68_dup_1245, nx2510, 
         regs_dram_modgen_ram_ix26_a_69_dup_1244, nx2528, 
         regs_dram_modgen_ram_ix26_a_70_dup_1243, nx2548, 
         regs_dram_modgen_ram_ix26_a_71_dup_1242, nx2566, nx2578, nx2580, 
         regs_dram_modgen_ram_ix26_a_72_dup_1241, 
         regs_dram_modgen_ram_ix26_a_73_dup_1240, 
         regs_dram_modgen_ram_ix26_a_74_dup_1239, 
         regs_dram_modgen_ram_ix26_a_75_dup_1238, nx2658, nx2660, 
         regs_dram_modgen_ram_ix26_a_76_dup_1237, 
         regs_dram_modgen_ram_ix26_a_77_dup_1236, 
         regs_dram_modgen_ram_ix26_a_78_dup_1235, 
         regs_dram_modgen_ram_ix26_a_79_dup_1234, nx2736, nx2738, nx3740, nx3748, 
         nx3756, porta_1, nx3766, tmr0_1, nx3788, nx3814, stack2_1, nx3830, 
         nx3838, stack1_1, nx3854, nx3866, nx3914, nx3920, 
         regs_dram_modgen_ram_ix26_a_0_dup_1185, 
         regs_dram_modgen_ram_ix26_a_1_dup_1184, 
         regs_dram_modgen_ram_ix26_a_2_dup_1183, 
         regs_dram_modgen_ram_ix26_a_3_dup_1182, nx3964, nx3966, 
         regs_dram_modgen_ram_ix26_a_4_dup_1181, 
         regs_dram_modgen_ram_ix26_a_5_dup_1180, 
         regs_dram_modgen_ram_ix26_a_6_dup_1179, 
         regs_dram_modgen_ram_ix26_a_7_dup_1178, nx4010, nx4012, 
         regs_dram_modgen_ram_ix26_a_8_dup_1177, 
         regs_dram_modgen_ram_ix26_a_9_dup_1176, 
         regs_dram_modgen_ram_ix26_a_10_dup_1175, 
         regs_dram_modgen_ram_ix26_a_11_dup_1174, nx4058, nx4060, 
         regs_dram_modgen_ram_ix26_a_12_dup_1173, 
         regs_dram_modgen_ram_ix26_a_13_dup_1172, 
         regs_dram_modgen_ram_ix26_a_14_dup_1171, 
         regs_dram_modgen_ram_ix26_a_15_dup_1170, nx4104, nx4106, 
         regs_dram_modgen_ram_ix26_a_16_dup_1169, 
         regs_dram_modgen_ram_ix26_a_17_dup_1168, 
         regs_dram_modgen_ram_ix26_a_18_dup_1167, 
         regs_dram_modgen_ram_ix26_a_19_dup_1166, nx4158, nx4160, 
         regs_dram_modgen_ram_ix26_a_20_dup_1165, 
         regs_dram_modgen_ram_ix26_a_21_dup_1164, 
         regs_dram_modgen_ram_ix26_a_22_dup_1163, 
         regs_dram_modgen_ram_ix26_a_23_dup_1162, nx4204, nx4206, 
         regs_dram_modgen_ram_ix26_a_24_dup_1161, 
         regs_dram_modgen_ram_ix26_a_25_dup_1160, 
         regs_dram_modgen_ram_ix26_a_26_dup_1159, 
         regs_dram_modgen_ram_ix26_a_27_dup_1158, nx4252, nx4254, 
         regs_dram_modgen_ram_ix26_a_28_dup_1157, 
         regs_dram_modgen_ram_ix26_a_29_dup_1156, 
         regs_dram_modgen_ram_ix26_a_30_dup_1155, 
         regs_dram_modgen_ram_ix26_a_31_dup_1154, nx4298, nx4300, nx4310, 
         regs_dram_modgen_ram_ix26_a_32_dup_1153, 
         regs_dram_modgen_ram_ix26_a_33_dup_1152, 
         regs_dram_modgen_ram_ix26_a_34_dup_1151, 
         regs_dram_modgen_ram_ix26_a_35_dup_1150, nx4354, nx4356, 
         regs_dram_modgen_ram_ix26_a_36_dup_1149, 
         regs_dram_modgen_ram_ix26_a_37_dup_1148, 
         regs_dram_modgen_ram_ix26_a_38_dup_1147, 
         regs_dram_modgen_ram_ix26_a_39_dup_1146, nx4400, nx4402, 
         regs_dram_modgen_ram_ix26_a_40_dup_1145, 
         regs_dram_modgen_ram_ix26_a_41_dup_1144, 
         regs_dram_modgen_ram_ix26_a_42_dup_1143, 
         regs_dram_modgen_ram_ix26_a_43_dup_1142, nx4448, nx4450, 
         regs_dram_modgen_ram_ix26_a_44_dup_1141, 
         regs_dram_modgen_ram_ix26_a_45_dup_1140, 
         regs_dram_modgen_ram_ix26_a_46_dup_1139, 
         regs_dram_modgen_ram_ix26_a_47_dup_1138, nx4494, nx4496, nx4500, 
         regs_dram_modgen_ram_ix26_a_48_dup_1137, 
         regs_dram_modgen_ram_ix26_a_49_dup_1136, 
         regs_dram_modgen_ram_ix26_a_50_dup_1135, 
         regs_dram_modgen_ram_ix26_a_51_dup_1134, nx4548, nx4550, 
         regs_dram_modgen_ram_ix26_a_52_dup_1133, 
         regs_dram_modgen_ram_ix26_a_53_dup_1132, 
         regs_dram_modgen_ram_ix26_a_54_dup_1131, 
         regs_dram_modgen_ram_ix26_a_55_dup_1130, nx4594, nx4596, 
         regs_dram_modgen_ram_ix26_a_56_dup_1129, 
         regs_dram_modgen_ram_ix26_a_57_dup_1128, 
         regs_dram_modgen_ram_ix26_a_58_dup_1127, 
         regs_dram_modgen_ram_ix26_a_59_dup_1126, nx4642, nx4644, 
         regs_dram_modgen_ram_ix26_a_60_dup_1125, 
         regs_dram_modgen_ram_ix26_a_61_dup_1124, 
         regs_dram_modgen_ram_ix26_a_62_dup_1123, 
         regs_dram_modgen_ram_ix26_a_63_dup_1122, nx4688, nx4690, nx4694, nx4702, 
         regs_dram_modgen_ram_ix26_a_64_dup_1121, 
         regs_dram_modgen_ram_ix26_a_65_dup_1120, 
         regs_dram_modgen_ram_ix26_a_66_dup_1119, 
         regs_dram_modgen_ram_ix26_a_67_dup_1118, nx4746, nx4748, 
         regs_dram_modgen_ram_ix26_a_68_dup_1117, 
         regs_dram_modgen_ram_ix26_a_69_dup_1116, 
         regs_dram_modgen_ram_ix26_a_70_dup_1115, 
         regs_dram_modgen_ram_ix26_a_71_dup_1114, nx4792, nx4794, 
         regs_dram_modgen_ram_ix26_a_72_dup_1113, 
         regs_dram_modgen_ram_ix26_a_73_dup_1112, 
         regs_dram_modgen_ram_ix26_a_74_dup_1111, 
         regs_dram_modgen_ram_ix26_a_75_dup_1110, nx4840, nx4842, 
         regs_dram_modgen_ram_ix26_a_76_dup_1109, 
         regs_dram_modgen_ram_ix26_a_77_dup_1108, 
         regs_dram_modgen_ram_ix26_a_78_dup_1107, 
         regs_dram_modgen_ram_ix26_a_79_dup_1106, nx4886, nx4888, nx5486, nx5494, 
         porta_2, nx5526, tmr0_2, nx5548, nx5574, stack2_2, nx5588, nx5590, 
         nx5598, stack1_2, nx5614, nx5626, nx5652, nx5690, nx5696, 
         regs_dram_modgen_ram_ix26_a_0_dup_1057, 
         regs_dram_modgen_ram_ix26_a_1_dup_1056, 
         regs_dram_modgen_ram_ix26_a_2_dup_1055, 
         regs_dram_modgen_ram_ix26_a_3_dup_1054, nx5740, nx5742, 
         regs_dram_modgen_ram_ix26_a_4_dup_1053, 
         regs_dram_modgen_ram_ix26_a_5_dup_1052, 
         regs_dram_modgen_ram_ix26_a_6_dup_1051, 
         regs_dram_modgen_ram_ix26_a_7_dup_1050, nx5786, nx5788, 
         regs_dram_modgen_ram_ix26_a_8_dup_1049, 
         regs_dram_modgen_ram_ix26_a_9_dup_1048, 
         regs_dram_modgen_ram_ix26_a_10_dup_1047, 
         regs_dram_modgen_ram_ix26_a_11_dup_1046, nx5834, nx5836, 
         regs_dram_modgen_ram_ix26_a_12_dup_1045, 
         regs_dram_modgen_ram_ix26_a_13_dup_1044, 
         regs_dram_modgen_ram_ix26_a_14_dup_1043, 
         regs_dram_modgen_ram_ix26_a_15_dup_1042, nx5880, nx5882, 
         regs_dram_modgen_ram_ix26_a_16_dup_1041, 
         regs_dram_modgen_ram_ix26_a_17_dup_1040, 
         regs_dram_modgen_ram_ix26_a_18_dup_1039, 
         regs_dram_modgen_ram_ix26_a_19_dup_1038, nx5934, nx5936, 
         regs_dram_modgen_ram_ix26_a_20_dup_1037, 
         regs_dram_modgen_ram_ix26_a_21_dup_1036, 
         regs_dram_modgen_ram_ix26_a_22_dup_1035, 
         regs_dram_modgen_ram_ix26_a_23_dup_1034, nx5980, nx5982, 
         regs_dram_modgen_ram_ix26_a_24_dup_1033, 
         regs_dram_modgen_ram_ix26_a_25_dup_1032, 
         regs_dram_modgen_ram_ix26_a_26_dup_1031, 
         regs_dram_modgen_ram_ix26_a_27_dup_1030, nx6028, nx6030, 
         regs_dram_modgen_ram_ix26_a_28_dup_1029, 
         regs_dram_modgen_ram_ix26_a_29_dup_1028, 
         regs_dram_modgen_ram_ix26_a_30_dup_1027, 
         regs_dram_modgen_ram_ix26_a_31_dup_1026, nx6074, nx6076, nx6086, 
         regs_dram_modgen_ram_ix26_a_32_dup_1025, 
         regs_dram_modgen_ram_ix26_a_33_dup_1024, 
         regs_dram_modgen_ram_ix26_a_34_dup_1023, 
         regs_dram_modgen_ram_ix26_a_35_dup_1022, nx6130, nx6132, 
         regs_dram_modgen_ram_ix26_a_36_dup_1021, 
         regs_dram_modgen_ram_ix26_a_37_dup_1020, 
         regs_dram_modgen_ram_ix26_a_38_dup_1019, 
         regs_dram_modgen_ram_ix26_a_39_dup_1018, nx6176, nx6178, 
         regs_dram_modgen_ram_ix26_a_40_dup_1017, 
         regs_dram_modgen_ram_ix26_a_41_dup_1016, 
         regs_dram_modgen_ram_ix26_a_42_dup_1015, 
         regs_dram_modgen_ram_ix26_a_43_dup_1014, nx6224, nx6226, 
         regs_dram_modgen_ram_ix26_a_44_dup_1013, 
         regs_dram_modgen_ram_ix26_a_45_dup_1012, 
         regs_dram_modgen_ram_ix26_a_46_dup_1011, 
         regs_dram_modgen_ram_ix26_a_47_dup_1010, nx6270, nx6272, nx6276, 
         regs_dram_modgen_ram_ix26_a_48_dup_1009, 
         regs_dram_modgen_ram_ix26_a_49_dup_1008, 
         regs_dram_modgen_ram_ix26_a_50_dup_1007, 
         regs_dram_modgen_ram_ix26_a_51_dup_1006, nx6324, nx6326, 
         regs_dram_modgen_ram_ix26_a_52_dup_1005, 
         regs_dram_modgen_ram_ix26_a_53_dup_1004, 
         regs_dram_modgen_ram_ix26_a_54_dup_1003, 
         regs_dram_modgen_ram_ix26_a_55_dup_1002, nx6370, nx6372, 
         regs_dram_modgen_ram_ix26_a_56_dup_1001, 
         regs_dram_modgen_ram_ix26_a_57_dup_1000, 
         regs_dram_modgen_ram_ix26_a_58_dup_999, 
         regs_dram_modgen_ram_ix26_a_59_dup_998, nx6418, nx6420, 
         regs_dram_modgen_ram_ix26_a_60_dup_997, 
         regs_dram_modgen_ram_ix26_a_61_dup_996, 
         regs_dram_modgen_ram_ix26_a_62_dup_995, 
         regs_dram_modgen_ram_ix26_a_63_dup_994, nx6464, nx6466, nx6470, nx6478, 
         regs_dram_modgen_ram_ix26_a_64_dup_993, 
         regs_dram_modgen_ram_ix26_a_65_dup_992, 
         regs_dram_modgen_ram_ix26_a_66_dup_991, 
         regs_dram_modgen_ram_ix26_a_67_dup_990, nx6522, nx6524, 
         regs_dram_modgen_ram_ix26_a_68_dup_989, 
         regs_dram_modgen_ram_ix26_a_69_dup_988, 
         regs_dram_modgen_ram_ix26_a_70_dup_987, 
         regs_dram_modgen_ram_ix26_a_71_dup_986, nx6568, nx6570, 
         regs_dram_modgen_ram_ix26_a_72_dup_985, 
         regs_dram_modgen_ram_ix26_a_73_dup_984, 
         regs_dram_modgen_ram_ix26_a_74_dup_983, 
         regs_dram_modgen_ram_ix26_a_75_dup_982, nx6616, nx6618, 
         regs_dram_modgen_ram_ix26_a_76_dup_981, 
         regs_dram_modgen_ram_ix26_a_77_dup_980, 
         regs_dram_modgen_ram_ix26_a_78_dup_979, 
         regs_dram_modgen_ram_ix26_a_79_dup_978, nx6662, nx6664, nx7262, nx7270, 
         porta_3, nx7302, tmr0_3, nx7324, nx7350, stack2_3, nx7366, nx7374, 
         stack1_3, nx7390, nx7402, nx7450, nx7456, 
         regs_dram_modgen_ram_ix26_a_0_dup_929, 
         regs_dram_modgen_ram_ix26_a_1_dup_928, 
         regs_dram_modgen_ram_ix26_a_2_dup_927, 
         regs_dram_modgen_ram_ix26_a_3_dup_926, nx7500, nx7502, 
         regs_dram_modgen_ram_ix26_a_4_dup_925, 
         regs_dram_modgen_ram_ix26_a_5_dup_924, 
         regs_dram_modgen_ram_ix26_a_6_dup_923, 
         regs_dram_modgen_ram_ix26_a_7_dup_922, nx7546, nx7548, 
         regs_dram_modgen_ram_ix26_a_8_dup_921, 
         regs_dram_modgen_ram_ix26_a_9_dup_920, 
         regs_dram_modgen_ram_ix26_a_10_dup_919, 
         regs_dram_modgen_ram_ix26_a_11_dup_918, nx7594, nx7596, 
         regs_dram_modgen_ram_ix26_a_12_dup_917, 
         regs_dram_modgen_ram_ix26_a_13_dup_916, 
         regs_dram_modgen_ram_ix26_a_14_dup_915, 
         regs_dram_modgen_ram_ix26_a_15_dup_914, nx7640, nx7642, 
         regs_dram_modgen_ram_ix26_a_16_dup_913, 
         regs_dram_modgen_ram_ix26_a_17_dup_912, 
         regs_dram_modgen_ram_ix26_a_18_dup_911, 
         regs_dram_modgen_ram_ix26_a_19_dup_910, nx7694, nx7696, 
         regs_dram_modgen_ram_ix26_a_20_dup_909, 
         regs_dram_modgen_ram_ix26_a_21_dup_908, 
         regs_dram_modgen_ram_ix26_a_22_dup_907, 
         regs_dram_modgen_ram_ix26_a_23_dup_906, nx7740, nx7742, 
         regs_dram_modgen_ram_ix26_a_24_dup_905, 
         regs_dram_modgen_ram_ix26_a_25_dup_904, 
         regs_dram_modgen_ram_ix26_a_26_dup_903, 
         regs_dram_modgen_ram_ix26_a_27_dup_902, nx7788, nx7790, 
         regs_dram_modgen_ram_ix26_a_28_dup_901, 
         regs_dram_modgen_ram_ix26_a_29_dup_900, 
         regs_dram_modgen_ram_ix26_a_30_dup_899, 
         regs_dram_modgen_ram_ix26_a_31_dup_898, nx7834, nx7836, nx7846, 
         regs_dram_modgen_ram_ix26_a_32_dup_897, 
         regs_dram_modgen_ram_ix26_a_33_dup_896, 
         regs_dram_modgen_ram_ix26_a_34_dup_895, 
         regs_dram_modgen_ram_ix26_a_35_dup_894, nx7890, nx7892, 
         regs_dram_modgen_ram_ix26_a_36_dup_893, 
         regs_dram_modgen_ram_ix26_a_37_dup_892, 
         regs_dram_modgen_ram_ix26_a_38_dup_891, 
         regs_dram_modgen_ram_ix26_a_39_dup_890, nx7936, nx7938, 
         regs_dram_modgen_ram_ix26_a_40_dup_889, 
         regs_dram_modgen_ram_ix26_a_41_dup_888, 
         regs_dram_modgen_ram_ix26_a_42_dup_887, 
         regs_dram_modgen_ram_ix26_a_43_dup_886, nx7984, nx7986, 
         regs_dram_modgen_ram_ix26_a_44_dup_885, 
         regs_dram_modgen_ram_ix26_a_45_dup_884, 
         regs_dram_modgen_ram_ix26_a_46_dup_883, 
         regs_dram_modgen_ram_ix26_a_47_dup_882, nx8030, nx8032, nx8036, 
         regs_dram_modgen_ram_ix26_a_48_dup_881, 
         regs_dram_modgen_ram_ix26_a_49_dup_880, 
         regs_dram_modgen_ram_ix26_a_50_dup_879, 
         regs_dram_modgen_ram_ix26_a_51_dup_878, nx8084, nx8086, 
         regs_dram_modgen_ram_ix26_a_52_dup_877, 
         regs_dram_modgen_ram_ix26_a_53_dup_876, 
         regs_dram_modgen_ram_ix26_a_54_dup_875, 
         regs_dram_modgen_ram_ix26_a_55_dup_874, nx8130, nx8132, 
         regs_dram_modgen_ram_ix26_a_56_dup_873, 
         regs_dram_modgen_ram_ix26_a_57_dup_872, 
         regs_dram_modgen_ram_ix26_a_58_dup_871, 
         regs_dram_modgen_ram_ix26_a_59_dup_870, nx8178, nx8180, 
         regs_dram_modgen_ram_ix26_a_60_dup_869, 
         regs_dram_modgen_ram_ix26_a_61_dup_868, 
         regs_dram_modgen_ram_ix26_a_62_dup_867, 
         regs_dram_modgen_ram_ix26_a_63_dup_866, nx8224, nx8226, nx8230, nx8238, 
         regs_dram_modgen_ram_ix26_a_64_dup_865, 
         regs_dram_modgen_ram_ix26_a_65_dup_864, 
         regs_dram_modgen_ram_ix26_a_66_dup_863, 
         regs_dram_modgen_ram_ix26_a_67_dup_862, nx8282, nx8284, 
         regs_dram_modgen_ram_ix26_a_68_dup_861, 
         regs_dram_modgen_ram_ix26_a_69_dup_860, 
         regs_dram_modgen_ram_ix26_a_70_dup_859, 
         regs_dram_modgen_ram_ix26_a_71_dup_858, nx8328, nx8330, 
         regs_dram_modgen_ram_ix26_a_72_dup_857, 
         regs_dram_modgen_ram_ix26_a_73_dup_856, 
         regs_dram_modgen_ram_ix26_a_74_dup_855, 
         regs_dram_modgen_ram_ix26_a_75_dup_854, nx8376, nx8378, 
         regs_dram_modgen_ram_ix26_a_76_dup_853, 
         regs_dram_modgen_ram_ix26_a_77_dup_852, 
         regs_dram_modgen_ram_ix26_a_78_dup_851, 
         regs_dram_modgen_ram_ix26_a_79_dup_850, nx8422, nx8424, nx9022, nx9030, 
         porta_4, nx9062, tmr0_4, nx9072, nx9084, nx9110, stack2_4, nx9126, 
         nx9134, stack1_4, nx9150, nx9162, nx9212, nx9218, 
         regs_dram_modgen_ram_ix26_a_0_dup_801, 
         regs_dram_modgen_ram_ix26_a_1_dup_800, 
         regs_dram_modgen_ram_ix26_a_2_dup_799, 
         regs_dram_modgen_ram_ix26_a_3_dup_798, nx9262, nx9264, 
         regs_dram_modgen_ram_ix26_a_4_dup_797, 
         regs_dram_modgen_ram_ix26_a_5_dup_796, 
         regs_dram_modgen_ram_ix26_a_6_dup_795, 
         regs_dram_modgen_ram_ix26_a_7_dup_794, nx9308, nx9310, 
         regs_dram_modgen_ram_ix26_a_8_dup_793, 
         regs_dram_modgen_ram_ix26_a_9_dup_792, 
         regs_dram_modgen_ram_ix26_a_10_dup_791, 
         regs_dram_modgen_ram_ix26_a_11_dup_790, nx9356, nx9358, 
         regs_dram_modgen_ram_ix26_a_12_dup_789, 
         regs_dram_modgen_ram_ix26_a_13_dup_788, 
         regs_dram_modgen_ram_ix26_a_14_dup_787, 
         regs_dram_modgen_ram_ix26_a_15_dup_786, nx9402, nx9404, 
         regs_dram_modgen_ram_ix26_a_16_dup_785, 
         regs_dram_modgen_ram_ix26_a_17_dup_784, 
         regs_dram_modgen_ram_ix26_a_18_dup_783, 
         regs_dram_modgen_ram_ix26_a_19_dup_782, nx9456, nx9458, 
         regs_dram_modgen_ram_ix26_a_20_dup_781, 
         regs_dram_modgen_ram_ix26_a_21_dup_780, 
         regs_dram_modgen_ram_ix26_a_22_dup_779, 
         regs_dram_modgen_ram_ix26_a_23_dup_778, nx9502, nx9504, 
         regs_dram_modgen_ram_ix26_a_24_dup_777, 
         regs_dram_modgen_ram_ix26_a_25_dup_776, 
         regs_dram_modgen_ram_ix26_a_26_dup_775, 
         regs_dram_modgen_ram_ix26_a_27_dup_774, nx9550, nx9552, 
         regs_dram_modgen_ram_ix26_a_28_dup_773, 
         regs_dram_modgen_ram_ix26_a_29_dup_772, 
         regs_dram_modgen_ram_ix26_a_30_dup_771, 
         regs_dram_modgen_ram_ix26_a_31_dup_770, nx9596, nx9598, nx9608, 
         regs_dram_modgen_ram_ix26_a_32_dup_769, 
         regs_dram_modgen_ram_ix26_a_33_dup_768, 
         regs_dram_modgen_ram_ix26_a_34_dup_767, 
         regs_dram_modgen_ram_ix26_a_35_dup_766, nx9652, nx9654, 
         regs_dram_modgen_ram_ix26_a_36_dup_765, 
         regs_dram_modgen_ram_ix26_a_37_dup_764, 
         regs_dram_modgen_ram_ix26_a_38_dup_763, 
         regs_dram_modgen_ram_ix26_a_39_dup_762, nx9698, nx9700, 
         regs_dram_modgen_ram_ix26_a_40_dup_761, 
         regs_dram_modgen_ram_ix26_a_41_dup_760, 
         regs_dram_modgen_ram_ix26_a_42_dup_759, 
         regs_dram_modgen_ram_ix26_a_43_dup_758, nx9746, nx9748, 
         regs_dram_modgen_ram_ix26_a_44_dup_757, 
         regs_dram_modgen_ram_ix26_a_45_dup_756, 
         regs_dram_modgen_ram_ix26_a_46_dup_755, 
         regs_dram_modgen_ram_ix26_a_47_dup_754, nx9792, nx9794, nx9798, 
         regs_dram_modgen_ram_ix26_a_48_dup_753, 
         regs_dram_modgen_ram_ix26_a_49_dup_752, 
         regs_dram_modgen_ram_ix26_a_50_dup_751, 
         regs_dram_modgen_ram_ix26_a_51_dup_750, nx9846, nx9848, 
         regs_dram_modgen_ram_ix26_a_52_dup_749, 
         regs_dram_modgen_ram_ix26_a_53_dup_748, 
         regs_dram_modgen_ram_ix26_a_54_dup_747, 
         regs_dram_modgen_ram_ix26_a_55_dup_746, nx9892, nx9894, 
         regs_dram_modgen_ram_ix26_a_56_dup_745, 
         regs_dram_modgen_ram_ix26_a_57_dup_744, 
         regs_dram_modgen_ram_ix26_a_58_dup_743, 
         regs_dram_modgen_ram_ix26_a_59_dup_742, nx9940, nx9942, 
         regs_dram_modgen_ram_ix26_a_60_dup_741, 
         regs_dram_modgen_ram_ix26_a_61_dup_740, 
         regs_dram_modgen_ram_ix26_a_62_dup_739, 
         regs_dram_modgen_ram_ix26_a_63_dup_738, nx9986, nx9988, nx9992, nx10000, 
         regs_dram_modgen_ram_ix26_a_64_dup_737, 
         regs_dram_modgen_ram_ix26_a_65_dup_736, 
         regs_dram_modgen_ram_ix26_a_66_dup_735, 
         regs_dram_modgen_ram_ix26_a_67_dup_734, nx10044, nx10046, 
         regs_dram_modgen_ram_ix26_a_68_dup_733, 
         regs_dram_modgen_ram_ix26_a_69_dup_732, 
         regs_dram_modgen_ram_ix26_a_70_dup_731, 
         regs_dram_modgen_ram_ix26_a_71_dup_730, nx10090, nx10092, 
         regs_dram_modgen_ram_ix26_a_72_dup_729, 
         regs_dram_modgen_ram_ix26_a_73_dup_728, 
         regs_dram_modgen_ram_ix26_a_74_dup_727, 
         regs_dram_modgen_ram_ix26_a_75_dup_726, nx10138, nx10140, 
         regs_dram_modgen_ram_ix26_a_76_dup_725, 
         regs_dram_modgen_ram_ix26_a_77_dup_724, 
         regs_dram_modgen_ram_ix26_a_78_dup_723, 
         regs_dram_modgen_ram_ix26_a_79_dup_722, nx10184, nx10186, nx10784, 
         nx10792, porta_5, nx10824, tmr0_5, nx10846, nx10872, stack2_5, nx10888, 
         nx10896, stack1_5, nx10912, nx10924, nx10966, nx10972, 
         regs_dram_modgen_ram_ix26_a_0_dup_673, 
         regs_dram_modgen_ram_ix26_a_1_dup_672, 
         regs_dram_modgen_ram_ix26_a_2_dup_671, 
         regs_dram_modgen_ram_ix26_a_3_dup_670, nx11016, nx11018, 
         regs_dram_modgen_ram_ix26_a_4_dup_669, 
         regs_dram_modgen_ram_ix26_a_5_dup_668, 
         regs_dram_modgen_ram_ix26_a_6_dup_667, 
         regs_dram_modgen_ram_ix26_a_7_dup_666, nx11062, nx11064, 
         regs_dram_modgen_ram_ix26_a_8_dup_665, 
         regs_dram_modgen_ram_ix26_a_9_dup_664, 
         regs_dram_modgen_ram_ix26_a_10_dup_663, 
         regs_dram_modgen_ram_ix26_a_11_dup_662, nx11110, nx11112, 
         regs_dram_modgen_ram_ix26_a_12_dup_661, 
         regs_dram_modgen_ram_ix26_a_13_dup_660, 
         regs_dram_modgen_ram_ix26_a_14_dup_659, 
         regs_dram_modgen_ram_ix26_a_15_dup_658, nx11156, nx11158, 
         regs_dram_modgen_ram_ix26_a_16_dup_657, 
         regs_dram_modgen_ram_ix26_a_17_dup_656, 
         regs_dram_modgen_ram_ix26_a_18_dup_655, 
         regs_dram_modgen_ram_ix26_a_19_dup_654, nx11210, nx11212, 
         regs_dram_modgen_ram_ix26_a_20_dup_653, 
         regs_dram_modgen_ram_ix26_a_21_dup_652, 
         regs_dram_modgen_ram_ix26_a_22_dup_651, 
         regs_dram_modgen_ram_ix26_a_23_dup_650, nx11256, nx11258, 
         regs_dram_modgen_ram_ix26_a_24_dup_649, 
         regs_dram_modgen_ram_ix26_a_25_dup_648, 
         regs_dram_modgen_ram_ix26_a_26_dup_647, 
         regs_dram_modgen_ram_ix26_a_27_dup_646, nx11304, nx11306, 
         regs_dram_modgen_ram_ix26_a_28_dup_645, 
         regs_dram_modgen_ram_ix26_a_29_dup_644, 
         regs_dram_modgen_ram_ix26_a_30_dup_643, 
         regs_dram_modgen_ram_ix26_a_31_dup_642, nx11350, nx11352, nx11362, 
         regs_dram_modgen_ram_ix26_a_32_dup_641, 
         regs_dram_modgen_ram_ix26_a_33_dup_640, 
         regs_dram_modgen_ram_ix26_a_34_dup_639, 
         regs_dram_modgen_ram_ix26_a_35_dup_638, nx11406, nx11408, 
         regs_dram_modgen_ram_ix26_a_36_dup_637, 
         regs_dram_modgen_ram_ix26_a_37_dup_636, 
         regs_dram_modgen_ram_ix26_a_38_dup_635, 
         regs_dram_modgen_ram_ix26_a_39_dup_634, nx11452, nx11454, 
         regs_dram_modgen_ram_ix26_a_40_dup_633, 
         regs_dram_modgen_ram_ix26_a_41_dup_632, 
         regs_dram_modgen_ram_ix26_a_42_dup_631, 
         regs_dram_modgen_ram_ix26_a_43_dup_630, nx11500, nx11502, 
         regs_dram_modgen_ram_ix26_a_44_dup_629, 
         regs_dram_modgen_ram_ix26_a_45_dup_628, 
         regs_dram_modgen_ram_ix26_a_46_dup_627, 
         regs_dram_modgen_ram_ix26_a_47_dup_626, nx11546, nx11548, nx11552, 
         regs_dram_modgen_ram_ix26_a_48_dup_625, 
         regs_dram_modgen_ram_ix26_a_49_dup_624, 
         regs_dram_modgen_ram_ix26_a_50_dup_623, 
         regs_dram_modgen_ram_ix26_a_51_dup_622, nx11600, nx11602, 
         regs_dram_modgen_ram_ix26_a_52_dup_621, 
         regs_dram_modgen_ram_ix26_a_53_dup_620, 
         regs_dram_modgen_ram_ix26_a_54_dup_619, 
         regs_dram_modgen_ram_ix26_a_55_dup_618, nx11646, nx11648, 
         regs_dram_modgen_ram_ix26_a_56_dup_617, 
         regs_dram_modgen_ram_ix26_a_57_dup_616, 
         regs_dram_modgen_ram_ix26_a_58_dup_615, 
         regs_dram_modgen_ram_ix26_a_59_dup_614, nx11694, nx11696, 
         regs_dram_modgen_ram_ix26_a_60_dup_613, 
         regs_dram_modgen_ram_ix26_a_61_dup_612, 
         regs_dram_modgen_ram_ix26_a_62_dup_611, 
         regs_dram_modgen_ram_ix26_a_63_dup_610, nx11740, nx11742, nx11746, 
         nx11754, regs_dram_modgen_ram_ix26_a_64_dup_609, 
         regs_dram_modgen_ram_ix26_a_65_dup_608, 
         regs_dram_modgen_ram_ix26_a_66_dup_607, 
         regs_dram_modgen_ram_ix26_a_67_dup_606, nx11798, nx11800, 
         regs_dram_modgen_ram_ix26_a_68_dup_605, 
         regs_dram_modgen_ram_ix26_a_69_dup_604, 
         regs_dram_modgen_ram_ix26_a_70_dup_603, 
         regs_dram_modgen_ram_ix26_a_71_dup_602, nx11844, nx11846, 
         regs_dram_modgen_ram_ix26_a_72_dup_601, 
         regs_dram_modgen_ram_ix26_a_73_dup_600, 
         regs_dram_modgen_ram_ix26_a_74_dup_599, 
         regs_dram_modgen_ram_ix26_a_75_dup_598, nx11892, nx11894, 
         regs_dram_modgen_ram_ix26_a_76_dup_597, 
         regs_dram_modgen_ram_ix26_a_77_dup_596, 
         regs_dram_modgen_ram_ix26_a_78_dup_595, 
         regs_dram_modgen_ram_ix26_a_79_dup_594, nx11938, nx11940, nx12538, 
         nx12546, porta_6, nx12578, tmr0_6, nx12588, nx12602, nx12626, stack2_6, 
         nx12642, nx12650, stack1_6, nx12666, nx12678, nx12720, nx12726, 
         regs_dram_modgen_ram_ix26_a_0_dup_545, 
         regs_dram_modgen_ram_ix26_a_1_dup_544, 
         regs_dram_modgen_ram_ix26_a_2_dup_543, 
         regs_dram_modgen_ram_ix26_a_3_dup_542, nx12770, nx12772, 
         regs_dram_modgen_ram_ix26_a_4_dup_541, 
         regs_dram_modgen_ram_ix26_a_5_dup_540, 
         regs_dram_modgen_ram_ix26_a_6_dup_539, 
         regs_dram_modgen_ram_ix26_a_7_dup_538, nx12816, nx12818, 
         regs_dram_modgen_ram_ix26_a_8_dup_537, 
         regs_dram_modgen_ram_ix26_a_9_dup_536, 
         regs_dram_modgen_ram_ix26_a_10_dup_535, 
         regs_dram_modgen_ram_ix26_a_11_dup_534, nx12864, nx12866, 
         regs_dram_modgen_ram_ix26_a_12_dup_533, 
         regs_dram_modgen_ram_ix26_a_13_dup_532, 
         regs_dram_modgen_ram_ix26_a_14_dup_531, 
         regs_dram_modgen_ram_ix26_a_15_dup_530, nx12910, nx12912, 
         regs_dram_modgen_ram_ix26_a_16_dup_529, 
         regs_dram_modgen_ram_ix26_a_17_dup_528, 
         regs_dram_modgen_ram_ix26_a_18_dup_527, 
         regs_dram_modgen_ram_ix26_a_19_dup_526, nx12964, nx12966, 
         regs_dram_modgen_ram_ix26_a_20_dup_525, 
         regs_dram_modgen_ram_ix26_a_21_dup_524, 
         regs_dram_modgen_ram_ix26_a_22_dup_523, 
         regs_dram_modgen_ram_ix26_a_23_dup_522, nx13010, nx13012, 
         regs_dram_modgen_ram_ix26_a_24_dup_521, 
         regs_dram_modgen_ram_ix26_a_25_dup_520, 
         regs_dram_modgen_ram_ix26_a_26_dup_519, 
         regs_dram_modgen_ram_ix26_a_27_dup_518, nx13058, nx13060, 
         regs_dram_modgen_ram_ix26_a_28_dup_517, 
         regs_dram_modgen_ram_ix26_a_29_dup_516, 
         regs_dram_modgen_ram_ix26_a_30_dup_515, 
         regs_dram_modgen_ram_ix26_a_31_dup_514, nx13104, nx13106, nx13116, 
         regs_dram_modgen_ram_ix26_a_32_dup_513, 
         regs_dram_modgen_ram_ix26_a_33_dup_512, 
         regs_dram_modgen_ram_ix26_a_34_dup_511, 
         regs_dram_modgen_ram_ix26_a_35_dup_510, nx13160, nx13162, 
         regs_dram_modgen_ram_ix26_a_36_dup_509, 
         regs_dram_modgen_ram_ix26_a_37_dup_508, 
         regs_dram_modgen_ram_ix26_a_38_dup_507, 
         regs_dram_modgen_ram_ix26_a_39_dup_506, nx13206, nx13208, 
         regs_dram_modgen_ram_ix26_a_40_dup_505, 
         regs_dram_modgen_ram_ix26_a_41_dup_504, 
         regs_dram_modgen_ram_ix26_a_42_dup_503, 
         regs_dram_modgen_ram_ix26_a_43_dup_502, nx13254, nx13256, 
         regs_dram_modgen_ram_ix26_a_44_dup_501, 
         regs_dram_modgen_ram_ix26_a_45_dup_500, 
         regs_dram_modgen_ram_ix26_a_46_dup_499, 
         regs_dram_modgen_ram_ix26_a_47_dup_498, nx13300, nx13302, nx13306, 
         regs_dram_modgen_ram_ix26_a_48_dup_497, 
         regs_dram_modgen_ram_ix26_a_49_dup_496, 
         regs_dram_modgen_ram_ix26_a_50_dup_495, 
         regs_dram_modgen_ram_ix26_a_51_dup_494, nx13354, nx13356, 
         regs_dram_modgen_ram_ix26_a_52_dup_493, 
         regs_dram_modgen_ram_ix26_a_53_dup_492, 
         regs_dram_modgen_ram_ix26_a_54_dup_491, 
         regs_dram_modgen_ram_ix26_a_55_dup_490, nx13400, nx13402, 
         regs_dram_modgen_ram_ix26_a_56_dup_489, 
         regs_dram_modgen_ram_ix26_a_57_dup_488, 
         regs_dram_modgen_ram_ix26_a_58_dup_487, 
         regs_dram_modgen_ram_ix26_a_59_dup_486, nx13448, nx13450, 
         regs_dram_modgen_ram_ix26_a_60_dup_485, 
         regs_dram_modgen_ram_ix26_a_61_dup_484, 
         regs_dram_modgen_ram_ix26_a_62_dup_483, 
         regs_dram_modgen_ram_ix26_a_63_dup_482, nx13494, nx13496, nx13500, 
         nx13508, regs_dram_modgen_ram_ix26_a_64_dup_481, 
         regs_dram_modgen_ram_ix26_a_65_dup_480, 
         regs_dram_modgen_ram_ix26_a_66_dup_479, 
         regs_dram_modgen_ram_ix26_a_67_dup_478, nx13552, nx13554, 
         regs_dram_modgen_ram_ix26_a_68_dup_477, 
         regs_dram_modgen_ram_ix26_a_69_dup_476, 
         regs_dram_modgen_ram_ix26_a_70_dup_475, 
         regs_dram_modgen_ram_ix26_a_71_dup_474, nx13598, nx13600, 
         regs_dram_modgen_ram_ix26_a_72_dup_473, 
         regs_dram_modgen_ram_ix26_a_73_dup_472, 
         regs_dram_modgen_ram_ix26_a_74_dup_471, 
         regs_dram_modgen_ram_ix26_a_75_dup_470, nx13646, nx13648, 
         regs_dram_modgen_ram_ix26_a_76_dup_469, 
         regs_dram_modgen_ram_ix26_a_77_dup_468, 
         regs_dram_modgen_ram_ix26_a_78_dup_467, 
         regs_dram_modgen_ram_ix26_a_79_dup_466, nx13692, nx13694, nx14292, 
         nx14300, porta_7, nx14332, tmr0_7, nx14350, nx14354, nx14384, stack2_7, 
         nx14400, nx14408, stack1_7, nx14424, nx14436, nx14484, nx14490, 
         regs_dram_modgen_ram_ix26_a_0_dup_417, 
         regs_dram_modgen_ram_ix26_a_1_dup_416, 
         regs_dram_modgen_ram_ix26_a_2_dup_415, 
         regs_dram_modgen_ram_ix26_a_3_dup_414, nx14534, nx14536, 
         regs_dram_modgen_ram_ix26_a_4_dup_413, 
         regs_dram_modgen_ram_ix26_a_5_dup_412, 
         regs_dram_modgen_ram_ix26_a_6_dup_411, regs_dram_modgen_ram_ix26_a_7, 
         nx14580, nx14582, regs_dram_modgen_ram_ix26_a_8, 
         regs_dram_modgen_ram_ix26_a_9, regs_dram_modgen_ram_ix26_a_10, 
         regs_dram_modgen_ram_ix26_a_11, nx14628, nx14630, 
         regs_dram_modgen_ram_ix26_a_12, regs_dram_modgen_ram_ix26_a_13, 
         regs_dram_modgen_ram_ix26_a_14, regs_dram_modgen_ram_ix26_a_15, nx14674, 
         nx14676, regs_dram_modgen_ram_ix26_a_16, regs_dram_modgen_ram_ix26_a_17, 
         regs_dram_modgen_ram_ix26_a_18, regs_dram_modgen_ram_ix26_a_19, nx14728, 
         nx14730, regs_dram_modgen_ram_ix26_a_20, regs_dram_modgen_ram_ix26_a_21, 
         regs_dram_modgen_ram_ix26_a_22, regs_dram_modgen_ram_ix26_a_23, nx14774, 
         nx14776, regs_dram_modgen_ram_ix26_a_24, regs_dram_modgen_ram_ix26_a_25, 
         regs_dram_modgen_ram_ix26_a_26, regs_dram_modgen_ram_ix26_a_27, nx14822, 
         nx14824, regs_dram_modgen_ram_ix26_a_28, regs_dram_modgen_ram_ix26_a_29, 
         regs_dram_modgen_ram_ix26_a_30, regs_dram_modgen_ram_ix26_a_31, nx14868, 
         nx14870, nx14880, regs_dram_modgen_ram_ix26_a_32, 
         regs_dram_modgen_ram_ix26_a_33, regs_dram_modgen_ram_ix26_a_34, 
         regs_dram_modgen_ram_ix26_a_35, nx14924, nx14926, 
         regs_dram_modgen_ram_ix26_a_36, regs_dram_modgen_ram_ix26_a_37, 
         regs_dram_modgen_ram_ix26_a_38, regs_dram_modgen_ram_ix26_a_39, nx14970, 
         nx14972, regs_dram_modgen_ram_ix26_a_40, regs_dram_modgen_ram_ix26_a_41, 
         regs_dram_modgen_ram_ix26_a_42, regs_dram_modgen_ram_ix26_a_43, nx15018, 
         nx15020, regs_dram_modgen_ram_ix26_a_44, regs_dram_modgen_ram_ix26_a_45, 
         regs_dram_modgen_ram_ix26_a_46, regs_dram_modgen_ram_ix26_a_47, nx15064, 
         nx15066, nx15070, regs_dram_modgen_ram_ix26_a_48, 
         regs_dram_modgen_ram_ix26_a_49, regs_dram_modgen_ram_ix26_a_50, 
         regs_dram_modgen_ram_ix26_a_51, nx15118, nx15120, 
         regs_dram_modgen_ram_ix26_a_52, regs_dram_modgen_ram_ix26_a_53, 
         regs_dram_modgen_ram_ix26_a_54, regs_dram_modgen_ram_ix26_a_55, nx15164, 
         nx15166, regs_dram_modgen_ram_ix26_a_56, regs_dram_modgen_ram_ix26_a_57, 
         regs_dram_modgen_ram_ix26_a_58, regs_dram_modgen_ram_ix26_a_59, nx15212, 
         nx15214, regs_dram_modgen_ram_ix26_a_60, regs_dram_modgen_ram_ix26_a_61, 
         regs_dram_modgen_ram_ix26_a_62, regs_dram_modgen_ram_ix26_a_63, nx15258, 
         nx15260, nx15264, nx15272, regs_dram_modgen_ram_ix26_a_64, 
         regs_dram_modgen_ram_ix26_a_65, regs_dram_modgen_ram_ix26_a_66, 
         regs_dram_modgen_ram_ix26_a_67, nx15316, nx15318, 
         regs_dram_modgen_ram_ix26_a_68, regs_dram_modgen_ram_ix26_a_69, 
         regs_dram_modgen_ram_ix26_a_70, regs_dram_modgen_ram_ix26_a_71, nx15362, 
         nx15364, regs_dram_modgen_ram_ix26_a_72, regs_dram_modgen_ram_ix26_a_73, 
         regs_dram_modgen_ram_ix26_a_74, regs_dram_modgen_ram_ix26_a_75, nx15410, 
         nx15412, regs_dram_modgen_ram_ix26_a_76, regs_dram_modgen_ram_ix26_a_77, 
         regs_dram_modgen_ram_ix26_a_78, regs_dram_modgen_ram_ix26_a_79, nx15456, 
         nx15458, nx16056, nx16064, nx16112, nx16114, nx16140, nx16172, nx16174, 
         nx16206, nx16238, nx16240, nx16272, nx16304, nx16334, stack1_8, nx16348, 
         nx16370, nx16378, nx16380, nx16388, stack2_8, stack2_9, nx16406, 
         nx16424, nx16432, stack1_9, nx16448, nx16460, nx16468, stack1_10, 
         nx16484, stack2_10, nx16496, nx4301, nx4311, nx4321, nx4331, nx4341, 
         nx4351, nx4359, nx4361, nx4371, nx4379, nx4381, nx4391, nx4401, nx4411, 
         nx4421, nx4431, nx4441, nx4451, nx4461, nx4471, nx4481, nx4491, nx4501, 
         nx4511, nx4521, nx4531, nx4541, nx4549, nx4551, nx4559, nx4561, nx4567, 
         nx4571, nx4579, nx4581, nx4589, nx4591, nx4597, nx4601, nx4607, nx4611, 
         nx4617, nx4621, nx4627, nx4631, nx4637, nx4641, nx4647, nx4651, nx4657, 
         nx4661, nx4667, nx4671, nx4677, nx4681, nx4687, nx4691, nx4697, nx4701, 
         nx4707, nx4711, nx4717, nx4721, nx4727, nx4731, nx4737, nx4741, nx4747, 
         nx4751, nx4757, nx4761, nx4767, nx4771, nx4777, nx4781, nx4787, nx4791, 
         nx4797, nx4801, nx4807, nx4811, nx4817, nx4821, nx4827, nx4831, nx4837, 
         nx4841, nx4847, nx4851, nx4857, nx4861, nx4867, nx4871, nx4877, nx4881, 
         nx4887, nx4891, nx4897, nx4901, nx4907, nx4911, nx4917, nx4921, nx4927, 
         nx4931, nx4937, nx4941, nx4947, nx4951, nx4957, nx4961, nx4967, nx4971, 
         nx4977, nx4981, nx4987, nx4991, nx4997, nx5001, nx5007, nx5011, nx5017, 
         nx5021, nx5027, nx5031, nx5037, nx5041, nx5047, nx5051, nx5057, nx5061, 
         nx5067, nx5071, nx5077, nx5081, nx5087, nx5091, nx5097, nx5101, nx5107, 
         nx5111, nx5117, nx5121, nx5127, nx5131, nx5137, nx5141, nx5147, nx5151, 
         nx5157, nx5161, nx5167, nx5171, nx5177, nx5181, nx5187, nx5191, nx5197, 
         nx5201, nx5207, nx5211, nx5217, nx5221, nx5227, nx5231, nx5237, nx5241, 
         nx5247, nx5251, nx5257, nx5261, nx5267, nx5271, nx5277, nx5281, nx5287, 
         nx5291, nx5297, nx5301, nx5307, nx5311, nx5881, nx5887, nx5891, nx5899, 
         nx5901, nx5909, nx5911, nx5919, nx5921, nx5929, nx5931, nx5937, nx5941, 
         nx5947, nx5951, nx5957, nx5961, nx5967, nx5971, nx5977, nx5981, nx5987, 
         nx5991, nx5997, nx6001, nx6007, nx6011, nx6017, nx6021, nx6027, nx6031, 
         nx6037, nx6041, nx6047, nx6051, nx6057, nx6061, nx6067, nx6071, nx6077, 
         nx6081, nx6087, nx6091, nx6097, nx6101, nx6107, nx6111, nx6117, nx6121, 
         nx6127, nx6131, nx6137, nx6141, nx6147, nx6151, nx6157, nx6161, nx6167, 
         nx6171, nx6177, nx6181, nx6187, nx6191, nx6197, nx6201, nx6207, nx6211, 
         nx6217, nx6221, nx6227, nx6231, nx6237, nx6241, nx6247, nx6251, nx6257, 
         nx6261, nx6267, nx6271, nx6277, nx6281, nx6287, nx6291, nx6297, nx6301, 
         nx6307, nx6311, nx6317, nx6321, nx6327, nx6331, nx6337, nx6341, nx6347, 
         nx6351, nx6357, nx6361, nx6367, nx6371, nx6377, nx6381, nx6387, nx6391, 
         nx6397, nx6401, nx6407, nx6411, nx6417, nx6421, nx6427, nx6431, nx6437, 
         nx6441, nx6447, nx6451, nx6457, nx6461, nx6467, nx6471, nx6477, nx6481, 
         nx6487, nx6491, nx6497, nx6501, nx6507, nx6511, nx6517, nx6521, nx6527, 
         nx6531, nx6537, nx6541, nx6547, nx6551, nx6557, nx6561, nx6567, nx6571, 
         nx6577, nx6581, nx6587, nx6591, nx6597, nx6601, nx6607, nx6611, nx6617, 
         nx6621, nx6627, nx6631, nx6637, nx6641, nx6647, nx6651, nx7221, nx7231, 
         nx7237, nx7241, nx7249, nx7251, nx7259, nx7261, nx7269, nx7271, nx7277, 
         nx7281, nx7287, nx7291, nx7297, nx7301, nx7307, nx7311, nx7317, nx7321, 
         nx7327, nx7331, nx7337, nx7341, nx7347, nx7351, nx7357, nx7361, nx7367, 
         nx7371, nx7377, nx7381, nx7387, nx7391, nx7397, nx7401, nx7407, nx7411, 
         nx7417, nx7421, nx7427, nx7431, nx7437, nx7441, nx7447, nx7451, nx7457, 
         nx7461, nx7467, nx7471, nx7477, nx7481, nx7487, nx7491, nx7497, nx7501, 
         nx7507, nx7511, nx7517, nx7521, nx7527, nx7531, nx7537, nx7541, nx7547, 
         nx7551, nx7557, nx7561, nx7567, nx7571, nx7577, nx7581, nx7587, nx7591, 
         nx7597, nx7601, nx7607, nx7611, nx7617, nx7621, nx7627, nx7631, nx7637, 
         nx7641, nx7647, nx7651, nx7657, nx7661, nx7667, nx7671, nx7677, nx7681, 
         nx7687, nx7691, nx7697, nx7701, nx7707, nx7711, nx7717, nx7721, nx7727, 
         nx7731, nx7737, nx7741, nx7747, nx7751, nx7757, nx7761, nx7767, nx7771, 
         nx7777, nx7781, nx7787, nx7791, nx7797, nx7801, nx7807, nx7811, nx7817, 
         nx7821, nx7827, nx7831, nx7837, nx7841, nx7847, nx7851, nx7857, nx7861, 
         nx7867, nx7871, nx7877, nx7881, nx7887, nx7891, nx7897, nx7901, nx7907, 
         nx7911, nx7917, nx7921, nx7927, nx7931, nx7937, nx7941, nx7947, nx7951, 
         nx7957, nx7961, nx7967, nx7971, nx7977, nx7981, nx7987, nx7991, nx8561, 
         nx8571, nx8577, nx8581, nx8589, nx8591, nx8601, nx8609, nx8611, nx8619, 
         nx8621, nx8627, nx8631, nx8637, nx8641, nx8647, nx8651, nx8657, nx8661, 
         nx8667, nx8671, nx8677, nx8681, nx8687, nx8691, nx8697, nx8701, nx8707, 
         nx8711, nx8717, nx8721, nx8727, nx8731, nx8737, nx8741, nx8747, nx8751, 
         nx8757, nx8761, nx8767, nx8771, nx8777, nx8781, nx8787, nx8791, nx8797, 
         nx8801, nx8807, nx8811, nx8817, nx8821, nx8827, nx8831, nx8837, nx8841, 
         nx8847, nx8851, nx8857, nx8861, nx8867, nx8871, nx8877, nx8881, nx8887, 
         nx8891, nx8897, nx8901, nx8907, nx8911, nx8917, nx8921, nx8927, nx8931, 
         nx8937, nx8941, nx8947, nx8951, nx8957, nx8961, nx8967, nx8971, nx8977, 
         nx8981, nx8987, nx8991, nx8997, nx9001, nx9007, nx9011, nx9017, nx9021, 
         nx9027, nx9031, nx9037, nx9041, nx9047, nx9051, nx9057, nx9061, nx9067, 
         nx9071, nx9077, nx9081, nx9087, nx9091, nx9097, nx9101, nx9107, nx9111, 
         nx9117, nx9121, nx9127, nx9131, nx9137, nx9141, nx9147, nx9151, nx9157, 
         nx9161, nx9167, nx9171, nx9177, nx9181, nx9187, nx9191, nx9197, nx9201, 
         nx9207, nx9211, nx9217, nx9221, nx9227, nx9231, nx9237, nx9241, nx9247, 
         nx9251, nx9257, nx9261, nx9267, nx9271, nx9277, nx9281, nx9287, nx9291, 
         nx9297, nx9301, nx9307, nx9311, nx9317, nx9321, nx9327, nx9331, nx9337, 
         nx9341, nx9911, nx9921, nx9927, nx9931, nx9939, nx9941, nx9951, nx9959, 
         nx9961, nx9969, nx9971, nx9977, nx9981, nx9987, nx9991, nx9997, nx10001, 
         nx10007, nx10011, nx10017, nx10021, nx10027, nx10031, nx10037, nx10041, 
         nx10047, nx10051, nx10057, nx10061, nx10067, nx10071, nx10077, nx10081, 
         nx10087, nx10091, nx10097, nx10101, nx10107, nx10111, nx10117, nx10121, 
         nx10127, nx10131, nx10137, nx10141, nx10147, nx10151, nx10157, nx10161, 
         nx10167, nx10171, nx10177, nx10181, nx10187, nx10191, nx10197, nx10201, 
         nx10207, nx10211, nx10217, nx10221, nx10227, nx10231, nx10237, nx10241, 
         nx10247, nx10251, nx10257, nx10261, nx10267, nx10271, nx10277, nx10281, 
         nx10287, nx10291, nx10297, nx10301, nx10307, nx10311, nx10317, nx10321, 
         nx10327, nx10331, nx10337, nx10341, nx10347, nx10351, nx10357, nx10361, 
         nx10367, nx10371, nx10377, nx10381, nx10387, nx10391, nx10397, nx10401, 
         nx10407, nx10411, nx10417, nx10421, nx10427, nx10431, nx10437, nx10441, 
         nx10447, nx10451, nx10457, nx10461, nx10467, nx10471, nx10477, nx10481, 
         nx10487, nx10491, nx10497, nx10501, nx10507, nx10511, nx10517, nx10521, 
         nx10527, nx10531, nx10537, nx10541, nx10547, nx10551, nx10557, nx10561, 
         nx10567, nx10571, nx10577, nx10581, nx10587, nx10591, nx10597, nx10601, 
         nx10607, nx10611, nx10617, nx10621, nx10627, nx10631, nx10637, nx10641, 
         nx10647, nx10651, nx10657, nx10661, nx10667, nx10671, nx10677, nx10681, 
         nx10687, nx10691, nx11261, nx11271, nx11277, nx11281, nx11289, nx11291, 
         nx11299, nx11301, nx11309, nx11311, nx11317, nx11321, nx11327, nx11331, 
         nx11337, nx11341, nx11347, nx11351, nx11357, nx11361, nx11367, nx11371, 
         nx11377, nx11381, nx11387, nx11391, nx11397, nx11401, nx11407, nx11411, 
         nx11417, nx11421, nx11427, nx11431, nx11437, nx11441, nx11447, nx11451, 
         nx11457, nx11461, nx11467, nx11471, nx11477, nx11481, nx11487, nx11491, 
         nx11497, nx11501, nx11507, nx11511, nx11517, nx11521, nx11527, nx11531, 
         nx11537, nx11541, nx11547, nx11551, nx11557, nx11561, nx11567, nx11571, 
         nx11577, nx11581, nx11587, nx11591, nx11597, nx11601, nx11607, nx11611, 
         nx11617, nx11621, nx11627, nx11631, nx11637, nx11641, nx11647, nx11651, 
         nx11657, nx11661, nx11667, nx11671, nx11677, nx11681, nx11687, nx11691, 
         nx11697, nx11701, nx11707, nx11711, nx11717, nx11721, nx11727, nx11731, 
         nx11737, nx11741, nx11747, nx11751, nx11757, nx11761, nx11767, nx11771, 
         nx11777, nx11781, nx11787, nx11791, nx11797, nx11801, nx11807, nx11811, 
         nx11817, nx11821, nx11827, nx11831, nx11837, nx11841, nx11847, nx11851, 
         nx11857, nx11861, nx11867, nx11871, nx11877, nx11881, nx11887, nx11891, 
         nx11897, nx11901, nx11907, nx11911, nx11917, nx11921, nx11927, nx11931, 
         nx11937, nx11941, nx11947, nx11951, nx11957, nx11961, nx11967, nx11971, 
         nx11977, nx11981, nx11987, nx11991, nx11997, nx12001, nx12007, nx12011, 
         nx12017, nx12021, nx12027, nx12031, nx12601, nx12611, nx12617, nx12621, 
         nx12629, nx12631, nx12639, nx12641, nx12649, nx12651, nx12657, nx12661, 
         nx12667, nx12671, nx12677, nx12681, nx12687, nx12691, nx12697, nx12701, 
         nx12707, nx12711, nx12717, nx12721, nx12727, nx12731, nx12737, nx12741, 
         nx12747, nx12751, nx12757, nx12761, nx12767, nx12771, nx12777, nx12781, 
         nx12787, nx12791, nx12797, nx12801, nx12807, nx12811, nx12817, nx12821, 
         nx12827, nx12831, nx12837, nx12841, nx12847, nx12851, nx12857, nx12861, 
         nx12867, nx12871, nx12877, nx12881, nx12887, nx12891, nx12897, nx12901, 
         nx12907, nx12911, nx12917, nx12921, nx12927, nx12931, nx12937, nx12941, 
         nx12947, nx12951, nx12957, nx12961, nx12967, nx12971, nx12977, nx12981, 
         nx12987, nx12991, nx12997, nx13001, nx13007, nx13011, nx13017, nx13021, 
         nx13027, nx13031, nx13037, nx13041, nx13047, nx13051, nx13057, nx13061, 
         nx13067, nx13071, nx13077, nx13081, nx13087, nx13091, nx13097, nx13101, 
         nx13107, nx13111, nx13117, nx13121, nx13127, nx13131, nx13137, nx13141, 
         nx13147, nx13151, nx13157, nx13161, nx13167, nx13171, nx13177, nx13181, 
         nx13187, nx13191, nx13197, nx13201, nx13207, nx13211, nx13217, nx13221, 
         nx13227, nx13231, nx13237, nx13241, nx13247, nx13251, nx13257, nx13261, 
         nx13267, nx13271, nx13277, nx13281, nx13287, nx13291, nx13297, nx13301, 
         nx13307, nx13311, nx13317, nx13321, nx13327, nx13331, nx13337, nx13341, 
         nx13347, nx13351, nx13357, nx13361, nx13367, nx13371, nx13941, nx13951, 
         nx13961, nx13967, nx13971, nx13979, nx13981, nx13989, nx13991, nx13999, 
         nx14001, nx14009, nx14011, nx14017, nx14021, nx14027, nx14031, nx14037, 
         nx14041, nx14047, nx14051, nx14057, nx14061, nx14067, nx14071, nx14077, 
         nx14081, nx14087, nx14091, nx14097, nx14101, nx14107, nx14111, nx14117, 
         nx14121, nx14127, nx14131, nx14137, nx14141, nx14147, nx14151, nx14157, 
         nx14161, nx14167, nx14171, nx14177, nx14181, nx14187, nx14191, nx14197, 
         nx14201, nx14207, nx14211, nx14217, nx14221, nx14227, nx14231, nx14237, 
         nx14241, nx14247, nx14251, nx14257, nx14261, nx14267, nx14271, nx14277, 
         nx14281, nx14287, nx14291, nx14297, nx14301, nx14307, nx14311, nx14317, 
         nx14321, nx14327, nx14331, nx14337, nx14341, nx14347, nx14351, nx14357, 
         nx14361, nx14367, nx14371, nx14377, nx14381, nx14387, nx14391, nx14397, 
         nx14401, nx14407, nx14411, nx14417, nx14421, nx14427, nx14431, nx14437, 
         nx14441, nx14447, nx14451, nx14457, nx14461, nx14467, nx14471, nx14477, 
         nx14481, nx14487, nx14491, nx14497, nx14501, nx14507, nx14511, nx14517, 
         nx14521, nx14527, nx14531, nx14537, nx14541, nx14547, nx14551, nx14557, 
         nx14561, nx14567, nx14571, nx14577, nx14581, nx14587, nx14591, nx14597, 
         nx14601, nx14607, nx14611, nx14617, nx14621, nx14627, nx14631, nx14637, 
         nx14641, nx14647, nx14651, nx14657, nx14661, nx14667, nx14671, nx14677, 
         nx14681, nx14687, nx14691, nx14697, nx14701, nx14707, nx14711, nx14717, 
         nx14721, nx14727, nx14731, nx15301, nx15309, nx15311, nx15317, nx15321, 
         nx15327, nx15331, nx15339, nx15341, nx15349, nx15351, nx15357, nx15361, 
         nx15372, nx15377, nx15379, nx15384, nx15392, nx15396, nx15399, nx15400, 
         nx15407, nx15413, nx15414, nx15417, nx15421, nx15426, nx15428, nx15430, 
         nx15438, nx15440, nx15442, nx15465, nx15467, nx15469, nx15475, nx15477, 
         nx15482, nx15484, nx15487, nx15492, nx15499, nx15505, nx15516, nx15521, 
         nx15525, nx15531, nx15541, nx15543, nx15551, nx15557, nx15562, nx15565, 
         nx15571, nx15574, nx15578, nx15584, nx15588, nx15596, nx15601, nx15605, 
         nx15617, nx15619, nx15627, nx15629, nx15636, nx15639, nx15646, nx15649, 
         nx15651, nx15663, nx15665, nx15673, nx15675, nx15683, nx15685, nx15690, 
         nx15693, nx15697, nx15699, nx15702, nx15717, nx15725, nx15735, nx15743, 
         nx15751, nx15755, nx15763, nx15772, nx15782, nx15789, nx15795, nx15805, 
         nx15811, nx15819, nx15827, nx15835, nx15841, nx15847, nx15859, nx15865, 
         nx15873, nx15881, nx15889, nx15895, nx15905, nx15911, nx15919, nx15927, 
         nx15935, nx15941, nx15951, nx15957, nx15965, nx15971, nx15976, nx15983, 
         nx15989, nx15999, nx16005, nx16013, nx16021, nx16029, nx16035, nx16045, 
         nx16053, nx16063, nx16071, nx16078, nx16087, nx16099, nx16107, nx16111, 
         nx16121, nx16131, nx16141, nx16149, nx16159, nx16167, nx16177, nx16185, 
         nx16195, nx16203, nx16213, nx16223, nx16233, nx16241, nx16251, nx16259, 
         nx16263, nx16267, nx16273, nx16275, nx16289, nx16301, nx16303, nx16313, 
         nx16315, nx16317, nx16321, nx16325, nx16327, nx16329, nx16331, nx16333, 
         nx16341, nx16349, nx16351, nx16353, nx16356, nx16359, nx16362, nx16364, 
         nx16367, nx16369, nx16374, nx16377, nx16383, nx16385, nx16391, nx16393, 
         nx16395, nx16401, nx16403, nx16405, nx16409, nx16411, nx16421, nx16429, 
         nx16433, nx16437, nx16453, nx16464, nx16466, nx16469, nx16471, nx16475, 
         nx16479, nx16482, nx16488, nx16521, nx16523, nx16526, nx16530, nx16537, 
         nx16544, nx16547, nx16552, nx16557, nx16583, nx16588, nx16594, nx16599, 
         nx16605, nx16610, nx16616, nx16621, nx16625, nx16631, nx16636, nx16642, 
         nx16647, nx16653, nx16658, nx16664, nx16669, nx16675, nx16680, nx16686, 
         nx16691, nx16697, nx16702, nx16708, nx16713, nx16716, nx16722, nx16727, 
         nx16733, nx16738, nx16744, nx16749, nx16755, nx16760, nx16766, nx16771, 
         nx16777, nx16782, nx16788, nx16793, nx16799, nx16804, nx16807, nx16813, 
         nx16818, nx16824, nx16829, nx16835, nx16840, nx16846, nx16851, nx16857, 
         nx16862, nx16868, nx16873, nx16879, nx16884, nx16890, nx16895, nx16897, 
         nx16903, nx16908, nx16914, nx16919, nx16925, nx16930, nx16936, nx16941, 
         nx16947, nx16952, nx16958, nx16963, nx16969, nx16974, nx16980, nx16985, 
         nx16988, nx16991, nx16995, nx16997, nx16999, nx17007, nx17020, nx17023, 
         nx17031, nx17043, nx17048, nx17053, nx17079, nx17084, nx17090, nx17095, 
         nx17101, nx17106, nx17112, nx17117, nx17121, nx17127, nx17132, nx17138, 
         nx17143, nx17149, nx17154, nx17160, nx17165, nx17171, nx17176, nx17182, 
         nx17187, nx17193, nx17198, nx17204, nx17209, nx17212, nx17218, nx17223, 
         nx17229, nx17234, nx17240, nx17245, nx17251, nx17256, nx17262, nx17267, 
         nx17273, nx17278, nx17284, nx17289, nx17295, nx17300, nx17303, nx17309, 
         nx17314, nx17320, nx17325, nx17331, nx17336, nx17342, nx17347, nx17353, 
         nx17358, nx17364, nx17369, nx17375, nx17380, nx17386, nx17391, nx17393, 
         nx17399, nx17404, nx17410, nx17415, nx17421, nx17426, nx17432, nx17437, 
         nx17443, nx17448, nx17454, nx17459, nx17465, nx17470, nx17476, nx17481, 
         nx17484, nx17487, nx17491, nx17493, nx17495, nx17503, nx17516, nx17520, 
         nx17522, nx17527, nx17530, nx17543, nx17548, nx17553, nx17579, nx17584, 
         nx17590, nx17595, nx17601, nx17606, nx17612, nx17617, nx17621, nx17627, 
         nx17632, nx17638, nx17643, nx17649, nx17654, nx17660, nx17665, nx17671, 
         nx17676, nx17682, nx17687, nx17693, nx17698, nx17704, nx17709, nx17712, 
         nx17718, nx17723, nx17729, nx17734, nx17740, nx17745, nx17751, nx17756, 
         nx17762, nx17767, nx17773, nx17778, nx17784, nx17789, nx17795, nx17800, 
         nx17803, nx17809, nx17814, nx17820, nx17825, nx17831, nx17836, nx17842, 
         nx17847, nx17853, nx17858, nx17864, nx17869, nx17875, nx17880, nx17886, 
         nx17891, nx17893, nx17899, nx17904, nx17910, nx17915, nx17921, nx17926, 
         nx17932, nx17937, nx17943, nx17948, nx17954, nx17959, nx17965, nx17970, 
         nx17976, nx17981, nx17984, nx17987, nx17991, nx17993, nx17995, nx18003, 
         nx18016, nx18019, nx18027, nx18038, nx18041, nx18046, nx18051, nx18077, 
         nx18082, nx18088, nx18093, nx18099, nx18104, nx18110, nx18115, nx18119, 
         nx18125, nx18130, nx18136, nx18141, nx18147, nx18152, nx18158, nx18163, 
         nx18169, nx18174, nx18180, nx18185, nx18191, nx18196, nx18202, nx18207, 
         nx18210, nx18216, nx18221, nx18227, nx18232, nx18238, nx18243, nx18249, 
         nx18254, nx18260, nx18265, nx18271, nx18276, nx18282, nx18287, nx18293, 
         nx18298, nx18301, nx18307, nx18312, nx18318, nx18323, nx18329, nx18334, 
         nx18340, nx18345, nx18351, nx18356, nx18362, nx18367, nx18373, nx18378, 
         nx18384, nx18389, nx18391, nx18397, nx18402, nx18408, nx18413, nx18419, 
         nx18424, nx18430, nx18435, nx18441, nx18446, nx18452, nx18457, nx18463, 
         nx18468, nx18474, nx18479, nx18482, nx18485, nx18489, nx18491, nx18493, 
         nx18502, nx18515, nx18518, nx18523, nx18528, nx18541, nx18546, nx18551, 
         nx18577, nx18582, nx18588, nx18593, nx18599, nx18604, nx18610, nx18615, 
         nx18619, nx18625, nx18630, nx18636, nx18641, nx18647, nx18652, nx18658, 
         nx18663, nx18669, nx18674, nx18680, nx18685, nx18691, nx18696, nx18702, 
         nx18707, nx18710, nx18716, nx18721, nx18727, nx18732, nx18738, nx18743, 
         nx18749, nx18754, nx18760, nx18765, nx18771, nx18776, nx18782, nx18787, 
         nx18793, nx18798, nx18801, nx18807, nx18812, nx18818, nx18823, nx18829, 
         nx18834, nx18840, nx18845, nx18851, nx18856, nx18862, nx18867, nx18873, 
         nx18878, nx18884, nx18889, nx18891, nx18897, nx18902, nx18908, nx18913, 
         nx18919, nx18924, nx18930, nx18935, nx18941, nx18946, nx18952, nx18957, 
         nx18963, nx18968, nx18974, nx18979, nx18982, nx18985, nx18989, nx18991, 
         nx18993, nx19002, nx19015, nx19018, nx19025, nx19036, nx19039, nx19044, 
         nx19049, nx19075, nx19080, nx19086, nx19091, nx19097, nx19102, nx19108, 
         nx19113, nx19117, nx19123, nx19128, nx19134, nx19139, nx19145, nx19150, 
         nx19156, nx19161, nx19167, nx19172, nx19178, nx19183, nx19189, nx19194, 
         nx19200, nx19205, nx19208, nx19214, nx19219, nx19225, nx19230, nx19236, 
         nx19241, nx19247, nx19252, nx19258, nx19263, nx19269, nx19274, nx19280, 
         nx19285, nx19291, nx19296, nx19299, nx19305, nx19310, nx19316, nx19321, 
         nx19327, nx19332, nx19338, nx19343, nx19349, nx19354, nx19360, nx19365, 
         nx19371, nx19376, nx19382, nx19387, nx19389, nx19395, nx19400, nx19406, 
         nx19411, nx19417, nx19422, nx19428, nx19433, nx19439, nx19444, nx19450, 
         nx19455, nx19461, nx19466, nx19472, nx19477, nx19480, nx19483, nx19487, 
         nx19489, nx19494, nx19500, nx19513, nx19516, nx19521, nx19523, nx19534, 
         nx19537, nx19542, nx19547, nx19573, nx19578, nx19584, nx19589, nx19595, 
         nx19600, nx19606, nx19611, nx19615, nx19621, nx19626, nx19632, nx19637, 
         nx19643, nx19648, nx19654, nx19659, nx19665, nx19670, nx19676, nx19681, 
         nx19687, nx19692, nx19698, nx19703, nx19706, nx19712, nx19717, nx19723, 
         nx19728, nx19734, nx19739, nx19745, nx19750, nx19756, nx19761, nx19767, 
         nx19772, nx19778, nx19783, nx19789, nx19794, nx19797, nx19803, nx19808, 
         nx19814, nx19819, nx19825, nx19830, nx19836, nx19841, nx19847, nx19852, 
         nx19858, nx19863, nx19869, nx19874, nx19880, nx19885, nx19887, nx19893, 
         nx19898, nx19904, nx19909, nx19915, nx19920, nx19926, nx19931, nx19937, 
         nx19942, nx19948, nx19953, nx19959, nx19964, nx19970, nx19975, nx19978, 
         nx19981, nx19984, nx19986, nx19990, nx19992, nx19996, nx20002, nx20015, 
         nx20018, nx20029, nx20040, nx20045, nx20047, nx20049, nx20052, nx20054, 
         nx20057, nx20059, nx20062, nx20064, nx20067, nx20069, nx20072, nx20074, 
         nx20077, nx20079, nx20082, nx20084, nx20092, nx20101, nx20106, nx20119, 
         nx20122, nx20136, nx20139, nx20149, nx20151, nx20153, nx20160, nx20162, 
         nx20164, nx20166, nx20168, nx20170, nx20172, nx20174, nx20176, nx20178, 
         nx20180, nx20182, nx20184, nx20186, nx20188, nx20190, nx20192, nx20196, 
         nx20198, nx20200, nx20202, nx20204, nx20208, nx20210, nx20212, nx20214, 
         nx20216, nx20218, nx20222, nx20224, nx20226, nx20228, nx20230, nx20232, 
         nx20234, nx20236, nx20238, nx20240, nx20242, nx20244, nx20246, nx20248, 
         nx20250, nx20252, nx20254, nx20256, nx20258, nx20260, nx20262, nx20264, 
         nx20266, nx20268, nx20270, nx20272, nx20274, nx20276, nx20278, nx20280, 
         nx20282, nx20284, nx20286, nx20288, nx20290, nx20292, nx20294, nx20296, 
         nx20298, nx20300, nx20302, nx20304, nx20306, nx20308, nx20310, nx20312, 
         nx20314, nx20316, nx20318, nx20320, nx20322, nx20324, nx20326, nx20328, 
         nx20330, nx20332, nx20334, nx20336, nx20338, nx20340, nx20342, nx20344, 
         nx20346, nx20348, nx20350, nx20352, nx20354, nx20356, nx20358, nx20360, 
         nx20362, nx20364, nx20366, nx20368, nx20370, nx20372, nx20374, nx20376, 
         nx20378, nx20380, nx20382, nx20384, nx20386, nx20388, nx20390, nx20392, 
         nx20394, nx20396, nx20398, nx20400, nx20402, nx20404, nx20406, nx20408, 
         nx20410, nx20412, nx20414, nx20416, nx20418, nx20420, nx20422, nx20428, 
         nx20430, nx20432, nx20434, nx20436, nx20438, nx20440, nx20442, nx20444, 
         nx20446, nx20448, nx20450, nx20452, nx20454, nx20456, nx20458, nx20460, 
         nx20462, nx20464, nx20466, nx20468, nx20470, nx20472, nx20474, nx20476, 
         nx20478, nx20480, nx20482, nx20484;
    wire [139:0] \$dummy ;




    alu alu_EXMPLR (.op ({nx20198,nx20200,aluop_1,nx20202}), .a ({alua_7,alua_6,
        alua_5,alua_4,alua_3,alua_2,alua_1,alua_0}), .b ({alub_7,alub_6,alub_5,
        alub_4,alub_3,alub_2,alub_1,alub_0}), .y ({expdout[7],expdout[6],
        expdout[5],expdout[4],expdout[3],expdout[2],expdout[1],expdout[0]}), .cin (
        debugstatus[0]), .cout (alucout), .zout (aluz)) ;
    idec idec_EXMPLR (.inst ({debuginst[11],debuginst[10],debuginst[9],
         debuginst[8],nx20182,nx20184,debuginst[5],debuginst[4],debuginst[3],
         nx20186,nx20188,nx20190}), .aluasel ({aluasel_1,aluasel_0}), .alubsel (
         {alubsel_1,alubsel_0}), .aluop ({aluop_3,aluop_2,aluop_1,aluop_0}), .wwe (
         idecwwe), .fwe (idecfwe), .zwe (ideczwe), .cwe (ideccwe), .bdpol (bdpol
         ), .option (isoption), .tris (istris)) ;
    GND ix4180 (.Y (nx4179)) ;
    mux21 ix16127 (.Y (alua_0), .A0 (nx15372), .A1 (nx15417), .S0 (aluasel_0)) ;
    dffr reg_w_0 (.Q (debugw[0]), .QB (\$dummy [0]), .D (nx4391), .CLK (clk), .R (
         nx4179)) ;
    ao32 ix4392 (.Y (nx4391), .A0 (nx20174), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[0]), .B1 (nx20372)) ;
    inv08 ix15378 (.Y (nx15377), .A (reset)) ;
    nor02 ix15380 (.Y (nx15379), .A0 (reset), .A1 (nx20192)) ;
    dffr reg_inst_0 (.Q (debuginst[0]), .QB (\$dummy [1]), .D (nx150), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix151 (.Y (nx150), .A0 (pdata[0]), .A1 (nx20374)) ;
    nor03 ix15385 (.Y (nx15384), .A0 (nx96), .A1 (nx15414), .A2 (reset)) ;
    nor02 ix97 (.Y (nx96), .A0 (debuginst[11]), .A1 (nx15392)) ;
    dffr reg_inst_11 (.Q (debuginst[11]), .QB (\$dummy [2]), .D (nx12), .CLK (
         clk), .R (nx4179)) ;
    and02 ix13 (.Y (nx12), .A0 (pdata[11]), .A1 (nx20374)) ;
    aoi43 ix15393 (.Y (nx15392), .A0 (aluz), .A1 (nx20182), .A2 (nx20184), .A3 (
          nx15400), .B0 (nx86), .B1 (debuginst[10]), .B2 (debuginst[9])) ;
    dffr reg_inst_7 (.Q (debuginst[7]), .QB (nx15396), .D (nx36), .CLK (clk), .R (
         nx4179)) ;
    and02 ix37 (.Y (nx36), .A0 (pdata[7]), .A1 (nx20374)) ;
    dffr reg_inst_6 (.Q (debuginst[6]), .QB (nx15399), .D (nx48), .CLK (clk), .R (
         nx4179)) ;
    and02 ix49 (.Y (nx48), .A0 (pdata[6]), .A1 (nx20374)) ;
    dffr reg_inst_9 (.Q (debuginst[9]), .QB (\$dummy [3]), .D (nx58), .CLK (clk)
         , .R (nx4179)) ;
    and02 ix59 (.Y (nx58), .A0 (pdata[9]), .A1 (nx20374)) ;
    dffr reg_inst_10 (.Q (debuginst[10]), .QB (nx15407), .D (nx22), .CLK (clk), 
         .R (nx4179)) ;
    and02 ix23 (.Y (nx22), .A0 (pdata[10]), .A1 (nx20374)) ;
    dffr reg_inst_8 (.Q (debuginst[8]), .QB (nx15413), .D (nx78), .CLK (clk), .R (
         nx4179)) ;
    and02 ix79 (.Y (nx78), .A0 (pdata[8]), .A1 (nx20374)) ;
    ao221 ix3749 (.Y (nx3748), .A0 (expdin[0]), .A1 (nx20208), .B0 (nx20382), .B1 (
          nx3740), .C0 (nx996)) ;
    mux21 ix4342 (.Y (nx4341), .A0 (nx15426), .A1 (nx15428), .S0 (nx20376)) ;
    nand02 ix15427 (.Y (nx15426), .A0 (nx20170), .A1 (nx15377)) ;
    dffr reg_fsr_2 (.Q (fsr_2), .QB (nx15428), .D (nx4341), .CLK (clk), .R (
         nx4179)) ;
    nor02 ix15431 (.Y (nx15430), .A0 (nx256), .A1 (reset)) ;
    nor04 ix257 (.Y (nx256), .A0 (expaddr[0]), .A1 (expaddr[1]), .A2 (nx15469), 
          .A3 (nx15421)) ;
    ao21 ix187 (.Y (expaddr[0]), .A0 (fsr_0), .A1 (nx20378), .B0 (nx20190)) ;
    mux21 ix4312 (.Y (nx4311), .A0 (nx15438), .A1 (nx15440), .S0 (nx20376)) ;
    nand02 ix15439 (.Y (nx15438), .A0 (nx20174), .A1 (nx15377)) ;
    dffr reg_fsr_0 (.Q (fsr_0), .QB (nx15440), .D (nx4311), .CLK (clk), .R (
         nx4179)) ;
    nor04 ix15443 (.Y (nx15442), .A0 (nx20190), .A1 (nx20188), .A2 (nx134), .A3 (
          nx20186)) ;
    dffr reg_inst_1 (.Q (debuginst[1]), .QB (\$dummy [4]), .D (nx140), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix141 (.Y (nx140), .A0 (pdata[1]), .A1 (nx20374)) ;
    or02 ix135 (.Y (nx134), .A0 (debuginst[3]), .A1 (debuginst[4])) ;
    dffr reg_inst_3 (.Q (debuginst[3]), .QB (\$dummy [5]), .D (nx126), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix127 (.Y (nx126), .A0 (pdata[3]), .A1 (nx20374)) ;
    dffr reg_inst_4 (.Q (debuginst[4]), .QB (\$dummy [6]), .D (nx116), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix117 (.Y (nx116), .A0 (pdata[4]), .A1 (nx20374)) ;
    dffr reg_inst_2 (.Q (debuginst[2]), .QB (\$dummy [7]), .D (nx106), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix107 (.Y (nx106), .A0 (pdata[2]), .A1 (nx20374)) ;
    ao21 ix169 (.Y (expaddr[1]), .A0 (fsr_1), .A1 (nx20378), .B0 (nx20188)) ;
    mux21 ix4302 (.Y (nx4301), .A0 (nx15465), .A1 (nx15467), .S0 (nx20376)) ;
    nand02 ix15466 (.Y (nx15465), .A0 (nx20172), .A1 (nx15377)) ;
    dffr reg_fsr_1 (.Q (fsr_1), .QB (nx15467), .D (nx4301), .CLK (clk), .R (
         nx4179)) ;
    nand02 ix15470 (.Y (nx15469), .A0 (idecfwe), .A1 (nx230)) ;
    ao21 ix207 (.Y (expaddr[3]), .A0 (fsr_3), .A1 (nx20378), .B0 (debuginst[3])
         ) ;
    mux21 ix4322 (.Y (nx4321), .A0 (nx15475), .A1 (nx15477), .S0 (nx20376)) ;
    nand02 ix15476 (.Y (nx15475), .A0 (nx20168), .A1 (nx15377)) ;
    dffr reg_fsr_3 (.Q (fsr_3), .QB (nx15477), .D (nx4321), .CLK (clk), .R (
         nx4179)) ;
    ao21 ix225 (.Y (expaddr[4]), .A0 (fsr_4), .A1 (nx20378), .B0 (debuginst[4])
         ) ;
    mux21 ix4332 (.Y (nx4331), .A0 (nx15482), .A1 (nx15484), .S0 (nx20376)) ;
    nand02 ix15483 (.Y (nx15482), .A0 (nx20166), .A1 (nx15377)) ;
    dffr reg_fsr_4 (.Q (fsr_4), .QB (nx15484), .D (nx4331), .CLK (clk), .R (
         nx4179)) ;
    aoi44 ix15488 (.Y (nx15487), .A0 (debuginst[4]), .A1 (debuginst[3]), .A2 (
          debugstatus[6]), .A3 (debugstatus[5]), .B0 (nx20178), .B1 (nx20176), .B2 (
          expaddr[6]), .B3 (expaddr[5])) ;
    dffr reg_status_6 (.Q (debugstatus[6]), .QB (\$dummy [8]), .D (nx4361), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4362 (.Y (nx4361), .A0 (debugstatus[6]), .A1 (nx20380), .B0 (nx4359)
         ) ;
    nor02 ix15493 (.Y (nx15492), .A0 (nx286), .A1 (reset)) ;
    nor03 ix287 (.Y (nx286), .A0 (nx278), .A1 (nx15469), .A2 (nx20180)) ;
    nand02 ix279 (.Y (nx278), .A0 (expaddr[0]), .A1 (expaddr[1])) ;
    ao21 ix251 (.Y (expaddr[2]), .A0 (fsr_2), .A1 (nx20378), .B0 (nx20186)) ;
    nor02 ix4360 (.Y (nx4359), .A0 (nx15499), .A1 (nx20380)) ;
    nand02 ix15500 (.Y (nx15499), .A0 (nx20162), .A1 (nx15377)) ;
    dffr reg_status_5 (.Q (debugstatus[5]), .QB (\$dummy [9]), .D (nx4381), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4382 (.Y (nx4381), .A0 (debugstatus[5]), .A1 (nx20380), .B0 (nx4379)
         ) ;
    nor02 ix4380 (.Y (nx4379), .A0 (nx15505), .A1 (nx20380)) ;
    nand02 ix15506 (.Y (nx15505), .A0 (nx20164), .A1 (nx15377)) ;
    ao21 ix299 (.Y (expaddr[6]), .A0 (debugstatus[6]), .A1 (nx160), .B0 (nx272)
         ) ;
    nor02 ix273 (.Y (nx272), .A0 (nx15516), .A1 (nx160)) ;
    dffr reg_fsr_6 (.Q (\$dummy [10]), .QB (nx15516), .D (nx4351), .CLK (clk), .R (
         nx4179)) ;
    mux21 ix4352 (.Y (nx4351), .A0 (nx15499), .A1 (nx15516), .S0 (nx20376)) ;
    ao21 ix323 (.Y (expaddr[5]), .A0 (debugstatus[5]), .A1 (nx160), .B0 (nx312)
         ) ;
    nor02 ix313 (.Y (nx312), .A0 (nx15521), .A1 (nx160)) ;
    dffr reg_fsr_5 (.Q (\$dummy [11]), .QB (nx15521), .D (nx4371), .CLK (clk), .R (
         nx4179)) ;
    mux21 ix4372 (.Y (nx4371), .A0 (nx15505), .A1 (nx15521), .S0 (nx20376)) ;
    nor02 ix15526 (.Y (nx15525), .A0 (nx20208), .A1 (nx230)) ;
    nor04 ix15532 (.Y (nx15531), .A0 (nx2738), .A1 (nx2660), .A2 (nx2580), .A3 (
          nx2502)) ;
    ao221 ix2739 (.Y (nx2738), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_1236), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_1237), .B1 (nx20386)
          , .C0 (nx2736)) ;
    dffr regs_dram_modgen_ram_ix26_ix3953 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_1236), .QB (\$dummy [12]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_1236), .CLK (clk), .R (nx4179)) ;
    nand02 ix1329 (.Y (nx1328), .A0 (nx15541), .A1 (nx20180)) ;
    dffr regs_dram_modgen_ram_ix26_ix3957 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_1237), .QB (\$dummy [13]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_1237), .CLK (clk), .R (nx4179)) ;
    nor03 ix15552 (.Y (nx15551), .A0 (nx1328), .A1 (expaddr[0]), .A2 (expaddr[1]
          )) ;
    ao22 ix2737 (.Y (nx2736), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_1234), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_1235), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix3945 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_1234), .QB (\$dummy [14]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_1234), .CLK (clk), .R (nx4179)) ;
    nor02 ix15558 (.Y (nx15557), .A0 (nx1328), .A1 (nx278)) ;
    dffr regs_dram_modgen_ram_ix26_ix3949 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_1235), .QB (\$dummy [15]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_1235), .CLK (clk), .R (nx4179)) ;
    nor02 ix15563 (.Y (nx15562), .A0 (nx1328), .A1 (nx966)) ;
    nand02 ix967 (.Y (nx966), .A0 (nx15565), .A1 (expaddr[1])) ;
    ao221 ix2661 (.Y (nx2660), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_1240), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_1241), .B1 (nx20392)
          , .C0 (nx2658)) ;
    dffr regs_dram_modgen_ram_ix26_ix3969 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_1240), .QB (\$dummy [16]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_1240), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix3973 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_1241), .QB (\$dummy [17]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_1241), .CLK (clk), .R (nx4179)) ;
    nor04 ix15579 (.Y (nx15578), .A0 (nx1002), .A1 (nx20180), .A2 (expaddr[0]), 
          .A3 (expaddr[1])) ;
    ao22 ix2659 (.Y (nx2658), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_1238), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_1239), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix3961 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_1238), .QB (\$dummy [18]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_1238), .CLK (clk), .R (nx4179)) ;
    nor03 ix15585 (.Y (nx15584), .A0 (nx1002), .A1 (nx20180), .A2 (nx278)) ;
    dffr regs_dram_modgen_ram_ix26_ix3965 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_1239), .QB (\$dummy [19]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_1239), .CLK (clk), .R (nx4179)) ;
    nor03 ix15589 (.Y (nx15588), .A0 (nx1002), .A1 (nx20180), .A2 (nx966)) ;
    ao221 ix2581 (.Y (nx2580), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_1244), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_1245), .B1 (nx20402)
          , .C0 (nx2578)) ;
    ao21 ix5292 (.Y (nx5291), .A0 (nx20174), .A1 (nx20366), .B0 (nx5287)) ;
    nor03 ix2529 (.Y (nx2528), .A0 (nx20484), .A1 (nx20398), .A2 (nx20476)) ;
    nand04 ix2425 (.Y (nx2424), .A0 (expaddr[6]), .A1 (expaddr[5]), .A2 (nx20176
           ), .A3 (nx20178)) ;
    nand02 ix15597 (.Y (nx15596), .A0 (idecfwe), .A1 (nx20382)) ;
    nor02 ix15602 (.Y (nx15601), .A0 (nx15565), .A1 (expaddr[1])) ;
    nor02 ix5288 (.Y (nx5287), .A0 (nx15605), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix3985 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_1244), .QB (nx15605), .D (nx5291), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5282 (.Y (nx5281), .A0 (nx20174), .A1 (nx20364), .B0 (nx5277)) ;
    nor03 ix2511 (.Y (nx2510), .A0 (nx20484), .A1 (nx20398), .A2 (nx1150)) ;
    nor02 ix5278 (.Y (nx5277), .A0 (nx15617), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix3989 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_1245), .QB (nx15617), .D (nx5281), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix15620 (.Y (nx15619), .A0 (nx1148), .A1 (expaddr[0]), .A2 (expaddr[1]
          )) ;
    ao22 ix2579 (.Y (nx2578), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_1242), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_1243), .B1 (nx20406)
         ) ;
    ao21 ix5312 (.Y (nx5311), .A0 (nx20174), .A1 (nx20370), .B0 (nx5307)) ;
    nor03 ix2567 (.Y (nx2566), .A0 (nx20484), .A1 (nx20398), .A2 (nx1212)) ;
    nor02 ix5308 (.Y (nx5307), .A0 (nx15627), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix3977 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_1242), .QB (nx15627), .D (nx5311), .CLK (
         clk), .R (nx4179)) ;
    nor02 ix15630 (.Y (nx15629), .A0 (nx1148), .A1 (nx278)) ;
    ao21 ix5302 (.Y (nx5301), .A0 (nx20174), .A1 (nx20368), .B0 (nx5297)) ;
    nor03 ix2549 (.Y (nx2548), .A0 (nx20484), .A1 (nx20398), .A2 (nx1192)) ;
    nor02 ix5298 (.Y (nx5297), .A0 (nx15636), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix3981 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_1243), .QB (nx15636), .D (nx5301), .CLK (
         clk), .R (nx4179)) ;
    nor02 ix15640 (.Y (nx15639), .A0 (nx1148), .A1 (nx966)) ;
    ao221 ix2503 (.Y (nx2502), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_1248), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_1249), .B1 (nx20408)
          , .C0 (nx2500)) ;
    ao21 ix5252 (.Y (nx5251), .A0 (nx20174), .A1 (nx20358), .B0 (nx5247)) ;
    nor03 ix2451 (.Y (nx2450), .A0 (nx20484), .A1 (nx20398), .A2 (nx1078)) ;
    nand02 ix1079 (.Y (nx1078), .A0 (nx15646), .A1 (nx15601)) ;
    nor02 ix5248 (.Y (nx5247), .A0 (nx15649), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix4001 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_1248), .QB (nx15649), .D (nx5251), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1057 (.Y (nx1056), .A0 (fsr_2), .A1 (nx20378), .B0 (nx20176), .B1 (
          nx15574), .C0 (nx20186)) ;
    ao21 ix5242 (.Y (nx5241), .A0 (nx20174), .A1 (nx20356), .B0 (nx5237)) ;
    nor03 ix2433 (.Y (nx2432), .A0 (nx20484), .A1 (nx20398), .A2 (nx1058)) ;
    nor02 ix5238 (.Y (nx5237), .A0 (nx15663), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix4005 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_1249), .QB (nx15663), .D (nx5241), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix15666 (.Y (nx15665), .A0 (nx1056), .A1 (expaddr[0]), .A2 (expaddr[1]
          )) ;
    ao22 ix2501 (.Y (nx2500), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_1246), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_1247), .B1 (nx20412)
         ) ;
    ao21 ix5272 (.Y (nx5271), .A0 (nx20174), .A1 (nx20362), .B0 (nx5267)) ;
    nor03 ix2489 (.Y (nx2488), .A0 (nx20484), .A1 (nx20398), .A2 (nx1120)) ;
    nor02 ix5268 (.Y (nx5267), .A0 (nx15673), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix3993 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_1246), .QB (nx15673), .D (nx5271), .CLK (
         clk), .R (nx4179)) ;
    nor02 ix15676 (.Y (nx15675), .A0 (nx1056), .A1 (nx278)) ;
    ao21 ix5262 (.Y (nx5261), .A0 (nx20174), .A1 (nx20360), .B0 (nx5257)) ;
    nor03 ix2471 (.Y (nx2470), .A0 (nx20484), .A1 (nx20398), .A2 (nx1100)) ;
    nor02 ix5258 (.Y (nx5257), .A0 (nx15683), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix3997 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_1247), .QB (nx15683), .D (nx5261), .CLK (
         clk), .R (nx4179)) ;
    nor02 ix15686 (.Y (nx15685), .A0 (nx1056), .A1 (nx966)) ;
    ao221 ix2421 (.Y (nx2420), .A0 (nx20414), .A1 (nx2412), .B0 (nx20416), .B1 (
          nx2080), .C0 (nx1754)) ;
    aoi32 ix15691 (.Y (nx15690), .A0 (nx1028), .A1 (expaddr[5]), .A2 (nx15693), 
          .B0 (expaddr[6]), .B1 (nx1038)) ;
    nand04 ix1029 (.Y (nx1028), .A0 (expaddr[5]), .A1 (expaddr[6]), .A2 (nx20176
           ), .A3 (nx20178)) ;
    aoi21 ix1039 (.Y (nx1038), .A0 (expaddr[5]), .A1 (nx20178), .B0 (nx15543)) ;
    inv02 ix2413 (.Y (nx2412), .A (nx15702)) ;
    nor04 ix15703 (.Y (nx15702), .A0 (nx2408), .A1 (nx2330), .A2 (nx2250), .A3 (
          nx2172)) ;
    ao221 ix2409 (.Y (nx2408), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_1252), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_1253), .B1 (nx20386)
          , .C0 (nx2406)) ;
    ao21 ix5212 (.Y (nx5211), .A0 (nx20174), .A1 (nx20350), .B0 (nx5207)) ;
    nor03 ix2357 (.Y (nx2356), .A0 (nx20482), .A1 (nx20398), .A2 (nx20478)) ;
    mux21 ix1021 (.Y (nx1020), .A0 (nx1012), .A1 (nx1002), .S0 (expaddr[5])) ;
    nor02 ix5208 (.Y (nx5207), .A0 (nx15717), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix4017 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_1252), .QB (nx15717), .D (nx5211), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5202 (.Y (nx5201), .A0 (nx20174), .A1 (nx20348), .B0 (nx5197)) ;
    nor03 ix2339 (.Y (nx2338), .A0 (nx20482), .A1 (nx20398), .A2 (nx1330)) ;
    nor02 ix5198 (.Y (nx5197), .A0 (nx15725), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix4021 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_1253), .QB (nx15725), .D (nx5201), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix2407 (.Y (nx2406), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_1250), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_1251), .B1 (nx20390)
         ) ;
    ao21 ix5232 (.Y (nx5231), .A0 (nx20174), .A1 (nx20354), .B0 (nx5227)) ;
    nor03 ix2395 (.Y (nx2394), .A0 (nx20482), .A1 (nx20398), .A2 (nx1392)) ;
    nor02 ix5228 (.Y (nx5227), .A0 (nx15735), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix4009 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_1250), .QB (nx15735), .D (nx5231), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5222 (.Y (nx5221), .A0 (nx20174), .A1 (nx20352), .B0 (nx5217)) ;
    nor03 ix2377 (.Y (nx2376), .A0 (nx20482), .A1 (nx20398), .A2 (nx1372)) ;
    nor02 ix5218 (.Y (nx5217), .A0 (nx15743), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix4013 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_1251), .QB (nx15743), .D (nx5221), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix2331 (.Y (nx2330), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_1256), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_1257), .B1 (nx20392)
          , .C0 (nx2328)) ;
    ao21 ix5172 (.Y (nx5171), .A0 (nx20174), .A1 (nx20342), .B0 (nx5167)) ;
    nor03 ix2279 (.Y (nx2278), .A0 (nx20482), .A1 (nx20398), .A2 (nx1260)) ;
    nand02 ix1261 (.Y (nx1260), .A0 (nx15751), .A1 (nx15601)) ;
    nor02 ix5168 (.Y (nx5167), .A0 (nx15755), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix4033 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_1256), .QB (nx15755), .D (nx5171), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5162 (.Y (nx5161), .A0 (nx20174), .A1 (nx20340), .B0 (nx5157)) ;
    nor03 ix2261 (.Y (nx2260), .A0 (nx20482), .A1 (nx20398), .A2 (nx1240)) ;
    nor02 ix5158 (.Y (nx5157), .A0 (nx15763), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix4037 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_1257), .QB (nx15763), .D (nx5161), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix2329 (.Y (nx2328), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_1254), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_1255), .B1 (nx20396)
         ) ;
    ao21 ix5192 (.Y (nx5191), .A0 (nx20174), .A1 (nx20346), .B0 (nx5187)) ;
    nor03 ix2317 (.Y (nx2316), .A0 (nx20482), .A1 (nx20398), .A2 (nx1302)) ;
    nor02 ix5188 (.Y (nx5187), .A0 (nx15772), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix4025 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_1254), .QB (nx15772), .D (nx5191), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5182 (.Y (nx5181), .A0 (nx20174), .A1 (nx20344), .B0 (nx5177)) ;
    nor03 ix2299 (.Y (nx2298), .A0 (nx20482), .A1 (nx20398), .A2 (nx1282)) ;
    nor02 ix5178 (.Y (nx5177), .A0 (nx15782), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix4029 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_1255), .QB (nx15782), .D (nx5181), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix2251 (.Y (nx2250), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_1260), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_1261), .B1 (nx20402)
          , .C0 (nx2248)) ;
    ao21 ix5132 (.Y (nx5131), .A0 (nx20174), .A1 (nx20334), .B0 (nx5127)) ;
    nor03 ix2199 (.Y (nx2198), .A0 (nx20482), .A1 (nx20398), .A2 (nx20476)) ;
    nor02 ix5128 (.Y (nx5127), .A0 (nx15789), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix4049 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_1260), .QB (nx15789), .D (nx5131), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5122 (.Y (nx5121), .A0 (nx20174), .A1 (nx20332), .B0 (nx5117)) ;
    nor03 ix2181 (.Y (nx2180), .A0 (nx20482), .A1 (nx20398), .A2 (nx1150)) ;
    nor02 ix5118 (.Y (nx5117), .A0 (nx15795), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix4053 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_1261), .QB (nx15795), .D (nx5121), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix2249 (.Y (nx2248), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_1258), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_1259), .B1 (nx20406)
         ) ;
    ao21 ix5152 (.Y (nx5151), .A0 (nx20174), .A1 (nx20338), .B0 (nx5147)) ;
    nor03 ix2237 (.Y (nx2236), .A0 (nx20482), .A1 (nx20398), .A2 (nx1212)) ;
    nor02 ix5148 (.Y (nx5147), .A0 (nx15805), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix4041 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_1258), .QB (nx15805), .D (nx5151), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5142 (.Y (nx5141), .A0 (nx20174), .A1 (nx20336), .B0 (nx5137)) ;
    nor03 ix2219 (.Y (nx2218), .A0 (nx20482), .A1 (nx20398), .A2 (nx1192)) ;
    nor02 ix5138 (.Y (nx5137), .A0 (nx15811), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix4045 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_1259), .QB (nx15811), .D (nx5141), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix2173 (.Y (nx2172), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_1264), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_1265), .B1 (nx20408)
          , .C0 (nx2170)) ;
    ao21 ix5092 (.Y (nx5091), .A0 (nx20174), .A1 (nx20326), .B0 (nx5087)) ;
    nor03 ix2121 (.Y (nx2120), .A0 (nx20482), .A1 (nx20398), .A2 (nx1078)) ;
    nor02 ix5088 (.Y (nx5087), .A0 (nx15819), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix4065 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_1264), .QB (nx15819), .D (nx5091), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5082 (.Y (nx5081), .A0 (nx20174), .A1 (nx20324), .B0 (nx5077)) ;
    nor03 ix2103 (.Y (nx2102), .A0 (nx20482), .A1 (nx20398), .A2 (nx1058)) ;
    nor02 ix5078 (.Y (nx5077), .A0 (nx15827), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix4069 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_1265), .QB (nx15827), .D (nx5081), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix2171 (.Y (nx2170), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_1262), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_1263), .B1 (nx20412)
         ) ;
    ao21 ix5112 (.Y (nx5111), .A0 (nx20174), .A1 (nx20330), .B0 (nx5107)) ;
    nor03 ix2159 (.Y (nx2158), .A0 (nx20482), .A1 (nx20398), .A2 (nx1120)) ;
    nor02 ix5108 (.Y (nx5107), .A0 (nx15835), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix4057 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_1262), .QB (nx15835), .D (nx5111), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5102 (.Y (nx5101), .A0 (nx20174), .A1 (nx20328), .B0 (nx5097)) ;
    nor03 ix2141 (.Y (nx2140), .A0 (nx20482), .A1 (nx20398), .A2 (nx1100)) ;
    nor02 ix5098 (.Y (nx5097), .A0 (nx15841), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix4061 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_1263), .QB (nx15841), .D (nx5101), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix2081 (.Y (nx2080), .A (nx15847)) ;
    nor04 ix15848 (.Y (nx15847), .A0 (nx2076), .A1 (nx1998), .A2 (nx1918), .A3 (
          nx1840)) ;
    ao221 ix2077 (.Y (nx2076), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_1268), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_1269), .B1 (nx20386)
          , .C0 (nx2074)) ;
    ao21 ix5052 (.Y (nx5051), .A0 (nx20174), .A1 (nx20318), .B0 (nx5047)) ;
    nor03 ix2025 (.Y (nx2024), .A0 (nx20480), .A1 (nx20398), .A2 (nx20478)) ;
    nor02 ix5048 (.Y (nx5047), .A0 (nx15859), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix4081 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_1268), .QB (nx15859), .D (nx5051), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5042 (.Y (nx5041), .A0 (nx20174), .A1 (nx20316), .B0 (nx5037)) ;
    nor03 ix2007 (.Y (nx2006), .A0 (nx20480), .A1 (nx20398), .A2 (nx1330)) ;
    nor02 ix5038 (.Y (nx5037), .A0 (nx15865), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix4085 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_1269), .QB (nx15865), .D (nx5041), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix2075 (.Y (nx2074), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_1266), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_1267), .B1 (nx20390)
         ) ;
    ao21 ix5072 (.Y (nx5071), .A0 (nx20174), .A1 (nx20322), .B0 (nx5067)) ;
    nor03 ix2063 (.Y (nx2062), .A0 (nx20480), .A1 (nx20398), .A2 (nx1392)) ;
    nor02 ix5068 (.Y (nx5067), .A0 (nx15873), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix4073 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_1266), .QB (nx15873), .D (nx5071), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5062 (.Y (nx5061), .A0 (nx20174), .A1 (nx20320), .B0 (nx5057)) ;
    nor03 ix2045 (.Y (nx2044), .A0 (nx20480), .A1 (nx20398), .A2 (nx1372)) ;
    nor02 ix5058 (.Y (nx5057), .A0 (nx15881), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix4077 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_1267), .QB (nx15881), .D (nx5061), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1999 (.Y (nx1998), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_1272), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_1273), .B1 (nx20392)
          , .C0 (nx1996)) ;
    ao21 ix5012 (.Y (nx5011), .A0 (nx20174), .A1 (nx20310), .B0 (nx5007)) ;
    nor03 ix1947 (.Y (nx1946), .A0 (nx20480), .A1 (nx20398), .A2 (nx1260)) ;
    nor02 ix5008 (.Y (nx5007), .A0 (nx15889), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix4097 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_1272), .QB (nx15889), .D (nx5011), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5002 (.Y (nx5001), .A0 (nx20174), .A1 (nx20308), .B0 (nx4997)) ;
    nor03 ix1929 (.Y (nx1928), .A0 (nx20480), .A1 (nx20398), .A2 (nx1240)) ;
    nor02 ix4998 (.Y (nx4997), .A0 (nx15895), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix4101 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_1273), .QB (nx15895), .D (nx5001), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1997 (.Y (nx1996), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_1270), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_1271), .B1 (nx20396)
         ) ;
    ao21 ix5032 (.Y (nx5031), .A0 (nx20174), .A1 (nx20314), .B0 (nx5027)) ;
    nor03 ix1985 (.Y (nx1984), .A0 (nx20480), .A1 (nx20398), .A2 (nx1302)) ;
    nor02 ix5028 (.Y (nx5027), .A0 (nx15905), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix4089 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_1270), .QB (nx15905), .D (nx5031), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5022 (.Y (nx5021), .A0 (nx20174), .A1 (nx20312), .B0 (nx5017)) ;
    nor03 ix1967 (.Y (nx1966), .A0 (nx20480), .A1 (nx20398), .A2 (nx1282)) ;
    nor02 ix5018 (.Y (nx5017), .A0 (nx15911), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix4093 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_1271), .QB (nx15911), .D (nx5021), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1919 (.Y (nx1918), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_1276), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_1277), .B1 (nx20402)
          , .C0 (nx1916)) ;
    ao21 ix4972 (.Y (nx4971), .A0 (nx20174), .A1 (nx20302), .B0 (nx4967)) ;
    nor03 ix1867 (.Y (nx1866), .A0 (nx20480), .A1 (nx20398), .A2 (nx20476)) ;
    nor02 ix4968 (.Y (nx4967), .A0 (nx15919), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix4113 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_1276), .QB (nx15919), .D (nx4971), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4962 (.Y (nx4961), .A0 (nx20174), .A1 (nx20300), .B0 (nx4957)) ;
    nor03 ix1849 (.Y (nx1848), .A0 (nx20480), .A1 (nx20398), .A2 (nx1150)) ;
    nor02 ix4958 (.Y (nx4957), .A0 (nx15927), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix4117 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_1277), .QB (nx15927), .D (nx4961), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1917 (.Y (nx1916), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_1274), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_1275), .B1 (nx20406)
         ) ;
    ao21 ix4992 (.Y (nx4991), .A0 (nx20174), .A1 (nx20306), .B0 (nx4987)) ;
    nor03 ix1905 (.Y (nx1904), .A0 (nx20480), .A1 (nx20398), .A2 (nx1212)) ;
    nor02 ix4988 (.Y (nx4987), .A0 (nx15935), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix4105 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_1274), .QB (nx15935), .D (nx4991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4982 (.Y (nx4981), .A0 (nx20174), .A1 (nx20304), .B0 (nx4977)) ;
    nor03 ix1887 (.Y (nx1886), .A0 (nx20480), .A1 (nx20398), .A2 (nx1192)) ;
    nor02 ix4978 (.Y (nx4977), .A0 (nx15941), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix4109 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_1275), .QB (nx15941), .D (nx4981), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1841 (.Y (nx1840), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_1280), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_1281), .B1 (nx20408)
          , .C0 (nx1838)) ;
    ao21 ix4932 (.Y (nx4931), .A0 (nx20174), .A1 (nx20294), .B0 (nx4927)) ;
    nor03 ix1789 (.Y (nx1788), .A0 (nx20480), .A1 (nx20398), .A2 (nx1078)) ;
    nor02 ix4928 (.Y (nx4927), .A0 (nx15951), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix4129 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_1280), .QB (nx15951), .D (nx4931), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4922 (.Y (nx4921), .A0 (nx20174), .A1 (nx20292), .B0 (nx4917)) ;
    nor03 ix1771 (.Y (nx1770), .A0 (nx20480), .A1 (nx20398), .A2 (nx1058)) ;
    nor02 ix4918 (.Y (nx4917), .A0 (nx15957), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix4133 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_1281), .QB (nx15957), .D (nx4921), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1839 (.Y (nx1838), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_1278), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_1279), .B1 (nx20412)
         ) ;
    ao21 ix4952 (.Y (nx4951), .A0 (nx20174), .A1 (nx20298), .B0 (nx4947)) ;
    nor03 ix1827 (.Y (nx1826), .A0 (nx20480), .A1 (nx20398), .A2 (nx1120)) ;
    nor02 ix4948 (.Y (nx4947), .A0 (nx15965), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix4121 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_1278), .QB (nx15965), .D (nx4951), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4942 (.Y (nx4941), .A0 (nx20174), .A1 (nx20296), .B0 (nx4937)) ;
    nor03 ix1809 (.Y (nx1808), .A0 (nx20480), .A1 (nx20398), .A2 (nx1100)) ;
    nor02 ix4938 (.Y (nx4937), .A0 (nx15971), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix4125 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_1279), .QB (nx15971), .D (nx4941), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix1755 (.Y (nx1754), .A0 (nx20258), .A1 (nx15976), .B0 (nx20224), .B1 (
          nx16111)) ;
    nand03 ix1431 (.Y (nx1430), .A0 (nx15690), .A1 (nx1028), .A2 (nx1020)) ;
    nor04 ix15977 (.Y (nx15976), .A0 (nx1744), .A1 (nx1666), .A2 (nx1586), .A3 (
          nx1508)) ;
    ao221 ix1745 (.Y (nx1744), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_1284), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_1285), .B1 (nx20386)
          , .C0 (nx1742)) ;
    ao21 ix4892 (.Y (nx4891), .A0 (nx20174), .A1 (nx20286), .B0 (nx4887)) ;
    nor03 ix1693 (.Y (nx1692), .A0 (nx20258), .A1 (nx20398), .A2 (nx20478)) ;
    nor02 ix4888 (.Y (nx4887), .A0 (nx15983), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix4145 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_1284), .QB (nx15983), .D (nx4891), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4882 (.Y (nx4881), .A0 (nx20174), .A1 (nx20284), .B0 (nx4877)) ;
    nor03 ix1675 (.Y (nx1674), .A0 (nx20258), .A1 (nx20398), .A2 (nx1330)) ;
    nor02 ix4878 (.Y (nx4877), .A0 (nx15989), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix4149 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_1285), .QB (nx15989), .D (nx4881), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1743 (.Y (nx1742), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_1282), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_1283), .B1 (nx20390)
         ) ;
    ao21 ix4912 (.Y (nx4911), .A0 (nx20174), .A1 (nx20290), .B0 (nx4907)) ;
    nor03 ix1731 (.Y (nx1730), .A0 (nx20258), .A1 (nx20398), .A2 (nx1392)) ;
    nor02 ix4908 (.Y (nx4907), .A0 (nx15999), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix4137 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_1282), .QB (nx15999), .D (nx4911), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4902 (.Y (nx4901), .A0 (nx20174), .A1 (nx20288), .B0 (nx4897)) ;
    nor03 ix1713 (.Y (nx1712), .A0 (nx20258), .A1 (nx20398), .A2 (nx1372)) ;
    nor02 ix4898 (.Y (nx4897), .A0 (nx16005), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix4141 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_1283), .QB (nx16005), .D (nx4901), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1667 (.Y (nx1666), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_1288), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_1289), .B1 (nx20392)
          , .C0 (nx1664)) ;
    ao21 ix4852 (.Y (nx4851), .A0 (nx20174), .A1 (nx20278), .B0 (nx4847)) ;
    nor03 ix1615 (.Y (nx1614), .A0 (nx20258), .A1 (nx20398), .A2 (nx1260)) ;
    nor02 ix4848 (.Y (nx4847), .A0 (nx16013), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix4161 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_1288), .QB (nx16013), .D (nx4851), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4842 (.Y (nx4841), .A0 (nx20174), .A1 (nx20276), .B0 (nx4837)) ;
    nor03 ix1597 (.Y (nx1596), .A0 (nx20258), .A1 (nx20398), .A2 (nx1240)) ;
    nor02 ix4838 (.Y (nx4837), .A0 (nx16021), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix4165 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_1289), .QB (nx16021), .D (nx4841), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1665 (.Y (nx1664), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_1286), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_1287), .B1 (nx20396)
         ) ;
    ao21 ix4872 (.Y (nx4871), .A0 (nx20174), .A1 (nx20282), .B0 (nx4867)) ;
    nor03 ix1653 (.Y (nx1652), .A0 (nx20258), .A1 (nx20398), .A2 (nx1302)) ;
    nor02 ix4868 (.Y (nx4867), .A0 (nx16029), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix4153 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_1286), .QB (nx16029), .D (nx4871), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4862 (.Y (nx4861), .A0 (nx20174), .A1 (nx20280), .B0 (nx4857)) ;
    nor03 ix1635 (.Y (nx1634), .A0 (nx20258), .A1 (nx20398), .A2 (nx1282)) ;
    nor02 ix4858 (.Y (nx4857), .A0 (nx16035), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix4157 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_1287), .QB (nx16035), .D (nx4861), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1587 (.Y (nx1586), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_1292), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_1293), .B1 (nx20402)
          , .C0 (nx1584)) ;
    ao21 ix4812 (.Y (nx4811), .A0 (nx20174), .A1 (nx20270), .B0 (nx4807)) ;
    nor03 ix1535 (.Y (nx1534), .A0 (nx20258), .A1 (nx20398), .A2 (nx20476)) ;
    nor02 ix4808 (.Y (nx4807), .A0 (nx16045), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix4177 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_1292), .QB (nx16045), .D (nx4811), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4802 (.Y (nx4801), .A0 (nx20174), .A1 (nx20268), .B0 (nx4797)) ;
    nor03 ix1517 (.Y (nx1516), .A0 (nx20258), .A1 (nx20398), .A2 (nx1150)) ;
    nor02 ix4798 (.Y (nx4797), .A0 (nx16053), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix4181 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_1293), .QB (nx16053), .D (nx4801), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1585 (.Y (nx1584), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_1290), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_1291), .B1 (nx20406)
         ) ;
    ao21 ix4832 (.Y (nx4831), .A0 (nx20174), .A1 (nx20274), .B0 (nx4827)) ;
    nor03 ix1573 (.Y (nx1572), .A0 (nx20258), .A1 (nx20398), .A2 (nx1212)) ;
    nor02 ix4828 (.Y (nx4827), .A0 (nx16063), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix4169 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_1290), .QB (nx16063), .D (nx4831), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4822 (.Y (nx4821), .A0 (nx20174), .A1 (nx20272), .B0 (nx4817)) ;
    nor03 ix1555 (.Y (nx1554), .A0 (nx20258), .A1 (nx20398), .A2 (nx1192)) ;
    nor02 ix4818 (.Y (nx4817), .A0 (nx16071), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix4173 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_1291), .QB (nx16071), .D (nx4821), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1509 (.Y (nx1508), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_1296), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_1297), .B1 (nx20408)
          , .C0 (nx1506)) ;
    ao21 ix4772 (.Y (nx4771), .A0 (nx20174), .A1 (nx20262), .B0 (nx4767)) ;
    nor03 ix1457 (.Y (nx1456), .A0 (nx20258), .A1 (nx20398), .A2 (nx1078)) ;
    nor02 ix4768 (.Y (nx4767), .A0 (nx16078), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix4193 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_1296), .QB (nx16078), .D (nx4771), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4762 (.Y (nx4761), .A0 (nx20174), .A1 (nx20260), .B0 (nx4757)) ;
    nor03 ix1439 (.Y (nx1438), .A0 (nx20258), .A1 (nx20398), .A2 (nx1058)) ;
    nor02 ix4758 (.Y (nx4757), .A0 (nx16087), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix4197 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_1297), .QB (nx16087), .D (nx4761), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1507 (.Y (nx1506), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_1294), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_1295), .B1 (nx20412)
         ) ;
    ao21 ix4792 (.Y (nx4791), .A0 (nx20174), .A1 (nx20266), .B0 (nx4787)) ;
    nor03 ix1495 (.Y (nx1494), .A0 (nx20258), .A1 (nx20398), .A2 (nx1120)) ;
    nor02 ix4788 (.Y (nx4787), .A0 (nx16099), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix4185 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_1294), .QB (nx16099), .D (nx4791), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4782 (.Y (nx4781), .A0 (nx20174), .A1 (nx20264), .B0 (nx4777)) ;
    nor03 ix1477 (.Y (nx1476), .A0 (nx20258), .A1 (nx20398), .A2 (nx1100)) ;
    nor02 ix4778 (.Y (nx4777), .A0 (nx16107), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix4189 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_1295), .QB (nx16107), .D (nx4781), .CLK (
         clk), .R (nx4179)) ;
    nand03 ix1049 (.Y (nx1048), .A0 (nx15690), .A1 (nx1028), .A2 (nx15699)) ;
    nor04 ix16112 (.Y (nx16111), .A0 (nx1414), .A1 (nx1324), .A2 (nx1234), .A3 (
          nx1142)) ;
    ao221 ix1415 (.Y (nx1414), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_1300), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_1301), .B1 (nx20386)
          , .C0 (nx1412)) ;
    ao21 ix4732 (.Y (nx4731), .A0 (nx20174), .A1 (nx20252), .B0 (nx4727)) ;
    nor03 ix1359 (.Y (nx1358), .A0 (nx20224), .A1 (nx20398), .A2 (nx20478)) ;
    nor02 ix4728 (.Y (nx4727), .A0 (nx16121), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix4209 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_1300), .QB (nx16121), .D (nx4731), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4722 (.Y (nx4721), .A0 (nx20174), .A1 (nx20250), .B0 (nx4717)) ;
    nor03 ix1339 (.Y (nx1338), .A0 (nx20224), .A1 (nx20398), .A2 (nx1330)) ;
    nor02 ix4718 (.Y (nx4717), .A0 (nx16131), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix4213 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_1301), .QB (nx16131), .D (nx4721), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1413 (.Y (nx1412), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_1298), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_1299), .B1 (nx20390)
         ) ;
    ao21 ix4752 (.Y (nx4751), .A0 (nx20174), .A1 (nx20256), .B0 (nx4747)) ;
    nor03 ix1401 (.Y (nx1400), .A0 (nx20224), .A1 (nx20398), .A2 (nx1392)) ;
    nor02 ix4748 (.Y (nx4747), .A0 (nx16141), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix4201 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_1298), .QB (nx16141), .D (nx4751), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4742 (.Y (nx4741), .A0 (nx20174), .A1 (nx20254), .B0 (nx4737)) ;
    nor03 ix1381 (.Y (nx1380), .A0 (nx20224), .A1 (nx20398), .A2 (nx1372)) ;
    nor02 ix4738 (.Y (nx4737), .A0 (nx16149), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix4205 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_1299), .QB (nx16149), .D (nx4741), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1325 (.Y (nx1324), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_1304), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_1305), .B1 (nx20392)
          , .C0 (nx1322)) ;
    ao21 ix4692 (.Y (nx4691), .A0 (nx20174), .A1 (nx20244), .B0 (nx4687)) ;
    nor03 ix1269 (.Y (nx1268), .A0 (nx20224), .A1 (nx20398), .A2 (nx1260)) ;
    nor02 ix4688 (.Y (nx4687), .A0 (nx16159), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix4225 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_1304), .QB (nx16159), .D (nx4691), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4682 (.Y (nx4681), .A0 (nx20174), .A1 (nx20242), .B0 (nx4677)) ;
    nor03 ix1249 (.Y (nx1248), .A0 (nx20224), .A1 (nx20398), .A2 (nx1240)) ;
    nor02 ix4678 (.Y (nx4677), .A0 (nx16167), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix4229 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_1305), .QB (nx16167), .D (nx4681), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1323 (.Y (nx1322), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_1302), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_1303), .B1 (nx20396)
         ) ;
    ao21 ix4712 (.Y (nx4711), .A0 (nx20174), .A1 (nx20248), .B0 (nx4707)) ;
    nor03 ix1311 (.Y (nx1310), .A0 (nx20224), .A1 (nx20398), .A2 (nx1302)) ;
    nor02 ix4708 (.Y (nx4707), .A0 (nx16177), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix4217 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_1302), .QB (nx16177), .D (nx4711), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4702 (.Y (nx4701), .A0 (nx20174), .A1 (nx20246), .B0 (nx4697)) ;
    nor03 ix1291 (.Y (nx1290), .A0 (nx20224), .A1 (nx20398), .A2 (nx1282)) ;
    nor02 ix4698 (.Y (nx4697), .A0 (nx16185), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix4221 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_1303), .QB (nx16185), .D (nx4701), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1235 (.Y (nx1234), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_1308), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_1309), .B1 (nx20402)
          , .C0 (nx1232)) ;
    ao21 ix4652 (.Y (nx4651), .A0 (nx20174), .A1 (nx20236), .B0 (nx4647)) ;
    nor03 ix1179 (.Y (nx1178), .A0 (nx20224), .A1 (nx20398), .A2 (nx20476)) ;
    nor02 ix4648 (.Y (nx4647), .A0 (nx16195), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix4241 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_1308), .QB (nx16195), .D (nx4651), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4642 (.Y (nx4641), .A0 (nx20174), .A1 (nx20234), .B0 (nx4637)) ;
    nor03 ix1159 (.Y (nx1158), .A0 (nx20224), .A1 (nx20398), .A2 (nx1150)) ;
    nor02 ix4638 (.Y (nx4637), .A0 (nx16203), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix4245 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_1309), .QB (nx16203), .D (nx4641), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1233 (.Y (nx1232), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_1306), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_1307), .B1 (nx20406)
         ) ;
    ao21 ix4672 (.Y (nx4671), .A0 (nx20174), .A1 (nx20240), .B0 (nx4667)) ;
    nor03 ix1221 (.Y (nx1220), .A0 (nx20224), .A1 (nx20398), .A2 (nx1212)) ;
    nor02 ix4668 (.Y (nx4667), .A0 (nx16213), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix4233 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_1306), .QB (nx16213), .D (nx4671), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4662 (.Y (nx4661), .A0 (nx20174), .A1 (nx20238), .B0 (nx4657)) ;
    nor03 ix1201 (.Y (nx1200), .A0 (nx20224), .A1 (nx20398), .A2 (nx1192)) ;
    nor02 ix4658 (.Y (nx4657), .A0 (nx16223), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix4237 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_1307), .QB (nx16223), .D (nx4661), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix1143 (.Y (nx1142), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_1312), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_1313), .B1 (nx20408)
          , .C0 (nx1140)) ;
    ao21 ix4612 (.Y (nx4611), .A0 (nx20174), .A1 (nx20228), .B0 (nx4607)) ;
    nor03 ix1087 (.Y (nx1086), .A0 (nx20224), .A1 (nx20398), .A2 (nx1078)) ;
    nor02 ix4608 (.Y (nx4607), .A0 (nx16233), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix4257 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_1312), .QB (nx16233), .D (nx4611), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4602 (.Y (nx4601), .A0 (nx20174), .A1 (nx20226), .B0 (nx4597)) ;
    nor03 ix1067 (.Y (nx1066), .A0 (nx20224), .A1 (nx20398), .A2 (nx1058)) ;
    nor02 ix4598 (.Y (nx4597), .A0 (nx16241), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix4261 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_1313), .QB (nx16241), .D (nx4601), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix1141 (.Y (nx1140), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_1310), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_1311), .B1 (nx20412)
         ) ;
    ao21 ix4632 (.Y (nx4631), .A0 (nx20174), .A1 (nx20232), .B0 (nx4627)) ;
    nor03 ix1129 (.Y (nx1128), .A0 (nx20224), .A1 (nx20398), .A2 (nx1120)) ;
    nor02 ix4628 (.Y (nx4627), .A0 (nx16251), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix4249 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_1310), .QB (nx16251), .D (nx4631), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4622 (.Y (nx4621), .A0 (nx20174), .A1 (nx20230), .B0 (nx4617)) ;
    nor03 ix1109 (.Y (nx1108), .A0 (nx20224), .A1 (nx20398), .A2 (nx1100)) ;
    nor02 ix4618 (.Y (nx4617), .A0 (nx16259), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix4253 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_1311), .QB (nx16259), .D (nx4621), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix997 (.Y (nx996), .A0 (nx20178), .A1 (nx20176), .A2 (nx16263)) ;
    mux21 ix16264 (.Y (nx16263), .A0 (nx678), .A1 (nx990), .S0 (nx20188)) ;
    mux21 ix679 (.Y (nx678), .A0 (nx15440), .A1 (nx16267), .S0 (nx20190)) ;
    mux21 ix16268 (.Y (nx16267), .A0 (tmr0_0), .A1 (porta_0), .S0 (nx20186)) ;
    mux21 ix4532 (.Y (nx4531), .A0 (nx16273), .A1 (nx16275), .S0 (nx20212)) ;
    dffr reg_tmr0_0 (.Q (tmr0_0), .QB (nx16273), .D (nx4531), .CLK (clk), .R (
         nx4179)) ;
    aoi21 ix16276 (.Y (nx16275), .A0 (nx172), .A1 (nx20210), .B0 (nx654)) ;
    nor03 ix383 (.Y (nx382), .A0 (nx374), .A1 (nx15469), .A2 (nx20180)) ;
    nor03 ix655 (.Y (nx654), .A0 (nx20210), .A1 (reset), .A2 (tmr0_0)) ;
    ao221 ix645 (.Y (nx644), .A0 (nx15601), .A1 (nx378), .B0 (nx396), .B1 (nx638
          ), .C0 (reset)) ;
    nor02 ix379 (.Y (nx378), .A0 (nx15469), .A1 (nx20180)) ;
    nand02 ix397 (.Y (nx396), .A0 (option_5), .A1 (nx15377)) ;
    dffr reg_option_5 (.Q (option_5), .QB (\$dummy [20]), .D (nx4401), .CLK (clk
         ), .R (nx4179)) ;
    ao221 ix4402 (.Y (nx4401), .A0 (nx20164), .A1 (nx20196), .B0 (option_5), .B1 (
          nx16289), .C0 (reset)) ;
    nor02 ix16290 (.Y (nx16289), .A0 (reset), .A1 (nx20196)) ;
    ao21 ix639 (.Y (nx638), .A0 (nx4289), .A1 (nx634), .B0 (option_3)) ;
    nor02 ix417 (.Y (nx4289), .A0 (reset), .A1 (prescaler_0)) ;
    dffr reg_prescaler_0 (.Q (prescaler_0), .QB (nx16301), .D (nx4421), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix635 (.Y (nx634), .A0 (nx16303), .A1 (nx628), .B0 (nx606)) ;
    ao221 ix4462 (.Y (nx4461), .A0 (nx20170), .A1 (nx20196), .B0 (option_2), .B1 (
          nx16289), .C0 (reset)) ;
    dffr reg_option_2 (.Q (option_2), .QB (nx16303), .D (nx4461), .CLK (clk), .R (
         nx4179)) ;
    oai32 ix629 (.Y (nx628), .A0 (prescaler_1), .A1 (option_0), .A2 (prescaler_2
          ), .B0 (option_1), .B1 (nx16341)) ;
    oai21 ix4432 (.Y (nx4431), .A0 (nx16313), .A1 (nx396), .B0 (nx16315)) ;
    dffr reg_prescaler_1 (.Q (prescaler_1), .QB (nx16313), .D (nx4431), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix16316 (.Y (nx16315), .A0 (nx16301), .A1 (nx16313), .B0 (option_5), .B1 (
          nx15377), .C0 (nx16317)) ;
    ao21 ix16318 (.Y (nx16317), .A0 (prescaler_1), .A1 (prescaler_0), .B0 (reset
         )) ;
    dffr reg_option_0 (.Q (option_0), .QB (nx16321), .D (nx4511), .CLK (clk), .R (
         nx4179)) ;
    ao221 ix4512 (.Y (nx4511), .A0 (nx20174), .A1 (nx20196), .B0 (option_0), .B1 (
          nx16289), .C0 (reset)) ;
    oai21 ix4442 (.Y (nx4441), .A0 (nx16325), .A1 (nx396), .B0 (nx16327)) ;
    dffr reg_prescaler_2 (.Q (prescaler_2), .QB (nx16325), .D (nx4441), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix16328 (.Y (nx16327), .A0 (nx16329), .A1 (nx16325), .B0 (option_5), .B1 (
          nx15377), .C0 (nx16331)) ;
    nand02 ix16332 (.Y (nx16331), .A0 (nx15377), .A1 (nx16333)) ;
    dffr reg_option_1 (.Q (option_1), .QB (\$dummy [21]), .D (nx4491), .CLK (clk
         ), .R (nx4179)) ;
    ao221 ix4492 (.Y (nx4491), .A0 (nx20172), .A1 (nx20196), .B0 (option_1), .B1 (
          nx16289), .C0 (reset)) ;
    nor04 ix607 (.Y (nx606), .A0 (prescaler_3), .A1 (prescaler_2), .A2 (
          prescaler_1), .A3 (nx16356)) ;
    oai21 ix4452 (.Y (nx4451), .A0 (nx16349), .A1 (nx396), .B0 (nx16351)) ;
    dffr reg_prescaler_3 (.Q (prescaler_3), .QB (nx16349), .D (nx4451), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix16352 (.Y (nx16351), .A0 (nx16333), .A1 (nx16349), .B0 (option_5), .B1 (
          nx15377), .C0 (nx16353)) ;
    or02 ix16354 (.Y (nx16353), .A0 (reset), .A1 (nx456)) ;
    aoi21 ix16357 (.Y (nx16356), .A0 (nx16359), .A1 (nx592), .B0 (nx16303)) ;
    oai21 ix4472 (.Y (nx4471), .A0 (nx16359), .A1 (nx396), .B0 (nx16362)) ;
    ao221 ix16363 (.Y (nx16362), .A0 (nx16364), .A1 (nx16359), .B0 (option_5), .B1 (
          nx15377), .C0 (nx16367)) ;
    nand02 ix16368 (.Y (nx16367), .A0 (nx15377), .A1 (nx16369)) ;
    nand02 ix16370 (.Y (nx16369), .A0 (prescaler_4), .A1 (nx456)) ;
    dffr reg_prescaler_4 (.Q (prescaler_4), .QB (nx16359), .D (nx4471), .CLK (
         clk), .R (nx4179)) ;
    oai21 ix593 (.Y (nx592), .A0 (option_1), .A1 (option_0), .B0 (nx16374)) ;
    ao21 ix16376 (.Y (nx16374), .A0 (nx16377), .A1 (option_1), .B0 (prescaler_5)
         ) ;
    oai32 ix4522 (.Y (nx4521), .A0 (reset), .A1 (nx16383), .A2 (option_5), .B0 (
          nx16411), .B1 (nx396)) ;
    nand02 ix16386 (.Y (nx16385), .A0 (prescaler_6), .A1 (nx506)) ;
    oai21 ix4502 (.Y (nx4501), .A0 (nx16391), .A1 (nx396), .B0 (nx16393)) ;
    dffr reg_prescaler_6 (.Q (prescaler_6), .QB (nx16391), .D (nx4501), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix16394 (.Y (nx16393), .A0 (nx16395), .A1 (nx16391), .B0 (option_5), .B1 (
          nx15377), .C0 (nx16409)) ;
    oai21 ix4482 (.Y (nx4481), .A0 (nx16401), .A1 (nx396), .B0 (nx16403)) ;
    dffr reg_prescaler_5 (.Q (prescaler_5), .QB (nx16401), .D (nx4481), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix16404 (.Y (nx16403), .A0 (nx16369), .A1 (nx16401), .B0 (option_5), .B1 (
          nx15377), .C0 (nx16405)) ;
    or02 ix16406 (.Y (nx16405), .A0 (reset), .A1 (nx506)) ;
    nor02 ix507 (.Y (nx506), .A0 (nx16401), .A1 (nx16369)) ;
    ao21 ix16410 (.Y (nx16409), .A0 (prescaler_6), .A1 (nx506), .B0 (reset)) ;
    dffr prescaler_7 (.Q (\$dummy [22]), .QB (nx16411), .D (nx4521), .CLK (clk)
         , .R (nx4179)) ;
    dffr reg_option_3 (.Q (option_3), .QB (\$dummy [23]), .D (nx4411), .CLK (clk
         ), .R (nx4179)) ;
    ao221 ix4412 (.Y (nx4411), .A0 (nx20168), .A1 (nx20196), .B0 (option_3), .B1 (
          nx16289), .C0 (reset)) ;
    dffr reg_porta_0 (.Q (porta_0), .QB (\$dummy [24]), .D (nx362), .CLK (clk), 
         .R (nx4179)) ;
    and02 ix363 (.Y (nx362), .A0 (portain[0]), .A1 (nx15377)) ;
    mux21 ix991 (.Y (nx990), .A0 (nx16421), .A1 (nx16526), .S0 (nx20186)) ;
    mux21 ix16422 (.Y (nx16421), .A0 (debugpc[0]), .A1 (debugstatus[0]), .S0 (
          nx20190)) ;
    dffr reg_pc_0 (.Q (debugpc[0]), .QB (\$dummy [25]), .D (nx898), .CLK (clk), 
         .R (nx4179)) ;
    or02 ix899 (.Y (nx898), .A0 (paddr[0]), .A1 (reset)) ;
    ao221 ix897 (.Y (paddr[0]), .A0 (nx20190), .A1 (nx20214), .B0 (nx20174), .B1 (
          nx20418), .C0 (nx886)) ;
    ao21 ix697 (.Y (nx696), .A0 (debuginst[11]), .A1 (nx15400), .B0 (nx16429)) ;
    nor03 ix16430 (.Y (nx16429), .A0 (nx15413), .A1 (debuginst[9]), .A2 (nx32)
          ) ;
    nand02 ix33 (.Y (nx32), .A0 (nx15407), .A1 (debuginst[11])) ;
    nor04 ix16434 (.Y (nx16433), .A0 (nx734), .A1 (nx20186), .A2 (debuginst[3])
          , .A3 (nx700)) ;
    dffr reg_inst_5 (.Q (debuginst[5]), .QB (nx16437), .D (nx712), .CLK (clk), .R (
         nx4179)) ;
    and02 ix713 (.Y (nx712), .A0 (pdata[5]), .A1 (nx20374)) ;
    ao221 ix887 (.Y (nx886), .A0 (stack2_0), .A1 (nx20218), .B0 (stack1_0), .B1 (
          nx20216), .C0 (nx840)) ;
    ao21 ix4572 (.Y (nx4571), .A0 (debugpc[0]), .A1 (nx20222), .B0 (nx4567)) ;
    ao21 ix853 (.Y (nx852), .A0 (nx16429), .A1 (nx846), .B0 (reset)) ;
    dffr reg_stacklevel_1 (.Q (stacklevel_1), .QB (nx16479), .D (nx4551), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4552 (.Y (nx4551), .A0 (stacklevel_1), .A1 (nx16453), .B0 (nx4549)) ;
    nand02 ix69 (.Y (nx68), .A0 (debuginst[9]), .A1 (nx15407)) ;
    nor04 ix4550 (.Y (nx4549), .A0 (reset), .A1 (nx16453), .A2 (nx4292), .A3 (
          nx16475)) ;
    nor04 ix785 (.Y (nx4292), .A0 (nx32), .A1 (reset), .A2 (stacklevel_0), .A3 (
          nx16469)) ;
    mux21 ix4542 (.Y (nx4541), .A0 (nx16464), .A1 (nx16466), .S0 (nx748)) ;
    dffr reg_stacklevel_0 (.Q (stacklevel_0), .QB (nx16464), .D (nx4541), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix16467 (.Y (nx16466), .A (nx4292)) ;
    ao21 ix749 (.Y (nx748), .A0 (nx15414), .A1 (nx68), .B0 (reset)) ;
    ao221 ix16470 (.Y (nx16469), .A0 (stacklevel_1), .A1 (debuginst[8]), .B0 (
          nx16471), .B1 (nx816), .C0 (debuginst[9])) ;
    nor02 ix16472 (.Y (nx16471), .A0 (debuginst[8]), .A1 (debuginst[9])) ;
    nor02 ix817 (.Y (nx816), .A0 (stacklevel_1), .A1 (nx32)) ;
    aoi21 ix16476 (.Y (nx16475), .A0 (stacklevel_1), .A1 (nx16471), .B0 (nx792)
          ) ;
    aoi21 ix793 (.Y (nx792), .A0 (stacklevel_0), .A1 (stacklevel_1), .B0 (
          nx16471)) ;
    nor02 ix4568 (.Y (nx4567), .A0 (nx16482), .A1 (nx20222)) ;
    dffr reg_stack2_0 (.Q (stack2_0), .QB (nx16482), .D (nx4571), .CLK (clk), .R (
         nx4179)) ;
    nor04 ix831 (.Y (nx830), .A0 (debuginst[8]), .A1 (debuginst[9]), .A2 (
          nx16479), .A3 (nx32)) ;
    dffr reg_stack1_0 (.Q (stack1_0), .QB (\$dummy [26]), .D (nx4561), .CLK (clk
         ), .R (nx4179)) ;
    ao21 ix4562 (.Y (nx4561), .A0 (stack1_0), .A1 (nx16488), .B0 (nx4559)) ;
    nor04 ix821 (.Y (nx4293), .A0 (debuginst[8]), .A1 (debuginst[9]), .A2 (
          stacklevel_1), .A3 (nx32)) ;
    nor02 ix841 (.Y (nx840), .A0 (debugpc[0]), .A1 (nx834)) ;
    dffr reg_status_0 (.Q (debugstatus[0]), .QB (\$dummy [27]), .D (nx924), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix925 (.Y (nx924), .A0 (nx288), .A1 (nx16521), .B0 (nx15438), .B1 (
          nx16523)) ;
    mux21 ix16522 (.Y (nx16521), .A0 (debugstatus[0]), .A1 (alucout), .S0 (
          ideccwe)) ;
    mux21 ix16527 (.Y (nx16526), .A0 (portbout[0]), .A1 (portcout[0]), .S0 (
          nx20190)) ;
    dffr reg_portb_0 (.Q (portbout[0]), .QB (\$dummy [28]), .D (nx4591), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4592 (.Y (nx4591), .A0 (portbout[0]), .A1 (nx20420), .B0 (nx4589)) ;
    nor02 ix16531 (.Y (nx16530), .A0 (nx972), .A1 (reset)) ;
    nor04 ix973 (.Y (nx972), .A0 (istris), .A1 (nx15469), .A2 (nx15421), .A3 (
          nx966)) ;
    nor02 ix4590 (.Y (nx4589), .A0 (nx15438), .A1 (nx20420)) ;
    dffr reg_portc_0 (.Q (portcout[0]), .QB (\$dummy [29]), .D (nx4581), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix4582 (.Y (nx4581), .A0 (portcout[0]), .A1 (nx20422), .B0 (nx4579)) ;
    nor02 ix16538 (.Y (nx16537), .A0 (nx948), .A1 (reset)) ;
    nor04 ix949 (.Y (nx948), .A0 (istris), .A1 (nx15469), .A2 (nx15421), .A3 (
          nx278)) ;
    nor02 ix4580 (.Y (nx4579), .A0 (nx15438), .A1 (nx20422)) ;
    inv02 ix16545 (.Y (nx16544), .A (bdpol)) ;
    mux21 ix16153 (.Y (alua_1), .A0 (nx16547), .A1 (nx16552), .S0 (aluasel_0)) ;
    dffr reg_w_1 (.Q (debugw[1]), .QB (\$dummy [30]), .D (nx7221), .CLK (clk), .R (
         nx4179)) ;
    ao32 ix7222 (.Y (nx7221), .A0 (nx20172), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[1]), .B1 (nx20372)) ;
    ao221 ix5495 (.Y (nx5494), .A0 (expdin[1]), .A1 (nx20208), .B0 (nx20382), .B1 (
          nx5486), .C0 (nx3920)) ;
    nor04 ix16558 (.Y (nx16557), .A0 (nx4888), .A1 (nx4842), .A2 (nx4794), .A3 (
          nx4748)) ;
    ao221 ix4889 (.Y (nx4888), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_1108), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_1109), .B1 (nx20386)
          , .C0 (nx4886)) ;
    dffr regs_dram_modgen_ram_ix26_ix3440 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_1108), .QB (\$dummy [31]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_1108), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix3444 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_1109), .QB (\$dummy [32]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_1109), .CLK (clk), .R (nx4179)) ;
    ao22 ix4887 (.Y (nx4886), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_1106), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_1107), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix3432 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_1106), .QB (\$dummy [33]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_1106), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix3436 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_1107), .QB (\$dummy [34]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_1107), .CLK (clk), .R (nx4179)) ;
    ao221 ix4843 (.Y (nx4842), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_1112), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_1113), .B1 (nx20392)
          , .C0 (nx4840)) ;
    dffr regs_dram_modgen_ram_ix26_ix3456 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_1112), .QB (\$dummy [35]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_1112), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix3460 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_1113), .QB (\$dummy [36]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_1113), .CLK (clk), .R (nx4179)) ;
    ao22 ix4841 (.Y (nx4840), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_1110), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_1111), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix3448 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_1110), .QB (\$dummy [37]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_1110), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix3452 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_1111), .QB (\$dummy [38]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_1111), .CLK (clk), .R (nx4179)) ;
    ao221 ix4795 (.Y (nx4794), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_1116), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_1117), .B1 (nx20402)
          , .C0 (nx4792)) ;
    ao21 ix6632 (.Y (nx6631), .A0 (nx20172), .A1 (nx20366), .B0 (nx6627)) ;
    nor02 ix6628 (.Y (nx6627), .A0 (nx16583), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix3472 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_1116), .QB (nx16583), .D (nx6631), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6622 (.Y (nx6621), .A0 (nx20172), .A1 (nx20364), .B0 (nx6617)) ;
    nor02 ix6618 (.Y (nx6617), .A0 (nx16588), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix3476 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_1117), .QB (nx16588), .D (nx6621), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4793 (.Y (nx4792), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_1114), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_1115), .B1 (nx20406)
         ) ;
    ao21 ix6652 (.Y (nx6651), .A0 (nx20172), .A1 (nx20370), .B0 (nx6647)) ;
    nor02 ix6648 (.Y (nx6647), .A0 (nx16594), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix3464 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_1114), .QB (nx16594), .D (nx6651), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6642 (.Y (nx6641), .A0 (nx20172), .A1 (nx20368), .B0 (nx6637)) ;
    nor02 ix6638 (.Y (nx6637), .A0 (nx16599), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix3468 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_1115), .QB (nx16599), .D (nx6641), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4749 (.Y (nx4748), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_1120), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_1121), .B1 (nx20408)
          , .C0 (nx4746)) ;
    ao21 ix6592 (.Y (nx6591), .A0 (nx20172), .A1 (nx20358), .B0 (nx6587)) ;
    nor02 ix6588 (.Y (nx6587), .A0 (nx16605), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix3488 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_1120), .QB (nx16605), .D (nx6591), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6582 (.Y (nx6581), .A0 (nx20172), .A1 (nx20356), .B0 (nx6577)) ;
    nor02 ix6578 (.Y (nx6577), .A0 (nx16610), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix3492 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_1121), .QB (nx16610), .D (nx6581), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4747 (.Y (nx4746), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_1118), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_1119), .B1 (nx20412)
         ) ;
    ao21 ix6612 (.Y (nx6611), .A0 (nx20172), .A1 (nx20362), .B0 (nx6607)) ;
    nor02 ix6608 (.Y (nx6607), .A0 (nx16616), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix3480 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_1118), .QB (nx16616), .D (nx6611), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6602 (.Y (nx6601), .A0 (nx20172), .A1 (nx20360), .B0 (nx6597)) ;
    nor02 ix6598 (.Y (nx6597), .A0 (nx16621), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix3484 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_1119), .QB (nx16621), .D (nx6601), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4703 (.Y (nx4702), .A0 (nx20414), .A1 (nx4694), .B0 (nx20416), .B1 (
          nx4500), .C0 (nx4310)) ;
    inv02 ix4695 (.Y (nx4694), .A (nx16625)) ;
    nor04 ix16626 (.Y (nx16625), .A0 (nx4690), .A1 (nx4644), .A2 (nx4596), .A3 (
          nx4550)) ;
    ao221 ix4691 (.Y (nx4690), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_1124), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_1125), .B1 (nx20386)
          , .C0 (nx4688)) ;
    ao21 ix6552 (.Y (nx6551), .A0 (nx20172), .A1 (nx20350), .B0 (nx6547)) ;
    nor02 ix6548 (.Y (nx6547), .A0 (nx16631), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix3504 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_1124), .QB (nx16631), .D (nx6551), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6542 (.Y (nx6541), .A0 (nx20172), .A1 (nx20348), .B0 (nx6537)) ;
    nor02 ix6538 (.Y (nx6537), .A0 (nx16636), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix3508 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_1125), .QB (nx16636), .D (nx6541), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4689 (.Y (nx4688), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_1122), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_1123), .B1 (nx20390)
         ) ;
    ao21 ix6572 (.Y (nx6571), .A0 (nx20172), .A1 (nx20354), .B0 (nx6567)) ;
    nor02 ix6568 (.Y (nx6567), .A0 (nx16642), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix3496 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_1122), .QB (nx16642), .D (nx6571), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6562 (.Y (nx6561), .A0 (nx20172), .A1 (nx20352), .B0 (nx6557)) ;
    nor02 ix6558 (.Y (nx6557), .A0 (nx16647), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix3500 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_1123), .QB (nx16647), .D (nx6561), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4645 (.Y (nx4644), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_1128), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_1129), .B1 (nx20392)
          , .C0 (nx4642)) ;
    ao21 ix6512 (.Y (nx6511), .A0 (nx20172), .A1 (nx20342), .B0 (nx6507)) ;
    nor02 ix6508 (.Y (nx6507), .A0 (nx16653), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix3520 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_1128), .QB (nx16653), .D (nx6511), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6502 (.Y (nx6501), .A0 (nx20172), .A1 (nx20340), .B0 (nx6497)) ;
    nor02 ix6498 (.Y (nx6497), .A0 (nx16658), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix3524 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_1129), .QB (nx16658), .D (nx6501), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4643 (.Y (nx4642), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_1126), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_1127), .B1 (nx20396)
         ) ;
    ao21 ix6532 (.Y (nx6531), .A0 (nx20172), .A1 (nx20346), .B0 (nx6527)) ;
    nor02 ix6528 (.Y (nx6527), .A0 (nx16664), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix3512 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_1126), .QB (nx16664), .D (nx6531), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6522 (.Y (nx6521), .A0 (nx20172), .A1 (nx20344), .B0 (nx6517)) ;
    nor02 ix6518 (.Y (nx6517), .A0 (nx16669), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix3516 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_1127), .QB (nx16669), .D (nx6521), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4597 (.Y (nx4596), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_1132), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_1133), .B1 (nx20402)
          , .C0 (nx4594)) ;
    ao21 ix6472 (.Y (nx6471), .A0 (nx20172), .A1 (nx20334), .B0 (nx6467)) ;
    nor02 ix6468 (.Y (nx6467), .A0 (nx16675), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix3536 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_1132), .QB (nx16675), .D (nx6471), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6462 (.Y (nx6461), .A0 (nx20172), .A1 (nx20332), .B0 (nx6457)) ;
    nor02 ix6458 (.Y (nx6457), .A0 (nx16680), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix3540 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_1133), .QB (nx16680), .D (nx6461), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4595 (.Y (nx4594), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_1130), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_1131), .B1 (nx20406)
         ) ;
    ao21 ix6492 (.Y (nx6491), .A0 (nx20172), .A1 (nx20338), .B0 (nx6487)) ;
    nor02 ix6488 (.Y (nx6487), .A0 (nx16686), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix3528 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_1130), .QB (nx16686), .D (nx6491), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6482 (.Y (nx6481), .A0 (nx20172), .A1 (nx20336), .B0 (nx6477)) ;
    nor02 ix6478 (.Y (nx6477), .A0 (nx16691), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix3532 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_1131), .QB (nx16691), .D (nx6481), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4551 (.Y (nx4550), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_1136), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_1137), .B1 (nx20408)
          , .C0 (nx4548)) ;
    ao21 ix6432 (.Y (nx6431), .A0 (nx20172), .A1 (nx20326), .B0 (nx6427)) ;
    nor02 ix6428 (.Y (nx6427), .A0 (nx16697), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix3552 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_1136), .QB (nx16697), .D (nx6431), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6422 (.Y (nx6421), .A0 (nx20172), .A1 (nx20324), .B0 (nx6417)) ;
    nor02 ix6418 (.Y (nx6417), .A0 (nx16702), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix3556 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_1137), .QB (nx16702), .D (nx6421), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4549 (.Y (nx4548), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_1134), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_1135), .B1 (nx20412)
         ) ;
    ao21 ix6452 (.Y (nx6451), .A0 (nx20172), .A1 (nx20330), .B0 (nx6447)) ;
    nor02 ix6448 (.Y (nx6447), .A0 (nx16708), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix3544 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_1134), .QB (nx16708), .D (nx6451), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6442 (.Y (nx6441), .A0 (nx20172), .A1 (nx20328), .B0 (nx6437)) ;
    nor02 ix6438 (.Y (nx6437), .A0 (nx16713), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix3548 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_1135), .QB (nx16713), .D (nx6441), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix4501 (.Y (nx4500), .A (nx16716)) ;
    nor04 ix16717 (.Y (nx16716), .A0 (nx4496), .A1 (nx4450), .A2 (nx4402), .A3 (
          nx4356)) ;
    ao221 ix4497 (.Y (nx4496), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_1140), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_1141), .B1 (nx20386)
          , .C0 (nx4494)) ;
    ao21 ix6392 (.Y (nx6391), .A0 (nx20172), .A1 (nx20318), .B0 (nx6387)) ;
    nor02 ix6388 (.Y (nx6387), .A0 (nx16722), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix3568 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_1140), .QB (nx16722), .D (nx6391), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6382 (.Y (nx6381), .A0 (nx20172), .A1 (nx20316), .B0 (nx6377)) ;
    nor02 ix6378 (.Y (nx6377), .A0 (nx16727), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix3572 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_1141), .QB (nx16727), .D (nx6381), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4495 (.Y (nx4494), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_1138), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_1139), .B1 (nx20390)
         ) ;
    ao21 ix6412 (.Y (nx6411), .A0 (nx20172), .A1 (nx20322), .B0 (nx6407)) ;
    nor02 ix6408 (.Y (nx6407), .A0 (nx16733), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix3560 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_1138), .QB (nx16733), .D (nx6411), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6402 (.Y (nx6401), .A0 (nx20172), .A1 (nx20320), .B0 (nx6397)) ;
    nor02 ix6398 (.Y (nx6397), .A0 (nx16738), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix3564 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_1139), .QB (nx16738), .D (nx6401), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4451 (.Y (nx4450), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_1144), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_1145), .B1 (nx20392)
          , .C0 (nx4448)) ;
    ao21 ix6352 (.Y (nx6351), .A0 (nx20172), .A1 (nx20310), .B0 (nx6347)) ;
    nor02 ix6348 (.Y (nx6347), .A0 (nx16744), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix3584 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_1144), .QB (nx16744), .D (nx6351), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6342 (.Y (nx6341), .A0 (nx20172), .A1 (nx20308), .B0 (nx6337)) ;
    nor02 ix6338 (.Y (nx6337), .A0 (nx16749), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix3588 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_1145), .QB (nx16749), .D (nx6341), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4449 (.Y (nx4448), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_1142), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_1143), .B1 (nx20396)
         ) ;
    ao21 ix6372 (.Y (nx6371), .A0 (nx20172), .A1 (nx20314), .B0 (nx6367)) ;
    nor02 ix6368 (.Y (nx6367), .A0 (nx16755), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix3576 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_1142), .QB (nx16755), .D (nx6371), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6362 (.Y (nx6361), .A0 (nx20172), .A1 (nx20312), .B0 (nx6357)) ;
    nor02 ix6358 (.Y (nx6357), .A0 (nx16760), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix3580 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_1143), .QB (nx16760), .D (nx6361), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4403 (.Y (nx4402), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_1148), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_1149), .B1 (nx20402)
          , .C0 (nx4400)) ;
    ao21 ix6312 (.Y (nx6311), .A0 (nx20172), .A1 (nx20302), .B0 (nx6307)) ;
    nor02 ix6308 (.Y (nx6307), .A0 (nx16766), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix3600 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_1148), .QB (nx16766), .D (nx6311), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6302 (.Y (nx6301), .A0 (nx20172), .A1 (nx20300), .B0 (nx6297)) ;
    nor02 ix6298 (.Y (nx6297), .A0 (nx16771), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix3604 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_1149), .QB (nx16771), .D (nx6301), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4401 (.Y (nx4400), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_1146), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_1147), .B1 (nx20406)
         ) ;
    ao21 ix6332 (.Y (nx6331), .A0 (nx20172), .A1 (nx20306), .B0 (nx6327)) ;
    nor02 ix6328 (.Y (nx6327), .A0 (nx16777), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix3592 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_1146), .QB (nx16777), .D (nx6331), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6322 (.Y (nx6321), .A0 (nx20172), .A1 (nx20304), .B0 (nx6317)) ;
    nor02 ix6318 (.Y (nx6317), .A0 (nx16782), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix3596 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_1147), .QB (nx16782), .D (nx6321), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4357 (.Y (nx4356), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_1152), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_1153), .B1 (nx20408)
          , .C0 (nx4354)) ;
    ao21 ix6272 (.Y (nx6271), .A0 (nx20172), .A1 (nx20294), .B0 (nx6267)) ;
    nor02 ix6268 (.Y (nx6267), .A0 (nx16788), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix3616 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_1152), .QB (nx16788), .D (nx6271), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6262 (.Y (nx6261), .A0 (nx20172), .A1 (nx20292), .B0 (nx6257)) ;
    nor02 ix6258 (.Y (nx6257), .A0 (nx16793), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix3620 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_1153), .QB (nx16793), .D (nx6261), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4355 (.Y (nx4354), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_1150), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_1151), .B1 (nx20412)
         ) ;
    ao21 ix6292 (.Y (nx6291), .A0 (nx20172), .A1 (nx20298), .B0 (nx6287)) ;
    nor02 ix6288 (.Y (nx6287), .A0 (nx16799), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix3608 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_1150), .QB (nx16799), .D (nx6291), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6282 (.Y (nx6281), .A0 (nx20172), .A1 (nx20296), .B0 (nx6277)) ;
    nor02 ix6278 (.Y (nx6277), .A0 (nx16804), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix3612 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_1151), .QB (nx16804), .D (nx6281), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix4311 (.Y (nx4310), .A0 (nx20258), .A1 (nx16807), .B0 (nx20224), .B1 (
          nx16897)) ;
    nor04 ix16808 (.Y (nx16807), .A0 (nx4300), .A1 (nx4254), .A2 (nx4206), .A3 (
          nx4160)) ;
    ao221 ix4301 (.Y (nx4300), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_1156), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_1157), .B1 (nx20386)
          , .C0 (nx4298)) ;
    ao21 ix6232 (.Y (nx6231), .A0 (nx20172), .A1 (nx20286), .B0 (nx6227)) ;
    nor02 ix6228 (.Y (nx6227), .A0 (nx16813), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix3632 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_1156), .QB (nx16813), .D (nx6231), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6222 (.Y (nx6221), .A0 (nx20172), .A1 (nx20284), .B0 (nx6217)) ;
    nor02 ix6218 (.Y (nx6217), .A0 (nx16818), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix3636 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_1157), .QB (nx16818), .D (nx6221), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4299 (.Y (nx4298), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_1154), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_1155), .B1 (nx20390)
         ) ;
    ao21 ix6252 (.Y (nx6251), .A0 (nx20172), .A1 (nx20290), .B0 (nx6247)) ;
    nor02 ix6248 (.Y (nx6247), .A0 (nx16824), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix3624 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_1154), .QB (nx16824), .D (nx6251), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6242 (.Y (nx6241), .A0 (nx20172), .A1 (nx20288), .B0 (nx6237)) ;
    nor02 ix6238 (.Y (nx6237), .A0 (nx16829), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix3628 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_1155), .QB (nx16829), .D (nx6241), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4255 (.Y (nx4254), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_1160), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_1161), .B1 (nx20392)
          , .C0 (nx4252)) ;
    ao21 ix6192 (.Y (nx6191), .A0 (nx20172), .A1 (nx20278), .B0 (nx6187)) ;
    nor02 ix6188 (.Y (nx6187), .A0 (nx16835), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix3648 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_1160), .QB (nx16835), .D (nx6191), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6182 (.Y (nx6181), .A0 (nx20172), .A1 (nx20276), .B0 (nx6177)) ;
    nor02 ix6178 (.Y (nx6177), .A0 (nx16840), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix3652 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_1161), .QB (nx16840), .D (nx6181), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4253 (.Y (nx4252), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_1158), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_1159), .B1 (nx20396)
         ) ;
    ao21 ix6212 (.Y (nx6211), .A0 (nx20172), .A1 (nx20282), .B0 (nx6207)) ;
    nor02 ix6208 (.Y (nx6207), .A0 (nx16846), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix3640 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_1158), .QB (nx16846), .D (nx6211), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6202 (.Y (nx6201), .A0 (nx20172), .A1 (nx20280), .B0 (nx6197)) ;
    nor02 ix6198 (.Y (nx6197), .A0 (nx16851), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix3644 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_1159), .QB (nx16851), .D (nx6201), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4207 (.Y (nx4206), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_1164), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_1165), .B1 (nx20402)
          , .C0 (nx4204)) ;
    ao21 ix6152 (.Y (nx6151), .A0 (nx20172), .A1 (nx20270), .B0 (nx6147)) ;
    nor02 ix6148 (.Y (nx6147), .A0 (nx16857), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix3664 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_1164), .QB (nx16857), .D (nx6151), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6142 (.Y (nx6141), .A0 (nx20172), .A1 (nx20268), .B0 (nx6137)) ;
    nor02 ix6138 (.Y (nx6137), .A0 (nx16862), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix3668 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_1165), .QB (nx16862), .D (nx6141), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4205 (.Y (nx4204), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_1162), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_1163), .B1 (nx20406)
         ) ;
    ao21 ix6172 (.Y (nx6171), .A0 (nx20172), .A1 (nx20274), .B0 (nx6167)) ;
    nor02 ix6168 (.Y (nx6167), .A0 (nx16868), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix3656 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_1162), .QB (nx16868), .D (nx6171), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6162 (.Y (nx6161), .A0 (nx20172), .A1 (nx20272), .B0 (nx6157)) ;
    nor02 ix6158 (.Y (nx6157), .A0 (nx16873), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix3660 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_1163), .QB (nx16873), .D (nx6161), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4161 (.Y (nx4160), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_1168), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_1169), .B1 (nx20408)
          , .C0 (nx4158)) ;
    ao21 ix6112 (.Y (nx6111), .A0 (nx20172), .A1 (nx20262), .B0 (nx6107)) ;
    nor02 ix6108 (.Y (nx6107), .A0 (nx16879), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix3680 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_1168), .QB (nx16879), .D (nx6111), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6102 (.Y (nx6101), .A0 (nx20172), .A1 (nx20260), .B0 (nx6097)) ;
    nor02 ix6098 (.Y (nx6097), .A0 (nx16884), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix3684 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_1169), .QB (nx16884), .D (nx6101), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4159 (.Y (nx4158), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_1166), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_1167), .B1 (nx20412)
         ) ;
    ao21 ix6132 (.Y (nx6131), .A0 (nx20172), .A1 (nx20266), .B0 (nx6127)) ;
    nor02 ix6128 (.Y (nx6127), .A0 (nx16890), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix3672 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_1166), .QB (nx16890), .D (nx6131), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6122 (.Y (nx6121), .A0 (nx20172), .A1 (nx20264), .B0 (nx6117)) ;
    nor02 ix6118 (.Y (nx6117), .A0 (nx16895), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix3676 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_1167), .QB (nx16895), .D (nx6121), .CLK (
         clk), .R (nx4179)) ;
    nor04 ix16898 (.Y (nx16897), .A0 (nx4106), .A1 (nx4060), .A2 (nx4012), .A3 (
          nx3966)) ;
    ao221 ix4107 (.Y (nx4106), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_1172), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_1173), .B1 (nx20386)
          , .C0 (nx4104)) ;
    ao21 ix6072 (.Y (nx6071), .A0 (nx20172), .A1 (nx20252), .B0 (nx6067)) ;
    nor02 ix6068 (.Y (nx6067), .A0 (nx16903), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix3696 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_1172), .QB (nx16903), .D (nx6071), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6062 (.Y (nx6061), .A0 (nx20172), .A1 (nx20250), .B0 (nx6057)) ;
    nor02 ix6058 (.Y (nx6057), .A0 (nx16908), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix3700 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_1173), .QB (nx16908), .D (nx6061), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4105 (.Y (nx4104), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_1170), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_1171), .B1 (nx20390)
         ) ;
    ao21 ix6092 (.Y (nx6091), .A0 (nx20172), .A1 (nx20256), .B0 (nx6087)) ;
    nor02 ix6088 (.Y (nx6087), .A0 (nx16914), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix3688 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_1170), .QB (nx16914), .D (nx6091), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6082 (.Y (nx6081), .A0 (nx20172), .A1 (nx20254), .B0 (nx6077)) ;
    nor02 ix6078 (.Y (nx6077), .A0 (nx16919), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix3692 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_1171), .QB (nx16919), .D (nx6081), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4061 (.Y (nx4060), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_1176), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_1177), .B1 (nx20392)
          , .C0 (nx4058)) ;
    ao21 ix6032 (.Y (nx6031), .A0 (nx20172), .A1 (nx20244), .B0 (nx6027)) ;
    nor02 ix6028 (.Y (nx6027), .A0 (nx16925), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix3712 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_1176), .QB (nx16925), .D (nx6031), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6022 (.Y (nx6021), .A0 (nx20172), .A1 (nx20242), .B0 (nx6017)) ;
    nor02 ix6018 (.Y (nx6017), .A0 (nx16930), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix3716 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_1177), .QB (nx16930), .D (nx6021), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4059 (.Y (nx4058), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_1174), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_1175), .B1 (nx20396)
         ) ;
    ao21 ix6052 (.Y (nx6051), .A0 (nx20172), .A1 (nx20248), .B0 (nx6047)) ;
    nor02 ix6048 (.Y (nx6047), .A0 (nx16936), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix3704 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_1174), .QB (nx16936), .D (nx6051), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6042 (.Y (nx6041), .A0 (nx20172), .A1 (nx20246), .B0 (nx6037)) ;
    nor02 ix6038 (.Y (nx6037), .A0 (nx16941), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix3708 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_1175), .QB (nx16941), .D (nx6041), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix4013 (.Y (nx4012), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_1180), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_1181), .B1 (nx20402)
          , .C0 (nx4010)) ;
    ao21 ix5992 (.Y (nx5991), .A0 (nx20172), .A1 (nx20236), .B0 (nx5987)) ;
    nor02 ix5988 (.Y (nx5987), .A0 (nx16947), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix3728 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_1180), .QB (nx16947), .D (nx5991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5982 (.Y (nx5981), .A0 (nx20172), .A1 (nx20234), .B0 (nx5977)) ;
    nor02 ix5978 (.Y (nx5977), .A0 (nx16952), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix3732 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_1181), .QB (nx16952), .D (nx5981), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix4011 (.Y (nx4010), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_1178), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_1179), .B1 (nx20406)
         ) ;
    ao21 ix6012 (.Y (nx6011), .A0 (nx20172), .A1 (nx20240), .B0 (nx6007)) ;
    nor02 ix6008 (.Y (nx6007), .A0 (nx16958), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix3720 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_1178), .QB (nx16958), .D (nx6011), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix6002 (.Y (nx6001), .A0 (nx20172), .A1 (nx20238), .B0 (nx5997)) ;
    nor02 ix5998 (.Y (nx5997), .A0 (nx16963), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix3724 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_1179), .QB (nx16963), .D (nx6001), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix3967 (.Y (nx3966), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_1184), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_1185), .B1 (nx20408)
          , .C0 (nx3964)) ;
    ao21 ix5952 (.Y (nx5951), .A0 (nx20172), .A1 (nx20228), .B0 (nx5947)) ;
    nor02 ix5948 (.Y (nx5947), .A0 (nx16969), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix3744 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_1184), .QB (nx16969), .D (nx5951), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5942 (.Y (nx5941), .A0 (nx20172), .A1 (nx20226), .B0 (nx5937)) ;
    nor02 ix5938 (.Y (nx5937), .A0 (nx16974), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix3748 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_1185), .QB (nx16974), .D (nx5941), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix3965 (.Y (nx3964), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_1182), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_1183), .B1 (nx20412)
         ) ;
    ao21 ix5972 (.Y (nx5971), .A0 (nx20172), .A1 (nx20232), .B0 (nx5967)) ;
    nor02 ix5968 (.Y (nx5967), .A0 (nx16980), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix3736 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_1182), .QB (nx16980), .D (nx5971), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5962 (.Y (nx5961), .A0 (nx20172), .A1 (nx20230), .B0 (nx5957)) ;
    nor02 ix5958 (.Y (nx5957), .A0 (nx16985), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix3740 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_1183), .QB (nx16985), .D (nx5961), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix3921 (.Y (nx3920), .A0 (nx20178), .A1 (nx20176), .A2 (nx16988)) ;
    mux21 ix16989 (.Y (nx16988), .A0 (nx3814), .A1 (nx3914), .S0 (nx20188)) ;
    mux21 ix3815 (.Y (nx3814), .A0 (nx15467), .A1 (nx16991), .S0 (nx20190)) ;
    mux21 ix16992 (.Y (nx16991), .A0 (tmr0_1), .A1 (porta_1), .S0 (nx20186)) ;
    mux21 ix5882 (.Y (nx5881), .A0 (nx16995), .A1 (nx16997), .S0 (nx20212)) ;
    dffr reg_tmr0_1 (.Q (tmr0_1), .QB (nx16995), .D (nx5881), .CLK (clk), .R (
         nx4179)) ;
    aoi32 ix16998 (.Y (nx16997), .A0 (nx15377), .A1 (nx16999), .A2 (nx3788), .B0 (
          nx2), .B1 (nx20210)) ;
    aoi21 ix3789 (.Y (nx3788), .A0 (nx16273), .A1 (nx16995), .B0 (nx20210)) ;
    dffr reg_porta_1 (.Q (porta_1), .QB (\$dummy [39]), .D (nx3766), .CLK (clk)
         , .R (nx4179)) ;
    and02 ix3767 (.Y (nx3766), .A0 (portain[1]), .A1 (nx15377)) ;
    mux21 ix3915 (.Y (nx3914), .A0 (nx17007), .A1 (nx17031), .S0 (nx20186)) ;
    mux21 ix17008 (.Y (nx17007), .A0 (debugpc[1]), .A1 (debugstatus[1]), .S0 (
          nx20190)) ;
    dffr reg_pc_1 (.Q (debugpc[1]), .QB (\$dummy [40]), .D (nx3866), .CLK (clk)
         , .R (nx4179)) ;
    or02 ix3867 (.Y (nx3866), .A0 (paddr[1]), .A1 (reset)) ;
    ao221 ix3865 (.Y (paddr[1]), .A0 (nx20188), .A1 (nx20214), .B0 (nx20172), .B1 (
          nx20418), .C0 (nx3854)) ;
    ao221 ix3855 (.Y (nx3854), .A0 (stack1_1), .A1 (nx20216), .B0 (stack2_1), .B1 (
          nx20218), .C0 (nx3838)) ;
    dffr reg_stack1_1 (.Q (stack1_1), .QB (\$dummy [41]), .D (nx5901), .CLK (clk
         ), .R (nx4179)) ;
    ao21 ix5902 (.Y (nx5901), .A0 (stack1_1), .A1 (nx16488), .B0 (nx5899)) ;
    ao21 ix5892 (.Y (nx5891), .A0 (debugpc[1]), .A1 (nx20222), .B0 (nx5887)) ;
    nor02 ix5888 (.Y (nx5887), .A0 (nx17020), .A1 (nx20222)) ;
    dffr reg_stack2_1 (.Q (stack2_1), .QB (nx17020), .D (nx5891), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix3839 (.Y (nx3838), .A0 (nx17023), .A1 (nx834), .A2 (nx3830)) ;
    nor02 ix17024 (.Y (nx17023), .A0 (debugpc[0]), .A1 (debugpc[1])) ;
    and02 ix3831 (.Y (nx3830), .A0 (debugpc[1]), .A1 (debugpc[0])) ;
    dffr reg_status_1 (.Q (debugstatus[1]), .QB (\$dummy [42]), .D (nx5911), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5912 (.Y (nx5911), .A0 (debugstatus[1]), .A1 (nx20380), .B0 (nx5909)
         ) ;
    nor02 ix5910 (.Y (nx5909), .A0 (nx15465), .A1 (nx20380)) ;
    mux21 ix17032 (.Y (nx17031), .A0 (portbout[1]), .A1 (portcout[1]), .S0 (
          nx20190)) ;
    dffr reg_portb_1 (.Q (portbout[1]), .QB (\$dummy [43]), .D (nx5931), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5932 (.Y (nx5931), .A0 (portbout[1]), .A1 (nx20420), .B0 (nx5929)) ;
    nor02 ix5930 (.Y (nx5929), .A0 (nx15465), .A1 (nx20420)) ;
    dffr reg_portc_1 (.Q (portcout[1]), .QB (\$dummy [44]), .D (nx5921), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix5922 (.Y (nx5921), .A0 (portcout[1]), .A1 (nx20422), .B0 (nx5919)) ;
    nor02 ix5920 (.Y (nx5919), .A0 (nx15465), .A1 (nx20422)) ;
    mux21 ix16187 (.Y (alua_2), .A0 (nx17043), .A1 (nx17048), .S0 (aluasel_0)) ;
    dffr reg_w_2 (.Q (debugw[2]), .QB (\$dummy [45]), .D (nx8561), .CLK (clk), .R (
         nx4179)) ;
    ao32 ix8562 (.Y (nx8561), .A0 (nx20170), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[2]), .B1 (nx20372)) ;
    ao221 ix7271 (.Y (nx7270), .A0 (expdin[2]), .A1 (nx20208), .B0 (nx20382), .B1 (
          nx7262), .C0 (nx5696)) ;
    nor04 ix17054 (.Y (nx17053), .A0 (nx6664), .A1 (nx6618), .A2 (nx6570), .A3 (
          nx6524)) ;
    ao221 ix6665 (.Y (nx6664), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_980), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_981), .B1 (nx20386)
          , .C0 (nx6662)) ;
    dffr regs_dram_modgen_ram_ix26_ix2927 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_980), .QB (\$dummy [46]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_980), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2931 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_981), .QB (\$dummy [47]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_981), .CLK (clk), .R (nx4179)) ;
    ao22 ix6663 (.Y (nx6662), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_978), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_979), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix2919 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_978), .QB (\$dummy [48]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_978), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2923 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_979), .QB (\$dummy [49]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_979), .CLK (clk), .R (nx4179)) ;
    ao221 ix6619 (.Y (nx6618), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_984), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_985), .B1 (nx20392)
          , .C0 (nx6616)) ;
    dffr regs_dram_modgen_ram_ix26_ix2943 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_984), .QB (\$dummy [50]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_984), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2947 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_985), .QB (\$dummy [51]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_985), .CLK (clk), .R (nx4179)) ;
    ao22 ix6617 (.Y (nx6616), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_982), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_983), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix2935 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_982), .QB (\$dummy [52]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_982), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2939 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_983), .QB (\$dummy [53]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_983), .CLK (clk), .R (nx4179)) ;
    ao221 ix6571 (.Y (nx6570), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_988), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_989), .B1 (nx20402)
          , .C0 (nx6568)) ;
    ao21 ix7972 (.Y (nx7971), .A0 (nx20170), .A1 (nx20366), .B0 (nx7967)) ;
    nor02 ix7968 (.Y (nx7967), .A0 (nx17079), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix2959 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_988), .QB (nx17079), .D (nx7971), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7962 (.Y (nx7961), .A0 (nx20170), .A1 (nx20364), .B0 (nx7957)) ;
    nor02 ix7958 (.Y (nx7957), .A0 (nx17084), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix2963 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_989), .QB (nx17084), .D (nx7961), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6569 (.Y (nx6568), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_986), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_987), .B1 (nx20406)
         ) ;
    ao21 ix7992 (.Y (nx7991), .A0 (nx20170), .A1 (nx20370), .B0 (nx7987)) ;
    nor02 ix7988 (.Y (nx7987), .A0 (nx17090), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix2951 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_986), .QB (nx17090), .D (nx7991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7982 (.Y (nx7981), .A0 (nx20170), .A1 (nx20368), .B0 (nx7977)) ;
    nor02 ix7978 (.Y (nx7977), .A0 (nx17095), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix2955 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_987), .QB (nx17095), .D (nx7981), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6525 (.Y (nx6524), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_992), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_993), .B1 (nx20408)
          , .C0 (nx6522)) ;
    ao21 ix7932 (.Y (nx7931), .A0 (nx20170), .A1 (nx20358), .B0 (nx7927)) ;
    nor02 ix7928 (.Y (nx7927), .A0 (nx17101), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix2975 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_992), .QB (nx17101), .D (nx7931), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7922 (.Y (nx7921), .A0 (nx20170), .A1 (nx20356), .B0 (nx7917)) ;
    nor02 ix7918 (.Y (nx7917), .A0 (nx17106), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix2979 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_993), .QB (nx17106), .D (nx7921), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6523 (.Y (nx6522), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_990), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_991), .B1 (nx20412)
         ) ;
    ao21 ix7952 (.Y (nx7951), .A0 (nx20170), .A1 (nx20362), .B0 (nx7947)) ;
    nor02 ix7948 (.Y (nx7947), .A0 (nx17112), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix2967 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_990), .QB (nx17112), .D (nx7951), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7942 (.Y (nx7941), .A0 (nx20170), .A1 (nx20360), .B0 (nx7937)) ;
    nor02 ix7938 (.Y (nx7937), .A0 (nx17117), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix2971 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_991), .QB (nx17117), .D (nx7941), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6479 (.Y (nx6478), .A0 (nx20414), .A1 (nx6470), .B0 (nx20416), .B1 (
          nx6276), .C0 (nx6086)) ;
    inv02 ix6471 (.Y (nx6470), .A (nx17121)) ;
    nor04 ix17122 (.Y (nx17121), .A0 (nx6466), .A1 (nx6420), .A2 (nx6372), .A3 (
          nx6326)) ;
    ao221 ix6467 (.Y (nx6466), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_996), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_997), .B1 (nx20386)
          , .C0 (nx6464)) ;
    ao21 ix7892 (.Y (nx7891), .A0 (nx20170), .A1 (nx20350), .B0 (nx7887)) ;
    nor02 ix7888 (.Y (nx7887), .A0 (nx17127), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix2991 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_996), .QB (nx17127), .D (nx7891), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7882 (.Y (nx7881), .A0 (nx20170), .A1 (nx20348), .B0 (nx7877)) ;
    nor02 ix7878 (.Y (nx7877), .A0 (nx17132), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix2995 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_997), .QB (nx17132), .D (nx7881), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6465 (.Y (nx6464), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_994), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_995), .B1 (nx20390)
         ) ;
    ao21 ix7912 (.Y (nx7911), .A0 (nx20170), .A1 (nx20354), .B0 (nx7907)) ;
    nor02 ix7908 (.Y (nx7907), .A0 (nx17138), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix2983 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_994), .QB (nx17138), .D (nx7911), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7902 (.Y (nx7901), .A0 (nx20170), .A1 (nx20352), .B0 (nx7897)) ;
    nor02 ix7898 (.Y (nx7897), .A0 (nx17143), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix2987 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_995), .QB (nx17143), .D (nx7901), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6421 (.Y (nx6420), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_1000), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_1001), .B1 (nx20392)
          , .C0 (nx6418)) ;
    ao21 ix7852 (.Y (nx7851), .A0 (nx20170), .A1 (nx20342), .B0 (nx7847)) ;
    nor02 ix7848 (.Y (nx7847), .A0 (nx17149), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix3007 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_1000), .QB (nx17149), .D (nx7851), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7842 (.Y (nx7841), .A0 (nx20170), .A1 (nx20340), .B0 (nx7837)) ;
    nor02 ix7838 (.Y (nx7837), .A0 (nx17154), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix3011 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_1001), .QB (nx17154), .D (nx7841), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6419 (.Y (nx6418), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_998), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_999), .B1 (nx20396)
         ) ;
    ao21 ix7872 (.Y (nx7871), .A0 (nx20170), .A1 (nx20346), .B0 (nx7867)) ;
    nor02 ix7868 (.Y (nx7867), .A0 (nx17160), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix2999 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_998), .QB (nx17160), .D (nx7871), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7862 (.Y (nx7861), .A0 (nx20170), .A1 (nx20344), .B0 (nx7857)) ;
    nor02 ix7858 (.Y (nx7857), .A0 (nx17165), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix3003 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_999), .QB (nx17165), .D (nx7861), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6373 (.Y (nx6372), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_1004), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_1005), .B1 (nx20402)
          , .C0 (nx6370)) ;
    ao21 ix7812 (.Y (nx7811), .A0 (nx20170), .A1 (nx20334), .B0 (nx7807)) ;
    nor02 ix7808 (.Y (nx7807), .A0 (nx17171), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix3023 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_1004), .QB (nx17171), .D (nx7811), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7802 (.Y (nx7801), .A0 (nx20170), .A1 (nx20332), .B0 (nx7797)) ;
    nor02 ix7798 (.Y (nx7797), .A0 (nx17176), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix3027 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_1005), .QB (nx17176), .D (nx7801), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6371 (.Y (nx6370), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_1002), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_1003), .B1 (nx20406)
         ) ;
    ao21 ix7832 (.Y (nx7831), .A0 (nx20170), .A1 (nx20338), .B0 (nx7827)) ;
    nor02 ix7828 (.Y (nx7827), .A0 (nx17182), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix3015 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_1002), .QB (nx17182), .D (nx7831), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7822 (.Y (nx7821), .A0 (nx20170), .A1 (nx20336), .B0 (nx7817)) ;
    nor02 ix7818 (.Y (nx7817), .A0 (nx17187), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix3019 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_1003), .QB (nx17187), .D (nx7821), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6327 (.Y (nx6326), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_1008), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_1009), .B1 (nx20408)
          , .C0 (nx6324)) ;
    ao21 ix7772 (.Y (nx7771), .A0 (nx20170), .A1 (nx20326), .B0 (nx7767)) ;
    nor02 ix7768 (.Y (nx7767), .A0 (nx17193), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix3039 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_1008), .QB (nx17193), .D (nx7771), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7762 (.Y (nx7761), .A0 (nx20170), .A1 (nx20324), .B0 (nx7757)) ;
    nor02 ix7758 (.Y (nx7757), .A0 (nx17198), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix3043 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_1009), .QB (nx17198), .D (nx7761), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6325 (.Y (nx6324), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_1006), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_1007), .B1 (nx20412)
         ) ;
    ao21 ix7792 (.Y (nx7791), .A0 (nx20170), .A1 (nx20330), .B0 (nx7787)) ;
    nor02 ix7788 (.Y (nx7787), .A0 (nx17204), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix3031 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_1006), .QB (nx17204), .D (nx7791), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7782 (.Y (nx7781), .A0 (nx20170), .A1 (nx20328), .B0 (nx7777)) ;
    nor02 ix7778 (.Y (nx7777), .A0 (nx17209), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix3035 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_1007), .QB (nx17209), .D (nx7781), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix6277 (.Y (nx6276), .A (nx17212)) ;
    nor04 ix17213 (.Y (nx17212), .A0 (nx6272), .A1 (nx6226), .A2 (nx6178), .A3 (
          nx6132)) ;
    ao221 ix6273 (.Y (nx6272), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_1012), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_1013), .B1 (nx20386)
          , .C0 (nx6270)) ;
    ao21 ix7732 (.Y (nx7731), .A0 (nx20170), .A1 (nx20318), .B0 (nx7727)) ;
    nor02 ix7728 (.Y (nx7727), .A0 (nx17218), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix3055 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_1012), .QB (nx17218), .D (nx7731), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7722 (.Y (nx7721), .A0 (nx20170), .A1 (nx20316), .B0 (nx7717)) ;
    nor02 ix7718 (.Y (nx7717), .A0 (nx17223), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix3059 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_1013), .QB (nx17223), .D (nx7721), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6271 (.Y (nx6270), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_1010), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_1011), .B1 (nx20390)
         ) ;
    ao21 ix7752 (.Y (nx7751), .A0 (nx20170), .A1 (nx20322), .B0 (nx7747)) ;
    nor02 ix7748 (.Y (nx7747), .A0 (nx17229), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix3047 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_1010), .QB (nx17229), .D (nx7751), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7742 (.Y (nx7741), .A0 (nx20170), .A1 (nx20320), .B0 (nx7737)) ;
    nor02 ix7738 (.Y (nx7737), .A0 (nx17234), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix3051 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_1011), .QB (nx17234), .D (nx7741), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6227 (.Y (nx6226), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_1016), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_1017), .B1 (nx20392)
          , .C0 (nx6224)) ;
    ao21 ix7692 (.Y (nx7691), .A0 (nx20170), .A1 (nx20310), .B0 (nx7687)) ;
    nor02 ix7688 (.Y (nx7687), .A0 (nx17240), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix3071 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_1016), .QB (nx17240), .D (nx7691), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7682 (.Y (nx7681), .A0 (nx20170), .A1 (nx20308), .B0 (nx7677)) ;
    nor02 ix7678 (.Y (nx7677), .A0 (nx17245), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix3075 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_1017), .QB (nx17245), .D (nx7681), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6225 (.Y (nx6224), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_1014), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_1015), .B1 (nx20396)
         ) ;
    ao21 ix7712 (.Y (nx7711), .A0 (nx20170), .A1 (nx20314), .B0 (nx7707)) ;
    nor02 ix7708 (.Y (nx7707), .A0 (nx17251), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix3063 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_1014), .QB (nx17251), .D (nx7711), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7702 (.Y (nx7701), .A0 (nx20170), .A1 (nx20312), .B0 (nx7697)) ;
    nor02 ix7698 (.Y (nx7697), .A0 (nx17256), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix3067 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_1015), .QB (nx17256), .D (nx7701), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6179 (.Y (nx6178), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_1020), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_1021), .B1 (nx20402)
          , .C0 (nx6176)) ;
    ao21 ix7652 (.Y (nx7651), .A0 (nx20170), .A1 (nx20302), .B0 (nx7647)) ;
    nor02 ix7648 (.Y (nx7647), .A0 (nx17262), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix3087 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_1020), .QB (nx17262), .D (nx7651), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7642 (.Y (nx7641), .A0 (nx20170), .A1 (nx20300), .B0 (nx7637)) ;
    nor02 ix7638 (.Y (nx7637), .A0 (nx17267), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix3091 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_1021), .QB (nx17267), .D (nx7641), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6177 (.Y (nx6176), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_1018), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_1019), .B1 (nx20406)
         ) ;
    ao21 ix7672 (.Y (nx7671), .A0 (nx20170), .A1 (nx20306), .B0 (nx7667)) ;
    nor02 ix7668 (.Y (nx7667), .A0 (nx17273), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix3079 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_1018), .QB (nx17273), .D (nx7671), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7662 (.Y (nx7661), .A0 (nx20170), .A1 (nx20304), .B0 (nx7657)) ;
    nor02 ix7658 (.Y (nx7657), .A0 (nx17278), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix3083 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_1019), .QB (nx17278), .D (nx7661), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6133 (.Y (nx6132), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_1024), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_1025), .B1 (nx20408)
          , .C0 (nx6130)) ;
    ao21 ix7612 (.Y (nx7611), .A0 (nx20170), .A1 (nx20294), .B0 (nx7607)) ;
    nor02 ix7608 (.Y (nx7607), .A0 (nx17284), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix3103 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_1024), .QB (nx17284), .D (nx7611), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7602 (.Y (nx7601), .A0 (nx20170), .A1 (nx20292), .B0 (nx7597)) ;
    nor02 ix7598 (.Y (nx7597), .A0 (nx17289), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix3107 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_1025), .QB (nx17289), .D (nx7601), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6131 (.Y (nx6130), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_1022), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_1023), .B1 (nx20412)
         ) ;
    ao21 ix7632 (.Y (nx7631), .A0 (nx20170), .A1 (nx20298), .B0 (nx7627)) ;
    nor02 ix7628 (.Y (nx7627), .A0 (nx17295), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix3095 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_1022), .QB (nx17295), .D (nx7631), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7622 (.Y (nx7621), .A0 (nx20170), .A1 (nx20296), .B0 (nx7617)) ;
    nor02 ix7618 (.Y (nx7617), .A0 (nx17300), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix3099 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_1023), .QB (nx17300), .D (nx7621), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix6087 (.Y (nx6086), .A0 (nx20258), .A1 (nx17303), .B0 (nx20224), .B1 (
          nx17393)) ;
    nor04 ix17304 (.Y (nx17303), .A0 (nx6076), .A1 (nx6030), .A2 (nx5982), .A3 (
          nx5936)) ;
    ao221 ix6077 (.Y (nx6076), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_1028), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_1029), .B1 (nx20386)
          , .C0 (nx6074)) ;
    ao21 ix7572 (.Y (nx7571), .A0 (nx20170), .A1 (nx20286), .B0 (nx7567)) ;
    nor02 ix7568 (.Y (nx7567), .A0 (nx17309), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix3119 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_1028), .QB (nx17309), .D (nx7571), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7562 (.Y (nx7561), .A0 (nx20170), .A1 (nx20284), .B0 (nx7557)) ;
    nor02 ix7558 (.Y (nx7557), .A0 (nx17314), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix3123 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_1029), .QB (nx17314), .D (nx7561), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6075 (.Y (nx6074), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_1026), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_1027), .B1 (nx20390)
         ) ;
    ao21 ix7592 (.Y (nx7591), .A0 (nx20170), .A1 (nx20290), .B0 (nx7587)) ;
    nor02 ix7588 (.Y (nx7587), .A0 (nx17320), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix3111 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_1026), .QB (nx17320), .D (nx7591), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7582 (.Y (nx7581), .A0 (nx20170), .A1 (nx20288), .B0 (nx7577)) ;
    nor02 ix7578 (.Y (nx7577), .A0 (nx17325), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix3115 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_1027), .QB (nx17325), .D (nx7581), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix6031 (.Y (nx6030), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_1032), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_1033), .B1 (nx20392)
          , .C0 (nx6028)) ;
    ao21 ix7532 (.Y (nx7531), .A0 (nx20170), .A1 (nx20278), .B0 (nx7527)) ;
    nor02 ix7528 (.Y (nx7527), .A0 (nx17331), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix3135 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_1032), .QB (nx17331), .D (nx7531), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7522 (.Y (nx7521), .A0 (nx20170), .A1 (nx20276), .B0 (nx7517)) ;
    nor02 ix7518 (.Y (nx7517), .A0 (nx17336), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix3139 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_1033), .QB (nx17336), .D (nx7521), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix6029 (.Y (nx6028), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_1030), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_1031), .B1 (nx20396)
         ) ;
    ao21 ix7552 (.Y (nx7551), .A0 (nx20170), .A1 (nx20282), .B0 (nx7547)) ;
    nor02 ix7548 (.Y (nx7547), .A0 (nx17342), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix3127 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_1030), .QB (nx17342), .D (nx7551), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7542 (.Y (nx7541), .A0 (nx20170), .A1 (nx20280), .B0 (nx7537)) ;
    nor02 ix7538 (.Y (nx7537), .A0 (nx17347), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix3131 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_1031), .QB (nx17347), .D (nx7541), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix5983 (.Y (nx5982), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_1036), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_1037), .B1 (nx20402)
          , .C0 (nx5980)) ;
    ao21 ix7492 (.Y (nx7491), .A0 (nx20170), .A1 (nx20270), .B0 (nx7487)) ;
    nor02 ix7488 (.Y (nx7487), .A0 (nx17353), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix3151 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_1036), .QB (nx17353), .D (nx7491), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7482 (.Y (nx7481), .A0 (nx20170), .A1 (nx20268), .B0 (nx7477)) ;
    nor02 ix7478 (.Y (nx7477), .A0 (nx17358), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix3155 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_1037), .QB (nx17358), .D (nx7481), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix5981 (.Y (nx5980), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_1034), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_1035), .B1 (nx20406)
         ) ;
    ao21 ix7512 (.Y (nx7511), .A0 (nx20170), .A1 (nx20274), .B0 (nx7507)) ;
    nor02 ix7508 (.Y (nx7507), .A0 (nx17364), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix3143 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_1034), .QB (nx17364), .D (nx7511), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7502 (.Y (nx7501), .A0 (nx20170), .A1 (nx20272), .B0 (nx7497)) ;
    nor02 ix7498 (.Y (nx7497), .A0 (nx17369), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix3147 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_1035), .QB (nx17369), .D (nx7501), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix5937 (.Y (nx5936), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_1040), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_1041), .B1 (nx20408)
          , .C0 (nx5934)) ;
    ao21 ix7452 (.Y (nx7451), .A0 (nx20170), .A1 (nx20262), .B0 (nx7447)) ;
    nor02 ix7448 (.Y (nx7447), .A0 (nx17375), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix3167 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_1040), .QB (nx17375), .D (nx7451), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7442 (.Y (nx7441), .A0 (nx20170), .A1 (nx20260), .B0 (nx7437)) ;
    nor02 ix7438 (.Y (nx7437), .A0 (nx17380), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix3171 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_1041), .QB (nx17380), .D (nx7441), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix5935 (.Y (nx5934), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_1038), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_1039), .B1 (nx20412)
         ) ;
    ao21 ix7472 (.Y (nx7471), .A0 (nx20170), .A1 (nx20266), .B0 (nx7467)) ;
    nor02 ix7468 (.Y (nx7467), .A0 (nx17386), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix3159 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_1038), .QB (nx17386), .D (nx7471), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7462 (.Y (nx7461), .A0 (nx20170), .A1 (nx20264), .B0 (nx7457)) ;
    nor02 ix7458 (.Y (nx7457), .A0 (nx17391), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix3163 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_1039), .QB (nx17391), .D (nx7461), .CLK (
         clk), .R (nx4179)) ;
    nor04 ix17394 (.Y (nx17393), .A0 (nx5882), .A1 (nx5836), .A2 (nx5788), .A3 (
          nx5742)) ;
    ao221 ix5883 (.Y (nx5882), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_1044), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_1045), .B1 (nx20386)
          , .C0 (nx5880)) ;
    ao21 ix7412 (.Y (nx7411), .A0 (nx20170), .A1 (nx20252), .B0 (nx7407)) ;
    nor02 ix7408 (.Y (nx7407), .A0 (nx17399), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix3183 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_1044), .QB (nx17399), .D (nx7411), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7402 (.Y (nx7401), .A0 (nx20170), .A1 (nx20250), .B0 (nx7397)) ;
    nor02 ix7398 (.Y (nx7397), .A0 (nx17404), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix3187 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_1045), .QB (nx17404), .D (nx7401), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix5881 (.Y (nx5880), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_1042), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_1043), .B1 (nx20390)
         ) ;
    ao21 ix7432 (.Y (nx7431), .A0 (nx20170), .A1 (nx20256), .B0 (nx7427)) ;
    nor02 ix7428 (.Y (nx7427), .A0 (nx17410), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix3175 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_1042), .QB (nx17410), .D (nx7431), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7422 (.Y (nx7421), .A0 (nx20170), .A1 (nx20254), .B0 (nx7417)) ;
    nor02 ix7418 (.Y (nx7417), .A0 (nx17415), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix3179 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_1043), .QB (nx17415), .D (nx7421), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix5837 (.Y (nx5836), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_1048), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_1049), .B1 (nx20392)
          , .C0 (nx5834)) ;
    ao21 ix7372 (.Y (nx7371), .A0 (nx20170), .A1 (nx20244), .B0 (nx7367)) ;
    nor02 ix7368 (.Y (nx7367), .A0 (nx17421), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix3199 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_1048), .QB (nx17421), .D (nx7371), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7362 (.Y (nx7361), .A0 (nx20170), .A1 (nx20242), .B0 (nx7357)) ;
    nor02 ix7358 (.Y (nx7357), .A0 (nx17426), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix3203 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_1049), .QB (nx17426), .D (nx7361), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix5835 (.Y (nx5834), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_1046), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_1047), .B1 (nx20396)
         ) ;
    ao21 ix7392 (.Y (nx7391), .A0 (nx20170), .A1 (nx20248), .B0 (nx7387)) ;
    nor02 ix7388 (.Y (nx7387), .A0 (nx17432), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix3191 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_1046), .QB (nx17432), .D (nx7391), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7382 (.Y (nx7381), .A0 (nx20170), .A1 (nx20246), .B0 (nx7377)) ;
    nor02 ix7378 (.Y (nx7377), .A0 (nx17437), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix3195 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_1047), .QB (nx17437), .D (nx7381), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix5789 (.Y (nx5788), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_1052), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_1053), .B1 (nx20402)
          , .C0 (nx5786)) ;
    ao21 ix7332 (.Y (nx7331), .A0 (nx20170), .A1 (nx20236), .B0 (nx7327)) ;
    nor02 ix7328 (.Y (nx7327), .A0 (nx17443), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix3215 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_1052), .QB (nx17443), .D (nx7331), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7322 (.Y (nx7321), .A0 (nx20170), .A1 (nx20234), .B0 (nx7317)) ;
    nor02 ix7318 (.Y (nx7317), .A0 (nx17448), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix3219 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_1053), .QB (nx17448), .D (nx7321), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix5787 (.Y (nx5786), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_1050), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_1051), .B1 (nx20406)
         ) ;
    ao21 ix7352 (.Y (nx7351), .A0 (nx20170), .A1 (nx20240), .B0 (nx7347)) ;
    nor02 ix7348 (.Y (nx7347), .A0 (nx17454), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix3207 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_1050), .QB (nx17454), .D (nx7351), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7342 (.Y (nx7341), .A0 (nx20170), .A1 (nx20238), .B0 (nx7337)) ;
    nor02 ix7338 (.Y (nx7337), .A0 (nx17459), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix3211 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_1051), .QB (nx17459), .D (nx7341), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix5743 (.Y (nx5742), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_1056), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_1057), .B1 (nx20408)
          , .C0 (nx5740)) ;
    ao21 ix7292 (.Y (nx7291), .A0 (nx20170), .A1 (nx20228), .B0 (nx7287)) ;
    nor02 ix7288 (.Y (nx7287), .A0 (nx17465), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix3231 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_1056), .QB (nx17465), .D (nx7291), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7282 (.Y (nx7281), .A0 (nx20170), .A1 (nx20226), .B0 (nx7277)) ;
    nor02 ix7278 (.Y (nx7277), .A0 (nx17470), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix3235 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_1057), .QB (nx17470), .D (nx7281), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix5741 (.Y (nx5740), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_1054), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_1055), .B1 (nx20412)
         ) ;
    ao21 ix7312 (.Y (nx7311), .A0 (nx20170), .A1 (nx20232), .B0 (nx7307)) ;
    nor02 ix7308 (.Y (nx7307), .A0 (nx17476), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix3223 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_1054), .QB (nx17476), .D (nx7311), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7302 (.Y (nx7301), .A0 (nx20170), .A1 (nx20230), .B0 (nx7297)) ;
    nor02 ix7298 (.Y (nx7297), .A0 (nx17481), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix3227 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_1055), .QB (nx17481), .D (nx7301), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix5697 (.Y (nx5696), .A0 (nx20178), .A1 (nx20176), .A2 (nx17484)) ;
    mux21 ix17485 (.Y (nx17484), .A0 (nx5574), .A1 (nx5690), .S0 (nx20188)) ;
    mux21 ix5575 (.Y (nx5574), .A0 (nx15428), .A1 (nx17487), .S0 (nx20190)) ;
    mux21 ix17488 (.Y (nx17487), .A0 (tmr0_2), .A1 (porta_2), .S0 (nx20186)) ;
    mux21 ix7232 (.Y (nx7231), .A0 (nx17491), .A1 (nx17493), .S0 (nx20212)) ;
    dffr reg_tmr0_2 (.Q (tmr0_2), .QB (nx17491), .D (nx7231), .CLK (clk), .R (
         nx4179)) ;
    aoi32 ix17494 (.Y (nx17493), .A0 (nx15377), .A1 (nx17495), .A2 (nx5548), .B0 (
          nx236), .B1 (nx20210)) ;
    aoi21 ix5549 (.Y (nx5548), .A0 (nx16999), .A1 (nx17491), .B0 (nx20210)) ;
    dffr reg_porta_2 (.Q (porta_2), .QB (\$dummy [54]), .D (nx5526), .CLK (clk)
         , .R (nx4179)) ;
    and02 ix5527 (.Y (nx5526), .A0 (portain[2]), .A1 (nx15377)) ;
    mux21 ix5691 (.Y (nx5690), .A0 (nx17503), .A1 (nx17530), .S0 (nx20186)) ;
    mux21 ix17504 (.Y (nx17503), .A0 (debugpc[2]), .A1 (debugstatus[2]), .S0 (
          nx20190)) ;
    dffr reg_pc_2 (.Q (debugpc[2]), .QB (\$dummy [55]), .D (nx5626), .CLK (clk)
         , .R (nx4179)) ;
    or02 ix5627 (.Y (nx5626), .A0 (paddr[2]), .A1 (reset)) ;
    ao221 ix5625 (.Y (paddr[2]), .A0 (nx20186), .A1 (nx20214), .B0 (nx20170), .B1 (
          nx20418), .C0 (nx5614)) ;
    ao221 ix5615 (.Y (nx5614), .A0 (stack1_2), .A1 (nx20216), .B0 (stack2_2), .B1 (
          nx20218), .C0 (nx5598)) ;
    dffr reg_stack1_2 (.Q (stack1_2), .QB (\$dummy [56]), .D (nx7251), .CLK (clk
         ), .R (nx4179)) ;
    ao21 ix7252 (.Y (nx7251), .A0 (stack1_2), .A1 (nx16488), .B0 (nx7249)) ;
    ao21 ix7242 (.Y (nx7241), .A0 (debugpc[2]), .A1 (nx20222), .B0 (nx7237)) ;
    nor02 ix7238 (.Y (nx7237), .A0 (nx17516), .A1 (nx20222)) ;
    dffr reg_stack2_2 (.Q (stack2_2), .QB (nx17516), .D (nx7241), .CLK (clk), .R (
         nx4179)) ;
    and03 ix5599 (.Y (nx5598), .A0 (nx5588), .A1 (nx17520), .A2 (nx17522)) ;
    ao21 ix5589 (.Y (nx5588), .A0 (debugpc[1]), .A1 (debugpc[0]), .B0 (
         debugpc[2])) ;
    nor04 ix17521 (.Y (nx17520), .A0 (nx20216), .A1 (nx20218), .A2 (nx20418), .A3 (
          nx20214)) ;
    nand03 ix17523 (.Y (nx17522), .A0 (debugpc[2]), .A1 (debugpc[1]), .A2 (
           debugpc[0])) ;
    dffr reg_status_2 (.Q (debugstatus[2]), .QB (\$dummy [57]), .D (nx5652), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix5653 (.Y (nx5652), .A0 (nx288), .A1 (nx17527), .B0 (nx15426), .B1 (
          nx16523)) ;
    mux21 ix17528 (.Y (nx17527), .A0 (debugstatus[2]), .A1 (aluz), .S0 (ideczwe)
          ) ;
    mux21 ix17531 (.Y (nx17530), .A0 (portbout[2]), .A1 (portcout[2]), .S0 (
          nx20190)) ;
    dffr reg_portb_2 (.Q (portbout[2]), .QB (\$dummy [58]), .D (nx7271), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7272 (.Y (nx7271), .A0 (portbout[2]), .A1 (nx20420), .B0 (nx7269)) ;
    nor02 ix7270 (.Y (nx7269), .A0 (nx15426), .A1 (nx20420)) ;
    dffr reg_portc_2 (.Q (portcout[2]), .QB (\$dummy [59]), .D (nx7261), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix7262 (.Y (nx7261), .A0 (portcout[2]), .A1 (nx20422), .B0 (nx7259)) ;
    nor02 ix7260 (.Y (nx7259), .A0 (nx15426), .A1 (nx20422)) ;
    mux21 ix16219 (.Y (alua_3), .A0 (nx17543), .A1 (nx17548), .S0 (aluasel_0)) ;
    dffr reg_w_3 (.Q (debugw[3]), .QB (\$dummy [60]), .D (nx9911), .CLK (clk), .R (
         nx4179)) ;
    ao32 ix9912 (.Y (nx9911), .A0 (nx20168), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[3]), .B1 (nx20372)) ;
    ao221 ix9031 (.Y (nx9030), .A0 (expdin[3]), .A1 (nx20208), .B0 (nx20382), .B1 (
          nx9022), .C0 (nx7456)) ;
    nor04 ix17554 (.Y (nx17553), .A0 (nx8424), .A1 (nx8378), .A2 (nx8330), .A3 (
          nx8284)) ;
    ao221 ix8425 (.Y (nx8424), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_852), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_853), .B1 (nx20386)
          , .C0 (nx8422)) ;
    dffr regs_dram_modgen_ram_ix26_ix2414 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_852), .QB (\$dummy [61]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_852), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2418 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_853), .QB (\$dummy [62]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_853), .CLK (clk), .R (nx4179)) ;
    ao22 ix8423 (.Y (nx8422), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_850), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_851), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix2406 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_850), .QB (\$dummy [63]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_850), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2410 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_851), .QB (\$dummy [64]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_851), .CLK (clk), .R (nx4179)) ;
    ao221 ix8379 (.Y (nx8378), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_856), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_857), .B1 (nx20392)
          , .C0 (nx8376)) ;
    dffr regs_dram_modgen_ram_ix26_ix2430 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_856), .QB (\$dummy [65]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_856), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2434 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_857), .QB (\$dummy [66]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_857), .CLK (clk), .R (nx4179)) ;
    ao22 ix8377 (.Y (nx8376), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_854), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_855), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix2422 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_854), .QB (\$dummy [67]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_854), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix2426 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_855), .QB (\$dummy [68]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_855), .CLK (clk), .R (nx4179)) ;
    ao221 ix8331 (.Y (nx8330), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_860), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_861), .B1 (nx20402)
          , .C0 (nx8328)) ;
    ao21 ix9322 (.Y (nx9321), .A0 (nx20168), .A1 (nx20366), .B0 (nx9317)) ;
    nor02 ix9318 (.Y (nx9317), .A0 (nx17579), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix2446 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_860), .QB (nx17579), .D (nx9321), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9312 (.Y (nx9311), .A0 (nx20168), .A1 (nx20364), .B0 (nx9307)) ;
    nor02 ix9308 (.Y (nx9307), .A0 (nx17584), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix2450 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_861), .QB (nx17584), .D (nx9311), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8329 (.Y (nx8328), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_858), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_859), .B1 (nx20406)
         ) ;
    ao21 ix9342 (.Y (nx9341), .A0 (nx20168), .A1 (nx20370), .B0 (nx9337)) ;
    nor02 ix9338 (.Y (nx9337), .A0 (nx17590), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix2438 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_858), .QB (nx17590), .D (nx9341), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9332 (.Y (nx9331), .A0 (nx20168), .A1 (nx20368), .B0 (nx9327)) ;
    nor02 ix9328 (.Y (nx9327), .A0 (nx17595), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix2442 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_859), .QB (nx17595), .D (nx9331), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix8285 (.Y (nx8284), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_864), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_865), .B1 (nx20408)
          , .C0 (nx8282)) ;
    ao21 ix9282 (.Y (nx9281), .A0 (nx20168), .A1 (nx20358), .B0 (nx9277)) ;
    nor02 ix9278 (.Y (nx9277), .A0 (nx17601), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix2462 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_864), .QB (nx17601), .D (nx9281), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9272 (.Y (nx9271), .A0 (nx20168), .A1 (nx20356), .B0 (nx9267)) ;
    nor02 ix9268 (.Y (nx9267), .A0 (nx17606), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix2466 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_865), .QB (nx17606), .D (nx9271), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8283 (.Y (nx8282), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_862), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_863), .B1 (nx20412)
         ) ;
    ao21 ix9302 (.Y (nx9301), .A0 (nx20168), .A1 (nx20362), .B0 (nx9297)) ;
    nor02 ix9298 (.Y (nx9297), .A0 (nx17612), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix2454 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_862), .QB (nx17612), .D (nx9301), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9292 (.Y (nx9291), .A0 (nx20168), .A1 (nx20360), .B0 (nx9287)) ;
    nor02 ix9288 (.Y (nx9287), .A0 (nx17617), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix2458 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_863), .QB (nx17617), .D (nx9291), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix8239 (.Y (nx8238), .A0 (nx20414), .A1 (nx8230), .B0 (nx20416), .B1 (
          nx8036), .C0 (nx7846)) ;
    inv02 ix8231 (.Y (nx8230), .A (nx17621)) ;
    nor04 ix17622 (.Y (nx17621), .A0 (nx8226), .A1 (nx8180), .A2 (nx8132), .A3 (
          nx8086)) ;
    ao221 ix8227 (.Y (nx8226), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_868), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_869), .B1 (nx20386)
          , .C0 (nx8224)) ;
    ao21 ix9242 (.Y (nx9241), .A0 (nx20168), .A1 (nx20350), .B0 (nx9237)) ;
    nor02 ix9238 (.Y (nx9237), .A0 (nx17627), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix2478 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_868), .QB (nx17627), .D (nx9241), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9232 (.Y (nx9231), .A0 (nx20168), .A1 (nx20348), .B0 (nx9227)) ;
    nor02 ix9228 (.Y (nx9227), .A0 (nx17632), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix2482 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_869), .QB (nx17632), .D (nx9231), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8225 (.Y (nx8224), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_866), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_867), .B1 (nx20390)
         ) ;
    ao21 ix9262 (.Y (nx9261), .A0 (nx20168), .A1 (nx20354), .B0 (nx9257)) ;
    nor02 ix9258 (.Y (nx9257), .A0 (nx17638), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix2470 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_866), .QB (nx17638), .D (nx9261), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9252 (.Y (nx9251), .A0 (nx20168), .A1 (nx20352), .B0 (nx9247)) ;
    nor02 ix9248 (.Y (nx9247), .A0 (nx17643), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix2474 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_867), .QB (nx17643), .D (nx9251), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix8181 (.Y (nx8180), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_872), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_873), .B1 (nx20392)
          , .C0 (nx8178)) ;
    ao21 ix9202 (.Y (nx9201), .A0 (nx20168), .A1 (nx20342), .B0 (nx9197)) ;
    nor02 ix9198 (.Y (nx9197), .A0 (nx17649), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix2494 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_872), .QB (nx17649), .D (nx9201), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9192 (.Y (nx9191), .A0 (nx20168), .A1 (nx20340), .B0 (nx9187)) ;
    nor02 ix9188 (.Y (nx9187), .A0 (nx17654), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix2498 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_873), .QB (nx17654), .D (nx9191), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8179 (.Y (nx8178), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_870), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_871), .B1 (nx20396)
         ) ;
    ao21 ix9222 (.Y (nx9221), .A0 (nx20168), .A1 (nx20346), .B0 (nx9217)) ;
    nor02 ix9218 (.Y (nx9217), .A0 (nx17660), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix2486 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_870), .QB (nx17660), .D (nx9221), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9212 (.Y (nx9211), .A0 (nx20168), .A1 (nx20344), .B0 (nx9207)) ;
    nor02 ix9208 (.Y (nx9207), .A0 (nx17665), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix2490 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_871), .QB (nx17665), .D (nx9211), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix8133 (.Y (nx8132), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_876), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_877), .B1 (nx20402)
          , .C0 (nx8130)) ;
    ao21 ix9162 (.Y (nx9161), .A0 (nx20168), .A1 (nx20334), .B0 (nx9157)) ;
    nor02 ix9158 (.Y (nx9157), .A0 (nx17671), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix2510 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_876), .QB (nx17671), .D (nx9161), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9152 (.Y (nx9151), .A0 (nx20168), .A1 (nx20332), .B0 (nx9147)) ;
    nor02 ix9148 (.Y (nx9147), .A0 (nx17676), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix2514 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_877), .QB (nx17676), .D (nx9151), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8131 (.Y (nx8130), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_874), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_875), .B1 (nx20406)
         ) ;
    ao21 ix9182 (.Y (nx9181), .A0 (nx20168), .A1 (nx20338), .B0 (nx9177)) ;
    nor02 ix9178 (.Y (nx9177), .A0 (nx17682), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix2502 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_874), .QB (nx17682), .D (nx9181), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9172 (.Y (nx9171), .A0 (nx20168), .A1 (nx20336), .B0 (nx9167)) ;
    nor02 ix9168 (.Y (nx9167), .A0 (nx17687), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix2506 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_875), .QB (nx17687), .D (nx9171), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix8087 (.Y (nx8086), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_880), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_881), .B1 (nx20408)
          , .C0 (nx8084)) ;
    ao21 ix9122 (.Y (nx9121), .A0 (nx20168), .A1 (nx20326), .B0 (nx9117)) ;
    nor02 ix9118 (.Y (nx9117), .A0 (nx17693), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix2526 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_880), .QB (nx17693), .D (nx9121), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9112 (.Y (nx9111), .A0 (nx20168), .A1 (nx20324), .B0 (nx9107)) ;
    nor02 ix9108 (.Y (nx9107), .A0 (nx17698), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix2530 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_881), .QB (nx17698), .D (nx9111), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8085 (.Y (nx8084), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_878), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_879), .B1 (nx20412)
         ) ;
    ao21 ix9142 (.Y (nx9141), .A0 (nx20168), .A1 (nx20330), .B0 (nx9137)) ;
    nor02 ix9138 (.Y (nx9137), .A0 (nx17704), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix2518 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_878), .QB (nx17704), .D (nx9141), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9132 (.Y (nx9131), .A0 (nx20168), .A1 (nx20328), .B0 (nx9127)) ;
    nor02 ix9128 (.Y (nx9127), .A0 (nx17709), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix2522 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_879), .QB (nx17709), .D (nx9131), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix8037 (.Y (nx8036), .A (nx17712)) ;
    nor04 ix17713 (.Y (nx17712), .A0 (nx8032), .A1 (nx7986), .A2 (nx7938), .A3 (
          nx7892)) ;
    ao221 ix8033 (.Y (nx8032), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_884), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_885), .B1 (nx20386)
          , .C0 (nx8030)) ;
    ao21 ix9082 (.Y (nx9081), .A0 (nx20168), .A1 (nx20318), .B0 (nx9077)) ;
    nor02 ix9078 (.Y (nx9077), .A0 (nx17718), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix2542 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_884), .QB (nx17718), .D (nx9081), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9072 (.Y (nx9071), .A0 (nx20168), .A1 (nx20316), .B0 (nx9067)) ;
    nor02 ix9068 (.Y (nx9067), .A0 (nx17723), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix2546 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_885), .QB (nx17723), .D (nx9071), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix8031 (.Y (nx8030), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_882), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_883), .B1 (nx20390)
         ) ;
    ao21 ix9102 (.Y (nx9101), .A0 (nx20168), .A1 (nx20322), .B0 (nx9097)) ;
    nor02 ix9098 (.Y (nx9097), .A0 (nx17729), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix2534 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_882), .QB (nx17729), .D (nx9101), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9092 (.Y (nx9091), .A0 (nx20168), .A1 (nx20320), .B0 (nx9087)) ;
    nor02 ix9088 (.Y (nx9087), .A0 (nx17734), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix2538 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_883), .QB (nx17734), .D (nx9091), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7987 (.Y (nx7986), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_888), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_889), .B1 (nx20392)
          , .C0 (nx7984)) ;
    ao21 ix9042 (.Y (nx9041), .A0 (nx20168), .A1 (nx20310), .B0 (nx9037)) ;
    nor02 ix9038 (.Y (nx9037), .A0 (nx17740), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix2558 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_888), .QB (nx17740), .D (nx9041), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9032 (.Y (nx9031), .A0 (nx20168), .A1 (nx20308), .B0 (nx9027)) ;
    nor02 ix9028 (.Y (nx9027), .A0 (nx17745), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix2562 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_889), .QB (nx17745), .D (nx9031), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7985 (.Y (nx7984), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_886), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_887), .B1 (nx20396)
         ) ;
    ao21 ix9062 (.Y (nx9061), .A0 (nx20168), .A1 (nx20314), .B0 (nx9057)) ;
    nor02 ix9058 (.Y (nx9057), .A0 (nx17751), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix2550 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_886), .QB (nx17751), .D (nx9061), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9052 (.Y (nx9051), .A0 (nx20168), .A1 (nx20312), .B0 (nx9047)) ;
    nor02 ix9048 (.Y (nx9047), .A0 (nx17756), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix2554 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_887), .QB (nx17756), .D (nx9051), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7939 (.Y (nx7938), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_892), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_893), .B1 (nx20402)
          , .C0 (nx7936)) ;
    ao21 ix9002 (.Y (nx9001), .A0 (nx20168), .A1 (nx20302), .B0 (nx8997)) ;
    nor02 ix8998 (.Y (nx8997), .A0 (nx17762), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix2574 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_892), .QB (nx17762), .D (nx9001), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8992 (.Y (nx8991), .A0 (nx20168), .A1 (nx20300), .B0 (nx8987)) ;
    nor02 ix8988 (.Y (nx8987), .A0 (nx17767), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix2578 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_893), .QB (nx17767), .D (nx8991), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7937 (.Y (nx7936), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_890), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_891), .B1 (nx20406)
         ) ;
    ao21 ix9022 (.Y (nx9021), .A0 (nx20168), .A1 (nx20306), .B0 (nx9017)) ;
    nor02 ix9018 (.Y (nx9017), .A0 (nx17773), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix2566 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_890), .QB (nx17773), .D (nx9021), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9012 (.Y (nx9011), .A0 (nx20168), .A1 (nx20304), .B0 (nx9007)) ;
    nor02 ix9008 (.Y (nx9007), .A0 (nx17778), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix2570 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_891), .QB (nx17778), .D (nx9011), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7893 (.Y (nx7892), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_896), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_897), .B1 (nx20408)
          , .C0 (nx7890)) ;
    ao21 ix8962 (.Y (nx8961), .A0 (nx20168), .A1 (nx20294), .B0 (nx8957)) ;
    nor02 ix8958 (.Y (nx8957), .A0 (nx17784), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix2590 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_896), .QB (nx17784), .D (nx8961), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8952 (.Y (nx8951), .A0 (nx20168), .A1 (nx20292), .B0 (nx8947)) ;
    nor02 ix8948 (.Y (nx8947), .A0 (nx17789), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix2594 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_897), .QB (nx17789), .D (nx8951), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7891 (.Y (nx7890), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_894), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_895), .B1 (nx20412)
         ) ;
    ao21 ix8982 (.Y (nx8981), .A0 (nx20168), .A1 (nx20298), .B0 (nx8977)) ;
    nor02 ix8978 (.Y (nx8977), .A0 (nx17795), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix2582 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_894), .QB (nx17795), .D (nx8981), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8972 (.Y (nx8971), .A0 (nx20168), .A1 (nx20296), .B0 (nx8967)) ;
    nor02 ix8968 (.Y (nx8967), .A0 (nx17800), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix2586 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_895), .QB (nx17800), .D (nx8971), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix7847 (.Y (nx7846), .A0 (nx20258), .A1 (nx17803), .B0 (nx20224), .B1 (
          nx17893)) ;
    nor04 ix17804 (.Y (nx17803), .A0 (nx7836), .A1 (nx7790), .A2 (nx7742), .A3 (
          nx7696)) ;
    ao221 ix7837 (.Y (nx7836), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_900), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_901), .B1 (nx20386)
          , .C0 (nx7834)) ;
    ao21 ix8922 (.Y (nx8921), .A0 (nx20168), .A1 (nx20286), .B0 (nx8917)) ;
    nor02 ix8918 (.Y (nx8917), .A0 (nx17809), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix2606 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_900), .QB (nx17809), .D (nx8921), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8912 (.Y (nx8911), .A0 (nx20168), .A1 (nx20284), .B0 (nx8907)) ;
    nor02 ix8908 (.Y (nx8907), .A0 (nx17814), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix2610 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_901), .QB (nx17814), .D (nx8911), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7835 (.Y (nx7834), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_898), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_899), .B1 (nx20390)
         ) ;
    ao21 ix8942 (.Y (nx8941), .A0 (nx20168), .A1 (nx20290), .B0 (nx8937)) ;
    nor02 ix8938 (.Y (nx8937), .A0 (nx17820), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix2598 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_898), .QB (nx17820), .D (nx8941), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8932 (.Y (nx8931), .A0 (nx20168), .A1 (nx20288), .B0 (nx8927)) ;
    nor02 ix8928 (.Y (nx8927), .A0 (nx17825), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix2602 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_899), .QB (nx17825), .D (nx8931), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7791 (.Y (nx7790), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_904), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_905), .B1 (nx20392)
          , .C0 (nx7788)) ;
    ao21 ix8882 (.Y (nx8881), .A0 (nx20168), .A1 (nx20278), .B0 (nx8877)) ;
    nor02 ix8878 (.Y (nx8877), .A0 (nx17831), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix2622 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_904), .QB (nx17831), .D (nx8881), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8872 (.Y (nx8871), .A0 (nx20168), .A1 (nx20276), .B0 (nx8867)) ;
    nor02 ix8868 (.Y (nx8867), .A0 (nx17836), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix2626 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_905), .QB (nx17836), .D (nx8871), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7789 (.Y (nx7788), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_902), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_903), .B1 (nx20396)
         ) ;
    ao21 ix8902 (.Y (nx8901), .A0 (nx20168), .A1 (nx20282), .B0 (nx8897)) ;
    nor02 ix8898 (.Y (nx8897), .A0 (nx17842), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix2614 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_902), .QB (nx17842), .D (nx8901), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8892 (.Y (nx8891), .A0 (nx20168), .A1 (nx20280), .B0 (nx8887)) ;
    nor02 ix8888 (.Y (nx8887), .A0 (nx17847), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix2618 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_903), .QB (nx17847), .D (nx8891), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7743 (.Y (nx7742), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_908), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_909), .B1 (nx20402)
          , .C0 (nx7740)) ;
    ao21 ix8842 (.Y (nx8841), .A0 (nx20168), .A1 (nx20270), .B0 (nx8837)) ;
    nor02 ix8838 (.Y (nx8837), .A0 (nx17853), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix2638 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_908), .QB (nx17853), .D (nx8841), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8832 (.Y (nx8831), .A0 (nx20168), .A1 (nx20268), .B0 (nx8827)) ;
    nor02 ix8828 (.Y (nx8827), .A0 (nx17858), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix2642 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_909), .QB (nx17858), .D (nx8831), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7741 (.Y (nx7740), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_906), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_907), .B1 (nx20406)
         ) ;
    ao21 ix8862 (.Y (nx8861), .A0 (nx20168), .A1 (nx20274), .B0 (nx8857)) ;
    nor02 ix8858 (.Y (nx8857), .A0 (nx17864), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix2630 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_906), .QB (nx17864), .D (nx8861), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8852 (.Y (nx8851), .A0 (nx20168), .A1 (nx20272), .B0 (nx8847)) ;
    nor02 ix8848 (.Y (nx8847), .A0 (nx17869), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix2634 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_907), .QB (nx17869), .D (nx8851), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7697 (.Y (nx7696), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_912), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_913), .B1 (nx20408)
          , .C0 (nx7694)) ;
    ao21 ix8802 (.Y (nx8801), .A0 (nx20168), .A1 (nx20262), .B0 (nx8797)) ;
    nor02 ix8798 (.Y (nx8797), .A0 (nx17875), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix2654 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_912), .QB (nx17875), .D (nx8801), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8792 (.Y (nx8791), .A0 (nx20168), .A1 (nx20260), .B0 (nx8787)) ;
    nor02 ix8788 (.Y (nx8787), .A0 (nx17880), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix2658 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_913), .QB (nx17880), .D (nx8791), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7695 (.Y (nx7694), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_910), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_911), .B1 (nx20412)
         ) ;
    ao21 ix8822 (.Y (nx8821), .A0 (nx20168), .A1 (nx20266), .B0 (nx8817)) ;
    nor02 ix8818 (.Y (nx8817), .A0 (nx17886), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix2646 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_910), .QB (nx17886), .D (nx8821), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8812 (.Y (nx8811), .A0 (nx20168), .A1 (nx20264), .B0 (nx8807)) ;
    nor02 ix8808 (.Y (nx8807), .A0 (nx17891), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix2650 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_911), .QB (nx17891), .D (nx8811), .CLK (
         clk), .R (nx4179)) ;
    nor04 ix17894 (.Y (nx17893), .A0 (nx7642), .A1 (nx7596), .A2 (nx7548), .A3 (
          nx7502)) ;
    ao221 ix7643 (.Y (nx7642), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_916), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_917), .B1 (nx20386)
          , .C0 (nx7640)) ;
    ao21 ix8762 (.Y (nx8761), .A0 (nx20168), .A1 (nx20252), .B0 (nx8757)) ;
    nor02 ix8758 (.Y (nx8757), .A0 (nx17899), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix2670 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_916), .QB (nx17899), .D (nx8761), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8752 (.Y (nx8751), .A0 (nx20168), .A1 (nx20250), .B0 (nx8747)) ;
    nor02 ix8748 (.Y (nx8747), .A0 (nx17904), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix2674 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_917), .QB (nx17904), .D (nx8751), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7641 (.Y (nx7640), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_914), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_915), .B1 (nx20390)
         ) ;
    ao21 ix8782 (.Y (nx8781), .A0 (nx20168), .A1 (nx20256), .B0 (nx8777)) ;
    nor02 ix8778 (.Y (nx8777), .A0 (nx17910), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix2662 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_914), .QB (nx17910), .D (nx8781), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8772 (.Y (nx8771), .A0 (nx20168), .A1 (nx20254), .B0 (nx8767)) ;
    nor02 ix8768 (.Y (nx8767), .A0 (nx17915), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix2666 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_915), .QB (nx17915), .D (nx8771), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7597 (.Y (nx7596), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_920), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_921), .B1 (nx20392), 
          .C0 (nx7594)) ;
    ao21 ix8722 (.Y (nx8721), .A0 (nx20168), .A1 (nx20244), .B0 (nx8717)) ;
    nor02 ix8718 (.Y (nx8717), .A0 (nx17921), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix2686 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_920), .QB (nx17921), .D (nx8721), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8712 (.Y (nx8711), .A0 (nx20168), .A1 (nx20242), .B0 (nx8707)) ;
    nor02 ix8708 (.Y (nx8707), .A0 (nx17926), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix2690 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_921), .QB (nx17926), .D (nx8711), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7595 (.Y (nx7594), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_918), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_919), .B1 (nx20396)
         ) ;
    ao21 ix8742 (.Y (nx8741), .A0 (nx20168), .A1 (nx20248), .B0 (nx8737)) ;
    nor02 ix8738 (.Y (nx8737), .A0 (nx17932), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix2678 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_918), .QB (nx17932), .D (nx8741), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8732 (.Y (nx8731), .A0 (nx20168), .A1 (nx20246), .B0 (nx8727)) ;
    nor02 ix8728 (.Y (nx8727), .A0 (nx17937), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix2682 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_919), .QB (nx17937), .D (nx8731), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7549 (.Y (nx7548), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_924), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_925), .B1 (nx20402), 
          .C0 (nx7546)) ;
    ao21 ix8682 (.Y (nx8681), .A0 (nx20168), .A1 (nx20236), .B0 (nx8677)) ;
    nor02 ix8678 (.Y (nx8677), .A0 (nx17943), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix2702 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_924), .QB (nx17943), .D (nx8681), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8672 (.Y (nx8671), .A0 (nx20168), .A1 (nx20234), .B0 (nx8667)) ;
    nor02 ix8668 (.Y (nx8667), .A0 (nx17948), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix2706 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_925), .QB (nx17948), .D (nx8671), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7547 (.Y (nx7546), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_922), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_923), .B1 (nx20406)) ;
    ao21 ix8702 (.Y (nx8701), .A0 (nx20168), .A1 (nx20240), .B0 (nx8697)) ;
    nor02 ix8698 (.Y (nx8697), .A0 (nx17954), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix2694 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_922), .QB (nx17954), .D (nx8701), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8692 (.Y (nx8691), .A0 (nx20168), .A1 (nx20238), .B0 (nx8687)) ;
    nor02 ix8688 (.Y (nx8687), .A0 (nx17959), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix2698 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_923), .QB (nx17959), .D (nx8691), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix7503 (.Y (nx7502), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_928), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_929), .B1 (nx20408), 
          .C0 (nx7500)) ;
    ao21 ix8642 (.Y (nx8641), .A0 (nx20168), .A1 (nx20228), .B0 (nx8637)) ;
    nor02 ix8638 (.Y (nx8637), .A0 (nx17965), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix2718 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_928), .QB (nx17965), .D (nx8641), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8632 (.Y (nx8631), .A0 (nx20168), .A1 (nx20226), .B0 (nx8627)) ;
    nor02 ix8628 (.Y (nx8627), .A0 (nx17970), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix2722 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_929), .QB (nx17970), .D (nx8631), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix7501 (.Y (nx7500), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_926), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_927), .B1 (nx20412)) ;
    ao21 ix8662 (.Y (nx8661), .A0 (nx20168), .A1 (nx20232), .B0 (nx8657)) ;
    nor02 ix8658 (.Y (nx8657), .A0 (nx17976), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix2710 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_926), .QB (nx17976), .D (nx8661), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8652 (.Y (nx8651), .A0 (nx20168), .A1 (nx20230), .B0 (nx8647)) ;
    nor02 ix8648 (.Y (nx8647), .A0 (nx17981), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix2714 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_927), .QB (nx17981), .D (nx8651), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix7457 (.Y (nx7456), .A0 (nx20178), .A1 (nx20176), .A2 (nx17984)) ;
    mux21 ix17985 (.Y (nx17984), .A0 (nx7350), .A1 (nx7450), .S0 (nx20188)) ;
    mux21 ix7351 (.Y (nx7350), .A0 (nx15477), .A1 (nx17987), .S0 (nx20190)) ;
    mux21 ix17988 (.Y (nx17987), .A0 (tmr0_3), .A1 (porta_3), .S0 (nx20186)) ;
    mux21 ix8572 (.Y (nx8571), .A0 (nx17991), .A1 (nx17993), .S0 (nx20212)) ;
    dffr reg_tmr0_3 (.Q (tmr0_3), .QB (nx17991), .D (nx8571), .CLK (clk), .R (
         nx4179)) ;
    aoi32 ix17994 (.Y (nx17993), .A0 (nx15377), .A1 (nx17995), .A2 (nx7324), .B0 (
          nx192), .B1 (nx20210)) ;
    aoi21 ix7325 (.Y (nx7324), .A0 (nx17495), .A1 (nx17991), .B0 (nx20210)) ;
    dffr reg_porta_3 (.Q (porta_3), .QB (\$dummy [69]), .D (nx7302), .CLK (clk)
         , .R (nx4179)) ;
    and02 ix7303 (.Y (nx7302), .A0 (portain[3]), .A1 (nx15377)) ;
    mux21 ix7451 (.Y (nx7450), .A0 (nx18003), .A1 (nx18027), .S0 (nx20186)) ;
    mux21 ix18004 (.Y (nx18003), .A0 (debugpc[3]), .A1 (debugstatus[3]), .S0 (
          nx20190)) ;
    dffr reg_pc_3 (.Q (debugpc[3]), .QB (\$dummy [70]), .D (nx7402), .CLK (clk)
         , .R (nx4179)) ;
    or02 ix7403 (.Y (nx7402), .A0 (paddr[3]), .A1 (reset)) ;
    ao221 ix7401 (.Y (paddr[3]), .A0 (debuginst[3]), .A1 (nx20214), .B0 (nx20168
          ), .B1 (nx20418), .C0 (nx7390)) ;
    ao221 ix7391 (.Y (nx7390), .A0 (stack1_3), .A1 (nx20216), .B0 (stack2_3), .B1 (
          nx20218), .C0 (nx7374)) ;
    dffr reg_stack1_3 (.Q (stack1_3), .QB (\$dummy [71]), .D (nx8591), .CLK (clk
         ), .R (nx4179)) ;
    ao21 ix8592 (.Y (nx8591), .A0 (stack1_3), .A1 (nx16488), .B0 (nx8589)) ;
    ao21 ix8582 (.Y (nx8581), .A0 (debugpc[3]), .A1 (nx20222), .B0 (nx8577)) ;
    nor02 ix8578 (.Y (nx8577), .A0 (nx18016), .A1 (nx20222)) ;
    dffr reg_stack2_3 (.Q (stack2_3), .QB (nx18016), .D (nx8581), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix7375 (.Y (nx7374), .A0 (nx18019), .A1 (nx834), .A2 (nx7366)) ;
    nor02 ix18020 (.Y (nx18019), .A0 (nx5590), .A1 (debugpc[3])) ;
    dffr reg_status_3 (.Q (debugstatus[3]), .QB (\$dummy [72]), .D (nx8601), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix8602 (.Y (nx8601), .A0 (nx20168), .A1 (nx286), .B0 (debugstatus[3])
          , .B1 (nx20380), .C0 (reset)) ;
    mux21 ix18028 (.Y (nx18027), .A0 (portbout[3]), .A1 (portcout[3]), .S0 (
          nx20190)) ;
    dffr reg_portb_3 (.Q (portbout[3]), .QB (\$dummy [73]), .D (nx8621), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8622 (.Y (nx8621), .A0 (portbout[3]), .A1 (nx20420), .B0 (nx8619)) ;
    nor02 ix8620 (.Y (nx8619), .A0 (nx15475), .A1 (nx20420)) ;
    dffr reg_portc_3 (.Q (portcout[3]), .QB (\$dummy [74]), .D (nx8611), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix8612 (.Y (nx8611), .A0 (portcout[3]), .A1 (nx20422), .B0 (nx8609)) ;
    nor02 ix8610 (.Y (nx8609), .A0 (nx15475), .A1 (nx20422)) ;
    mux21 ix16253 (.Y (alua_4), .A0 (nx18041), .A1 (nx18046), .S0 (aluasel_0)) ;
    dffr reg_w_4 (.Q (debugw[4]), .QB (\$dummy [75]), .D (nx11261), .CLK (clk), 
         .R (nx4179)) ;
    ao32 ix11262 (.Y (nx11261), .A0 (nx20166), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[4]), .B1 (nx20372)) ;
    ao221 ix10793 (.Y (nx10792), .A0 (expdin[4]), .A1 (nx20208), .B0 (nx20382), 
          .B1 (nx10784), .C0 (nx9218)) ;
    nor04 ix18052 (.Y (nx18051), .A0 (nx10186), .A1 (nx10140), .A2 (nx10092), .A3 (
          nx10046)) ;
    ao221 ix10187 (.Y (nx10186), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_724), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_725), .B1 (nx20386)
          , .C0 (nx10184)) ;
    dffr regs_dram_modgen_ram_ix26_ix1901 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_724), .QB (\$dummy [76]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_724), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1905 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_725), .QB (\$dummy [77]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_725), .CLK (clk), .R (nx4179)) ;
    ao22 ix10185 (.Y (nx10184), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_722), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_723), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix1893 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_722), .QB (\$dummy [78]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_722), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1897 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_723), .QB (\$dummy [79]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_723), .CLK (clk), .R (nx4179)) ;
    ao221 ix10141 (.Y (nx10140), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_728), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_729), .B1 (nx20392)
          , .C0 (nx10138)) ;
    dffr regs_dram_modgen_ram_ix26_ix1917 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_728), .QB (\$dummy [80]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_728), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1921 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_729), .QB (\$dummy [81]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_729), .CLK (clk), .R (nx4179)) ;
    ao22 ix10139 (.Y (nx10138), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_726), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_727), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix1909 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_726), .QB (\$dummy [82]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_726), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1913 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_727), .QB (\$dummy [83]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_727), .CLK (clk), .R (nx4179)) ;
    ao221 ix10093 (.Y (nx10092), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_732), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_733), .B1 (nx20402)
          , .C0 (nx10090)) ;
    ao21 ix10672 (.Y (nx10671), .A0 (nx20166), .A1 (nx20366), .B0 (nx10667)) ;
    nor02 ix10668 (.Y (nx10667), .A0 (nx18077), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix1933 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_732), .QB (nx18077), .D (nx10671), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10662 (.Y (nx10661), .A0 (nx20166), .A1 (nx20364), .B0 (nx10657)) ;
    nor02 ix10658 (.Y (nx10657), .A0 (nx18082), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix1937 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_733), .QB (nx18082), .D (nx10661), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix10091 (.Y (nx10090), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_730), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_731), .B1 (nx20406)
         ) ;
    ao21 ix10692 (.Y (nx10691), .A0 (nx20166), .A1 (nx20370), .B0 (nx10687)) ;
    nor02 ix10688 (.Y (nx10687), .A0 (nx18088), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix1925 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_730), .QB (nx18088), .D (nx10691), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10682 (.Y (nx10681), .A0 (nx20166), .A1 (nx20368), .B0 (nx10677)) ;
    nor02 ix10678 (.Y (nx10677), .A0 (nx18093), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix1929 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_731), .QB (nx18093), .D (nx10681), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix10047 (.Y (nx10046), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_736), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_737), .B1 (nx20408)
          , .C0 (nx10044)) ;
    ao21 ix10632 (.Y (nx10631), .A0 (nx20166), .A1 (nx20358), .B0 (nx10627)) ;
    nor02 ix10628 (.Y (nx10627), .A0 (nx18099), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix1949 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_736), .QB (nx18099), .D (nx10631), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10622 (.Y (nx10621), .A0 (nx20166), .A1 (nx20356), .B0 (nx10617)) ;
    nor02 ix10618 (.Y (nx10617), .A0 (nx18104), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix1953 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_737), .QB (nx18104), .D (nx10621), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix10045 (.Y (nx10044), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_734), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_735), .B1 (nx20412)
         ) ;
    ao21 ix10652 (.Y (nx10651), .A0 (nx20166), .A1 (nx20362), .B0 (nx10647)) ;
    nor02 ix10648 (.Y (nx10647), .A0 (nx18110), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix1941 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_734), .QB (nx18110), .D (nx10651), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10642 (.Y (nx10641), .A0 (nx20166), .A1 (nx20360), .B0 (nx10637)) ;
    nor02 ix10638 (.Y (nx10637), .A0 (nx18115), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix1945 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_735), .QB (nx18115), .D (nx10641), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix10001 (.Y (nx10000), .A0 (nx20414), .A1 (nx9992), .B0 (nx20416), .B1 (
          nx9798), .C0 (nx9608)) ;
    inv02 ix9993 (.Y (nx9992), .A (nx18119)) ;
    nor04 ix18120 (.Y (nx18119), .A0 (nx9988), .A1 (nx9942), .A2 (nx9894), .A3 (
          nx9848)) ;
    ao221 ix9989 (.Y (nx9988), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_740), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_741), .B1 (nx20386)
          , .C0 (nx9986)) ;
    ao21 ix10592 (.Y (nx10591), .A0 (nx20166), .A1 (nx20350), .B0 (nx10587)) ;
    nor02 ix10588 (.Y (nx10587), .A0 (nx18125), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix1965 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_740), .QB (nx18125), .D (nx10591), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10582 (.Y (nx10581), .A0 (nx20166), .A1 (nx20348), .B0 (nx10577)) ;
    nor02 ix10578 (.Y (nx10577), .A0 (nx18130), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix1969 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_741), .QB (nx18130), .D (nx10581), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9987 (.Y (nx9986), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_738), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_739), .B1 (nx20390)
         ) ;
    ao21 ix10612 (.Y (nx10611), .A0 (nx20166), .A1 (nx20354), .B0 (nx10607)) ;
    nor02 ix10608 (.Y (nx10607), .A0 (nx18136), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix1957 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_738), .QB (nx18136), .D (nx10611), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10602 (.Y (nx10601), .A0 (nx20166), .A1 (nx20352), .B0 (nx10597)) ;
    nor02 ix10598 (.Y (nx10597), .A0 (nx18141), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix1961 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_739), .QB (nx18141), .D (nx10601), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9943 (.Y (nx9942), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_744), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_745), .B1 (nx20392)
          , .C0 (nx9940)) ;
    ao21 ix10552 (.Y (nx10551), .A0 (nx20166), .A1 (nx20342), .B0 (nx10547)) ;
    nor02 ix10548 (.Y (nx10547), .A0 (nx18147), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix1981 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_744), .QB (nx18147), .D (nx10551), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10542 (.Y (nx10541), .A0 (nx20166), .A1 (nx20340), .B0 (nx10537)) ;
    nor02 ix10538 (.Y (nx10537), .A0 (nx18152), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix1985 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_745), .QB (nx18152), .D (nx10541), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9941 (.Y (nx9940), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_742), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_743), .B1 (nx20396)
         ) ;
    ao21 ix10572 (.Y (nx10571), .A0 (nx20166), .A1 (nx20346), .B0 (nx10567)) ;
    nor02 ix10568 (.Y (nx10567), .A0 (nx18158), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix1973 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_742), .QB (nx18158), .D (nx10571), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10562 (.Y (nx10561), .A0 (nx20166), .A1 (nx20344), .B0 (nx10557)) ;
    nor02 ix10558 (.Y (nx10557), .A0 (nx18163), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix1977 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_743), .QB (nx18163), .D (nx10561), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9895 (.Y (nx9894), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_748), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_749), .B1 (nx20402)
          , .C0 (nx9892)) ;
    ao21 ix10512 (.Y (nx10511), .A0 (nx20166), .A1 (nx20334), .B0 (nx10507)) ;
    nor02 ix10508 (.Y (nx10507), .A0 (nx18169), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix1997 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_748), .QB (nx18169), .D (nx10511), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10502 (.Y (nx10501), .A0 (nx20166), .A1 (nx20332), .B0 (nx10497)) ;
    nor02 ix10498 (.Y (nx10497), .A0 (nx18174), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix2001 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_749), .QB (nx18174), .D (nx10501), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9893 (.Y (nx9892), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_746), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_747), .B1 (nx20406)
         ) ;
    ao21 ix10532 (.Y (nx10531), .A0 (nx20166), .A1 (nx20338), .B0 (nx10527)) ;
    nor02 ix10528 (.Y (nx10527), .A0 (nx18180), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix1989 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_746), .QB (nx18180), .D (nx10531), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10522 (.Y (nx10521), .A0 (nx20166), .A1 (nx20336), .B0 (nx10517)) ;
    nor02 ix10518 (.Y (nx10517), .A0 (nx18185), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix1993 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_747), .QB (nx18185), .D (nx10521), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9849 (.Y (nx9848), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_752), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_753), .B1 (nx20408)
          , .C0 (nx9846)) ;
    ao21 ix10472 (.Y (nx10471), .A0 (nx20166), .A1 (nx20326), .B0 (nx10467)) ;
    nor02 ix10468 (.Y (nx10467), .A0 (nx18191), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix2013 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_752), .QB (nx18191), .D (nx10471), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10462 (.Y (nx10461), .A0 (nx20166), .A1 (nx20324), .B0 (nx10457)) ;
    nor02 ix10458 (.Y (nx10457), .A0 (nx18196), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix2017 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_753), .QB (nx18196), .D (nx10461), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9847 (.Y (nx9846), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_750), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_751), .B1 (nx20412)
         ) ;
    ao21 ix10492 (.Y (nx10491), .A0 (nx20166), .A1 (nx20330), .B0 (nx10487)) ;
    nor02 ix10488 (.Y (nx10487), .A0 (nx18202), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix2005 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_750), .QB (nx18202), .D (nx10491), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10482 (.Y (nx10481), .A0 (nx20166), .A1 (nx20328), .B0 (nx10477)) ;
    nor02 ix10478 (.Y (nx10477), .A0 (nx18207), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix2009 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_751), .QB (nx18207), .D (nx10481), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix9799 (.Y (nx9798), .A (nx18210)) ;
    nor04 ix18211 (.Y (nx18210), .A0 (nx9794), .A1 (nx9748), .A2 (nx9700), .A3 (
          nx9654)) ;
    ao221 ix9795 (.Y (nx9794), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_756), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_757), .B1 (nx20386)
          , .C0 (nx9792)) ;
    ao21 ix10432 (.Y (nx10431), .A0 (nx20166), .A1 (nx20318), .B0 (nx10427)) ;
    nor02 ix10428 (.Y (nx10427), .A0 (nx18216), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix2029 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_756), .QB (nx18216), .D (nx10431), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10422 (.Y (nx10421), .A0 (nx20166), .A1 (nx20316), .B0 (nx10417)) ;
    nor02 ix10418 (.Y (nx10417), .A0 (nx18221), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix2033 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_757), .QB (nx18221), .D (nx10421), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9793 (.Y (nx9792), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_754), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_755), .B1 (nx20390)
         ) ;
    ao21 ix10452 (.Y (nx10451), .A0 (nx20166), .A1 (nx20322), .B0 (nx10447)) ;
    nor02 ix10448 (.Y (nx10447), .A0 (nx18227), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix2021 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_754), .QB (nx18227), .D (nx10451), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10442 (.Y (nx10441), .A0 (nx20166), .A1 (nx20320), .B0 (nx10437)) ;
    nor02 ix10438 (.Y (nx10437), .A0 (nx18232), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix2025 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_755), .QB (nx18232), .D (nx10441), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9749 (.Y (nx9748), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_760), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_761), .B1 (nx20392)
          , .C0 (nx9746)) ;
    ao21 ix10392 (.Y (nx10391), .A0 (nx20166), .A1 (nx20310), .B0 (nx10387)) ;
    nor02 ix10388 (.Y (nx10387), .A0 (nx18238), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix2045 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_760), .QB (nx18238), .D (nx10391), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10382 (.Y (nx10381), .A0 (nx20166), .A1 (nx20308), .B0 (nx10377)) ;
    nor02 ix10378 (.Y (nx10377), .A0 (nx18243), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix2049 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_761), .QB (nx18243), .D (nx10381), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9747 (.Y (nx9746), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_758), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_759), .B1 (nx20396)
         ) ;
    ao21 ix10412 (.Y (nx10411), .A0 (nx20166), .A1 (nx20314), .B0 (nx10407)) ;
    nor02 ix10408 (.Y (nx10407), .A0 (nx18249), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix2037 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_758), .QB (nx18249), .D (nx10411), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10402 (.Y (nx10401), .A0 (nx20166), .A1 (nx20312), .B0 (nx10397)) ;
    nor02 ix10398 (.Y (nx10397), .A0 (nx18254), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix2041 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_759), .QB (nx18254), .D (nx10401), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9701 (.Y (nx9700), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_764), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_765), .B1 (nx20402)
          , .C0 (nx9698)) ;
    ao21 ix10352 (.Y (nx10351), .A0 (nx20166), .A1 (nx20302), .B0 (nx10347)) ;
    nor02 ix10348 (.Y (nx10347), .A0 (nx18260), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix2061 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_764), .QB (nx18260), .D (nx10351), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10342 (.Y (nx10341), .A0 (nx20166), .A1 (nx20300), .B0 (nx10337)) ;
    nor02 ix10338 (.Y (nx10337), .A0 (nx18265), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix2065 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_765), .QB (nx18265), .D (nx10341), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9699 (.Y (nx9698), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_762), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_763), .B1 (nx20406)
         ) ;
    ao21 ix10372 (.Y (nx10371), .A0 (nx20166), .A1 (nx20306), .B0 (nx10367)) ;
    nor02 ix10368 (.Y (nx10367), .A0 (nx18271), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix2053 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_762), .QB (nx18271), .D (nx10371), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10362 (.Y (nx10361), .A0 (nx20166), .A1 (nx20304), .B0 (nx10357)) ;
    nor02 ix10358 (.Y (nx10357), .A0 (nx18276), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix2057 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_763), .QB (nx18276), .D (nx10361), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9655 (.Y (nx9654), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_768), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_769), .B1 (nx20408)
          , .C0 (nx9652)) ;
    ao21 ix10312 (.Y (nx10311), .A0 (nx20166), .A1 (nx20294), .B0 (nx10307)) ;
    nor02 ix10308 (.Y (nx10307), .A0 (nx18282), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix2077 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_768), .QB (nx18282), .D (nx10311), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10302 (.Y (nx10301), .A0 (nx20166), .A1 (nx20292), .B0 (nx10297)) ;
    nor02 ix10298 (.Y (nx10297), .A0 (nx18287), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix2081 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_769), .QB (nx18287), .D (nx10301), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9653 (.Y (nx9652), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_766), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_767), .B1 (nx20412)
         ) ;
    ao21 ix10332 (.Y (nx10331), .A0 (nx20166), .A1 (nx20298), .B0 (nx10327)) ;
    nor02 ix10328 (.Y (nx10327), .A0 (nx18293), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix2069 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_766), .QB (nx18293), .D (nx10331), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10322 (.Y (nx10321), .A0 (nx20166), .A1 (nx20296), .B0 (nx10317)) ;
    nor02 ix10318 (.Y (nx10317), .A0 (nx18298), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix2073 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_767), .QB (nx18298), .D (nx10321), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix9609 (.Y (nx9608), .A0 (nx20258), .A1 (nx18301), .B0 (nx20224), .B1 (
          nx18391)) ;
    nor04 ix18302 (.Y (nx18301), .A0 (nx9598), .A1 (nx9552), .A2 (nx9504), .A3 (
          nx9458)) ;
    ao221 ix9599 (.Y (nx9598), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_772), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_773), .B1 (nx20386)
          , .C0 (nx9596)) ;
    ao21 ix10272 (.Y (nx10271), .A0 (nx20166), .A1 (nx20286), .B0 (nx10267)) ;
    nor02 ix10268 (.Y (nx10267), .A0 (nx18307), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix2093 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_772), .QB (nx18307), .D (nx10271), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10262 (.Y (nx10261), .A0 (nx20166), .A1 (nx20284), .B0 (nx10257)) ;
    nor02 ix10258 (.Y (nx10257), .A0 (nx18312), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix2097 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_773), .QB (nx18312), .D (nx10261), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9597 (.Y (nx9596), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_770), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_771), .B1 (nx20390)
         ) ;
    ao21 ix10292 (.Y (nx10291), .A0 (nx20166), .A1 (nx20290), .B0 (nx10287)) ;
    nor02 ix10288 (.Y (nx10287), .A0 (nx18318), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix2085 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_770), .QB (nx18318), .D (nx10291), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10282 (.Y (nx10281), .A0 (nx20166), .A1 (nx20288), .B0 (nx10277)) ;
    nor02 ix10278 (.Y (nx10277), .A0 (nx18323), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix2089 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_771), .QB (nx18323), .D (nx10281), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9553 (.Y (nx9552), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_776), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_777), .B1 (nx20392)
          , .C0 (nx9550)) ;
    ao21 ix10232 (.Y (nx10231), .A0 (nx20166), .A1 (nx20278), .B0 (nx10227)) ;
    nor02 ix10228 (.Y (nx10227), .A0 (nx18329), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix2109 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_776), .QB (nx18329), .D (nx10231), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10222 (.Y (nx10221), .A0 (nx20166), .A1 (nx20276), .B0 (nx10217)) ;
    nor02 ix10218 (.Y (nx10217), .A0 (nx18334), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix2113 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_777), .QB (nx18334), .D (nx10221), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9551 (.Y (nx9550), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_774), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_775), .B1 (nx20396)
         ) ;
    ao21 ix10252 (.Y (nx10251), .A0 (nx20166), .A1 (nx20282), .B0 (nx10247)) ;
    nor02 ix10248 (.Y (nx10247), .A0 (nx18340), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix2101 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_774), .QB (nx18340), .D (nx10251), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10242 (.Y (nx10241), .A0 (nx20166), .A1 (nx20280), .B0 (nx10237)) ;
    nor02 ix10238 (.Y (nx10237), .A0 (nx18345), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix2105 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_775), .QB (nx18345), .D (nx10241), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9505 (.Y (nx9504), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_780), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_781), .B1 (nx20402)
          , .C0 (nx9502)) ;
    ao21 ix10192 (.Y (nx10191), .A0 (nx20166), .A1 (nx20270), .B0 (nx10187)) ;
    nor02 ix10188 (.Y (nx10187), .A0 (nx18351), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix2125 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_780), .QB (nx18351), .D (nx10191), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10182 (.Y (nx10181), .A0 (nx20166), .A1 (nx20268), .B0 (nx10177)) ;
    nor02 ix10178 (.Y (nx10177), .A0 (nx18356), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix2129 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_781), .QB (nx18356), .D (nx10181), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9503 (.Y (nx9502), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_778), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_779), .B1 (nx20406)
         ) ;
    ao21 ix10212 (.Y (nx10211), .A0 (nx20166), .A1 (nx20274), .B0 (nx10207)) ;
    nor02 ix10208 (.Y (nx10207), .A0 (nx18362), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix2117 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_778), .QB (nx18362), .D (nx10211), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10202 (.Y (nx10201), .A0 (nx20166), .A1 (nx20272), .B0 (nx10197)) ;
    nor02 ix10198 (.Y (nx10197), .A0 (nx18367), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix2121 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_779), .QB (nx18367), .D (nx10201), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9459 (.Y (nx9458), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_784), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_785), .B1 (nx20408)
          , .C0 (nx9456)) ;
    ao21 ix10152 (.Y (nx10151), .A0 (nx20166), .A1 (nx20262), .B0 (nx10147)) ;
    nor02 ix10148 (.Y (nx10147), .A0 (nx18373), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix2141 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_784), .QB (nx18373), .D (nx10151), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10142 (.Y (nx10141), .A0 (nx20166), .A1 (nx20260), .B0 (nx10137)) ;
    nor02 ix10138 (.Y (nx10137), .A0 (nx18378), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix2145 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_785), .QB (nx18378), .D (nx10141), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9457 (.Y (nx9456), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_782), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_783), .B1 (nx20412)
         ) ;
    ao21 ix10172 (.Y (nx10171), .A0 (nx20166), .A1 (nx20266), .B0 (nx10167)) ;
    nor02 ix10168 (.Y (nx10167), .A0 (nx18384), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix2133 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_782), .QB (nx18384), .D (nx10171), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10162 (.Y (nx10161), .A0 (nx20166), .A1 (nx20264), .B0 (nx10157)) ;
    nor02 ix10158 (.Y (nx10157), .A0 (nx18389), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix2137 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_783), .QB (nx18389), .D (nx10161), .CLK (
         clk), .R (nx4179)) ;
    nor04 ix18392 (.Y (nx18391), .A0 (nx9404), .A1 (nx9358), .A2 (nx9310), .A3 (
          nx9264)) ;
    ao221 ix9405 (.Y (nx9404), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_788), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_789), .B1 (nx20386)
          , .C0 (nx9402)) ;
    ao21 ix10112 (.Y (nx10111), .A0 (nx20166), .A1 (nx20252), .B0 (nx10107)) ;
    nor02 ix10108 (.Y (nx10107), .A0 (nx18397), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix2157 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_788), .QB (nx18397), .D (nx10111), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10102 (.Y (nx10101), .A0 (nx20166), .A1 (nx20250), .B0 (nx10097)) ;
    nor02 ix10098 (.Y (nx10097), .A0 (nx18402), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix2161 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_789), .QB (nx18402), .D (nx10101), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9403 (.Y (nx9402), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_786), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_787), .B1 (nx20390)
         ) ;
    ao21 ix10132 (.Y (nx10131), .A0 (nx20166), .A1 (nx20256), .B0 (nx10127)) ;
    nor02 ix10128 (.Y (nx10127), .A0 (nx18408), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix2149 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_786), .QB (nx18408), .D (nx10131), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10122 (.Y (nx10121), .A0 (nx20166), .A1 (nx20254), .B0 (nx10117)) ;
    nor02 ix10118 (.Y (nx10117), .A0 (nx18413), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix2153 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_787), .QB (nx18413), .D (nx10121), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9359 (.Y (nx9358), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_792), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_793), .B1 (nx20392), 
          .C0 (nx9356)) ;
    ao21 ix10072 (.Y (nx10071), .A0 (nx20166), .A1 (nx20244), .B0 (nx10067)) ;
    nor02 ix10068 (.Y (nx10067), .A0 (nx18419), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix2173 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_792), .QB (nx18419), .D (nx10071), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10062 (.Y (nx10061), .A0 (nx20166), .A1 (nx20242), .B0 (nx10057)) ;
    nor02 ix10058 (.Y (nx10057), .A0 (nx18424), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix2177 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_793), .QB (nx18424), .D (nx10061), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9357 (.Y (nx9356), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_790), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_791), .B1 (nx20396)
         ) ;
    ao21 ix10092 (.Y (nx10091), .A0 (nx20166), .A1 (nx20248), .B0 (nx10087)) ;
    nor02 ix10088 (.Y (nx10087), .A0 (nx18430), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix2165 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_790), .QB (nx18430), .D (nx10091), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10082 (.Y (nx10081), .A0 (nx20166), .A1 (nx20246), .B0 (nx10077)) ;
    nor02 ix10078 (.Y (nx10077), .A0 (nx18435), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix2169 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_791), .QB (nx18435), .D (nx10081), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9311 (.Y (nx9310), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_796), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_797), .B1 (nx20402), 
          .C0 (nx9308)) ;
    ao21 ix10032 (.Y (nx10031), .A0 (nx20166), .A1 (nx20236), .B0 (nx10027)) ;
    nor02 ix10028 (.Y (nx10027), .A0 (nx18441), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix2189 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_796), .QB (nx18441), .D (nx10031), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10022 (.Y (nx10021), .A0 (nx20166), .A1 (nx20234), .B0 (nx10017)) ;
    nor02 ix10018 (.Y (nx10017), .A0 (nx18446), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix2193 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_797), .QB (nx18446), .D (nx10021), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9309 (.Y (nx9308), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_794), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_795), .B1 (nx20406)) ;
    ao21 ix10052 (.Y (nx10051), .A0 (nx20166), .A1 (nx20240), .B0 (nx10047)) ;
    nor02 ix10048 (.Y (nx10047), .A0 (nx18452), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix2181 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_794), .QB (nx18452), .D (nx10051), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10042 (.Y (nx10041), .A0 (nx20166), .A1 (nx20238), .B0 (nx10037)) ;
    nor02 ix10038 (.Y (nx10037), .A0 (nx18457), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix2185 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_795), .QB (nx18457), .D (nx10041), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9265 (.Y (nx9264), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_800), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_801), .B1 (nx20408), 
          .C0 (nx9262)) ;
    ao21 ix9992 (.Y (nx9991), .A0 (nx20166), .A1 (nx20228), .B0 (nx9987)) ;
    nor02 ix9988 (.Y (nx9987), .A0 (nx18463), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix2205 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_800), .QB (nx18463), .D (nx9991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9982 (.Y (nx9981), .A0 (nx20166), .A1 (nx20226), .B0 (nx9977)) ;
    nor02 ix9978 (.Y (nx9977), .A0 (nx18468), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix2209 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_801), .QB (nx18468), .D (nx9981), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix9263 (.Y (nx9262), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_798), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_799), .B1 (nx20412)) ;
    ao21 ix10012 (.Y (nx10011), .A0 (nx20166), .A1 (nx20232), .B0 (nx10007)) ;
    nor02 ix10008 (.Y (nx10007), .A0 (nx18474), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix2197 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_798), .QB (nx18474), .D (nx10011), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix10002 (.Y (nx10001), .A0 (nx20166), .A1 (nx20230), .B0 (nx9997)) ;
    nor02 ix9998 (.Y (nx9997), .A0 (nx18479), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix2201 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_799), .QB (nx18479), .D (nx10001), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix9219 (.Y (nx9218), .A0 (nx20178), .A1 (nx20176), .A2 (nx18482)) ;
    mux21 ix18483 (.Y (nx18482), .A0 (nx9110), .A1 (nx9212), .S0 (nx20188)) ;
    mux21 ix9111 (.Y (nx9110), .A0 (nx15484), .A1 (nx18485), .S0 (nx20190)) ;
    mux21 ix18486 (.Y (nx18485), .A0 (tmr0_4), .A1 (porta_4), .S0 (nx20186)) ;
    mux21 ix9922 (.Y (nx9921), .A0 (nx18489), .A1 (nx18491), .S0 (nx20212)) ;
    dffr reg_tmr0_4 (.Q (tmr0_4), .QB (nx18489), .D (nx9921), .CLK (clk), .R (
         nx4179)) ;
    aoi32 ix18492 (.Y (nx18491), .A0 (nx15377), .A1 (nx18493), .A2 (nx9084), .B0 (
          nx210), .B1 (nx20210)) ;
    aoi21 ix9085 (.Y (nx9084), .A0 (nx17995), .A1 (nx18489), .B0 (nx20210)) ;
    dffr reg_porta_4 (.Q (porta_4), .QB (\$dummy [84]), .D (nx9062), .CLK (clk)
         , .R (nx4179)) ;
    and02 ix9063 (.Y (nx9062), .A0 (portain[4]), .A1 (nx15377)) ;
    mux21 ix9213 (.Y (nx9212), .A0 (nx18502), .A1 (nx18528), .S0 (nx20186)) ;
    mux21 ix18503 (.Y (nx18502), .A0 (debugpc[4]), .A1 (debugstatus[4]), .S0 (
          nx20190)) ;
    or02 ix9163 (.Y (nx9162), .A0 (paddr[4]), .A1 (reset)) ;
    ao221 ix9161 (.Y (paddr[4]), .A0 (debuginst[4]), .A1 (nx20214), .B0 (nx20166
          ), .B1 (nx20418), .C0 (nx9150)) ;
    ao221 ix9151 (.Y (nx9150), .A0 (stack1_4), .A1 (nx20216), .B0 (stack2_4), .B1 (
          nx20218), .C0 (nx9134)) ;
    dffr reg_stack1_4 (.Q (stack1_4), .QB (\$dummy [85]), .D (nx9941), .CLK (clk
         ), .R (nx4179)) ;
    ao21 ix9942 (.Y (nx9941), .A0 (stack1_4), .A1 (nx16488), .B0 (nx9939)) ;
    ao21 ix9932 (.Y (nx9931), .A0 (debugpc[4]), .A1 (nx20222), .B0 (nx9927)) ;
    nor02 ix9928 (.Y (nx9927), .A0 (nx18515), .A1 (nx20222)) ;
    dffr reg_stack2_4 (.Q (stack2_4), .QB (nx18515), .D (nx9931), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix9135 (.Y (nx9134), .A0 (nx18518), .A1 (nx834), .A2 (nx9126)) ;
    nor02 ix18519 (.Y (nx18518), .A0 (nx7366), .A1 (debugpc[4])) ;
    dffr reg_pc_4 (.Q (debugpc[4]), .QB (\$dummy [86]), .D (nx9162), .CLK (clk)
         , .R (nx4179)) ;
    nand04 ix18524 (.Y (nx18523), .A0 (debugpc[3]), .A1 (debugpc[2]), .A2 (
           debugpc[1]), .A3 (debugpc[0])) ;
    dffr reg_status_4 (.Q (debugstatus[4]), .QB (\$dummy [87]), .D (nx9951), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix9952 (.Y (nx9951), .A0 (nx20166), .A1 (nx286), .B0 (debugstatus[4])
          , .B1 (nx20380), .C0 (reset)) ;
    mux21 ix18529 (.Y (nx18528), .A0 (portbout[4]), .A1 (portcout[4]), .S0 (
          nx20190)) ;
    dffr reg_portb_4 (.Q (portbout[4]), .QB (\$dummy [88]), .D (nx9971), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9972 (.Y (nx9971), .A0 (portbout[4]), .A1 (nx20420), .B0 (nx9969)) ;
    nor02 ix9970 (.Y (nx9969), .A0 (nx15482), .A1 (nx20420)) ;
    dffr reg_portc_4 (.Q (portcout[4]), .QB (\$dummy [89]), .D (nx9961), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix9962 (.Y (nx9961), .A0 (portcout[4]), .A1 (nx20422), .B0 (nx9959)) ;
    nor02 ix9960 (.Y (nx9959), .A0 (nx15482), .A1 (nx20422)) ;
    mux21 ix16285 (.Y (alua_5), .A0 (nx18541), .A1 (nx18546), .S0 (aluasel_0)) ;
    dffr reg_w_5 (.Q (debugw[5]), .QB (\$dummy [90]), .D (nx12601), .CLK (clk), 
         .R (nx4179)) ;
    ao32 ix12602 (.Y (nx12601), .A0 (nx20164), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[5]), .B1 (nx20372)) ;
    ao221 ix12547 (.Y (nx12546), .A0 (expdin[5]), .A1 (nx20208), .B0 (nx20382), 
          .B1 (nx12538), .C0 (nx10972)) ;
    nor04 ix18552 (.Y (nx18551), .A0 (nx11940), .A1 (nx11894), .A2 (nx11846), .A3 (
          nx11800)) ;
    ao221 ix11941 (.Y (nx11940), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_596), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_597), .B1 (nx20386)
          , .C0 (nx11938)) ;
    dffr regs_dram_modgen_ram_ix26_ix1388 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_596), .QB (\$dummy [91]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_596), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1392 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_597), .QB (\$dummy [92]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_597), .CLK (clk), .R (nx4179)) ;
    ao22 ix11939 (.Y (nx11938), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_594), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_595), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix1380 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_594), .QB (\$dummy [93]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_594), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1384 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_595), .QB (\$dummy [94]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_595), .CLK (clk), .R (nx4179)) ;
    ao221 ix11895 (.Y (nx11894), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_600), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_601), .B1 (nx20392)
          , .C0 (nx11892)) ;
    dffr regs_dram_modgen_ram_ix26_ix1404 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_600), .QB (\$dummy [95]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_600), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1408 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_601), .QB (\$dummy [96]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_601), .CLK (clk), .R (nx4179)) ;
    ao22 ix11893 (.Y (nx11892), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_598), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_599), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix1396 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_598), .QB (\$dummy [97]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_598), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix1400 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_599), .QB (\$dummy [98]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_599), .CLK (clk), .R (nx4179)) ;
    ao221 ix11847 (.Y (nx11846), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_604), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_605), .B1 (nx20402)
          , .C0 (nx11844)) ;
    ao21 ix12012 (.Y (nx12011), .A0 (nx20164), .A1 (nx20366), .B0 (nx12007)) ;
    nor02 ix12008 (.Y (nx12007), .A0 (nx18577), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix1420 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_604), .QB (nx18577), .D (nx12011), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12002 (.Y (nx12001), .A0 (nx20164), .A1 (nx20364), .B0 (nx11997)) ;
    nor02 ix11998 (.Y (nx11997), .A0 (nx18582), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix1424 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_605), .QB (nx18582), .D (nx12001), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11845 (.Y (nx11844), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_602), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_603), .B1 (nx20406)
         ) ;
    ao21 ix12032 (.Y (nx12031), .A0 (nx20164), .A1 (nx20370), .B0 (nx12027)) ;
    nor02 ix12028 (.Y (nx12027), .A0 (nx18588), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix1412 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_602), .QB (nx18588), .D (nx12031), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12022 (.Y (nx12021), .A0 (nx20164), .A1 (nx20368), .B0 (nx12017)) ;
    nor02 ix12018 (.Y (nx12017), .A0 (nx18593), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix1416 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_603), .QB (nx18593), .D (nx12021), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11801 (.Y (nx11800), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_608), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_609), .B1 (nx20408)
          , .C0 (nx11798)) ;
    ao21 ix11972 (.Y (nx11971), .A0 (nx20164), .A1 (nx20358), .B0 (nx11967)) ;
    nor02 ix11968 (.Y (nx11967), .A0 (nx18599), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix1436 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_608), .QB (nx18599), .D (nx11971), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11962 (.Y (nx11961), .A0 (nx20164), .A1 (nx20356), .B0 (nx11957)) ;
    nor02 ix11958 (.Y (nx11957), .A0 (nx18604), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix1440 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_609), .QB (nx18604), .D (nx11961), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11799 (.Y (nx11798), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_606), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_607), .B1 (nx20412)
         ) ;
    ao21 ix11992 (.Y (nx11991), .A0 (nx20164), .A1 (nx20362), .B0 (nx11987)) ;
    nor02 ix11988 (.Y (nx11987), .A0 (nx18610), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix1428 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_606), .QB (nx18610), .D (nx11991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11982 (.Y (nx11981), .A0 (nx20164), .A1 (nx20360), .B0 (nx11977)) ;
    nor02 ix11978 (.Y (nx11977), .A0 (nx18615), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix1432 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_607), .QB (nx18615), .D (nx11981), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11755 (.Y (nx11754), .A0 (nx20414), .A1 (nx11746), .B0 (nx20416), .B1 (
          nx11552), .C0 (nx11362)) ;
    inv02 ix11747 (.Y (nx11746), .A (nx18619)) ;
    nor04 ix18620 (.Y (nx18619), .A0 (nx11742), .A1 (nx11696), .A2 (nx11648), .A3 (
          nx11602)) ;
    ao221 ix11743 (.Y (nx11742), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_612), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_613), .B1 (nx20386)
          , .C0 (nx11740)) ;
    ao21 ix11932 (.Y (nx11931), .A0 (nx20164), .A1 (nx20350), .B0 (nx11927)) ;
    nor02 ix11928 (.Y (nx11927), .A0 (nx18625), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix1452 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_612), .QB (nx18625), .D (nx11931), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11922 (.Y (nx11921), .A0 (nx20164), .A1 (nx20348), .B0 (nx11917)) ;
    nor02 ix11918 (.Y (nx11917), .A0 (nx18630), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix1456 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_613), .QB (nx18630), .D (nx11921), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11741 (.Y (nx11740), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_610), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_611), .B1 (nx20390)
         ) ;
    ao21 ix11952 (.Y (nx11951), .A0 (nx20164), .A1 (nx20354), .B0 (nx11947)) ;
    nor02 ix11948 (.Y (nx11947), .A0 (nx18636), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix1444 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_610), .QB (nx18636), .D (nx11951), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11942 (.Y (nx11941), .A0 (nx20164), .A1 (nx20352), .B0 (nx11937)) ;
    nor02 ix11938 (.Y (nx11937), .A0 (nx18641), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix1448 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_611), .QB (nx18641), .D (nx11941), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11697 (.Y (nx11696), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_616), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_617), .B1 (nx20392)
          , .C0 (nx11694)) ;
    ao21 ix11892 (.Y (nx11891), .A0 (nx20164), .A1 (nx20342), .B0 (nx11887)) ;
    nor02 ix11888 (.Y (nx11887), .A0 (nx18647), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix1468 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_616), .QB (nx18647), .D (nx11891), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11882 (.Y (nx11881), .A0 (nx20164), .A1 (nx20340), .B0 (nx11877)) ;
    nor02 ix11878 (.Y (nx11877), .A0 (nx18652), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix1472 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_617), .QB (nx18652), .D (nx11881), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11695 (.Y (nx11694), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_614), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_615), .B1 (nx20396)
         ) ;
    ao21 ix11912 (.Y (nx11911), .A0 (nx20164), .A1 (nx20346), .B0 (nx11907)) ;
    nor02 ix11908 (.Y (nx11907), .A0 (nx18658), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix1460 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_614), .QB (nx18658), .D (nx11911), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11902 (.Y (nx11901), .A0 (nx20164), .A1 (nx20344), .B0 (nx11897)) ;
    nor02 ix11898 (.Y (nx11897), .A0 (nx18663), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix1464 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_615), .QB (nx18663), .D (nx11901), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11649 (.Y (nx11648), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_620), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_621), .B1 (nx20402)
          , .C0 (nx11646)) ;
    ao21 ix11852 (.Y (nx11851), .A0 (nx20164), .A1 (nx20334), .B0 (nx11847)) ;
    nor02 ix11848 (.Y (nx11847), .A0 (nx18669), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix1484 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_620), .QB (nx18669), .D (nx11851), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11842 (.Y (nx11841), .A0 (nx20164), .A1 (nx20332), .B0 (nx11837)) ;
    nor02 ix11838 (.Y (nx11837), .A0 (nx18674), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix1488 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_621), .QB (nx18674), .D (nx11841), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11647 (.Y (nx11646), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_618), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_619), .B1 (nx20406)
         ) ;
    ao21 ix11872 (.Y (nx11871), .A0 (nx20164), .A1 (nx20338), .B0 (nx11867)) ;
    nor02 ix11868 (.Y (nx11867), .A0 (nx18680), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix1476 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_618), .QB (nx18680), .D (nx11871), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11862 (.Y (nx11861), .A0 (nx20164), .A1 (nx20336), .B0 (nx11857)) ;
    nor02 ix11858 (.Y (nx11857), .A0 (nx18685), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix1480 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_619), .QB (nx18685), .D (nx11861), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11603 (.Y (nx11602), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_624), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_625), .B1 (nx20408)
          , .C0 (nx11600)) ;
    ao21 ix11812 (.Y (nx11811), .A0 (nx20164), .A1 (nx20326), .B0 (nx11807)) ;
    nor02 ix11808 (.Y (nx11807), .A0 (nx18691), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix1500 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_624), .QB (nx18691), .D (nx11811), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11802 (.Y (nx11801), .A0 (nx20164), .A1 (nx20324), .B0 (nx11797)) ;
    nor02 ix11798 (.Y (nx11797), .A0 (nx18696), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix1504 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_625), .QB (nx18696), .D (nx11801), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11601 (.Y (nx11600), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_622), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_623), .B1 (nx20412)
         ) ;
    ao21 ix11832 (.Y (nx11831), .A0 (nx20164), .A1 (nx20330), .B0 (nx11827)) ;
    nor02 ix11828 (.Y (nx11827), .A0 (nx18702), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix1492 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_622), .QB (nx18702), .D (nx11831), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11822 (.Y (nx11821), .A0 (nx20164), .A1 (nx20328), .B0 (nx11817)) ;
    nor02 ix11818 (.Y (nx11817), .A0 (nx18707), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix1496 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_623), .QB (nx18707), .D (nx11821), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix11553 (.Y (nx11552), .A (nx18710)) ;
    nor04 ix18711 (.Y (nx18710), .A0 (nx11548), .A1 (nx11502), .A2 (nx11454), .A3 (
          nx11408)) ;
    ao221 ix11549 (.Y (nx11548), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_628), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_629), .B1 (nx20386)
          , .C0 (nx11546)) ;
    ao21 ix11772 (.Y (nx11771), .A0 (nx20164), .A1 (nx20318), .B0 (nx11767)) ;
    nor02 ix11768 (.Y (nx11767), .A0 (nx18716), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix1516 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_628), .QB (nx18716), .D (nx11771), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11762 (.Y (nx11761), .A0 (nx20164), .A1 (nx20316), .B0 (nx11757)) ;
    nor02 ix11758 (.Y (nx11757), .A0 (nx18721), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix1520 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_629), .QB (nx18721), .D (nx11761), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11547 (.Y (nx11546), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_626), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_627), .B1 (nx20390)
         ) ;
    ao21 ix11792 (.Y (nx11791), .A0 (nx20164), .A1 (nx20322), .B0 (nx11787)) ;
    nor02 ix11788 (.Y (nx11787), .A0 (nx18727), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix1508 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_626), .QB (nx18727), .D (nx11791), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11782 (.Y (nx11781), .A0 (nx20164), .A1 (nx20320), .B0 (nx11777)) ;
    nor02 ix11778 (.Y (nx11777), .A0 (nx18732), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix1512 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_627), .QB (nx18732), .D (nx11781), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11503 (.Y (nx11502), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_632), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_633), .B1 (nx20392)
          , .C0 (nx11500)) ;
    ao21 ix11732 (.Y (nx11731), .A0 (nx20164), .A1 (nx20310), .B0 (nx11727)) ;
    nor02 ix11728 (.Y (nx11727), .A0 (nx18738), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix1532 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_632), .QB (nx18738), .D (nx11731), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11722 (.Y (nx11721), .A0 (nx20164), .A1 (nx20308), .B0 (nx11717)) ;
    nor02 ix11718 (.Y (nx11717), .A0 (nx18743), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix1536 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_633), .QB (nx18743), .D (nx11721), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11501 (.Y (nx11500), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_630), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_631), .B1 (nx20396)
         ) ;
    ao21 ix11752 (.Y (nx11751), .A0 (nx20164), .A1 (nx20314), .B0 (nx11747)) ;
    nor02 ix11748 (.Y (nx11747), .A0 (nx18749), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix1524 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_630), .QB (nx18749), .D (nx11751), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11742 (.Y (nx11741), .A0 (nx20164), .A1 (nx20312), .B0 (nx11737)) ;
    nor02 ix11738 (.Y (nx11737), .A0 (nx18754), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix1528 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_631), .QB (nx18754), .D (nx11741), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11455 (.Y (nx11454), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_636), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_637), .B1 (nx20402)
          , .C0 (nx11452)) ;
    ao21 ix11692 (.Y (nx11691), .A0 (nx20164), .A1 (nx20302), .B0 (nx11687)) ;
    nor02 ix11688 (.Y (nx11687), .A0 (nx18760), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix1548 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_636), .QB (nx18760), .D (nx11691), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11682 (.Y (nx11681), .A0 (nx20164), .A1 (nx20300), .B0 (nx11677)) ;
    nor02 ix11678 (.Y (nx11677), .A0 (nx18765), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix1552 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_637), .QB (nx18765), .D (nx11681), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11453 (.Y (nx11452), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_634), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_635), .B1 (nx20406)
         ) ;
    ao21 ix11712 (.Y (nx11711), .A0 (nx20164), .A1 (nx20306), .B0 (nx11707)) ;
    nor02 ix11708 (.Y (nx11707), .A0 (nx18771), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix1540 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_634), .QB (nx18771), .D (nx11711), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11702 (.Y (nx11701), .A0 (nx20164), .A1 (nx20304), .B0 (nx11697)) ;
    nor02 ix11698 (.Y (nx11697), .A0 (nx18776), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix1544 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_635), .QB (nx18776), .D (nx11701), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11409 (.Y (nx11408), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_640), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_641), .B1 (nx20408)
          , .C0 (nx11406)) ;
    ao21 ix11652 (.Y (nx11651), .A0 (nx20164), .A1 (nx20294), .B0 (nx11647)) ;
    nor02 ix11648 (.Y (nx11647), .A0 (nx18782), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix1564 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_640), .QB (nx18782), .D (nx11651), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11642 (.Y (nx11641), .A0 (nx20164), .A1 (nx20292), .B0 (nx11637)) ;
    nor02 ix11638 (.Y (nx11637), .A0 (nx18787), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix1568 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_641), .QB (nx18787), .D (nx11641), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11407 (.Y (nx11406), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_638), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_639), .B1 (nx20412)
         ) ;
    ao21 ix11672 (.Y (nx11671), .A0 (nx20164), .A1 (nx20298), .B0 (nx11667)) ;
    nor02 ix11668 (.Y (nx11667), .A0 (nx18793), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix1556 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_638), .QB (nx18793), .D (nx11671), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11662 (.Y (nx11661), .A0 (nx20164), .A1 (nx20296), .B0 (nx11657)) ;
    nor02 ix11658 (.Y (nx11657), .A0 (nx18798), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix1560 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_639), .QB (nx18798), .D (nx11661), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix11363 (.Y (nx11362), .A0 (nx20258), .A1 (nx18801), .B0 (nx20224), .B1 (
          nx18891)) ;
    nor04 ix18802 (.Y (nx18801), .A0 (nx11352), .A1 (nx11306), .A2 (nx11258), .A3 (
          nx11212)) ;
    ao221 ix11353 (.Y (nx11352), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_644), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_645), .B1 (nx20386)
          , .C0 (nx11350)) ;
    ao21 ix11612 (.Y (nx11611), .A0 (nx20164), .A1 (nx20286), .B0 (nx11607)) ;
    nor02 ix11608 (.Y (nx11607), .A0 (nx18807), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix1580 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_644), .QB (nx18807), .D (nx11611), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11602 (.Y (nx11601), .A0 (nx20164), .A1 (nx20284), .B0 (nx11597)) ;
    nor02 ix11598 (.Y (nx11597), .A0 (nx18812), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix1584 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_645), .QB (nx18812), .D (nx11601), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11351 (.Y (nx11350), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_642), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_643), .B1 (nx20390)
         ) ;
    ao21 ix11632 (.Y (nx11631), .A0 (nx20164), .A1 (nx20290), .B0 (nx11627)) ;
    nor02 ix11628 (.Y (nx11627), .A0 (nx18818), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix1572 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_642), .QB (nx18818), .D (nx11631), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11622 (.Y (nx11621), .A0 (nx20164), .A1 (nx20288), .B0 (nx11617)) ;
    nor02 ix11618 (.Y (nx11617), .A0 (nx18823), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix1576 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_643), .QB (nx18823), .D (nx11621), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11307 (.Y (nx11306), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_648), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_649), .B1 (nx20392)
          , .C0 (nx11304)) ;
    ao21 ix11572 (.Y (nx11571), .A0 (nx20164), .A1 (nx20278), .B0 (nx11567)) ;
    nor02 ix11568 (.Y (nx11567), .A0 (nx18829), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix1596 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_648), .QB (nx18829), .D (nx11571), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11562 (.Y (nx11561), .A0 (nx20164), .A1 (nx20276), .B0 (nx11557)) ;
    nor02 ix11558 (.Y (nx11557), .A0 (nx18834), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix1600 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_649), .QB (nx18834), .D (nx11561), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11305 (.Y (nx11304), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_646), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_647), .B1 (nx20396)
         ) ;
    ao21 ix11592 (.Y (nx11591), .A0 (nx20164), .A1 (nx20282), .B0 (nx11587)) ;
    nor02 ix11588 (.Y (nx11587), .A0 (nx18840), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix1588 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_646), .QB (nx18840), .D (nx11591), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11582 (.Y (nx11581), .A0 (nx20164), .A1 (nx20280), .B0 (nx11577)) ;
    nor02 ix11578 (.Y (nx11577), .A0 (nx18845), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix1592 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_647), .QB (nx18845), .D (nx11581), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11259 (.Y (nx11258), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_652), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_653), .B1 (nx20402)
          , .C0 (nx11256)) ;
    ao21 ix11532 (.Y (nx11531), .A0 (nx20164), .A1 (nx20270), .B0 (nx11527)) ;
    nor02 ix11528 (.Y (nx11527), .A0 (nx18851), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix1612 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_652), .QB (nx18851), .D (nx11531), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11522 (.Y (nx11521), .A0 (nx20164), .A1 (nx20268), .B0 (nx11517)) ;
    nor02 ix11518 (.Y (nx11517), .A0 (nx18856), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix1616 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_653), .QB (nx18856), .D (nx11521), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11257 (.Y (nx11256), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_650), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_651), .B1 (nx20406)
         ) ;
    ao21 ix11552 (.Y (nx11551), .A0 (nx20164), .A1 (nx20274), .B0 (nx11547)) ;
    nor02 ix11548 (.Y (nx11547), .A0 (nx18862), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix1604 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_650), .QB (nx18862), .D (nx11551), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11542 (.Y (nx11541), .A0 (nx20164), .A1 (nx20272), .B0 (nx11537)) ;
    nor02 ix11538 (.Y (nx11537), .A0 (nx18867), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix1608 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_651), .QB (nx18867), .D (nx11541), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11213 (.Y (nx11212), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_656), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_657), .B1 (nx20408)
          , .C0 (nx11210)) ;
    ao21 ix11492 (.Y (nx11491), .A0 (nx20164), .A1 (nx20262), .B0 (nx11487)) ;
    nor02 ix11488 (.Y (nx11487), .A0 (nx18873), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix1628 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_656), .QB (nx18873), .D (nx11491), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11482 (.Y (nx11481), .A0 (nx20164), .A1 (nx20260), .B0 (nx11477)) ;
    nor02 ix11478 (.Y (nx11477), .A0 (nx18878), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix1632 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_657), .QB (nx18878), .D (nx11481), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11211 (.Y (nx11210), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_654), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_655), .B1 (nx20412)
         ) ;
    ao21 ix11512 (.Y (nx11511), .A0 (nx20164), .A1 (nx20266), .B0 (nx11507)) ;
    nor02 ix11508 (.Y (nx11507), .A0 (nx18884), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix1620 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_654), .QB (nx18884), .D (nx11511), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11502 (.Y (nx11501), .A0 (nx20164), .A1 (nx20264), .B0 (nx11497)) ;
    nor02 ix11498 (.Y (nx11497), .A0 (nx18889), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix1624 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_655), .QB (nx18889), .D (nx11501), .CLK (
         clk), .R (nx4179)) ;
    nor04 ix18892 (.Y (nx18891), .A0 (nx11158), .A1 (nx11112), .A2 (nx11064), .A3 (
          nx11018)) ;
    ao221 ix11159 (.Y (nx11158), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_660), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_661), .B1 (nx20386)
          , .C0 (nx11156)) ;
    ao21 ix11452 (.Y (nx11451), .A0 (nx20164), .A1 (nx20252), .B0 (nx11447)) ;
    nor02 ix11448 (.Y (nx11447), .A0 (nx18897), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix1644 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_660), .QB (nx18897), .D (nx11451), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11442 (.Y (nx11441), .A0 (nx20164), .A1 (nx20250), .B0 (nx11437)) ;
    nor02 ix11438 (.Y (nx11437), .A0 (nx18902), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix1648 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_661), .QB (nx18902), .D (nx11441), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11157 (.Y (nx11156), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_658), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_659), .B1 (nx20390)
         ) ;
    ao21 ix11472 (.Y (nx11471), .A0 (nx20164), .A1 (nx20256), .B0 (nx11467)) ;
    nor02 ix11468 (.Y (nx11467), .A0 (nx18908), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix1636 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_658), .QB (nx18908), .D (nx11471), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11462 (.Y (nx11461), .A0 (nx20164), .A1 (nx20254), .B0 (nx11457)) ;
    nor02 ix11458 (.Y (nx11457), .A0 (nx18913), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix1640 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_659), .QB (nx18913), .D (nx11461), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11113 (.Y (nx11112), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_664), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_665), .B1 (nx20392), 
          .C0 (nx11110)) ;
    ao21 ix11412 (.Y (nx11411), .A0 (nx20164), .A1 (nx20244), .B0 (nx11407)) ;
    nor02 ix11408 (.Y (nx11407), .A0 (nx18919), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix1660 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_664), .QB (nx18919), .D (nx11411), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11402 (.Y (nx11401), .A0 (nx20164), .A1 (nx20242), .B0 (nx11397)) ;
    nor02 ix11398 (.Y (nx11397), .A0 (nx18924), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix1664 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_665), .QB (nx18924), .D (nx11401), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11111 (.Y (nx11110), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_662), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_663), .B1 (nx20396)
         ) ;
    ao21 ix11432 (.Y (nx11431), .A0 (nx20164), .A1 (nx20248), .B0 (nx11427)) ;
    nor02 ix11428 (.Y (nx11427), .A0 (nx18930), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix1652 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_662), .QB (nx18930), .D (nx11431), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11422 (.Y (nx11421), .A0 (nx20164), .A1 (nx20246), .B0 (nx11417)) ;
    nor02 ix11418 (.Y (nx11417), .A0 (nx18935), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix1656 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_663), .QB (nx18935), .D (nx11421), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11065 (.Y (nx11064), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_668), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_669), .B1 (nx20402), 
          .C0 (nx11062)) ;
    ao21 ix11372 (.Y (nx11371), .A0 (nx20164), .A1 (nx20236), .B0 (nx11367)) ;
    nor02 ix11368 (.Y (nx11367), .A0 (nx18941), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix1676 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_668), .QB (nx18941), .D (nx11371), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11362 (.Y (nx11361), .A0 (nx20164), .A1 (nx20234), .B0 (nx11357)) ;
    nor02 ix11358 (.Y (nx11357), .A0 (nx18946), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix1680 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_669), .QB (nx18946), .D (nx11361), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11063 (.Y (nx11062), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_666), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_667), .B1 (nx20406)) ;
    ao21 ix11392 (.Y (nx11391), .A0 (nx20164), .A1 (nx20240), .B0 (nx11387)) ;
    nor02 ix11388 (.Y (nx11387), .A0 (nx18952), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix1668 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_666), .QB (nx18952), .D (nx11391), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11382 (.Y (nx11381), .A0 (nx20164), .A1 (nx20238), .B0 (nx11377)) ;
    nor02 ix11378 (.Y (nx11377), .A0 (nx18957), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix1672 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_667), .QB (nx18957), .D (nx11381), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix11019 (.Y (nx11018), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_672), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_673), .B1 (nx20408), 
          .C0 (nx11016)) ;
    ao21 ix11332 (.Y (nx11331), .A0 (nx20164), .A1 (nx20228), .B0 (nx11327)) ;
    nor02 ix11328 (.Y (nx11327), .A0 (nx18963), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix1692 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_672), .QB (nx18963), .D (nx11331), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11322 (.Y (nx11321), .A0 (nx20164), .A1 (nx20226), .B0 (nx11317)) ;
    nor02 ix11318 (.Y (nx11317), .A0 (nx18968), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix1696 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_673), .QB (nx18968), .D (nx11321), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix11017 (.Y (nx11016), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_670), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_671), .B1 (nx20412)) ;
    ao21 ix11352 (.Y (nx11351), .A0 (nx20164), .A1 (nx20232), .B0 (nx11347)) ;
    nor02 ix11348 (.Y (nx11347), .A0 (nx18974), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix1684 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_670), .QB (nx18974), .D (nx11351), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11342 (.Y (nx11341), .A0 (nx20164), .A1 (nx20230), .B0 (nx11337)) ;
    nor02 ix11338 (.Y (nx11337), .A0 (nx18979), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix1688 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_671), .QB (nx18979), .D (nx11341), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix10973 (.Y (nx10972), .A0 (nx20178), .A1 (nx20176), .A2 (nx18982)) ;
    mux21 ix18983 (.Y (nx18982), .A0 (nx10872), .A1 (nx10966), .S0 (nx20188)) ;
    mux21 ix10873 (.Y (nx10872), .A0 (nx15521), .A1 (nx18985), .S0 (nx20190)) ;
    mux21 ix18986 (.Y (nx18985), .A0 (tmr0_5), .A1 (porta_5), .S0 (nx20186)) ;
    mux21 ix11272 (.Y (nx11271), .A0 (nx18989), .A1 (nx18991), .S0 (nx20212)) ;
    dffr reg_tmr0_5 (.Q (tmr0_5), .QB (nx18989), .D (nx11271), .CLK (clk), .R (
         nx4179)) ;
    aoi32 ix18992 (.Y (nx18991), .A0 (nx15377), .A1 (nx18993), .A2 (nx10846), .B0 (
          nx302), .B1 (nx20210)) ;
    nand02 ix18994 (.Y (nx18993), .A0 (tmr0_5), .A1 (nx9072)) ;
    nor02 ix9073 (.Y (nx9072), .A0 (nx18489), .A1 (nx17995)) ;
    aoi21 ix10847 (.Y (nx10846), .A0 (nx18493), .A1 (nx18989), .B0 (nx20210)) ;
    dffr reg_porta_5 (.Q (porta_5), .QB (\$dummy [99]), .D (nx10824), .CLK (clk)
         , .R (nx4179)) ;
    and02 ix10825 (.Y (nx10824), .A0 (portain[5]), .A1 (nx15377)) ;
    mux21 ix10967 (.Y (nx10966), .A0 (nx19002), .A1 (nx19025), .S0 (nx20186)) ;
    mux21 ix19003 (.Y (nx19002), .A0 (debugpc[5]), .A1 (debugstatus[5]), .S0 (
          nx20190)) ;
    or02 ix10925 (.Y (nx10924), .A0 (paddr[5]), .A1 (reset)) ;
    ao221 ix10923 (.Y (paddr[5]), .A0 (debuginst[5]), .A1 (nx20214), .B0 (
          nx20164), .B1 (nx20418), .C0 (nx10912)) ;
    ao221 ix10913 (.Y (nx10912), .A0 (stack1_5), .A1 (nx20216), .B0 (stack2_5), 
          .B1 (nx20218), .C0 (nx10896)) ;
    dffr reg_stack1_5 (.Q (stack1_5), .QB (\$dummy [100]), .D (nx11291), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11292 (.Y (nx11291), .A0 (stack1_5), .A1 (nx16488), .B0 (nx11289)) ;
    ao21 ix11282 (.Y (nx11281), .A0 (debugpc[5]), .A1 (nx20222), .B0 (nx11277)
         ) ;
    nor02 ix11278 (.Y (nx11277), .A0 (nx19015), .A1 (nx20222)) ;
    dffr reg_stack2_5 (.Q (stack2_5), .QB (nx19015), .D (nx11281), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix10897 (.Y (nx10896), .A0 (nx19018), .A1 (nx834), .A2 (nx10888)) ;
    nor02 ix19019 (.Y (nx19018), .A0 (nx9126), .A1 (debugpc[5])) ;
    dffr reg_pc_5 (.Q (debugpc[5]), .QB (\$dummy [101]), .D (nx10924), .CLK (clk
         ), .R (nx4179)) ;
    mux21 ix19026 (.Y (nx19025), .A0 (portbout[5]), .A1 (portcout[5]), .S0 (
          nx20190)) ;
    dffr reg_portb_5 (.Q (portbout[5]), .QB (\$dummy [102]), .D (nx11311), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11312 (.Y (nx11311), .A0 (portbout[5]), .A1 (nx20420), .B0 (nx11309)
         ) ;
    nor02 ix11310 (.Y (nx11309), .A0 (nx15505), .A1 (nx20420)) ;
    dffr reg_portc_5 (.Q (portcout[5]), .QB (\$dummy [103]), .D (nx11301), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix11302 (.Y (nx11301), .A0 (portcout[5]), .A1 (nx20422), .B0 (nx11299)
         ) ;
    nor02 ix11300 (.Y (nx11299), .A0 (nx15505), .A1 (nx20422)) ;
    mux21 ix16317 (.Y (alua_6), .A0 (nx19039), .A1 (nx19044), .S0 (aluasel_0)) ;
    dffr reg_w_6 (.Q (debugw[6]), .QB (\$dummy [104]), .D (nx13941), .CLK (clk)
         , .R (nx4179)) ;
    ao32 ix13942 (.Y (nx13941), .A0 (nx20162), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[6]), .B1 (nx20372)) ;
    ao221 ix14301 (.Y (nx14300), .A0 (expdin[6]), .A1 (nx20208), .B0 (nx20382), 
          .B1 (nx14292), .C0 (nx12726)) ;
    nor04 ix19050 (.Y (nx19049), .A0 (nx13694), .A1 (nx13648), .A2 (nx13600), .A3 (
          nx13554)) ;
    ao221 ix13695 (.Y (nx13694), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_468), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_469), .B1 (nx20386)
          , .C0 (nx13692)) ;
    dffr regs_dram_modgen_ram_ix26_ix875 (.Q (
         regs_dram_modgen_ram_ix26_a_77_dup_468), .QB (\$dummy [105]), .D (
         regs_dram_modgen_ram_ix26_a_77_dup_468), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix879 (.Q (
         regs_dram_modgen_ram_ix26_a_76_dup_469), .QB (\$dummy [106]), .D (
         regs_dram_modgen_ram_ix26_a_76_dup_469), .CLK (clk), .R (nx4179)) ;
    ao22 ix13693 (.Y (nx13692), .A0 (regs_dram_modgen_ram_ix26_a_79_dup_466), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78_dup_467), .B1 (nx20390)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix867 (.Q (
         regs_dram_modgen_ram_ix26_a_79_dup_466), .QB (\$dummy [107]), .D (
         regs_dram_modgen_ram_ix26_a_79_dup_466), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix871 (.Q (
         regs_dram_modgen_ram_ix26_a_78_dup_467), .QB (\$dummy [108]), .D (
         regs_dram_modgen_ram_ix26_a_78_dup_467), .CLK (clk), .R (nx4179)) ;
    ao221 ix13649 (.Y (nx13648), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_472), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_473), .B1 (nx20392)
          , .C0 (nx13646)) ;
    dffr regs_dram_modgen_ram_ix26_ix891 (.Q (
         regs_dram_modgen_ram_ix26_a_73_dup_472), .QB (\$dummy [109]), .D (
         regs_dram_modgen_ram_ix26_a_73_dup_472), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix895 (.Q (
         regs_dram_modgen_ram_ix26_a_72_dup_473), .QB (\$dummy [110]), .D (
         regs_dram_modgen_ram_ix26_a_72_dup_473), .CLK (clk), .R (nx4179)) ;
    ao22 ix13647 (.Y (nx13646), .A0 (regs_dram_modgen_ram_ix26_a_75_dup_470), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74_dup_471), .B1 (nx20396)
         ) ;
    dffr regs_dram_modgen_ram_ix26_ix883 (.Q (
         regs_dram_modgen_ram_ix26_a_75_dup_470), .QB (\$dummy [111]), .D (
         regs_dram_modgen_ram_ix26_a_75_dup_470), .CLK (clk), .R (nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix887 (.Q (
         regs_dram_modgen_ram_ix26_a_74_dup_471), .QB (\$dummy [112]), .D (
         regs_dram_modgen_ram_ix26_a_74_dup_471), .CLK (clk), .R (nx4179)) ;
    ao221 ix13601 (.Y (nx13600), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_476), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_477), .B1 (nx20402)
          , .C0 (nx13598)) ;
    ao21 ix13352 (.Y (nx13351), .A0 (nx20162), .A1 (nx20366), .B0 (nx13347)) ;
    nor02 ix13348 (.Y (nx13347), .A0 (nx19075), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix907 (.Q (
         regs_dram_modgen_ram_ix26_a_69_dup_476), .QB (nx19075), .D (nx13351), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13342 (.Y (nx13341), .A0 (nx20162), .A1 (nx20364), .B0 (nx13337)) ;
    nor02 ix13338 (.Y (nx13337), .A0 (nx19080), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix911 (.Q (
         regs_dram_modgen_ram_ix26_a_68_dup_477), .QB (nx19080), .D (nx13341), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13599 (.Y (nx13598), .A0 (regs_dram_modgen_ram_ix26_a_71_dup_474), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70_dup_475), .B1 (nx20406)
         ) ;
    ao21 ix13372 (.Y (nx13371), .A0 (nx20162), .A1 (nx20370), .B0 (nx13367)) ;
    nor02 ix13368 (.Y (nx13367), .A0 (nx19086), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix899 (.Q (
         regs_dram_modgen_ram_ix26_a_71_dup_474), .QB (nx19086), .D (nx13371), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13362 (.Y (nx13361), .A0 (nx20162), .A1 (nx20368), .B0 (nx13357)) ;
    nor02 ix13358 (.Y (nx13357), .A0 (nx19091), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix903 (.Q (
         regs_dram_modgen_ram_ix26_a_70_dup_475), .QB (nx19091), .D (nx13361), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13555 (.Y (nx13554), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_480), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_481), .B1 (nx20408)
          , .C0 (nx13552)) ;
    ao21 ix13312 (.Y (nx13311), .A0 (nx20162), .A1 (nx20358), .B0 (nx13307)) ;
    nor02 ix13308 (.Y (nx13307), .A0 (nx19097), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix923 (.Q (
         regs_dram_modgen_ram_ix26_a_65_dup_480), .QB (nx19097), .D (nx13311), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13302 (.Y (nx13301), .A0 (nx20162), .A1 (nx20356), .B0 (nx13297)) ;
    nor02 ix13298 (.Y (nx13297), .A0 (nx19102), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix927 (.Q (
         regs_dram_modgen_ram_ix26_a_64_dup_481), .QB (nx19102), .D (nx13301), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13553 (.Y (nx13552), .A0 (regs_dram_modgen_ram_ix26_a_67_dup_478), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66_dup_479), .B1 (nx20412)
         ) ;
    ao21 ix13332 (.Y (nx13331), .A0 (nx20162), .A1 (nx20362), .B0 (nx13327)) ;
    nor02 ix13328 (.Y (nx13327), .A0 (nx19108), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix915 (.Q (
         regs_dram_modgen_ram_ix26_a_67_dup_478), .QB (nx19108), .D (nx13331), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13322 (.Y (nx13321), .A0 (nx20162), .A1 (nx20360), .B0 (nx13317)) ;
    nor02 ix13318 (.Y (nx13317), .A0 (nx19113), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix919 (.Q (
         regs_dram_modgen_ram_ix26_a_66_dup_479), .QB (nx19113), .D (nx13321), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13509 (.Y (nx13508), .A0 (nx20414), .A1 (nx13500), .B0 (nx20416), .B1 (
          nx13306), .C0 (nx13116)) ;
    inv02 ix13501 (.Y (nx13500), .A (nx19117)) ;
    nor04 ix19118 (.Y (nx19117), .A0 (nx13496), .A1 (nx13450), .A2 (nx13402), .A3 (
          nx13356)) ;
    ao221 ix13497 (.Y (nx13496), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_484), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_485), .B1 (nx20386)
          , .C0 (nx13494)) ;
    ao21 ix13272 (.Y (nx13271), .A0 (nx20162), .A1 (nx20350), .B0 (nx13267)) ;
    nor02 ix13268 (.Y (nx13267), .A0 (nx19123), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix939 (.Q (
         regs_dram_modgen_ram_ix26_a_61_dup_484), .QB (nx19123), .D (nx13271), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13262 (.Y (nx13261), .A0 (nx20162), .A1 (nx20348), .B0 (nx13257)) ;
    nor02 ix13258 (.Y (nx13257), .A0 (nx19128), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix943 (.Q (
         regs_dram_modgen_ram_ix26_a_60_dup_485), .QB (nx19128), .D (nx13261), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13495 (.Y (nx13494), .A0 (regs_dram_modgen_ram_ix26_a_63_dup_482), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62_dup_483), .B1 (nx20390)
         ) ;
    ao21 ix13292 (.Y (nx13291), .A0 (nx20162), .A1 (nx20354), .B0 (nx13287)) ;
    nor02 ix13288 (.Y (nx13287), .A0 (nx19134), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix931 (.Q (
         regs_dram_modgen_ram_ix26_a_63_dup_482), .QB (nx19134), .D (nx13291), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13282 (.Y (nx13281), .A0 (nx20162), .A1 (nx20352), .B0 (nx13277)) ;
    nor02 ix13278 (.Y (nx13277), .A0 (nx19139), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix935 (.Q (
         regs_dram_modgen_ram_ix26_a_62_dup_483), .QB (nx19139), .D (nx13281), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13451 (.Y (nx13450), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_488), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_489), .B1 (nx20392)
          , .C0 (nx13448)) ;
    ao21 ix13232 (.Y (nx13231), .A0 (nx20162), .A1 (nx20342), .B0 (nx13227)) ;
    nor02 ix13228 (.Y (nx13227), .A0 (nx19145), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix955 (.Q (
         regs_dram_modgen_ram_ix26_a_57_dup_488), .QB (nx19145), .D (nx13231), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13222 (.Y (nx13221), .A0 (nx20162), .A1 (nx20340), .B0 (nx13217)) ;
    nor02 ix13218 (.Y (nx13217), .A0 (nx19150), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix959 (.Q (
         regs_dram_modgen_ram_ix26_a_56_dup_489), .QB (nx19150), .D (nx13221), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13449 (.Y (nx13448), .A0 (regs_dram_modgen_ram_ix26_a_59_dup_486), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58_dup_487), .B1 (nx20396)
         ) ;
    ao21 ix13252 (.Y (nx13251), .A0 (nx20162), .A1 (nx20346), .B0 (nx13247)) ;
    nor02 ix13248 (.Y (nx13247), .A0 (nx19156), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix947 (.Q (
         regs_dram_modgen_ram_ix26_a_59_dup_486), .QB (nx19156), .D (nx13251), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13242 (.Y (nx13241), .A0 (nx20162), .A1 (nx20344), .B0 (nx13237)) ;
    nor02 ix13238 (.Y (nx13237), .A0 (nx19161), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix951 (.Q (
         regs_dram_modgen_ram_ix26_a_58_dup_487), .QB (nx19161), .D (nx13241), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13403 (.Y (nx13402), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_492), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_493), .B1 (nx20402)
          , .C0 (nx13400)) ;
    ao21 ix13192 (.Y (nx13191), .A0 (nx20162), .A1 (nx20334), .B0 (nx13187)) ;
    nor02 ix13188 (.Y (nx13187), .A0 (nx19167), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix971 (.Q (
         regs_dram_modgen_ram_ix26_a_53_dup_492), .QB (nx19167), .D (nx13191), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13182 (.Y (nx13181), .A0 (nx20162), .A1 (nx20332), .B0 (nx13177)) ;
    nor02 ix13178 (.Y (nx13177), .A0 (nx19172), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix975 (.Q (
         regs_dram_modgen_ram_ix26_a_52_dup_493), .QB (nx19172), .D (nx13181), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13401 (.Y (nx13400), .A0 (regs_dram_modgen_ram_ix26_a_55_dup_490), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54_dup_491), .B1 (nx20406)
         ) ;
    ao21 ix13212 (.Y (nx13211), .A0 (nx20162), .A1 (nx20338), .B0 (nx13207)) ;
    nor02 ix13208 (.Y (nx13207), .A0 (nx19178), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix963 (.Q (
         regs_dram_modgen_ram_ix26_a_55_dup_490), .QB (nx19178), .D (nx13211), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13202 (.Y (nx13201), .A0 (nx20162), .A1 (nx20336), .B0 (nx13197)) ;
    nor02 ix13198 (.Y (nx13197), .A0 (nx19183), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix967 (.Q (
         regs_dram_modgen_ram_ix26_a_54_dup_491), .QB (nx19183), .D (nx13201), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13357 (.Y (nx13356), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_496), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_497), .B1 (nx20408)
          , .C0 (nx13354)) ;
    ao21 ix13152 (.Y (nx13151), .A0 (nx20162), .A1 (nx20326), .B0 (nx13147)) ;
    nor02 ix13148 (.Y (nx13147), .A0 (nx19189), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix987 (.Q (
         regs_dram_modgen_ram_ix26_a_49_dup_496), .QB (nx19189), .D (nx13151), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13142 (.Y (nx13141), .A0 (nx20162), .A1 (nx20324), .B0 (nx13137)) ;
    nor02 ix13138 (.Y (nx13137), .A0 (nx19194), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix991 (.Q (
         regs_dram_modgen_ram_ix26_a_48_dup_497), .QB (nx19194), .D (nx13141), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13355 (.Y (nx13354), .A0 (regs_dram_modgen_ram_ix26_a_51_dup_494), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50_dup_495), .B1 (nx20412)
         ) ;
    ao21 ix13172 (.Y (nx13171), .A0 (nx20162), .A1 (nx20330), .B0 (nx13167)) ;
    nor02 ix13168 (.Y (nx13167), .A0 (nx19200), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix979 (.Q (
         regs_dram_modgen_ram_ix26_a_51_dup_494), .QB (nx19200), .D (nx13171), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13162 (.Y (nx13161), .A0 (nx20162), .A1 (nx20328), .B0 (nx13157)) ;
    nor02 ix13158 (.Y (nx13157), .A0 (nx19205), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix983 (.Q (
         regs_dram_modgen_ram_ix26_a_50_dup_495), .QB (nx19205), .D (nx13161), .CLK (
         clk), .R (nx4179)) ;
    inv02 ix13307 (.Y (nx13306), .A (nx19208)) ;
    nor04 ix19209 (.Y (nx19208), .A0 (nx13302), .A1 (nx13256), .A2 (nx13208), .A3 (
          nx13162)) ;
    ao221 ix13303 (.Y (nx13302), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_500), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_501), .B1 (nx20386)
          , .C0 (nx13300)) ;
    ao21 ix13112 (.Y (nx13111), .A0 (nx20162), .A1 (nx20318), .B0 (nx13107)) ;
    nor02 ix13108 (.Y (nx13107), .A0 (nx19214), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix1003 (.Q (
         regs_dram_modgen_ram_ix26_a_45_dup_500), .QB (nx19214), .D (nx13111), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13102 (.Y (nx13101), .A0 (nx20162), .A1 (nx20316), .B0 (nx13097)) ;
    nor02 ix13098 (.Y (nx13097), .A0 (nx19219), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix1007 (.Q (
         regs_dram_modgen_ram_ix26_a_44_dup_501), .QB (nx19219), .D (nx13101), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13301 (.Y (nx13300), .A0 (regs_dram_modgen_ram_ix26_a_47_dup_498), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46_dup_499), .B1 (nx20390)
         ) ;
    ao21 ix13132 (.Y (nx13131), .A0 (nx20162), .A1 (nx20322), .B0 (nx13127)) ;
    nor02 ix13128 (.Y (nx13127), .A0 (nx19225), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix995 (.Q (
         regs_dram_modgen_ram_ix26_a_47_dup_498), .QB (nx19225), .D (nx13131), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13122 (.Y (nx13121), .A0 (nx20162), .A1 (nx20320), .B0 (nx13117)) ;
    nor02 ix13118 (.Y (nx13117), .A0 (nx19230), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix999 (.Q (
         regs_dram_modgen_ram_ix26_a_46_dup_499), .QB (nx19230), .D (nx13121), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13257 (.Y (nx13256), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_504), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_505), .B1 (nx20392)
          , .C0 (nx13254)) ;
    ao21 ix13072 (.Y (nx13071), .A0 (nx20162), .A1 (nx20310), .B0 (nx13067)) ;
    nor02 ix13068 (.Y (nx13067), .A0 (nx19236), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix1019 (.Q (
         regs_dram_modgen_ram_ix26_a_41_dup_504), .QB (nx19236), .D (nx13071), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13062 (.Y (nx13061), .A0 (nx20162), .A1 (nx20308), .B0 (nx13057)) ;
    nor02 ix13058 (.Y (nx13057), .A0 (nx19241), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix1023 (.Q (
         regs_dram_modgen_ram_ix26_a_40_dup_505), .QB (nx19241), .D (nx13061), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13255 (.Y (nx13254), .A0 (regs_dram_modgen_ram_ix26_a_43_dup_502), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42_dup_503), .B1 (nx20396)
         ) ;
    ao21 ix13092 (.Y (nx13091), .A0 (nx20162), .A1 (nx20314), .B0 (nx13087)) ;
    nor02 ix13088 (.Y (nx13087), .A0 (nx19247), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix1011 (.Q (
         regs_dram_modgen_ram_ix26_a_43_dup_502), .QB (nx19247), .D (nx13091), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13082 (.Y (nx13081), .A0 (nx20162), .A1 (nx20312), .B0 (nx13077)) ;
    nor02 ix13078 (.Y (nx13077), .A0 (nx19252), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix1015 (.Q (
         regs_dram_modgen_ram_ix26_a_42_dup_503), .QB (nx19252), .D (nx13081), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13209 (.Y (nx13208), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_508), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_509), .B1 (nx20402)
          , .C0 (nx13206)) ;
    ao21 ix13032 (.Y (nx13031), .A0 (nx20162), .A1 (nx20302), .B0 (nx13027)) ;
    nor02 ix13028 (.Y (nx13027), .A0 (nx19258), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix1035 (.Q (
         regs_dram_modgen_ram_ix26_a_37_dup_508), .QB (nx19258), .D (nx13031), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13022 (.Y (nx13021), .A0 (nx20162), .A1 (nx20300), .B0 (nx13017)) ;
    nor02 ix13018 (.Y (nx13017), .A0 (nx19263), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix1039 (.Q (
         regs_dram_modgen_ram_ix26_a_36_dup_509), .QB (nx19263), .D (nx13021), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13207 (.Y (nx13206), .A0 (regs_dram_modgen_ram_ix26_a_39_dup_506), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38_dup_507), .B1 (nx20406)
         ) ;
    ao21 ix13052 (.Y (nx13051), .A0 (nx20162), .A1 (nx20306), .B0 (nx13047)) ;
    nor02 ix13048 (.Y (nx13047), .A0 (nx19269), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix1027 (.Q (
         regs_dram_modgen_ram_ix26_a_39_dup_506), .QB (nx19269), .D (nx13051), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13042 (.Y (nx13041), .A0 (nx20162), .A1 (nx20304), .B0 (nx13037)) ;
    nor02 ix13038 (.Y (nx13037), .A0 (nx19274), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix1031 (.Q (
         regs_dram_modgen_ram_ix26_a_38_dup_507), .QB (nx19274), .D (nx13041), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13163 (.Y (nx13162), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_512), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_513), .B1 (nx20408)
          , .C0 (nx13160)) ;
    ao21 ix12992 (.Y (nx12991), .A0 (nx20162), .A1 (nx20294), .B0 (nx12987)) ;
    nor02 ix12988 (.Y (nx12987), .A0 (nx19280), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix1051 (.Q (
         regs_dram_modgen_ram_ix26_a_33_dup_512), .QB (nx19280), .D (nx12991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12982 (.Y (nx12981), .A0 (nx20162), .A1 (nx20292), .B0 (nx12977)) ;
    nor02 ix12978 (.Y (nx12977), .A0 (nx19285), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix1055 (.Q (
         regs_dram_modgen_ram_ix26_a_32_dup_513), .QB (nx19285), .D (nx12981), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13161 (.Y (nx13160), .A0 (regs_dram_modgen_ram_ix26_a_35_dup_510), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34_dup_511), .B1 (nx20412)
         ) ;
    ao21 ix13012 (.Y (nx13011), .A0 (nx20162), .A1 (nx20298), .B0 (nx13007)) ;
    nor02 ix13008 (.Y (nx13007), .A0 (nx19291), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix1043 (.Q (
         regs_dram_modgen_ram_ix26_a_35_dup_510), .QB (nx19291), .D (nx13011), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13002 (.Y (nx13001), .A0 (nx20162), .A1 (nx20296), .B0 (nx12997)) ;
    nor02 ix12998 (.Y (nx12997), .A0 (nx19296), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix1047 (.Q (
         regs_dram_modgen_ram_ix26_a_34_dup_511), .QB (nx19296), .D (nx13001), .CLK (
         clk), .R (nx4179)) ;
    oai22 ix13117 (.Y (nx13116), .A0 (nx20258), .A1 (nx19299), .B0 (nx20224), .B1 (
          nx19389)) ;
    nor04 ix19300 (.Y (nx19299), .A0 (nx13106), .A1 (nx13060), .A2 (nx13012), .A3 (
          nx12966)) ;
    ao221 ix13107 (.Y (nx13106), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_516), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_517), .B1 (nx20386)
          , .C0 (nx13104)) ;
    ao21 ix12952 (.Y (nx12951), .A0 (nx20162), .A1 (nx20286), .B0 (nx12947)) ;
    nor02 ix12948 (.Y (nx12947), .A0 (nx19305), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix1067 (.Q (
         regs_dram_modgen_ram_ix26_a_29_dup_516), .QB (nx19305), .D (nx12951), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12942 (.Y (nx12941), .A0 (nx20162), .A1 (nx20284), .B0 (nx12937)) ;
    nor02 ix12938 (.Y (nx12937), .A0 (nx19310), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix1071 (.Q (
         regs_dram_modgen_ram_ix26_a_28_dup_517), .QB (nx19310), .D (nx12941), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13105 (.Y (nx13104), .A0 (regs_dram_modgen_ram_ix26_a_31_dup_514), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30_dup_515), .B1 (nx20390)
         ) ;
    ao21 ix12972 (.Y (nx12971), .A0 (nx20162), .A1 (nx20290), .B0 (nx12967)) ;
    nor02 ix12968 (.Y (nx12967), .A0 (nx19316), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix1059 (.Q (
         regs_dram_modgen_ram_ix26_a_31_dup_514), .QB (nx19316), .D (nx12971), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12962 (.Y (nx12961), .A0 (nx20162), .A1 (nx20288), .B0 (nx12957)) ;
    nor02 ix12958 (.Y (nx12957), .A0 (nx19321), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix1063 (.Q (
         regs_dram_modgen_ram_ix26_a_30_dup_515), .QB (nx19321), .D (nx12961), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13061 (.Y (nx13060), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_520), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_521), .B1 (nx20392)
          , .C0 (nx13058)) ;
    ao21 ix12912 (.Y (nx12911), .A0 (nx20162), .A1 (nx20278), .B0 (nx12907)) ;
    nor02 ix12908 (.Y (nx12907), .A0 (nx19327), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix1083 (.Q (
         regs_dram_modgen_ram_ix26_a_25_dup_520), .QB (nx19327), .D (nx12911), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12902 (.Y (nx12901), .A0 (nx20162), .A1 (nx20276), .B0 (nx12897)) ;
    nor02 ix12898 (.Y (nx12897), .A0 (nx19332), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix1087 (.Q (
         regs_dram_modgen_ram_ix26_a_24_dup_521), .QB (nx19332), .D (nx12901), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13059 (.Y (nx13058), .A0 (regs_dram_modgen_ram_ix26_a_27_dup_518), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26_dup_519), .B1 (nx20396)
         ) ;
    ao21 ix12932 (.Y (nx12931), .A0 (nx20162), .A1 (nx20282), .B0 (nx12927)) ;
    nor02 ix12928 (.Y (nx12927), .A0 (nx19338), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix1075 (.Q (
         regs_dram_modgen_ram_ix26_a_27_dup_518), .QB (nx19338), .D (nx12931), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12922 (.Y (nx12921), .A0 (nx20162), .A1 (nx20280), .B0 (nx12917)) ;
    nor02 ix12918 (.Y (nx12917), .A0 (nx19343), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix1079 (.Q (
         regs_dram_modgen_ram_ix26_a_26_dup_519), .QB (nx19343), .D (nx12921), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix13013 (.Y (nx13012), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_524), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_525), .B1 (nx20402)
          , .C0 (nx13010)) ;
    ao21 ix12872 (.Y (nx12871), .A0 (nx20162), .A1 (nx20270), .B0 (nx12867)) ;
    nor02 ix12868 (.Y (nx12867), .A0 (nx19349), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix1099 (.Q (
         regs_dram_modgen_ram_ix26_a_21_dup_524), .QB (nx19349), .D (nx12871), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12862 (.Y (nx12861), .A0 (nx20162), .A1 (nx20268), .B0 (nx12857)) ;
    nor02 ix12858 (.Y (nx12857), .A0 (nx19354), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix1103 (.Q (
         regs_dram_modgen_ram_ix26_a_20_dup_525), .QB (nx19354), .D (nx12861), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix13011 (.Y (nx13010), .A0 (regs_dram_modgen_ram_ix26_a_23_dup_522), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22_dup_523), .B1 (nx20406)
         ) ;
    ao21 ix12892 (.Y (nx12891), .A0 (nx20162), .A1 (nx20274), .B0 (nx12887)) ;
    nor02 ix12888 (.Y (nx12887), .A0 (nx19360), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix1091 (.Q (
         regs_dram_modgen_ram_ix26_a_23_dup_522), .QB (nx19360), .D (nx12891), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12882 (.Y (nx12881), .A0 (nx20162), .A1 (nx20272), .B0 (nx12877)) ;
    nor02 ix12878 (.Y (nx12877), .A0 (nx19365), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix1095 (.Q (
         regs_dram_modgen_ram_ix26_a_22_dup_523), .QB (nx19365), .D (nx12881), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix12967 (.Y (nx12966), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_528), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_529), .B1 (nx20408)
          , .C0 (nx12964)) ;
    ao21 ix12832 (.Y (nx12831), .A0 (nx20162), .A1 (nx20262), .B0 (nx12827)) ;
    nor02 ix12828 (.Y (nx12827), .A0 (nx19371), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix1115 (.Q (
         regs_dram_modgen_ram_ix26_a_17_dup_528), .QB (nx19371), .D (nx12831), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12822 (.Y (nx12821), .A0 (nx20162), .A1 (nx20260), .B0 (nx12817)) ;
    nor02 ix12818 (.Y (nx12817), .A0 (nx19376), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix1119 (.Q (
         regs_dram_modgen_ram_ix26_a_16_dup_529), .QB (nx19376), .D (nx12821), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix12965 (.Y (nx12964), .A0 (regs_dram_modgen_ram_ix26_a_19_dup_526), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18_dup_527), .B1 (nx20412)
         ) ;
    ao21 ix12852 (.Y (nx12851), .A0 (nx20162), .A1 (nx20266), .B0 (nx12847)) ;
    nor02 ix12848 (.Y (nx12847), .A0 (nx19382), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix1107 (.Q (
         regs_dram_modgen_ram_ix26_a_19_dup_526), .QB (nx19382), .D (nx12851), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12842 (.Y (nx12841), .A0 (nx20162), .A1 (nx20264), .B0 (nx12837)) ;
    nor02 ix12838 (.Y (nx12837), .A0 (nx19387), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix1111 (.Q (
         regs_dram_modgen_ram_ix26_a_18_dup_527), .QB (nx19387), .D (nx12841), .CLK (
         clk), .R (nx4179)) ;
    nor04 ix19390 (.Y (nx19389), .A0 (nx12912), .A1 (nx12866), .A2 (nx12818), .A3 (
          nx12772)) ;
    ao221 ix12913 (.Y (nx12912), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_532), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_533), .B1 (nx20386)
          , .C0 (nx12910)) ;
    ao21 ix12792 (.Y (nx12791), .A0 (nx20162), .A1 (nx20252), .B0 (nx12787)) ;
    nor02 ix12788 (.Y (nx12787), .A0 (nx19395), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix1131 (.Q (
         regs_dram_modgen_ram_ix26_a_13_dup_532), .QB (nx19395), .D (nx12791), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12782 (.Y (nx12781), .A0 (nx20162), .A1 (nx20250), .B0 (nx12777)) ;
    nor02 ix12778 (.Y (nx12777), .A0 (nx19400), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix1135 (.Q (
         regs_dram_modgen_ram_ix26_a_12_dup_533), .QB (nx19400), .D (nx12781), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix12911 (.Y (nx12910), .A0 (regs_dram_modgen_ram_ix26_a_15_dup_530), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14_dup_531), .B1 (nx20390)
         ) ;
    ao21 ix12812 (.Y (nx12811), .A0 (nx20162), .A1 (nx20256), .B0 (nx12807)) ;
    nor02 ix12808 (.Y (nx12807), .A0 (nx19406), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix1123 (.Q (
         regs_dram_modgen_ram_ix26_a_15_dup_530), .QB (nx19406), .D (nx12811), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12802 (.Y (nx12801), .A0 (nx20162), .A1 (nx20254), .B0 (nx12797)) ;
    nor02 ix12798 (.Y (nx12797), .A0 (nx19411), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix1127 (.Q (
         regs_dram_modgen_ram_ix26_a_14_dup_531), .QB (nx19411), .D (nx12801), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix12867 (.Y (nx12866), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_536), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_537), .B1 (nx20392), 
          .C0 (nx12864)) ;
    ao21 ix12752 (.Y (nx12751), .A0 (nx20162), .A1 (nx20244), .B0 (nx12747)) ;
    nor02 ix12748 (.Y (nx12747), .A0 (nx19417), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix1147 (.Q (
         regs_dram_modgen_ram_ix26_a_9_dup_536), .QB (nx19417), .D (nx12751), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12742 (.Y (nx12741), .A0 (nx20162), .A1 (nx20242), .B0 (nx12737)) ;
    nor02 ix12738 (.Y (nx12737), .A0 (nx19422), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix1151 (.Q (
         regs_dram_modgen_ram_ix26_a_8_dup_537), .QB (nx19422), .D (nx12741), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix12865 (.Y (nx12864), .A0 (regs_dram_modgen_ram_ix26_a_11_dup_534), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10_dup_535), .B1 (nx20396)
         ) ;
    ao21 ix12772 (.Y (nx12771), .A0 (nx20162), .A1 (nx20248), .B0 (nx12767)) ;
    nor02 ix12768 (.Y (nx12767), .A0 (nx19428), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix1139 (.Q (
         regs_dram_modgen_ram_ix26_a_11_dup_534), .QB (nx19428), .D (nx12771), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12762 (.Y (nx12761), .A0 (nx20162), .A1 (nx20246), .B0 (nx12757)) ;
    nor02 ix12758 (.Y (nx12757), .A0 (nx19433), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix1143 (.Q (
         regs_dram_modgen_ram_ix26_a_10_dup_535), .QB (nx19433), .D (nx12761), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix12819 (.Y (nx12818), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_540), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_541), .B1 (nx20402), 
          .C0 (nx12816)) ;
    ao21 ix12712 (.Y (nx12711), .A0 (nx20162), .A1 (nx20236), .B0 (nx12707)) ;
    nor02 ix12708 (.Y (nx12707), .A0 (nx19439), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix1163 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_540), .QB (nx19439), .D (nx12711), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12702 (.Y (nx12701), .A0 (nx20162), .A1 (nx20234), .B0 (nx12697)) ;
    nor02 ix12698 (.Y (nx12697), .A0 (nx19444), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix1167 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_541), .QB (nx19444), .D (nx12701), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix12817 (.Y (nx12816), .A0 (regs_dram_modgen_ram_ix26_a_7_dup_538), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_539), .B1 (nx20406)) ;
    ao21 ix12732 (.Y (nx12731), .A0 (nx20162), .A1 (nx20240), .B0 (nx12727)) ;
    nor02 ix12728 (.Y (nx12727), .A0 (nx19450), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix1155 (.Q (
         regs_dram_modgen_ram_ix26_a_7_dup_538), .QB (nx19450), .D (nx12731), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12722 (.Y (nx12721), .A0 (nx20162), .A1 (nx20238), .B0 (nx12717)) ;
    nor02 ix12718 (.Y (nx12717), .A0 (nx19455), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix1159 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_539), .QB (nx19455), .D (nx12721), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix12773 (.Y (nx12772), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_544), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_545), .B1 (nx20408), 
          .C0 (nx12770)) ;
    ao21 ix12672 (.Y (nx12671), .A0 (nx20162), .A1 (nx20228), .B0 (nx12667)) ;
    nor02 ix12668 (.Y (nx12667), .A0 (nx19461), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix1179 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_544), .QB (nx19461), .D (nx12671), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12662 (.Y (nx12661), .A0 (nx20162), .A1 (nx20226), .B0 (nx12657)) ;
    nor02 ix12658 (.Y (nx12657), .A0 (nx19466), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix1183 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_545), .QB (nx19466), .D (nx12661), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix12771 (.Y (nx12770), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_542), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_543), .B1 (nx20412)) ;
    ao21 ix12692 (.Y (nx12691), .A0 (nx20162), .A1 (nx20232), .B0 (nx12687)) ;
    nor02 ix12688 (.Y (nx12687), .A0 (nx19472), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix1171 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_542), .QB (nx19472), .D (nx12691), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12682 (.Y (nx12681), .A0 (nx20162), .A1 (nx20230), .B0 (nx12677)) ;
    nor02 ix12678 (.Y (nx12677), .A0 (nx19477), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix1175 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_543), .QB (nx19477), .D (nx12681), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix12727 (.Y (nx12726), .A0 (nx20178), .A1 (nx20176), .A2 (nx19480)) ;
    mux21 ix19481 (.Y (nx19480), .A0 (nx12626), .A1 (nx12720), .S0 (nx20188)) ;
    mux21 ix12627 (.Y (nx12626), .A0 (nx15516), .A1 (nx19483), .S0 (nx20190)) ;
    mux21 ix19484 (.Y (nx19483), .A0 (tmr0_6), .A1 (porta_6), .S0 (nx20186)) ;
    mux21 ix12612 (.Y (nx12611), .A0 (nx19487), .A1 (nx19489), .S0 (nx20212)) ;
    dffr reg_tmr0_6 (.Q (tmr0_6), .QB (nx19487), .D (nx12611), .CLK (clk), .R (
         nx4179)) ;
    aoi21 ix19490 (.Y (nx19489), .A0 (nx262), .A1 (nx20210), .B0 (nx12602)) ;
    nor03 ix12603 (.Y (nx12602), .A0 (reset), .A1 (nx12588), .A2 (nx19494)) ;
    nor02 ix12589 (.Y (nx12588), .A0 (nx19487), .A1 (nx18993)) ;
    ao21 ix19495 (.Y (nx19494), .A0 (nx18993), .A1 (nx19487), .B0 (nx20210)) ;
    dffr reg_porta_6 (.Q (porta_6), .QB (\$dummy [113]), .D (nx12578), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix12579 (.Y (nx12578), .A0 (portain[6]), .A1 (nx15377)) ;
    mux21 ix12721 (.Y (nx12720), .A0 (nx19500), .A1 (nx19523), .S0 (nx20186)) ;
    mux21 ix19501 (.Y (nx19500), .A0 (debugpc[6]), .A1 (debugstatus[6]), .S0 (
          nx20190)) ;
    or02 ix12679 (.Y (nx12678), .A0 (paddr[6]), .A1 (reset)) ;
    ao221 ix12677 (.Y (paddr[6]), .A0 (nx20184), .A1 (nx20214), .B0 (nx20162), .B1 (
          nx20418), .C0 (nx12666)) ;
    ao221 ix12667 (.Y (nx12666), .A0 (stack1_6), .A1 (nx20216), .B0 (stack2_6), 
          .B1 (nx20218), .C0 (nx12650)) ;
    dffr reg_stack1_6 (.Q (stack1_6), .QB (\$dummy [114]), .D (nx12631), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12632 (.Y (nx12631), .A0 (stack1_6), .A1 (nx16488), .B0 (nx12629)) ;
    ao21 ix12622 (.Y (nx12621), .A0 (debugpc[6]), .A1 (nx20222), .B0 (nx12617)
         ) ;
    nor02 ix12618 (.Y (nx12617), .A0 (nx19513), .A1 (nx20222)) ;
    dffr reg_stack2_6 (.Q (stack2_6), .QB (nx19513), .D (nx12621), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix12651 (.Y (nx12650), .A0 (nx19516), .A1 (nx834), .A2 (nx12642)) ;
    nor02 ix19517 (.Y (nx19516), .A0 (nx10888), .A1 (debugpc[6])) ;
    dffr reg_pc_6 (.Q (debugpc[6]), .QB (\$dummy [115]), .D (nx12678), .CLK (clk
         ), .R (nx4179)) ;
    nand02 ix19522 (.Y (nx19521), .A0 (debugpc[5]), .A1 (nx9126)) ;
    mux21 ix19524 (.Y (nx19523), .A0 (portbout[6]), .A1 (portcout[6]), .S0 (
          nx20190)) ;
    dffr reg_portb_6 (.Q (portbout[6]), .QB (\$dummy [116]), .D (nx12651), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12652 (.Y (nx12651), .A0 (portbout[6]), .A1 (nx20420), .B0 (nx12649)
         ) ;
    nor02 ix12650 (.Y (nx12649), .A0 (nx15499), .A1 (nx20420)) ;
    dffr reg_portc_6 (.Q (portcout[6]), .QB (\$dummy [117]), .D (nx12641), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix12642 (.Y (nx12641), .A0 (portcout[6]), .A1 (nx20422), .B0 (nx12639)
         ) ;
    nor02 ix12640 (.Y (nx12639), .A0 (nx15499), .A1 (nx20422)) ;
    mux21 ix16347 (.Y (alua_7), .A0 (nx19537), .A1 (nx19542), .S0 (aluasel_0)) ;
    dffr reg_w_7 (.Q (debugw[7]), .QB (\$dummy [118]), .D (nx15301), .CLK (clk)
         , .R (nx4179)) ;
    ao32 ix15302 (.Y (nx15301), .A0 (nx20160), .A1 (nx15377), .A2 (nx20192), .B0 (
         debugw[7]), .B1 (nx20372)) ;
    ao221 ix16065 (.Y (nx16064), .A0 (expdin[7]), .A1 (nx20208), .B0 (nx20382), 
          .B1 (nx16056), .C0 (nx14490)) ;
    nor04 ix19548 (.Y (nx19547), .A0 (nx15458), .A1 (nx15412), .A2 (nx15364), .A3 (
          nx15318)) ;
    ao221 ix15459 (.Y (nx15458), .A0 (regs_dram_modgen_ram_ix26_a_77), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_76), .B1 (nx20386), .C0 (
          nx15456)) ;
    dffr regs_dram_modgen_ram_ix26_ix360 (.Q (regs_dram_modgen_ram_ix26_a_77), .QB (
         \$dummy [119]), .D (regs_dram_modgen_ram_ix26_a_77), .CLK (clk), .R (
         nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix364 (.Q (regs_dram_modgen_ram_ix26_a_76), .QB (
         \$dummy [120]), .D (regs_dram_modgen_ram_ix26_a_76), .CLK (clk), .R (
         nx4179)) ;
    ao22 ix15457 (.Y (nx15456), .A0 (regs_dram_modgen_ram_ix26_a_79), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_78), .B1 (nx20390)) ;
    dffr regs_dram_modgen_ram_ix26_ix352 (.Q (regs_dram_modgen_ram_ix26_a_79), .QB (
         \$dummy [121]), .D (regs_dram_modgen_ram_ix26_a_79), .CLK (clk), .R (
         nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix356 (.Q (regs_dram_modgen_ram_ix26_a_78), .QB (
         \$dummy [122]), .D (regs_dram_modgen_ram_ix26_a_78), .CLK (clk), .R (
         nx4179)) ;
    ao221 ix15413 (.Y (nx15412), .A0 (regs_dram_modgen_ram_ix26_a_73), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_72), .B1 (nx20392), .C0 (
          nx15410)) ;
    dffr regs_dram_modgen_ram_ix26_ix376 (.Q (regs_dram_modgen_ram_ix26_a_73), .QB (
         \$dummy [123]), .D (regs_dram_modgen_ram_ix26_a_73), .CLK (clk), .R (
         nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix380 (.Q (regs_dram_modgen_ram_ix26_a_72), .QB (
         \$dummy [124]), .D (regs_dram_modgen_ram_ix26_a_72), .CLK (clk), .R (
         nx4179)) ;
    ao22 ix15411 (.Y (nx15410), .A0 (regs_dram_modgen_ram_ix26_a_75), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_74), .B1 (nx20396)) ;
    dffr regs_dram_modgen_ram_ix26_ix368 (.Q (regs_dram_modgen_ram_ix26_a_75), .QB (
         \$dummy [125]), .D (regs_dram_modgen_ram_ix26_a_75), .CLK (clk), .R (
         nx4179)) ;
    dffr regs_dram_modgen_ram_ix26_ix372 (.Q (regs_dram_modgen_ram_ix26_a_74), .QB (
         \$dummy [126]), .D (regs_dram_modgen_ram_ix26_a_74), .CLK (clk), .R (
         nx4179)) ;
    ao221 ix15365 (.Y (nx15364), .A0 (regs_dram_modgen_ram_ix26_a_69), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_68), .B1 (nx20402), .C0 (
          nx15362)) ;
    ao21 ix14712 (.Y (nx14711), .A0 (nx20160), .A1 (nx20366), .B0 (nx14707)) ;
    nor02 ix14708 (.Y (nx14707), .A0 (nx19573), .A1 (nx20366)) ;
    dffr regs_dram_modgen_ram_ix26_ix392 (.Q (regs_dram_modgen_ram_ix26_a_69), .QB (
         nx19573), .D (nx14711), .CLK (clk), .R (nx4179)) ;
    ao21 ix14702 (.Y (nx14701), .A0 (nx20160), .A1 (nx20364), .B0 (nx14697)) ;
    nor02 ix14698 (.Y (nx14697), .A0 (nx19578), .A1 (nx20364)) ;
    dffr regs_dram_modgen_ram_ix26_ix396 (.Q (regs_dram_modgen_ram_ix26_a_68), .QB (
         nx19578), .D (nx14701), .CLK (clk), .R (nx4179)) ;
    ao22 ix15363 (.Y (nx15362), .A0 (regs_dram_modgen_ram_ix26_a_71), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_70), .B1 (nx20406)) ;
    ao21 ix14732 (.Y (nx14731), .A0 (nx20160), .A1 (nx20370), .B0 (nx14727)) ;
    nor02 ix14728 (.Y (nx14727), .A0 (nx19584), .A1 (nx20370)) ;
    dffr regs_dram_modgen_ram_ix26_ix384 (.Q (regs_dram_modgen_ram_ix26_a_71), .QB (
         nx19584), .D (nx14731), .CLK (clk), .R (nx4179)) ;
    ao21 ix14722 (.Y (nx14721), .A0 (nx20160), .A1 (nx20368), .B0 (nx14717)) ;
    nor02 ix14718 (.Y (nx14717), .A0 (nx19589), .A1 (nx20368)) ;
    dffr regs_dram_modgen_ram_ix26_ix388 (.Q (regs_dram_modgen_ram_ix26_a_70), .QB (
         nx19589), .D (nx14721), .CLK (clk), .R (nx4179)) ;
    ao221 ix15319 (.Y (nx15318), .A0 (regs_dram_modgen_ram_ix26_a_65), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_64), .B1 (nx20408), .C0 (
          nx15316)) ;
    ao21 ix14672 (.Y (nx14671), .A0 (nx20160), .A1 (nx20358), .B0 (nx14667)) ;
    nor02 ix14668 (.Y (nx14667), .A0 (nx19595), .A1 (nx20358)) ;
    dffr regs_dram_modgen_ram_ix26_ix408 (.Q (regs_dram_modgen_ram_ix26_a_65), .QB (
         nx19595), .D (nx14671), .CLK (clk), .R (nx4179)) ;
    ao21 ix14662 (.Y (nx14661), .A0 (nx20160), .A1 (nx20356), .B0 (nx14657)) ;
    nor02 ix14658 (.Y (nx14657), .A0 (nx19600), .A1 (nx20356)) ;
    dffr regs_dram_modgen_ram_ix26_ix412 (.Q (regs_dram_modgen_ram_ix26_a_64), .QB (
         nx19600), .D (nx14661), .CLK (clk), .R (nx4179)) ;
    ao22 ix15317 (.Y (nx15316), .A0 (regs_dram_modgen_ram_ix26_a_67), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_66), .B1 (nx20412)) ;
    ao21 ix14692 (.Y (nx14691), .A0 (nx20160), .A1 (nx20362), .B0 (nx14687)) ;
    nor02 ix14688 (.Y (nx14687), .A0 (nx19606), .A1 (nx20362)) ;
    dffr regs_dram_modgen_ram_ix26_ix400 (.Q (regs_dram_modgen_ram_ix26_a_67), .QB (
         nx19606), .D (nx14691), .CLK (clk), .R (nx4179)) ;
    ao21 ix14682 (.Y (nx14681), .A0 (nx20160), .A1 (nx20360), .B0 (nx14677)) ;
    nor02 ix14678 (.Y (nx14677), .A0 (nx19611), .A1 (nx20360)) ;
    dffr regs_dram_modgen_ram_ix26_ix404 (.Q (regs_dram_modgen_ram_ix26_a_66), .QB (
         nx19611), .D (nx14681), .CLK (clk), .R (nx4179)) ;
    ao221 ix15273 (.Y (nx15272), .A0 (nx20414), .A1 (nx15264), .B0 (nx20416), .B1 (
          nx15070), .C0 (nx14880)) ;
    inv02 ix15265 (.Y (nx15264), .A (nx19615)) ;
    nor04 ix19616 (.Y (nx19615), .A0 (nx15260), .A1 (nx15214), .A2 (nx15166), .A3 (
          nx15120)) ;
    ao221 ix15261 (.Y (nx15260), .A0 (regs_dram_modgen_ram_ix26_a_61), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_60), .B1 (nx20386), .C0 (
          nx15258)) ;
    ao21 ix14632 (.Y (nx14631), .A0 (nx20160), .A1 (nx20350), .B0 (nx14627)) ;
    nor02 ix14628 (.Y (nx14627), .A0 (nx19621), .A1 (nx20350)) ;
    dffr regs_dram_modgen_ram_ix26_ix424 (.Q (regs_dram_modgen_ram_ix26_a_61), .QB (
         nx19621), .D (nx14631), .CLK (clk), .R (nx4179)) ;
    ao21 ix14622 (.Y (nx14621), .A0 (nx20160), .A1 (nx20348), .B0 (nx14617)) ;
    nor02 ix14618 (.Y (nx14617), .A0 (nx19626), .A1 (nx20348)) ;
    dffr regs_dram_modgen_ram_ix26_ix428 (.Q (regs_dram_modgen_ram_ix26_a_60), .QB (
         nx19626), .D (nx14621), .CLK (clk), .R (nx4179)) ;
    ao22 ix15259 (.Y (nx15258), .A0 (regs_dram_modgen_ram_ix26_a_63), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_62), .B1 (nx20390)) ;
    ao21 ix14652 (.Y (nx14651), .A0 (nx20160), .A1 (nx20354), .B0 (nx14647)) ;
    nor02 ix14648 (.Y (nx14647), .A0 (nx19632), .A1 (nx20354)) ;
    dffr regs_dram_modgen_ram_ix26_ix416 (.Q (regs_dram_modgen_ram_ix26_a_63), .QB (
         nx19632), .D (nx14651), .CLK (clk), .R (nx4179)) ;
    ao21 ix14642 (.Y (nx14641), .A0 (nx20160), .A1 (nx20352), .B0 (nx14637)) ;
    nor02 ix14638 (.Y (nx14637), .A0 (nx19637), .A1 (nx20352)) ;
    dffr regs_dram_modgen_ram_ix26_ix420 (.Q (regs_dram_modgen_ram_ix26_a_62), .QB (
         nx19637), .D (nx14641), .CLK (clk), .R (nx4179)) ;
    ao221 ix15215 (.Y (nx15214), .A0 (regs_dram_modgen_ram_ix26_a_57), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_56), .B1 (nx20392), .C0 (
          nx15212)) ;
    ao21 ix14592 (.Y (nx14591), .A0 (nx20160), .A1 (nx20342), .B0 (nx14587)) ;
    nor02 ix14588 (.Y (nx14587), .A0 (nx19643), .A1 (nx20342)) ;
    dffr regs_dram_modgen_ram_ix26_ix440 (.Q (regs_dram_modgen_ram_ix26_a_57), .QB (
         nx19643), .D (nx14591), .CLK (clk), .R (nx4179)) ;
    ao21 ix14582 (.Y (nx14581), .A0 (nx20160), .A1 (nx20340), .B0 (nx14577)) ;
    nor02 ix14578 (.Y (nx14577), .A0 (nx19648), .A1 (nx20340)) ;
    dffr regs_dram_modgen_ram_ix26_ix444 (.Q (regs_dram_modgen_ram_ix26_a_56), .QB (
         nx19648), .D (nx14581), .CLK (clk), .R (nx4179)) ;
    ao22 ix15213 (.Y (nx15212), .A0 (regs_dram_modgen_ram_ix26_a_59), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_58), .B1 (nx20396)) ;
    ao21 ix14612 (.Y (nx14611), .A0 (nx20160), .A1 (nx20346), .B0 (nx14607)) ;
    nor02 ix14608 (.Y (nx14607), .A0 (nx19654), .A1 (nx20346)) ;
    dffr regs_dram_modgen_ram_ix26_ix432 (.Q (regs_dram_modgen_ram_ix26_a_59), .QB (
         nx19654), .D (nx14611), .CLK (clk), .R (nx4179)) ;
    ao21 ix14602 (.Y (nx14601), .A0 (nx20160), .A1 (nx20344), .B0 (nx14597)) ;
    nor02 ix14598 (.Y (nx14597), .A0 (nx19659), .A1 (nx20344)) ;
    dffr regs_dram_modgen_ram_ix26_ix436 (.Q (regs_dram_modgen_ram_ix26_a_58), .QB (
         nx19659), .D (nx14601), .CLK (clk), .R (nx4179)) ;
    ao221 ix15167 (.Y (nx15166), .A0 (regs_dram_modgen_ram_ix26_a_53), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_52), .B1 (nx20402), .C0 (
          nx15164)) ;
    ao21 ix14552 (.Y (nx14551), .A0 (nx20160), .A1 (nx20334), .B0 (nx14547)) ;
    nor02 ix14548 (.Y (nx14547), .A0 (nx19665), .A1 (nx20334)) ;
    dffr regs_dram_modgen_ram_ix26_ix456 (.Q (regs_dram_modgen_ram_ix26_a_53), .QB (
         nx19665), .D (nx14551), .CLK (clk), .R (nx4179)) ;
    ao21 ix14542 (.Y (nx14541), .A0 (nx20160), .A1 (nx20332), .B0 (nx14537)) ;
    nor02 ix14538 (.Y (nx14537), .A0 (nx19670), .A1 (nx20332)) ;
    dffr regs_dram_modgen_ram_ix26_ix460 (.Q (regs_dram_modgen_ram_ix26_a_52), .QB (
         nx19670), .D (nx14541), .CLK (clk), .R (nx4179)) ;
    ao22 ix15165 (.Y (nx15164), .A0 (regs_dram_modgen_ram_ix26_a_55), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_54), .B1 (nx20406)) ;
    ao21 ix14572 (.Y (nx14571), .A0 (nx20160), .A1 (nx20338), .B0 (nx14567)) ;
    nor02 ix14568 (.Y (nx14567), .A0 (nx19676), .A1 (nx20338)) ;
    dffr regs_dram_modgen_ram_ix26_ix448 (.Q (regs_dram_modgen_ram_ix26_a_55), .QB (
         nx19676), .D (nx14571), .CLK (clk), .R (nx4179)) ;
    ao21 ix14562 (.Y (nx14561), .A0 (nx20160), .A1 (nx20336), .B0 (nx14557)) ;
    nor02 ix14558 (.Y (nx14557), .A0 (nx19681), .A1 (nx20336)) ;
    dffr regs_dram_modgen_ram_ix26_ix452 (.Q (regs_dram_modgen_ram_ix26_a_54), .QB (
         nx19681), .D (nx14561), .CLK (clk), .R (nx4179)) ;
    ao221 ix15121 (.Y (nx15120), .A0 (regs_dram_modgen_ram_ix26_a_49), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_48), .B1 (nx20408), .C0 (
          nx15118)) ;
    ao21 ix14512 (.Y (nx14511), .A0 (nx20160), .A1 (nx20326), .B0 (nx14507)) ;
    nor02 ix14508 (.Y (nx14507), .A0 (nx19687), .A1 (nx20326)) ;
    dffr regs_dram_modgen_ram_ix26_ix472 (.Q (regs_dram_modgen_ram_ix26_a_49), .QB (
         nx19687), .D (nx14511), .CLK (clk), .R (nx4179)) ;
    ao21 ix14502 (.Y (nx14501), .A0 (nx20160), .A1 (nx20324), .B0 (nx14497)) ;
    nor02 ix14498 (.Y (nx14497), .A0 (nx19692), .A1 (nx20324)) ;
    dffr regs_dram_modgen_ram_ix26_ix476 (.Q (regs_dram_modgen_ram_ix26_a_48), .QB (
         nx19692), .D (nx14501), .CLK (clk), .R (nx4179)) ;
    ao22 ix15119 (.Y (nx15118), .A0 (regs_dram_modgen_ram_ix26_a_51), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_50), .B1 (nx20412)) ;
    ao21 ix14532 (.Y (nx14531), .A0 (nx20160), .A1 (nx20330), .B0 (nx14527)) ;
    nor02 ix14528 (.Y (nx14527), .A0 (nx19698), .A1 (nx20330)) ;
    dffr regs_dram_modgen_ram_ix26_ix464 (.Q (regs_dram_modgen_ram_ix26_a_51), .QB (
         nx19698), .D (nx14531), .CLK (clk), .R (nx4179)) ;
    ao21 ix14522 (.Y (nx14521), .A0 (nx20160), .A1 (nx20328), .B0 (nx14517)) ;
    nor02 ix14518 (.Y (nx14517), .A0 (nx19703), .A1 (nx20328)) ;
    dffr regs_dram_modgen_ram_ix26_ix468 (.Q (regs_dram_modgen_ram_ix26_a_50), .QB (
         nx19703), .D (nx14521), .CLK (clk), .R (nx4179)) ;
    inv02 ix15071 (.Y (nx15070), .A (nx19706)) ;
    nor04 ix19707 (.Y (nx19706), .A0 (nx15066), .A1 (nx15020), .A2 (nx14972), .A3 (
          nx14926)) ;
    ao221 ix15067 (.Y (nx15066), .A0 (regs_dram_modgen_ram_ix26_a_45), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_44), .B1 (nx20386), .C0 (
          nx15064)) ;
    ao21 ix14472 (.Y (nx14471), .A0 (nx20160), .A1 (nx20318), .B0 (nx14467)) ;
    nor02 ix14468 (.Y (nx14467), .A0 (nx19712), .A1 (nx20318)) ;
    dffr regs_dram_modgen_ram_ix26_ix488 (.Q (regs_dram_modgen_ram_ix26_a_45), .QB (
         nx19712), .D (nx14471), .CLK (clk), .R (nx4179)) ;
    ao21 ix14462 (.Y (nx14461), .A0 (nx20160), .A1 (nx20316), .B0 (nx14457)) ;
    nor02 ix14458 (.Y (nx14457), .A0 (nx19717), .A1 (nx20316)) ;
    dffr regs_dram_modgen_ram_ix26_ix492 (.Q (regs_dram_modgen_ram_ix26_a_44), .QB (
         nx19717), .D (nx14461), .CLK (clk), .R (nx4179)) ;
    ao22 ix15065 (.Y (nx15064), .A0 (regs_dram_modgen_ram_ix26_a_47), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_46), .B1 (nx20390)) ;
    ao21 ix14492 (.Y (nx14491), .A0 (nx20160), .A1 (nx20322), .B0 (nx14487)) ;
    nor02 ix14488 (.Y (nx14487), .A0 (nx19723), .A1 (nx20322)) ;
    dffr regs_dram_modgen_ram_ix26_ix480 (.Q (regs_dram_modgen_ram_ix26_a_47), .QB (
         nx19723), .D (nx14491), .CLK (clk), .R (nx4179)) ;
    ao21 ix14482 (.Y (nx14481), .A0 (nx20160), .A1 (nx20320), .B0 (nx14477)) ;
    nor02 ix14478 (.Y (nx14477), .A0 (nx19728), .A1 (nx20320)) ;
    dffr regs_dram_modgen_ram_ix26_ix484 (.Q (regs_dram_modgen_ram_ix26_a_46), .QB (
         nx19728), .D (nx14481), .CLK (clk), .R (nx4179)) ;
    ao221 ix15021 (.Y (nx15020), .A0 (regs_dram_modgen_ram_ix26_a_41), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_40), .B1 (nx20392), .C0 (
          nx15018)) ;
    ao21 ix14432 (.Y (nx14431), .A0 (nx20160), .A1 (nx20310), .B0 (nx14427)) ;
    nor02 ix14428 (.Y (nx14427), .A0 (nx19734), .A1 (nx20310)) ;
    dffr regs_dram_modgen_ram_ix26_ix504 (.Q (regs_dram_modgen_ram_ix26_a_41), .QB (
         nx19734), .D (nx14431), .CLK (clk), .R (nx4179)) ;
    ao21 ix14422 (.Y (nx14421), .A0 (nx20160), .A1 (nx20308), .B0 (nx14417)) ;
    nor02 ix14418 (.Y (nx14417), .A0 (nx19739), .A1 (nx20308)) ;
    dffr regs_dram_modgen_ram_ix26_ix508 (.Q (regs_dram_modgen_ram_ix26_a_40), .QB (
         nx19739), .D (nx14421), .CLK (clk), .R (nx4179)) ;
    ao22 ix15019 (.Y (nx15018), .A0 (regs_dram_modgen_ram_ix26_a_43), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_42), .B1 (nx20396)) ;
    ao21 ix14452 (.Y (nx14451), .A0 (nx20160), .A1 (nx20314), .B0 (nx14447)) ;
    nor02 ix14448 (.Y (nx14447), .A0 (nx19745), .A1 (nx20314)) ;
    dffr regs_dram_modgen_ram_ix26_ix496 (.Q (regs_dram_modgen_ram_ix26_a_43), .QB (
         nx19745), .D (nx14451), .CLK (clk), .R (nx4179)) ;
    ao21 ix14442 (.Y (nx14441), .A0 (nx20160), .A1 (nx20312), .B0 (nx14437)) ;
    nor02 ix14438 (.Y (nx14437), .A0 (nx19750), .A1 (nx20312)) ;
    dffr regs_dram_modgen_ram_ix26_ix500 (.Q (regs_dram_modgen_ram_ix26_a_42), .QB (
         nx19750), .D (nx14441), .CLK (clk), .R (nx4179)) ;
    ao221 ix14973 (.Y (nx14972), .A0 (regs_dram_modgen_ram_ix26_a_37), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_36), .B1 (nx20402), .C0 (
          nx14970)) ;
    ao21 ix14392 (.Y (nx14391), .A0 (nx20160), .A1 (nx20302), .B0 (nx14387)) ;
    nor02 ix14388 (.Y (nx14387), .A0 (nx19756), .A1 (nx20302)) ;
    dffr regs_dram_modgen_ram_ix26_ix520 (.Q (regs_dram_modgen_ram_ix26_a_37), .QB (
         nx19756), .D (nx14391), .CLK (clk), .R (nx4179)) ;
    ao21 ix14382 (.Y (nx14381), .A0 (nx20160), .A1 (nx20300), .B0 (nx14377)) ;
    nor02 ix14378 (.Y (nx14377), .A0 (nx19761), .A1 (nx20300)) ;
    dffr regs_dram_modgen_ram_ix26_ix524 (.Q (regs_dram_modgen_ram_ix26_a_36), .QB (
         nx19761), .D (nx14381), .CLK (clk), .R (nx4179)) ;
    ao22 ix14971 (.Y (nx14970), .A0 (regs_dram_modgen_ram_ix26_a_39), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_38), .B1 (nx20406)) ;
    ao21 ix14412 (.Y (nx14411), .A0 (nx20160), .A1 (nx20306), .B0 (nx14407)) ;
    nor02 ix14408 (.Y (nx14407), .A0 (nx19767), .A1 (nx20306)) ;
    dffr regs_dram_modgen_ram_ix26_ix512 (.Q (regs_dram_modgen_ram_ix26_a_39), .QB (
         nx19767), .D (nx14411), .CLK (clk), .R (nx4179)) ;
    ao21 ix14402 (.Y (nx14401), .A0 (nx20160), .A1 (nx20304), .B0 (nx14397)) ;
    nor02 ix14398 (.Y (nx14397), .A0 (nx19772), .A1 (nx20304)) ;
    dffr regs_dram_modgen_ram_ix26_ix516 (.Q (regs_dram_modgen_ram_ix26_a_38), .QB (
         nx19772), .D (nx14401), .CLK (clk), .R (nx4179)) ;
    ao221 ix14927 (.Y (nx14926), .A0 (regs_dram_modgen_ram_ix26_a_33), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_32), .B1 (nx20408), .C0 (
          nx14924)) ;
    ao21 ix14352 (.Y (nx14351), .A0 (nx20160), .A1 (nx20294), .B0 (nx14347)) ;
    nor02 ix14348 (.Y (nx14347), .A0 (nx19778), .A1 (nx20294)) ;
    dffr regs_dram_modgen_ram_ix26_ix536 (.Q (regs_dram_modgen_ram_ix26_a_33), .QB (
         nx19778), .D (nx14351), .CLK (clk), .R (nx4179)) ;
    ao21 ix14342 (.Y (nx14341), .A0 (nx20160), .A1 (nx20292), .B0 (nx14337)) ;
    nor02 ix14338 (.Y (nx14337), .A0 (nx19783), .A1 (nx20292)) ;
    dffr regs_dram_modgen_ram_ix26_ix540 (.Q (regs_dram_modgen_ram_ix26_a_32), .QB (
         nx19783), .D (nx14341), .CLK (clk), .R (nx4179)) ;
    ao22 ix14925 (.Y (nx14924), .A0 (regs_dram_modgen_ram_ix26_a_35), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_34), .B1 (nx20412)) ;
    ao21 ix14372 (.Y (nx14371), .A0 (nx20160), .A1 (nx20298), .B0 (nx14367)) ;
    nor02 ix14368 (.Y (nx14367), .A0 (nx19789), .A1 (nx20298)) ;
    dffr regs_dram_modgen_ram_ix26_ix528 (.Q (regs_dram_modgen_ram_ix26_a_35), .QB (
         nx19789), .D (nx14371), .CLK (clk), .R (nx4179)) ;
    ao21 ix14362 (.Y (nx14361), .A0 (nx20160), .A1 (nx20296), .B0 (nx14357)) ;
    nor02 ix14358 (.Y (nx14357), .A0 (nx19794), .A1 (nx20296)) ;
    dffr regs_dram_modgen_ram_ix26_ix532 (.Q (regs_dram_modgen_ram_ix26_a_34), .QB (
         nx19794), .D (nx14361), .CLK (clk), .R (nx4179)) ;
    oai22 ix14881 (.Y (nx14880), .A0 (nx20258), .A1 (nx19797), .B0 (nx20224), .B1 (
          nx19887)) ;
    nor04 ix19798 (.Y (nx19797), .A0 (nx14870), .A1 (nx14824), .A2 (nx14776), .A3 (
          nx14730)) ;
    ao221 ix14871 (.Y (nx14870), .A0 (regs_dram_modgen_ram_ix26_a_29), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_28), .B1 (nx20386), .C0 (
          nx14868)) ;
    ao21 ix14312 (.Y (nx14311), .A0 (nx20160), .A1 (nx20286), .B0 (nx14307)) ;
    nor02 ix14308 (.Y (nx14307), .A0 (nx19803), .A1 (nx20286)) ;
    dffr regs_dram_modgen_ram_ix26_ix552 (.Q (regs_dram_modgen_ram_ix26_a_29), .QB (
         nx19803), .D (nx14311), .CLK (clk), .R (nx4179)) ;
    ao21 ix14302 (.Y (nx14301), .A0 (nx20160), .A1 (nx20284), .B0 (nx14297)) ;
    nor02 ix14298 (.Y (nx14297), .A0 (nx19808), .A1 (nx20284)) ;
    dffr regs_dram_modgen_ram_ix26_ix556 (.Q (regs_dram_modgen_ram_ix26_a_28), .QB (
         nx19808), .D (nx14301), .CLK (clk), .R (nx4179)) ;
    ao22 ix14869 (.Y (nx14868), .A0 (regs_dram_modgen_ram_ix26_a_31), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_30), .B1 (nx20390)) ;
    ao21 ix14332 (.Y (nx14331), .A0 (nx20160), .A1 (nx20290), .B0 (nx14327)) ;
    nor02 ix14328 (.Y (nx14327), .A0 (nx19814), .A1 (nx20290)) ;
    dffr regs_dram_modgen_ram_ix26_ix544 (.Q (regs_dram_modgen_ram_ix26_a_31), .QB (
         nx19814), .D (nx14331), .CLK (clk), .R (nx4179)) ;
    ao21 ix14322 (.Y (nx14321), .A0 (nx20160), .A1 (nx20288), .B0 (nx14317)) ;
    nor02 ix14318 (.Y (nx14317), .A0 (nx19819), .A1 (nx20288)) ;
    dffr regs_dram_modgen_ram_ix26_ix548 (.Q (regs_dram_modgen_ram_ix26_a_30), .QB (
         nx19819), .D (nx14321), .CLK (clk), .R (nx4179)) ;
    ao221 ix14825 (.Y (nx14824), .A0 (regs_dram_modgen_ram_ix26_a_25), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_24), .B1 (nx20392), .C0 (
          nx14822)) ;
    ao21 ix14272 (.Y (nx14271), .A0 (nx20160), .A1 (nx20278), .B0 (nx14267)) ;
    nor02 ix14268 (.Y (nx14267), .A0 (nx19825), .A1 (nx20278)) ;
    dffr regs_dram_modgen_ram_ix26_ix568 (.Q (regs_dram_modgen_ram_ix26_a_25), .QB (
         nx19825), .D (nx14271), .CLK (clk), .R (nx4179)) ;
    ao21 ix14262 (.Y (nx14261), .A0 (nx20160), .A1 (nx20276), .B0 (nx14257)) ;
    nor02 ix14258 (.Y (nx14257), .A0 (nx19830), .A1 (nx20276)) ;
    dffr regs_dram_modgen_ram_ix26_ix572 (.Q (regs_dram_modgen_ram_ix26_a_24), .QB (
         nx19830), .D (nx14261), .CLK (clk), .R (nx4179)) ;
    ao22 ix14823 (.Y (nx14822), .A0 (regs_dram_modgen_ram_ix26_a_27), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_26), .B1 (nx20396)) ;
    ao21 ix14292 (.Y (nx14291), .A0 (nx20160), .A1 (nx20282), .B0 (nx14287)) ;
    nor02 ix14288 (.Y (nx14287), .A0 (nx19836), .A1 (nx20282)) ;
    dffr regs_dram_modgen_ram_ix26_ix560 (.Q (regs_dram_modgen_ram_ix26_a_27), .QB (
         nx19836), .D (nx14291), .CLK (clk), .R (nx4179)) ;
    ao21 ix14282 (.Y (nx14281), .A0 (nx20160), .A1 (nx20280), .B0 (nx14277)) ;
    nor02 ix14278 (.Y (nx14277), .A0 (nx19841), .A1 (nx20280)) ;
    dffr regs_dram_modgen_ram_ix26_ix564 (.Q (regs_dram_modgen_ram_ix26_a_26), .QB (
         nx19841), .D (nx14281), .CLK (clk), .R (nx4179)) ;
    ao221 ix14777 (.Y (nx14776), .A0 (regs_dram_modgen_ram_ix26_a_21), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_20), .B1 (nx20402), .C0 (
          nx14774)) ;
    ao21 ix14232 (.Y (nx14231), .A0 (nx20160), .A1 (nx20270), .B0 (nx14227)) ;
    nor02 ix14228 (.Y (nx14227), .A0 (nx19847), .A1 (nx20270)) ;
    dffr regs_dram_modgen_ram_ix26_ix584 (.Q (regs_dram_modgen_ram_ix26_a_21), .QB (
         nx19847), .D (nx14231), .CLK (clk), .R (nx4179)) ;
    ao21 ix14222 (.Y (nx14221), .A0 (nx20160), .A1 (nx20268), .B0 (nx14217)) ;
    nor02 ix14218 (.Y (nx14217), .A0 (nx19852), .A1 (nx20268)) ;
    dffr regs_dram_modgen_ram_ix26_ix588 (.Q (regs_dram_modgen_ram_ix26_a_20), .QB (
         nx19852), .D (nx14221), .CLK (clk), .R (nx4179)) ;
    ao22 ix14775 (.Y (nx14774), .A0 (regs_dram_modgen_ram_ix26_a_23), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_22), .B1 (nx20406)) ;
    ao21 ix14252 (.Y (nx14251), .A0 (nx20160), .A1 (nx20274), .B0 (nx14247)) ;
    nor02 ix14248 (.Y (nx14247), .A0 (nx19858), .A1 (nx20274)) ;
    dffr regs_dram_modgen_ram_ix26_ix576 (.Q (regs_dram_modgen_ram_ix26_a_23), .QB (
         nx19858), .D (nx14251), .CLK (clk), .R (nx4179)) ;
    ao21 ix14242 (.Y (nx14241), .A0 (nx20160), .A1 (nx20272), .B0 (nx14237)) ;
    nor02 ix14238 (.Y (nx14237), .A0 (nx19863), .A1 (nx20272)) ;
    dffr regs_dram_modgen_ram_ix26_ix580 (.Q (regs_dram_modgen_ram_ix26_a_22), .QB (
         nx19863), .D (nx14241), .CLK (clk), .R (nx4179)) ;
    ao221 ix14731 (.Y (nx14730), .A0 (regs_dram_modgen_ram_ix26_a_17), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_16), .B1 (nx20408), .C0 (
          nx14728)) ;
    ao21 ix14192 (.Y (nx14191), .A0 (nx20160), .A1 (nx20262), .B0 (nx14187)) ;
    nor02 ix14188 (.Y (nx14187), .A0 (nx19869), .A1 (nx20262)) ;
    dffr regs_dram_modgen_ram_ix26_ix600 (.Q (regs_dram_modgen_ram_ix26_a_17), .QB (
         nx19869), .D (nx14191), .CLK (clk), .R (nx4179)) ;
    ao21 ix14182 (.Y (nx14181), .A0 (nx20160), .A1 (nx20260), .B0 (nx14177)) ;
    nor02 ix14178 (.Y (nx14177), .A0 (nx19874), .A1 (nx20260)) ;
    dffr regs_dram_modgen_ram_ix26_ix604 (.Q (regs_dram_modgen_ram_ix26_a_16), .QB (
         nx19874), .D (nx14181), .CLK (clk), .R (nx4179)) ;
    ao22 ix14729 (.Y (nx14728), .A0 (regs_dram_modgen_ram_ix26_a_19), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_18), .B1 (nx20412)) ;
    ao21 ix14212 (.Y (nx14211), .A0 (nx20160), .A1 (nx20266), .B0 (nx14207)) ;
    nor02 ix14208 (.Y (nx14207), .A0 (nx19880), .A1 (nx20266)) ;
    dffr regs_dram_modgen_ram_ix26_ix592 (.Q (regs_dram_modgen_ram_ix26_a_19), .QB (
         nx19880), .D (nx14211), .CLK (clk), .R (nx4179)) ;
    ao21 ix14202 (.Y (nx14201), .A0 (nx20160), .A1 (nx20264), .B0 (nx14197)) ;
    nor02 ix14198 (.Y (nx14197), .A0 (nx19885), .A1 (nx20264)) ;
    dffr regs_dram_modgen_ram_ix26_ix596 (.Q (regs_dram_modgen_ram_ix26_a_18), .QB (
         nx19885), .D (nx14201), .CLK (clk), .R (nx4179)) ;
    nor04 ix19888 (.Y (nx19887), .A0 (nx14676), .A1 (nx14630), .A2 (nx14582), .A3 (
          nx14536)) ;
    ao221 ix14677 (.Y (nx14676), .A0 (regs_dram_modgen_ram_ix26_a_13), .A1 (
          nx20384), .B0 (regs_dram_modgen_ram_ix26_a_12), .B1 (nx20386), .C0 (
          nx14674)) ;
    ao21 ix14152 (.Y (nx14151), .A0 (nx20160), .A1 (nx20252), .B0 (nx14147)) ;
    nor02 ix14148 (.Y (nx14147), .A0 (nx19893), .A1 (nx20252)) ;
    dffr regs_dram_modgen_ram_ix26_ix616 (.Q (regs_dram_modgen_ram_ix26_a_13), .QB (
         nx19893), .D (nx14151), .CLK (clk), .R (nx4179)) ;
    ao21 ix14142 (.Y (nx14141), .A0 (nx20160), .A1 (nx20250), .B0 (nx14137)) ;
    nor02 ix14138 (.Y (nx14137), .A0 (nx19898), .A1 (nx20250)) ;
    dffr regs_dram_modgen_ram_ix26_ix620 (.Q (regs_dram_modgen_ram_ix26_a_12), .QB (
         nx19898), .D (nx14141), .CLK (clk), .R (nx4179)) ;
    ao22 ix14675 (.Y (nx14674), .A0 (regs_dram_modgen_ram_ix26_a_15), .A1 (
         nx20388), .B0 (regs_dram_modgen_ram_ix26_a_14), .B1 (nx20390)) ;
    ao21 ix14172 (.Y (nx14171), .A0 (nx20160), .A1 (nx20256), .B0 (nx14167)) ;
    nor02 ix14168 (.Y (nx14167), .A0 (nx19904), .A1 (nx20256)) ;
    dffr regs_dram_modgen_ram_ix26_ix608 (.Q (regs_dram_modgen_ram_ix26_a_15), .QB (
         nx19904), .D (nx14171), .CLK (clk), .R (nx4179)) ;
    ao21 ix14162 (.Y (nx14161), .A0 (nx20160), .A1 (nx20254), .B0 (nx14157)) ;
    nor02 ix14158 (.Y (nx14157), .A0 (nx19909), .A1 (nx20254)) ;
    dffr regs_dram_modgen_ram_ix26_ix612 (.Q (regs_dram_modgen_ram_ix26_a_14), .QB (
         nx19909), .D (nx14161), .CLK (clk), .R (nx4179)) ;
    ao221 ix14631 (.Y (nx14630), .A0 (regs_dram_modgen_ram_ix26_a_9), .A1 (
          nx15571), .B0 (regs_dram_modgen_ram_ix26_a_8), .B1 (nx20392), .C0 (
          nx14628)) ;
    ao21 ix14112 (.Y (nx14111), .A0 (nx20160), .A1 (nx20244), .B0 (nx14107)) ;
    nor02 ix14108 (.Y (nx14107), .A0 (nx19915), .A1 (nx20244)) ;
    dffr regs_dram_modgen_ram_ix26_ix632 (.Q (regs_dram_modgen_ram_ix26_a_9), .QB (
         nx19915), .D (nx14111), .CLK (clk), .R (nx4179)) ;
    ao21 ix14102 (.Y (nx14101), .A0 (nx20160), .A1 (nx20242), .B0 (nx14097)) ;
    nor02 ix14098 (.Y (nx14097), .A0 (nx19920), .A1 (nx20242)) ;
    dffr regs_dram_modgen_ram_ix26_ix636 (.Q (regs_dram_modgen_ram_ix26_a_8), .QB (
         nx19920), .D (nx14101), .CLK (clk), .R (nx4179)) ;
    ao22 ix14629 (.Y (nx14628), .A0 (regs_dram_modgen_ram_ix26_a_11), .A1 (
         nx20394), .B0 (regs_dram_modgen_ram_ix26_a_10), .B1 (nx20396)) ;
    ao21 ix14132 (.Y (nx14131), .A0 (nx20160), .A1 (nx20248), .B0 (nx14127)) ;
    nor02 ix14128 (.Y (nx14127), .A0 (nx19926), .A1 (nx20248)) ;
    dffr regs_dram_modgen_ram_ix26_ix624 (.Q (regs_dram_modgen_ram_ix26_a_11), .QB (
         nx19926), .D (nx14131), .CLK (clk), .R (nx4179)) ;
    ao21 ix14122 (.Y (nx14121), .A0 (nx20160), .A1 (nx20246), .B0 (nx14117)) ;
    nor02 ix14118 (.Y (nx14117), .A0 (nx19931), .A1 (nx20246)) ;
    dffr regs_dram_modgen_ram_ix26_ix628 (.Q (regs_dram_modgen_ram_ix26_a_10), .QB (
         nx19931), .D (nx14121), .CLK (clk), .R (nx4179)) ;
    ao221 ix14583 (.Y (nx14582), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_412), .A1 (
          nx20400), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_413), .B1 (nx20402), 
          .C0 (nx14580)) ;
    ao21 ix14072 (.Y (nx14071), .A0 (nx20160), .A1 (nx20236), .B0 (nx14067)) ;
    nor02 ix14068 (.Y (nx14067), .A0 (nx19937), .A1 (nx20236)) ;
    dffr regs_dram_modgen_ram_ix26_ix648 (.Q (
         regs_dram_modgen_ram_ix26_a_5_dup_412), .QB (nx19937), .D (nx14071), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix14062 (.Y (nx14061), .A0 (nx20160), .A1 (nx20234), .B0 (nx14057)) ;
    nor02 ix14058 (.Y (nx14057), .A0 (nx19942), .A1 (nx20234)) ;
    dffr regs_dram_modgen_ram_ix26_ix652 (.Q (
         regs_dram_modgen_ram_ix26_a_4_dup_413), .QB (nx19942), .D (nx14061), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix14581 (.Y (nx14580), .A0 (regs_dram_modgen_ram_ix26_a_7), .A1 (
         nx20404), .B0 (regs_dram_modgen_ram_ix26_a_6_dup_411), .B1 (nx20406)) ;
    ao21 ix14092 (.Y (nx14091), .A0 (nx20160), .A1 (nx20240), .B0 (nx14087)) ;
    nor02 ix14088 (.Y (nx14087), .A0 (nx19948), .A1 (nx20240)) ;
    dffr regs_dram_modgen_ram_ix26_ix640 (.Q (regs_dram_modgen_ram_ix26_a_7), .QB (
         nx19948), .D (nx14091), .CLK (clk), .R (nx4179)) ;
    ao21 ix14082 (.Y (nx14081), .A0 (nx20160), .A1 (nx20238), .B0 (nx14077)) ;
    nor02 ix14078 (.Y (nx14077), .A0 (nx19953), .A1 (nx20238)) ;
    dffr regs_dram_modgen_ram_ix26_ix644 (.Q (
         regs_dram_modgen_ram_ix26_a_6_dup_411), .QB (nx19953), .D (nx14081), .CLK (
         clk), .R (nx4179)) ;
    ao221 ix14537 (.Y (nx14536), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_416), .A1 (
          nx15651), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_417), .B1 (nx20408), 
          .C0 (nx14534)) ;
    ao21 ix14032 (.Y (nx14031), .A0 (nx20160), .A1 (nx20228), .B0 (nx14027)) ;
    nor02 ix14028 (.Y (nx14027), .A0 (nx19959), .A1 (nx20228)) ;
    dffr regs_dram_modgen_ram_ix26_ix664 (.Q (
         regs_dram_modgen_ram_ix26_a_1_dup_416), .QB (nx19959), .D (nx14031), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix14022 (.Y (nx14021), .A0 (nx20160), .A1 (nx20226), .B0 (nx14017)) ;
    nor02 ix14018 (.Y (nx14017), .A0 (nx19964), .A1 (nx20226)) ;
    dffr regs_dram_modgen_ram_ix26_ix668 (.Q (
         regs_dram_modgen_ram_ix26_a_0_dup_417), .QB (nx19964), .D (nx14021), .CLK (
         clk), .R (nx4179)) ;
    ao22 ix14535 (.Y (nx14534), .A0 (regs_dram_modgen_ram_ix26_a_3_dup_414), .A1 (
         nx20410), .B0 (regs_dram_modgen_ram_ix26_a_2_dup_415), .B1 (nx20412)) ;
    ao21 ix14052 (.Y (nx14051), .A0 (nx20160), .A1 (nx20232), .B0 (nx14047)) ;
    nor02 ix14048 (.Y (nx14047), .A0 (nx19970), .A1 (nx20232)) ;
    dffr regs_dram_modgen_ram_ix26_ix656 (.Q (
         regs_dram_modgen_ram_ix26_a_3_dup_414), .QB (nx19970), .D (nx14051), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix14042 (.Y (nx14041), .A0 (nx20160), .A1 (nx20230), .B0 (nx14037)) ;
    nor02 ix14038 (.Y (nx14037), .A0 (nx19975), .A1 (nx20230)) ;
    dffr regs_dram_modgen_ram_ix26_ix660 (.Q (
         regs_dram_modgen_ram_ix26_a_2_dup_415), .QB (nx19975), .D (nx14041), .CLK (
         clk), .R (nx4179)) ;
    nor03 ix14491 (.Y (nx14490), .A0 (nx20178), .A1 (nx20176), .A2 (nx19978)) ;
    mux21 ix19979 (.Y (nx19978), .A0 (nx14384), .A1 (nx14484), .S0 (nx20188)) ;
    mux21 ix14385 (.Y (nx14384), .A0 (nx19981), .A1 (nx19986), .S0 (nx20190)) ;
    dffr reg_fsr_7 (.Q (\$dummy [127]), .QB (nx19981), .D (nx13961), .CLK (clk)
         , .R (nx4179)) ;
    mux21 ix13962 (.Y (nx13961), .A0 (nx19984), .A1 (nx19981), .S0 (nx20376)) ;
    nand02 ix19985 (.Y (nx19984), .A0 (nx20160), .A1 (nx15377)) ;
    mux21 ix19987 (.Y (nx19986), .A0 (tmr0_7), .A1 (porta_7), .S0 (nx20186)) ;
    mux21 ix13952 (.Y (nx13951), .A0 (nx19990), .A1 (nx19992), .S0 (nx20212)) ;
    dffr reg_tmr0_7 (.Q (tmr0_7), .QB (nx19990), .D (nx13951), .CLK (clk), .R (
         nx4179)) ;
    aoi21 ix19993 (.Y (nx19992), .A0 (nx14354), .A1 (nx20210), .B0 (nx14350)) ;
    nor03 ix14351 (.Y (nx14350), .A0 (nx20210), .A1 (reset), .A2 (nx19996)) ;
    dffr reg_porta_7 (.Q (porta_7), .QB (\$dummy [128]), .D (nx14332), .CLK (clk
         ), .R (nx4179)) ;
    and02 ix14333 (.Y (nx14332), .A0 (portain[7]), .A1 (nx15377)) ;
    mux21 ix14485 (.Y (nx14484), .A0 (nx20002), .A1 (nx20029), .S0 (nx20186)) ;
    mux21 ix20003 (.Y (nx20002), .A0 (debugpc[7]), .A1 (debugstatus[7]), .S0 (
          nx20190)) ;
    or02 ix14437 (.Y (nx14436), .A0 (paddr[7]), .A1 (reset)) ;
    ao221 ix14435 (.Y (paddr[7]), .A0 (nx20182), .A1 (nx20214), .B0 (nx20160), .B1 (
          nx20418), .C0 (nx14424)) ;
    ao221 ix14425 (.Y (nx14424), .A0 (stack1_7), .A1 (nx20216), .B0 (stack2_7), 
          .B1 (nx20218), .C0 (nx14408)) ;
    dffr reg_stack1_7 (.Q (stack1_7), .QB (\$dummy [129]), .D (nx13981), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13982 (.Y (nx13981), .A0 (stack1_7), .A1 (nx16488), .B0 (nx13979)) ;
    ao21 ix13972 (.Y (nx13971), .A0 (debugpc[7]), .A1 (nx20222), .B0 (nx13967)
         ) ;
    nor02 ix13968 (.Y (nx13967), .A0 (nx20015), .A1 (nx20222)) ;
    dffr reg_stack2_7 (.Q (stack2_7), .QB (nx20015), .D (nx13971), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix14409 (.Y (nx14408), .A0 (nx20018), .A1 (nx834), .A2 (nx14400)) ;
    nor02 ix20019 (.Y (nx20018), .A0 (nx12642), .A1 (debugpc[7])) ;
    dffr reg_pc_7 (.Q (debugpc[7]), .QB (\$dummy [130]), .D (nx14436), .CLK (clk
         ), .R (nx4179)) ;
    dffr reg_status_7 (.Q (debugstatus[7]), .QB (\$dummy [131]), .D (nx13991), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix13992 (.Y (nx13991), .A0 (debugstatus[7]), .A1 (nx20380), .B0 (
         nx13989)) ;
    nor02 ix13990 (.Y (nx13989), .A0 (nx19984), .A1 (nx20380)) ;
    mux21 ix20030 (.Y (nx20029), .A0 (portbout[7]), .A1 (portcout[7]), .S0 (
          nx20190)) ;
    dffr reg_portb_7 (.Q (portbout[7]), .QB (\$dummy [132]), .D (nx14011), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix14012 (.Y (nx14011), .A0 (portbout[7]), .A1 (nx20420), .B0 (nx14009)
         ) ;
    nor02 ix14010 (.Y (nx14009), .A0 (nx19984), .A1 (nx20420)) ;
    dffr reg_portc_7 (.Q (portcout[7]), .QB (\$dummy [133]), .D (nx14001), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix14002 (.Y (nx14001), .A0 (portcout[7]), .A1 (nx20422), .B0 (nx13999)
         ) ;
    nor02 ix14000 (.Y (nx13999), .A0 (nx19984), .A1 (nx20422)) ;
    ao221 ix3761 (.Y (alub_0), .A0 (debugw[0]), .A1 (nx338), .B0 (nx20204), .B1 (
          nx20190), .C0 (nx3756)) ;
    nor02 ix339 (.Y (nx338), .A0 (alubsel_0), .A1 (nx20204)) ;
    aoi21 ix3757 (.Y (nx3756), .A0 (nx20045), .A1 (nx20047), .B0 (nx20049)) ;
    inv04 ix20046 (.Y (nx20045), .A (alubsel_1)) ;
    inv02 ix20048 (.Y (nx20047), .A (nx3748)) ;
    inv02 ix20050 (.Y (nx20049), .A (alubsel_0)) ;
    oai21 ix5521 (.Y (alub_1), .A0 (alubsel_0), .A1 (nx20052), .B0 (nx20054)) ;
    nand03 ix20055 (.Y (nx20054), .A0 (nx5494), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    oai21 ix7297 (.Y (alub_2), .A0 (alubsel_0), .A1 (nx20057), .B0 (nx20059)) ;
    nand03 ix20060 (.Y (nx20059), .A0 (nx7270), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    oai21 ix9057 (.Y (alub_3), .A0 (alubsel_0), .A1 (nx20062), .B0 (nx20064)) ;
    nand03 ix20065 (.Y (nx20064), .A0 (nx9030), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    oai21 ix10819 (.Y (alub_4), .A0 (alubsel_0), .A1 (nx20067), .B0 (nx20069)) ;
    nand03 ix20070 (.Y (nx20069), .A0 (nx10792), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    oai21 ix12573 (.Y (alub_5), .A0 (alubsel_0), .A1 (nx20072), .B0 (nx20074)) ;
    nand03 ix20075 (.Y (nx20074), .A0 (nx12546), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    oai21 ix14327 (.Y (alub_6), .A0 (alubsel_0), .A1 (nx20077), .B0 (nx20079)) ;
    nand03 ix20080 (.Y (nx20079), .A0 (nx14300), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    oai21 ix16091 (.Y (alub_7), .A0 (alubsel_0), .A1 (nx20082), .B0 (nx20084)) ;
    nand03 ix20085 (.Y (nx20084), .A0 (nx16064), .A1 (alubsel_0), .A2 (nx20045)
           ) ;
    or02 ix16349 (.Y (nx16348), .A0 (paddr[8]), .A1 (reset)) ;
    ao221 ix16405 (.Y (paddr[8]), .A0 (debugpc[8]), .A1 (nx20418), .B0 (stack2_8
          ), .B1 (nx20218), .C0 (nx16388)) ;
    ao21 ix15322 (.Y (nx15321), .A0 (debugpc[8]), .A1 (nx20222), .B0 (nx15317)
         ) ;
    nor02 ix15318 (.Y (nx15317), .A0 (nx20092), .A1 (nx20222)) ;
    dffr reg_stack2_8 (.Q (stack2_8), .QB (nx20092), .D (nx15321), .CLK (clk), .R (
         nx4179)) ;
    ao221 ix16389 (.Y (nx16388), .A0 (nx15400), .A1 (nx16380), .B0 (stack1_8), .B1 (
          nx20216), .C0 (nx16378)) ;
    and02 ix16381 (.Y (nx16380), .A0 (debuginst[11]), .A1 (debuginst[8])) ;
    dffr reg_stack1_8 (.Q (stack1_8), .QB (\$dummy [134]), .D (nx15311), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix15312 (.Y (nx15311), .A0 (stack1_8), .A1 (nx16488), .B0 (nx15309)) ;
    nor03 ix16379 (.Y (nx16378), .A0 (nx20101), .A1 (nx834), .A2 (nx16370)) ;
    nor02 ix20102 (.Y (nx20101), .A0 (nx14400), .A1 (debugpc[8])) ;
    dffr reg_pc_8 (.Q (debugpc[8]), .QB (\$dummy [135]), .D (nx16348), .CLK (clk
         ), .R (nx4179)) ;
    nand02 ix20107 (.Y (nx20106), .A0 (debugpc[7]), .A1 (nx12642)) ;
    or02 ix16407 (.Y (nx16406), .A0 (paddr[9]), .A1 (reset)) ;
    ao221 ix16459 (.Y (paddr[9]), .A0 (debugstatus[5]), .A1 (nx20214), .B0 (
          debugpc[9]), .B1 (nx20418), .C0 (nx16448)) ;
    ao221 ix16449 (.Y (nx16448), .A0 (stack1_9), .A1 (nx20216), .B0 (stack2_9), 
          .B1 (nx20218), .C0 (nx16432)) ;
    dffr reg_stack1_9 (.Q (stack1_9), .QB (\$dummy [136]), .D (nx15341), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix15342 (.Y (nx15341), .A0 (stack1_9), .A1 (nx16488), .B0 (nx15339)) ;
    ao21 ix15332 (.Y (nx15331), .A0 (debugpc[9]), .A1 (nx20222), .B0 (nx15327)
         ) ;
    nor02 ix15328 (.Y (nx15327), .A0 (nx20119), .A1 (nx20222)) ;
    dffr reg_stack2_9 (.Q (stack2_9), .QB (nx20119), .D (nx15331), .CLK (clk), .R (
         nx4179)) ;
    nor03 ix16433 (.Y (nx16432), .A0 (nx20122), .A1 (nx834), .A2 (nx16424)) ;
    nor02 ix20123 (.Y (nx20122), .A0 (nx16370), .A1 (debugpc[9])) ;
    dffr reg_pc_9 (.Q (debugpc[9]), .QB (\$dummy [137]), .D (nx16406), .CLK (clk
         ), .R (nx4179)) ;
    dffr reg_pc_10 (.Q (debugpc[10]), .QB (\$dummy [138]), .D (nx16460), .CLK (
         clk), .R (nx4179)) ;
    or02 ix16461 (.Y (nx16460), .A0 (paddr[10]), .A1 (reset)) ;
    ao221 ix16507 (.Y (paddr[10]), .A0 (debugstatus[6]), .A1 (nx20214), .B0 (
          debugpc[10]), .B1 (nx20418), .C0 (nx16496)) ;
    ao221 ix16497 (.Y (nx16496), .A0 (stack2_10), .A1 (nx20218), .B0 (nx17520), 
          .B1 (nx16468), .C0 (nx16484)) ;
    ao21 ix15362 (.Y (nx15361), .A0 (debugpc[10]), .A1 (nx20222), .B0 (nx15357)
         ) ;
    nor02 ix15358 (.Y (nx15357), .A0 (nx20136), .A1 (nx20222)) ;
    dffr reg_stack2_10 (.Q (stack2_10), .QB (nx20136), .D (nx15361), .CLK (clk)
         , .R (nx4179)) ;
    xnor2 ix16469 (.Y (nx16468), .A0 (debugpc[10]), .A1 (nx20139)) ;
    nand02 ix20140 (.Y (nx20139), .A0 (debugpc[9]), .A1 (nx16370)) ;
    and02 ix16485 (.Y (nx16484), .A0 (stack1_10), .A1 (nx20216)) ;
    dffr reg_stack1_10 (.Q (stack1_10), .QB (\$dummy [139]), .D (nx15351), .CLK (
         clk), .R (nx4179)) ;
    ao21 ix15352 (.Y (nx15351), .A0 (stack1_10), .A1 (nx16488), .B0 (nx15349)) ;
    and02 ix16509 (.Y (expwrite), .A0 (idecfwe), .A1 (nx20208)) ;
    nor02 ix16521 (.Y (expread), .A0 (nx20149), .A1 (nx20151)) ;
    aoi22 ix20152 (.Y (nx20151), .A0 (alubsel_0), .A1 (nx20045), .B0 (aluasel_0)
          , .B1 (nx20153)) ;
    inv04 ix20154 (.Y (nx20153), .A (aluasel_1)) ;
    inv02 ix16425 (.Y (nx16424), .A (nx20139)) ;
    inv02 ix14401 (.Y (nx14400), .A (nx20106)) ;
    inv02 ix14355 (.Y (nx14354), .A (nx19984)) ;
    inv02 ix10889 (.Y (nx10888), .A (nx19521)) ;
    inv02 ix18494 (.Y (nx18493), .A (nx9072)) ;
    inv02 ix7367 (.Y (nx7366), .A (nx18523)) ;
    inv02 ix5591 (.Y (nx5590), .A (nx17522)) ;
    inv02 ix1393 (.Y (nx1392), .A (nx20388)) ;
    inv02 ix1373 (.Y (nx1372), .A (nx20390)) ;
    inv02 ix1331 (.Y (nx1330), .A (nx15551)) ;
    inv02 ix1303 (.Y (nx1302), .A (nx20394)) ;
    inv02 ix1283 (.Y (nx1282), .A (nx20396)) ;
    inv08 ix15572 (.Y (nx15571), .A (nx1260)) ;
    inv02 ix1241 (.Y (nx1240), .A (nx15578)) ;
    inv02 ix1213 (.Y (nx1212), .A (nx20404)) ;
    inv02 ix1193 (.Y (nx1192), .A (nx20406)) ;
    inv02 ix1151 (.Y (nx1150), .A (nx15619)) ;
    inv02 ix1121 (.Y (nx1120), .A (nx20410)) ;
    inv02 ix1101 (.Y (nx1100), .A (nx20412)) ;
    inv08 ix15652 (.Y (nx15651), .A (nx1078)) ;
    inv02 ix1059 (.Y (nx1058), .A (nx15665)) ;
    inv02 ix15647 (.Y (nx15646), .A (nx1056)) ;
    inv02 ix15698 (.Y (nx15697), .A (nx1028)) ;
    inv02 ix15700 (.Y (nx15699), .A (nx1020)) ;
    inv02 ix15694 (.Y (nx15693), .A (nx1012)) ;
    inv02 ix1003 (.Y (nx1002), .A (nx15541)) ;
    inv04 ix16489 (.Y (nx16488), .A (nx852)) ;
    inv02 ix835 (.Y (nx834), .A (nx17520)) ;
    inv02 ix16454 (.Y (nx16453), .A (nx748)) ;
    inv02 ix16396 (.Y (nx16395), .A (nx506)) ;
    inv02 ix16365 (.Y (nx16364), .A (nx456)) ;
    inv02 ix375 (.Y (nx374), .A (nx15601)) ;
    inv02 ix303 (.Y (nx302), .A (nx15505)) ;
    inv02 ix289 (.Y (nx288), .A (nx15492)) ;
    inv02 ix16524 (.Y (nx16523), .A (nx286)) ;
    inv02 ix263 (.Y (nx262), .A (nx15499)) ;
    inv02 ix237 (.Y (nx236), .A (nx15426)) ;
    inv02 ix211 (.Y (nx210), .A (nx15482)) ;
    inv02 ix193 (.Y (nx192), .A (nx15475)) ;
    inv02 ix173 (.Y (nx172), .A (nx15438)) ;
    inv02 ix161 (.Y (nx160), .A (nx15442)) ;
    inv02 ix15401 (.Y (nx15400), .A (nx68)) ;
    inv02 ix15415 (.Y (nx15414), .A (nx32)) ;
    inv02 ix3 (.Y (nx2), .A (nx15465)) ;
    inv02 ix15566 (.Y (nx15565), .A (expaddr[0])) ;
    inv02 ix15422 (.Y (nx15421), .A (expaddr[2])) ;
    inv02 ix15575 (.Y (nx15574), .A (expaddr[3])) ;
    inv02 ix15544 (.Y (nx15543), .A (expaddr[4])) ;
    buf08 ix20159 (.Y (nx20160), .A (expdout[7])) ;
    buf08 ix20161 (.Y (nx20162), .A (expdout[6])) ;
    buf08 ix20163 (.Y (nx20164), .A (expdout[5])) ;
    buf08 ix20165 (.Y (nx20166), .A (expdout[4])) ;
    buf08 ix20167 (.Y (nx20168), .A (expdout[3])) ;
    buf08 ix20169 (.Y (nx20170), .A (expdout[2])) ;
    buf08 ix20171 (.Y (nx20172), .A (expdout[1])) ;
    buf08 ix20173 (.Y (nx20174), .A (expdout[0])) ;
    inv02 ix20175 (.Y (nx20176), .A (nx15543)) ;
    inv02 ix20177 (.Y (nx20178), .A (nx15574)) ;
    inv02 ix20179 (.Y (nx20180), .A (nx15421)) ;
    inv04 ix20181 (.Y (nx20182), .A (nx15396)) ;
    inv04 ix20183 (.Y (nx20184), .A (nx15399)) ;
    buf04 ix20185 (.Y (nx20186), .A (debuginst[2])) ;
    buf04 ix20187 (.Y (nx20188), .A (debuginst[1])) ;
    buf08 ix20189 (.Y (nx20190), .A (debuginst[0])) ;
    buf02 ix20191 (.Y (nx20192), .A (idecwwe)) ;
    buf02 ix20195 (.Y (nx20196), .A (isoption)) ;
    buf02 ix20197 (.Y (nx20198), .A (aluop_3)) ;
    buf02 ix20199 (.Y (nx20200), .A (aluop_2)) ;
    buf02 ix20201 (.Y (nx20202), .A (aluop_0)) ;
    inv02 ix20203 (.Y (nx20204), .A (nx20045)) ;
    inv02 ix20207 (.Y (nx20208), .A (nx20149)) ;
    buf02 ix20209 (.Y (nx20210), .A (nx382)) ;
    buf02 ix20211 (.Y (nx20212), .A (nx644)) ;
    buf02 ix20213 (.Y (nx20214), .A (nx696)) ;
    buf02 ix20215 (.Y (nx20216), .A (nx4293)) ;
    buf02 ix20217 (.Y (nx20218), .A (nx830)) ;
    buf02 ix20221 (.Y (nx20222), .A (nx874)) ;
    buf04 ix20223 (.Y (nx20224), .A (nx1048)) ;
    buf02 ix20225 (.Y (nx20226), .A (nx1066)) ;
    buf02 ix20227 (.Y (nx20228), .A (nx1086)) ;
    buf02 ix20229 (.Y (nx20230), .A (nx1108)) ;
    buf02 ix20231 (.Y (nx20232), .A (nx1128)) ;
    buf02 ix20233 (.Y (nx20234), .A (nx1158)) ;
    buf02 ix20235 (.Y (nx20236), .A (nx1178)) ;
    buf02 ix20237 (.Y (nx20238), .A (nx1200)) ;
    buf02 ix20239 (.Y (nx20240), .A (nx1220)) ;
    buf02 ix20241 (.Y (nx20242), .A (nx1248)) ;
    buf02 ix20243 (.Y (nx20244), .A (nx1268)) ;
    buf02 ix20245 (.Y (nx20246), .A (nx1290)) ;
    buf02 ix20247 (.Y (nx20248), .A (nx1310)) ;
    buf02 ix20249 (.Y (nx20250), .A (nx1338)) ;
    buf02 ix20251 (.Y (nx20252), .A (nx1358)) ;
    buf02 ix20253 (.Y (nx20254), .A (nx1380)) ;
    buf02 ix20255 (.Y (nx20256), .A (nx1400)) ;
    buf04 ix20257 (.Y (nx20258), .A (nx1430)) ;
    buf02 ix20259 (.Y (nx20260), .A (nx1438)) ;
    buf02 ix20261 (.Y (nx20262), .A (nx1456)) ;
    buf02 ix20263 (.Y (nx20264), .A (nx1476)) ;
    buf02 ix20265 (.Y (nx20266), .A (nx1494)) ;
    buf02 ix20267 (.Y (nx20268), .A (nx1516)) ;
    buf02 ix20269 (.Y (nx20270), .A (nx1534)) ;
    buf02 ix20271 (.Y (nx20272), .A (nx1554)) ;
    buf02 ix20273 (.Y (nx20274), .A (nx1572)) ;
    buf02 ix20275 (.Y (nx20276), .A (nx1596)) ;
    buf02 ix20277 (.Y (nx20278), .A (nx1614)) ;
    buf02 ix20279 (.Y (nx20280), .A (nx1634)) ;
    buf02 ix20281 (.Y (nx20282), .A (nx1652)) ;
    buf02 ix20283 (.Y (nx20284), .A (nx1674)) ;
    buf02 ix20285 (.Y (nx20286), .A (nx1692)) ;
    buf02 ix20287 (.Y (nx20288), .A (nx1712)) ;
    buf02 ix20289 (.Y (nx20290), .A (nx1730)) ;
    buf02 ix20291 (.Y (nx20292), .A (nx1770)) ;
    buf02 ix20293 (.Y (nx20294), .A (nx1788)) ;
    buf02 ix20295 (.Y (nx20296), .A (nx1808)) ;
    buf02 ix20297 (.Y (nx20298), .A (nx1826)) ;
    buf02 ix20299 (.Y (nx20300), .A (nx1848)) ;
    buf02 ix20301 (.Y (nx20302), .A (nx1866)) ;
    buf02 ix20303 (.Y (nx20304), .A (nx1886)) ;
    buf02 ix20305 (.Y (nx20306), .A (nx1904)) ;
    buf02 ix20307 (.Y (nx20308), .A (nx1928)) ;
    buf02 ix20309 (.Y (nx20310), .A (nx1946)) ;
    buf02 ix20311 (.Y (nx20312), .A (nx1966)) ;
    buf02 ix20313 (.Y (nx20314), .A (nx1984)) ;
    buf02 ix20315 (.Y (nx20316), .A (nx2006)) ;
    buf02 ix20317 (.Y (nx20318), .A (nx2024)) ;
    buf02 ix20319 (.Y (nx20320), .A (nx2044)) ;
    buf02 ix20321 (.Y (nx20322), .A (nx2062)) ;
    buf02 ix20323 (.Y (nx20324), .A (nx2102)) ;
    buf02 ix20325 (.Y (nx20326), .A (nx2120)) ;
    buf02 ix20327 (.Y (nx20328), .A (nx2140)) ;
    buf02 ix20329 (.Y (nx20330), .A (nx2158)) ;
    buf02 ix20331 (.Y (nx20332), .A (nx2180)) ;
    buf02 ix20333 (.Y (nx20334), .A (nx2198)) ;
    buf02 ix20335 (.Y (nx20336), .A (nx2218)) ;
    buf02 ix20337 (.Y (nx20338), .A (nx2236)) ;
    buf02 ix20339 (.Y (nx20340), .A (nx2260)) ;
    buf02 ix20341 (.Y (nx20342), .A (nx2278)) ;
    buf02 ix20343 (.Y (nx20344), .A (nx2298)) ;
    buf02 ix20345 (.Y (nx20346), .A (nx2316)) ;
    buf02 ix20347 (.Y (nx20348), .A (nx2338)) ;
    buf02 ix20349 (.Y (nx20350), .A (nx2356)) ;
    buf02 ix20351 (.Y (nx20352), .A (nx2376)) ;
    buf02 ix20353 (.Y (nx20354), .A (nx2394)) ;
    buf02 ix20355 (.Y (nx20356), .A (nx2432)) ;
    buf02 ix20357 (.Y (nx20358), .A (nx2450)) ;
    buf02 ix20359 (.Y (nx20360), .A (nx2470)) ;
    buf02 ix20361 (.Y (nx20362), .A (nx2488)) ;
    buf02 ix20363 (.Y (nx20364), .A (nx2510)) ;
    buf02 ix20365 (.Y (nx20366), .A (nx2528)) ;
    buf02 ix20367 (.Y (nx20368), .A (nx2548)) ;
    buf02 ix20369 (.Y (nx20370), .A (nx2566)) ;
    buf02 ix20371 (.Y (nx20372), .A (nx15379)) ;
    buf02 ix20373 (.Y (nx20374), .A (nx15384)) ;
    buf02 ix20375 (.Y (nx20376), .A (nx15430)) ;
    inv02 ix20377 (.Y (nx20378), .A (nx160)) ;
    inv02 ix20379 (.Y (nx20380), .A (nx288)) ;
    buf02 ix20381 (.Y (nx20382), .A (nx15525)) ;
    inv08 ix20383 (.Y (nx20384), .A (nx1350)) ;
    inv08 ix20385 (.Y (nx20386), .A (nx1330)) ;
    buf04 ix20387 (.Y (nx20388), .A (nx15557)) ;
    buf04 ix20389 (.Y (nx20390), .A (nx15562)) ;
    inv08 ix20391 (.Y (nx20392), .A (nx1240)) ;
    buf04 ix20393 (.Y (nx20394), .A (nx15584)) ;
    buf04 ix20395 (.Y (nx20396), .A (nx15588)) ;
    buf08 ix20397 (.Y (nx20398), .A (nx15596)) ;
    inv08 ix20399 (.Y (nx20400), .A (nx1170)) ;
    inv08 ix20401 (.Y (nx20402), .A (nx1150)) ;
    buf04 ix20403 (.Y (nx20404), .A (nx15629)) ;
    buf04 ix20405 (.Y (nx20406), .A (nx15639)) ;
    inv08 ix20407 (.Y (nx20408), .A (nx1058)) ;
    buf04 ix20409 (.Y (nx20410), .A (nx15675)) ;
    buf04 ix20411 (.Y (nx20412), .A (nx15685)) ;
    inv02 ix20413 (.Y (nx20414), .A (nx2094)) ;
    inv02 ix20415 (.Y (nx20416), .A (nx1762)) ;
    buf02 ix20417 (.Y (nx20418), .A (nx16433)) ;
    buf02 ix20419 (.Y (nx20420), .A (nx16530)) ;
    buf02 ix20421 (.Y (nx20422), .A (nx16537)) ;
    mux21 ix15373 (.Y (nx15372), .A0 (nx20190), .A1 (debugw[0]), .S0 (nx20153)
          ) ;
    xnor2 ix87 (.Y (nx86), .A0 (aluz), .A1 (nx15413)) ;
    mux21 ix15418 (.Y (nx15417), .A0 (nx16114), .A1 (nx3748), .S0 (nx20153)) ;
    or02 ix357 (.Y (nx20149), .A0 (nx15421), .A1 (nx15487)) ;
    and02 ix231 (.Y (nx230), .A0 (nx15574), .A1 (nx15543)) ;
    oai21 ix3741 (.Y (nx3740), .A0 (nx20484), .A1 (nx15531), .B0 (nx20428)) ;
    inv02 ix20427 (.Y (nx20428), .A (nx2420)) ;
    or02 ix15539 (.Y (nx1350), .A0 (nx1328), .A1 (nx374)) ;
    and02 ix15542 (.Y (nx15541), .A0 (expaddr[4]), .A1 (nx15574)) ;
    or02 ix15608 (.Y (nx1170), .A0 (nx1148), .A1 (nx374)) ;
    or02 ix1149 (.Y (nx1148), .A0 (nx15541), .A1 (nx15421)) ;
    nand03 ix15689 (.Y (nx2094), .A0 (nx20430), .A1 (nx1028), .A2 (nx1020)) ;
    inv02 ix20429 (.Y (nx20430), .A (nx15690)) ;
    or02 ix1013 (.Y (nx1012), .A0 (nx15543), .A1 (nx15574)) ;
    and02 ix15752 (.Y (nx15751), .A0 (nx15541), .A1 (nx15421)) ;
    or03 ix15844 (.Y (nx1762), .A0 (nx15690), .A1 (nx15697), .A2 (nx1020)) ;
    oai21 ix4422 (.Y (nx4421), .A0 (nx16301), .A1 (nx396), .B0 (nx20432)) ;
    or03 ix4420 (.Y (nx20432), .A0 (reset), .A1 (prescaler_0), .A2 (option_5)) ;
    or02 ix16330 (.Y (nx16329), .A0 (nx16313), .A1 (nx16301)) ;
    or03 ix16334 (.Y (nx16333), .A0 (nx16325), .A1 (nx16313), .A2 (nx16301)) ;
    and02 ix16342 (.Y (nx16341), .A0 (prescaler_1), .A1 (option_0)) ;
    and04 ix457 (.Y (nx456), .A0 (prescaler_3), .A1 (prescaler_2), .A2 (
          prescaler_1), .A3 (prescaler_0)) ;
    oai21 ix16378 (.Y (nx16377), .A0 (nx16411), .A1 (nx16321), .B0 (nx16391)) ;
    xnor2 ix16384 (.Y (nx16383), .A0 (nx16411), .A1 (nx16385)) ;
    and03 ix727 (.Y (nx726), .A0 (debuginst[5]), .A1 (nx15396), .A2 (nx15399)) ;
    and03 ix875 (.Y (nx874), .A0 (nx16488), .A1 (nx16479), .A2 (nx16429)) ;
    and02 ix847 (.Y (nx846), .A0 (nx16479), .A1 (nx16464)) ;
    nor03 ix4560 (.Y (nx4559), .A0 (reset), .A1 (nx20434), .A2 (nx16488)) ;
    inv02 ix20433 (.Y (nx20434), .A (debugpc[0])) ;
    nand04 ix16504 (.Y (nx734), .A0 (nx726), .A1 (nx160), .A2 (nx32), .A3 (
           nx20436)) ;
    inv02 ix20435 (.Y (nx20436), .A (nx20190)) ;
    nand03 ix16512 (.Y (nx700), .A0 (nx15413), .A1 (nx15407), .A2 (nx20438)) ;
    inv02 ix20437 (.Y (nx20438), .A (debuginst[4])) ;
    xor2 ix16115 (.Y (nx16114), .A0 (nx16112), .A1 (nx20474)) ;
    and03 ix16113 (.Y (nx16112), .A0 (nx16437), .A1 (nx15396), .A2 (nx15399)) ;
    mux21 ix16548 (.Y (nx16547), .A0 (nx20188), .A1 (debugw[1]), .S0 (nx20153)
          ) ;
    mux21 ix16553 (.Y (nx16552), .A0 (nx16140), .A1 (nx5494), .S0 (nx20153)) ;
    oai21 ix5487 (.Y (nx5486), .A0 (nx20484), .A1 (nx16557), .B0 (nx20440)) ;
    inv02 ix20439 (.Y (nx20440), .A (nx4702)) ;
    or02 ix17000 (.Y (nx16999), .A0 (nx16995), .A1 (nx16273)) ;
    nor03 ix5900 (.Y (nx5899), .A0 (reset), .A1 (nx20442), .A2 (nx16488)) ;
    inv02 ix20441 (.Y (nx20442), .A (debugpc[1])) ;
    xor2 ix16141 (.Y (nx16140), .A0 (nx726), .A1 (nx20474)) ;
    mux21 ix17044 (.Y (nx17043), .A0 (nx20186), .A1 (debugw[2]), .S0 (nx20153)
          ) ;
    mux21 ix17049 (.Y (nx17048), .A0 (nx16174), .A1 (nx7270), .S0 (nx20153)) ;
    oai21 ix7263 (.Y (nx7262), .A0 (nx20484), .A1 (nx17053), .B0 (nx20444)) ;
    inv02 ix20443 (.Y (nx20444), .A (nx6478)) ;
    or03 ix17496 (.Y (nx17495), .A0 (nx17491), .A1 (nx16995), .A2 (nx16273)) ;
    nor03 ix7250 (.Y (nx7249), .A0 (reset), .A1 (nx20446), .A2 (nx16488)) ;
    inv02 ix20445 (.Y (nx20446), .A (debugpc[2])) ;
    xor2 ix16175 (.Y (nx16174), .A0 (nx16172), .A1 (nx20474)) ;
    and03 ix16173 (.Y (nx16172), .A0 (nx16437), .A1 (nx15396), .A2 (debuginst[6]
          )) ;
    mux21 ix17544 (.Y (nx17543), .A0 (debuginst[3]), .A1 (debugw[3]), .S0 (
          nx20153)) ;
    mux21 ix17549 (.Y (nx17548), .A0 (nx16206), .A1 (nx9030), .S0 (nx20153)) ;
    oai21 ix9023 (.Y (nx9022), .A0 (nx20484), .A1 (nx17553), .B0 (nx20448)) ;
    inv02 ix20447 (.Y (nx20448), .A (nx8238)) ;
    or04 ix17996 (.Y (nx17995), .A0 (nx17991), .A1 (nx17491), .A2 (nx16995), .A3 (
         nx16273)) ;
    nor03 ix8590 (.Y (nx8589), .A0 (reset), .A1 (nx20450), .A2 (nx16488)) ;
    inv02 ix20449 (.Y (nx20450), .A (debugpc[3])) ;
    xor2 ix16207 (.Y (nx16206), .A0 (nx18038), .A1 (nx16544)) ;
    or03 ix18039 (.Y (nx18038), .A0 (nx16437), .A1 (debuginst[7]), .A2 (nx15399)
         ) ;
    mux21 ix18042 (.Y (nx18041), .A0 (debuginst[4]), .A1 (debugw[4]), .S0 (
          nx20153)) ;
    mux21 ix18047 (.Y (nx18046), .A0 (nx16240), .A1 (nx10792), .S0 (nx20153)) ;
    oai21 ix10785 (.Y (nx10784), .A0 (nx20484), .A1 (nx18051), .B0 (nx20452)) ;
    inv02 ix20451 (.Y (nx20452), .A (nx10000)) ;
    nor03 ix9940 (.Y (nx9939), .A0 (reset), .A1 (nx20454), .A2 (nx16488)) ;
    inv02 ix20453 (.Y (nx20454), .A (debugpc[4])) ;
    xor2 ix16241 (.Y (nx16240), .A0 (nx16238), .A1 (nx20474)) ;
    and03 ix16239 (.Y (nx16238), .A0 (nx16437), .A1 (debuginst[7]), .A2 (nx15399
          )) ;
    mux21 ix18542 (.Y (nx18541), .A0 (debuginst[5]), .A1 (debugw[5]), .S0 (
          nx20153)) ;
    mux21 ix18547 (.Y (nx18546), .A0 (nx16272), .A1 (nx12546), .S0 (nx20153)) ;
    oai21 ix12539 (.Y (nx12538), .A0 (nx20484), .A1 (nx18551), .B0 (nx20456)) ;
    inv02 ix20455 (.Y (nx20456), .A (nx11754)) ;
    nor03 ix11290 (.Y (nx11289), .A0 (reset), .A1 (nx20458), .A2 (nx16488)) ;
    inv02 ix20457 (.Y (nx20458), .A (debugpc[5])) ;
    and02 ix19024 (.Y (nx9126), .A0 (debugpc[4]), .A1 (nx7366)) ;
    xor2 ix16273 (.Y (nx16272), .A0 (nx19036), .A1 (nx16544)) ;
    or03 ix19037 (.Y (nx19036), .A0 (nx16437), .A1 (nx15396), .A2 (debuginst[6])
         ) ;
    mux21 ix19040 (.Y (nx19039), .A0 (nx20184), .A1 (debugw[6]), .S0 (nx20153)
          ) ;
    mux21 ix19045 (.Y (nx19044), .A0 (nx16304), .A1 (nx14300), .S0 (nx20153)) ;
    oai21 ix14293 (.Y (nx14292), .A0 (nx20484), .A1 (nx19049), .B0 (nx20460)) ;
    inv02 ix20459 (.Y (nx20460), .A (nx13508)) ;
    nor03 ix12630 (.Y (nx12629), .A0 (reset), .A1 (nx20462), .A2 (nx16488)) ;
    inv02 ix20461 (.Y (nx20462), .A (debugpc[6])) ;
    xor2 ix16305 (.Y (nx16304), .A0 (nx19534), .A1 (nx16544)) ;
    or03 ix19535 (.Y (nx19534), .A0 (debuginst[5]), .A1 (nx15396), .A2 (nx15399)
         ) ;
    mux21 ix19538 (.Y (nx19537), .A0 (nx20182), .A1 (debugw[7]), .S0 (nx20153)
          ) ;
    mux21 ix19543 (.Y (nx19542), .A0 (nx16334), .A1 (nx16064), .S0 (nx20153)) ;
    oai21 ix16057 (.Y (nx16056), .A0 (nx20484), .A1 (nx19547), .B0 (nx20464)) ;
    inv02 ix20463 (.Y (nx20464), .A (nx15272)) ;
    xor2 ix19997 (.Y (nx19996), .A0 (nx19990), .A1 (nx12588)) ;
    nor03 ix13980 (.Y (nx13979), .A0 (reset), .A1 (nx20466), .A2 (nx16488)) ;
    inv02 ix20465 (.Y (nx20466), .A (debugpc[7])) ;
    and02 ix20024 (.Y (nx12642), .A0 (debugpc[6]), .A1 (nx10888)) ;
    xor2 ix16335 (.Y (nx16334), .A0 (nx20040), .A1 (nx16544)) ;
    or03 ix20041 (.Y (nx20040), .A0 (nx16437), .A1 (nx15396), .A2 (nx15399)) ;
    mux21 ix20053 (.Y (nx20052), .A0 (nx20188), .A1 (debugw[1]), .S0 (nx20045)
          ) ;
    mux21 ix20058 (.Y (nx20057), .A0 (nx20186), .A1 (debugw[2]), .S0 (nx20045)
          ) ;
    mux21 ix20063 (.Y (nx20062), .A0 (debuginst[3]), .A1 (debugw[3]), .S0 (
          nx20045)) ;
    mux21 ix20068 (.Y (nx20067), .A0 (debuginst[4]), .A1 (debugw[4]), .S0 (
          nx20045)) ;
    mux21 ix20073 (.Y (nx20072), .A0 (debuginst[5]), .A1 (debugw[5]), .S0 (
          nx20045)) ;
    mux21 ix20078 (.Y (nx20077), .A0 (nx20184), .A1 (debugw[6]), .S0 (nx20045)
          ) ;
    mux21 ix20083 (.Y (nx20082), .A0 (nx20182), .A1 (debugw[7]), .S0 (nx20045)
          ) ;
    nor03 ix15310 (.Y (nx15309), .A0 (reset), .A1 (nx20468), .A2 (nx16488)) ;
    inv02 ix20467 (.Y (nx20468), .A (debugpc[8])) ;
    nor03 ix15340 (.Y (nx15339), .A0 (reset), .A1 (nx20470), .A2 (nx16488)) ;
    inv02 ix20469 (.Y (nx20470), .A (debugpc[9])) ;
    and02 ix20128 (.Y (nx16370), .A0 (debugpc[8]), .A1 (nx14400)) ;
    nor03 ix15350 (.Y (nx15349), .A0 (reset), .A1 (nx20472), .A2 (nx16488)) ;
    inv02 ix20471 (.Y (nx20472), .A (debugpc[10])) ;
    inv02 ix20473 (.Y (nx20474), .A (nx16544)) ;
    inv02 ix20475 (.Y (nx20476), .A (nx20400)) ;
    inv02 ix20477 (.Y (nx20478), .A (nx20384)) ;
    inv02 ix20479 (.Y (nx20480), .A (nx20416)) ;
    inv02 ix20481 (.Y (nx20482), .A (nx20414)) ;
    buf02 ix20483 (.Y (nx20484), .A (nx2424)) ;
endmodule


module idec ( inst, aluasel, alubsel, aluop, wwe, fwe, zwe, cwe, bdpol, option, 
              tris ) ;

    input [11:0]inst ;
    output [1:0]aluasel ;
    output [1:0]alubsel ;
    output [3:0]aluop ;
    output wwe ;
    output fwe ;
    output zwe ;
    output cwe ;
    output bdpol ;
    output option ;
    output tris ;

    wire nx0, nx10, nx16, nx22, nx40, nx48, nx54, nx74, nx84, nx86, nx92, nx96, 
         nx108, nx114, nx122, nx128, nx138, nx142, nx154, nx168, nx182, nx192, 
         nx196, nx214, nx218, nx224, nx228, nx230, nx250, nx282, nx294, nx342, 
         nx837, nx839, nx841, nx843, nx845, nx848, nx850, nx852, nx856, nx859, 
         nx861, nx865, nx868, nx870, nx874, nx876, nx878, nx880, nx890, nx893, 
         nx898, nx900, nx910, nx912, nx915, nx926, nx928, nx930, nx933, nx941, 
         nx944, nx952;



    nor04 ix317 (.Y (tris), .A0 (nx837), .A1 (inst[5]), .A2 (nx839), .A3 (nx845)
          ) ;
    inv02 ix838 (.Y (nx837), .A (inst[2])) ;
    inv02 ix842 (.Y (nx841), .A (inst[11])) ;
    inv02 ix844 (.Y (nx843), .A (inst[10])) ;
    oai21 ix846 (.Y (nx845), .A0 (inst[0]), .A1 (inst[1]), .B0 (nx86)) ;
    nor04 ix87 (.Y (nx86), .A0 (nx848), .A1 (inst[3]), .A2 (inst[6]), .A3 (
          inst[4])) ;
    inv02 ix851 (.Y (nx850), .A (inst[7])) ;
    nor02 ix853 (.Y (nx852), .A0 (inst[8]), .A1 (inst[9])) ;
    ao221 ix349 (.Y (cwe), .A0 (aluop[2]), .A1 (nx128), .B0 (aluop[3]), .B1 (
          nx880), .C0 (nx342)) ;
    nor03 ix273 (.Y (aluop[2]), .A0 (nx856), .A1 (nx861), .A2 (aluasel[1])) ;
    aoi21 ix857 (.Y (nx856), .A0 (nx850), .A1 (inst[6]), .B0 (nx138)) ;
    inv02 ix860 (.Y (nx859), .A (inst[8])) ;
    oai21 ix862 (.Y (nx861), .A0 (nx250), .A1 (inst[10]), .B0 (nx841)) ;
    ao21 ix251 (.Y (nx250), .A0 (nx859), .A1 (inst[7]), .B0 (inst[9])) ;
    nand02 ix267 (.Y (aluasel[1]), .A0 (nx865), .A1 (nx870)) ;
    ao21 ix866 (.Y (nx865), .A0 (nx0), .A1 (inst[10]), .B0 (nx841)) ;
    inv02 ix869 (.Y (nx868), .A (inst[9])) ;
    nand02 ix871 (.Y (nx870), .A0 (nx841), .A1 (inst[10])) ;
    nor03 ix331 (.Y (aluop[3]), .A0 (inst[11]), .A1 (inst[10]), .A2 (nx874)) ;
    aoi22 ix875 (.Y (nx874), .A0 (inst[7]), .A1 (nx852), .B0 (nx859), .B1 (nx876
          )) ;
    inv02 ix879 (.Y (nx878), .A (inst[6])) ;
    oai21 ix881 (.Y (nx880), .A0 (nx282), .A1 (inst[10]), .B0 (nx841)) ;
    ao21 ix283 (.Y (nx282), .A0 (inst[6]), .A1 (inst[7]), .B0 (nx0)) ;
    nor04 ix343 (.Y (nx342), .A0 (nx878), .A1 (nx850), .A2 (aluasel[0]), .A3 (
          nx880)) ;
    ao32 ix59 (.Y (zwe), .A0 (nx0), .A1 (inst[11]), .A2 (inst[10]), .B0 (nx10), 
         .B1 (nx54)) ;
    nor02 ix11 (.Y (nx10), .A0 (inst[11]), .A1 (inst[10])) ;
    ao21 ix55 (.Y (nx54), .A0 (nx868), .A1 (nx48), .B0 (nx22)) ;
    nand03 ix49 (.Y (nx48), .A0 (nx890), .A1 (nx850), .A2 (nx859)) ;
    oai21 ix891 (.Y (nx890), .A0 (nx952), .A1 (inst[5]), .B0 (inst[6])) ;
    nor04 ix41 (.Y (nx40), .A0 (inst[2]), .A1 (inst[4]), .A2 (inst[3]), .A3 (
          nx893)) ;
    or02 ix894 (.Y (nx893), .A0 (inst[1]), .A1 (inst[0])) ;
    nor03 ix23 (.Y (nx22), .A0 (nx876), .A1 (nx868), .A2 (inst[8])) ;
    ao221 ix105 (.Y (fwe), .A0 (nx868), .A1 (nx96), .B0 (inst[5]), .B1 (nx10), .C0 (
          nx92)) ;
    nor03 ix93 (.Y (nx92), .A0 (nx898), .A1 (inst[11]), .A2 (nx900)) ;
    mux21 ix899 (.Y (nx898), .A0 (inst[1]), .A1 (inst[2]), .S0 (inst[0])) ;
    nor03 ix75 (.Y (nx74), .A0 (inst[7]), .A1 (inst[8]), .A2 (inst[9])) ;
    nor03 ix85 (.Y (nx84), .A0 (inst[3]), .A1 (inst[6]), .A2 (inst[4])) ;
    ao21 ix125 (.Y (wwe), .A0 (nx108), .A1 (nx114), .B0 (nx122)) ;
    nor03 ix109 (.Y (nx108), .A0 (inst[5]), .A1 (inst[11]), .A2 (inst[10])) ;
    ao21 ix115 (.Y (nx114), .A0 (inst[6]), .A1 (nx952), .B0 (nx848)) ;
    aoi21 ix123 (.Y (nx122), .A0 (nx0), .A1 (nx843), .B0 (nx841)) ;
    ao221 ix171 (.Y (aluop[0]), .A0 (nx10), .A1 (nx142), .B0 (nx841), .B1 (nx154
          ), .C0 (nx168)) ;
    oai32 ix143 (.Y (nx142), .A0 (nx910), .A1 (inst[9]), .A2 (nx878), .B0 (nx850
          ), .B1 (nx912)) ;
    nand02 ix911 (.Y (nx910), .A0 (inst[8]), .A1 (nx850)) ;
    nand02 ix913 (.Y (nx912), .A0 (inst[8]), .A1 (nx878)) ;
    oai32 ix155 (.Y (nx154), .A0 (nx915), .A1 (nx878), .A2 (nx848), .B0 (nx868)
          , .B1 (nx912)) ;
    nor02 ix916 (.Y (nx915), .A0 (nx952), .A1 (inst[5])) ;
    oai22 ix169 (.Y (nx168), .A0 (inst[8]), .A1 (nx870), .B0 (nx843), .B1 (nx868
          )) ;
    ao221 ix239 (.Y (aluop[1]), .A0 (inst[11]), .A1 (inst[8]), .B0 (nx843), .B1 (
          nx230), .C0 (nx182)) ;
    or02 ix231 (.Y (nx230), .A0 (nx228), .A1 (nx224)) ;
    ao21 ix229 (.Y (nx228), .A0 (inst[7]), .A1 (nx138), .B0 (inst[11])) ;
    ao221 ix225 (.Y (nx224), .A0 (inst[9]), .A1 (nx196), .B0 (nx74), .B1 (nx218)
          , .C0 (nx214)) ;
    ao21 ix197 (.Y (nx196), .A0 (inst[6]), .A1 (nx128), .B0 (nx192)) ;
    nor03 ix193 (.Y (nx192), .A0 (inst[6]), .A1 (inst[8]), .A2 (inst[7])) ;
    ao21 ix219 (.Y (nx218), .A0 (inst[6]), .A1 (nx952), .B0 (inst[5])) ;
    nor04 ix215 (.Y (nx214), .A0 (nx926), .A1 (inst[9]), .A2 (inst[7]), .A3 (
          nx928)) ;
    inv02 ix927 (.Y (nx926), .A (inst[1])) ;
    oai21 ix929 (.Y (nx928), .A0 (nx930), .A1 (inst[2]), .B0 (nx84)) ;
    inv02 ix931 (.Y (nx930), .A (inst[0])) ;
    aoi21 ix183 (.Y (nx182), .A0 (nx933), .A1 (nx841), .B0 (inst[9])) ;
    ao21 ix934 (.Y (nx933), .A0 (nx843), .A1 (inst[6]), .B0 (nx859)) ;
    nand02 ix17 (.Y (nx16), .A0 (inst[6]), .A1 (inst[7])) ;
    or02 ix297 (.Y (alubsel[1]), .A0 (nx294), .A1 (inst[11])) ;
    nor04 ix295 (.Y (nx294), .A0 (aluop[2]), .A1 (nx941), .A2 (nx880), .A3 (
          aluasel[1])) ;
    nand02 ix942 (.Y (nx941), .A0 (inst[7]), .A1 (aluasel[0])) ;
    nor04 ix309 (.Y (option), .A0 (inst[0]), .A1 (inst[2]), .A2 (nx926), .A3 (
          nx944)) ;
    nand02 ix945 (.Y (nx944), .A0 (nx108), .A1 (nx86)) ;
    nor04 ix353 (.Y (bdpol), .A0 (inst[8]), .A1 (inst[9]), .A2 (inst[11]), .A3 (
          nx843)) ;
    inv02 ix139 (.Y (nx138), .A (nx912)) ;
    inv02 ix129 (.Y (nx128), .A (nx910)) ;
    inv02 ix97 (.Y (nx96), .A (nx870)) ;
    inv02 ix901 (.Y (nx900), .A (nx86)) ;
    inv02 ix849 (.Y (nx848), .A (nx74)) ;
    inv02 ix877 (.Y (nx876), .A (nx16)) ;
    inv02 ix840 (.Y (nx839), .A (nx10)) ;
    inv02 ix1 (.Y (nx0), .A (nx852)) ;
    inv02 ix289 (.Y (alubsel[0]), .A (nx880)) ;
    inv02 ix257 (.Y (aluasel[0]), .A (nx861)) ;
    buf02 ix951 (.Y (nx952), .A (nx40)) ;
endmodule


module alu ( op, a, b, y, cin, cout, zout ) ;

    input [3:0]op ;
    input [7:0]a ;
    input [7:0]b ;
    output [7:0]y ;
    input cin ;
    output cout ;
    output zout ;

    wire nx2, nx8, nx14, nx24, nx28, nx32, nx42, nx44, nx56, nx66, nx78, nx80, 
         nx84, nx90, nx98, nx100, nx104, nx116, nx120, nx122, nx130, nx134, 
         nx140, nx154, nx156, nx174, nx178, nx180, nx186, nx192, nx198, nx212, 
         nx216, nx222, nx224, nx236, nx240, nx242, nx254, nx260, nx274, nx278, 
         nx284, nx286, nx296, nx306, nx310, nx312, nx318, nx324, nx330, nx344, 
         nx348, nx354, nx356, nx368, nx372, nx374, nx386, nx392, nx406, nx410, 
         nx416, nx418, nx436, nx440, nx442, nx448, nx454, nx460, nx474, nx478, 
         nx484, nx486, nx498, nx502, nx504, nx516, nx522, nx536, nx540, nx546, 
         nx548, nx558, nx564, nx578, nx588, nx590, nx644, nx646, nx649, nx652, 
         nx654, nx656, nx659, nx661, nx669, nx674, nx676, nx678, nx684, nx686, 
         nx688, nx691, nx693, nx702, nx707, nx709, nx711, nx720, nx723, nx728, 
         nx730, nx732, nx736, nx741, nx744, nx747, nx753, nx755, nx757, nx761, 
         nx774, nx777, nx782, nx784, nx786, nx790, nx795, nx798, nx801, nx806, 
         nx808, nx810, nx814, nx821, nx824, nx829, nx831, nx833, nx837, nx842, 
         nx846, nx849, nx856, nx863, nx865, nx867, nx869, nx871, nx873, nx875, 
         nx881;



    and02 ix561 (.Y (zout), .A0 (nx296), .A1 (nx558)) ;
    nor04 ix297 (.Y (nx296), .A0 (y[0]), .A1 (y[1]), .A2 (y[2]), .A3 (y[3])) ;
    or02 ix107 (.Y (y[0]), .A0 (nx104), .A1 (nx80)) ;
    ao221 ix105 (.Y (nx104), .A0 (cin), .A1 (nx869), .B0 (a[4]), .B1 (nx871), .C0 (
          nx100)) ;
    nor04 ix85 (.Y (nx84), .A0 (op[3]), .A1 (op[0]), .A2 (nx644), .A3 (nx646)) ;
    inv02 ix645 (.Y (nx644), .A (op[2])) ;
    inv02 ix647 (.Y (nx646), .A (op[1])) ;
    nor04 ix91 (.Y (nx90), .A0 (op[3]), .A1 (nx649), .A2 (nx644), .A3 (nx646)) ;
    inv02 ix650 (.Y (nx649), .A (op[0])) ;
    inv02 ix653 (.Y (nx652), .A (a[1])) ;
    inv02 ix657 (.Y (nx656), .A (op[3])) ;
    ao221 ix81 (.Y (nx80), .A0 (nx659), .A1 (nx44), .B0 (a[0]), .B1 (nx56), .C0 (
          nx78)) ;
    inv02 ix662 (.Y (nx661), .A (a[0])) ;
    ao221 ix45 (.Y (nx44), .A0 (nx644), .A1 (nx8), .B0 (nx28), .B1 (nx32), .C0 (
          nx865)) ;
    nor02 ix9 (.Y (nx8), .A0 (op[3]), .A1 (op[0])) ;
    nor02 ix29 (.Y (nx28), .A0 (op[3]), .A1 (nx649)) ;
    nor02 ix33 (.Y (nx32), .A0 (op[2]), .A1 (nx646)) ;
    nor04 ix25 (.Y (nx24), .A0 (op[1]), .A1 (op[2]), .A2 (nx656), .A3 (op[0])) ;
    ao21 ix57 (.Y (nx56), .A0 (nx669), .A1 (nx42), .B0 (nx863)) ;
    nand02 ix670 (.Y (nx669), .A0 (b[0]), .A1 (a[0])) ;
    ao221 ix43 (.Y (nx42), .A0 (nx644), .A1 (nx8), .B0 (nx28), .B1 (nx32), .C0 (
          nx865)) ;
    nor04 ix15 (.Y (nx14), .A0 (op[3]), .A1 (op[0]), .A2 (op[2]), .A3 (nx646)) ;
    oai22 ix79 (.Y (nx78), .A0 (nx669), .A1 (nx674), .B0 (a[0]), .B1 (nx678)) ;
    nand03 ix675 (.Y (nx674), .A0 (nx656), .A1 (op[0]), .A2 (nx676)) ;
    nor02 ix677 (.Y (nx676), .A0 (op[1]), .A1 (op[2])) ;
    or02 ix159 (.Y (y[1]), .A0 (nx156), .A1 (nx140)) ;
    ao221 ix157 (.Y (nx156), .A0 (a[0]), .A1 (nx869), .B0 (a[2]), .B1 (nx873), .C0 (
          nx154)) ;
    nor04 ix99 (.Y (nx98), .A0 (op[3]), .A1 (nx649), .A2 (nx644), .A3 (op[1])) ;
    oai22 ix155 (.Y (nx154), .A0 (nx684), .A1 (nx691), .B0 (nx686), .B1 (nx693)
          ) ;
    xnor2 ix685 (.Y (nx684), .A0 (nx686), .A1 (nx2)) ;
    ao21 ix687 (.Y (nx686), .A0 (b[1]), .A1 (a[1]), .B0 (nx688)) ;
    nor02 ix689 (.Y (nx688), .A0 (a[1]), .A1 (b[1])) ;
    nand02 ix3 (.Y (nx2), .A0 (nx661), .A1 (b[0])) ;
    nand04 ix694 (.Y (nx693), .A0 (nx656), .A1 (op[0]), .A2 (nx644), .A3 (op[1])
           ) ;
    ao221 ix141 (.Y (nx140), .A0 (nx122), .A1 (nx863), .B0 (nx130), .B1 (nx875)
          , .C0 (nx120)) ;
    xor2 ix131 (.Y (nx130), .A0 (nx669), .A1 (nx686)) ;
    nor04 ix135 (.Y (nx134), .A0 (op[3]), .A1 (op[0]), .A2 (op[1]), .A3 (op[2])
          ) ;
    ao221 ix121 (.Y (nx120), .A0 (nx652), .A1 (nx867), .B0 (a[5]), .B1 (nx871), 
          .C0 (nx116)) ;
    nor04 ix67 (.Y (nx66), .A0 (op[3]), .A1 (op[0]), .A2 (nx644), .A3 (op[1])) ;
    nor02 ix117 (.Y (nx116), .A0 (nx702), .A1 (nx674)) ;
    nand02 ix703 (.Y (nx702), .A0 (b[1]), .A1 (a[1])) ;
    or02 ix227 (.Y (y[2]), .A0 (nx224), .A1 (nx198)) ;
    ao221 ix225 (.Y (nx224), .A0 (a[1]), .A1 (nx869), .B0 (a[3]), .B1 (nx873), .C0 (
          nx222)) ;
    oai22 ix223 (.Y (nx222), .A0 (nx707), .A1 (nx691), .B0 (nx709), .B1 (nx693)
          ) ;
    xnor2 ix708 (.Y (nx707), .A0 (nx709), .A1 (nx216)) ;
    ao21 ix710 (.Y (nx709), .A0 (b[2]), .A1 (a[2]), .B0 (nx711)) ;
    nor02 ix712 (.Y (nx711), .A0 (a[2]), .A1 (b[2])) ;
    ao21 ix217 (.Y (nx216), .A0 (a[1]), .A1 (nx2), .B0 (nx212)) ;
    aoi21 ix213 (.Y (nx212), .A0 (nx659), .A1 (nx652), .B0 (b[1])) ;
    ao221 ix199 (.Y (nx198), .A0 (nx192), .A1 (nx875), .B0 (nx180), .B1 (nx863)
          , .C0 (nx178)) ;
    xnor2 ix193 (.Y (nx192), .A0 (nx186), .A1 (nx709)) ;
    oai21 ix187 (.Y (nx186), .A0 (nx669), .A1 (nx688), .B0 (nx702)) ;
    ao221 ix179 (.Y (nx178), .A0 (nx720), .A1 (nx867), .B0 (a[6]), .B1 (nx871), 
          .C0 (nx174)) ;
    inv02 ix721 (.Y (nx720), .A (a[2])) ;
    nor02 ix175 (.Y (nx174), .A0 (nx723), .A1 (nx674)) ;
    nand02 ix724 (.Y (nx723), .A0 (b[2]), .A1 (a[2])) ;
    or02 ix289 (.Y (y[3]), .A0 (nx286), .A1 (nx260)) ;
    ao221 ix287 (.Y (nx286), .A0 (a[2]), .A1 (nx869), .B0 (a[4]), .B1 (nx873), .C0 (
          nx284)) ;
    oai22 ix285 (.Y (nx284), .A0 (nx728), .A1 (nx691), .B0 (nx730), .B1 (nx693)
          ) ;
    xnor2 ix729 (.Y (nx728), .A0 (nx730), .A1 (nx278)) ;
    ao21 ix731 (.Y (nx730), .A0 (b[3]), .A1 (a[3]), .B0 (nx732)) ;
    nor02 ix733 (.Y (nx732), .A0 (a[3]), .A1 (b[3])) ;
    ao21 ix279 (.Y (nx278), .A0 (a[2]), .A1 (nx216), .B0 (nx274)) ;
    aoi21 ix275 (.Y (nx274), .A0 (nx736), .A1 (nx720), .B0 (b[2])) ;
    ao221 ix261 (.Y (nx260), .A0 (nx242), .A1 (nx863), .B0 (nx254), .B1 (nx875)
          , .C0 (nx240)) ;
    xor2 ix255 (.Y (nx254), .A0 (nx741), .A1 (nx730)) ;
    aoi22 ix742 (.Y (nx741), .A0 (b[2]), .A1 (a[2]), .B0 (nx186), .B1 (nx180)) ;
    ao221 ix241 (.Y (nx240), .A0 (nx744), .A1 (nx867), .B0 (a[7]), .B1 (nx871), 
          .C0 (nx236)) ;
    inv02 ix745 (.Y (nx744), .A (a[3])) ;
    nor02 ix237 (.Y (nx236), .A0 (nx747), .A1 (nx674)) ;
    nand02 ix748 (.Y (nx747), .A0 (b[3]), .A1 (a[3])) ;
    nor04 ix559 (.Y (nx558), .A0 (y[4]), .A1 (y[5]), .A2 (y[6]), .A3 (y[7])) ;
    or02 ix359 (.Y (y[4]), .A0 (nx356), .A1 (nx330)) ;
    ao221 ix357 (.Y (nx356), .A0 (a[3]), .A1 (nx869), .B0 (a[5]), .B1 (nx873), .C0 (
          nx354)) ;
    oai22 ix355 (.Y (nx354), .A0 (nx753), .A1 (nx691), .B0 (nx755), .B1 (nx693)
          ) ;
    xnor2 ix754 (.Y (nx753), .A0 (nx755), .A1 (nx348)) ;
    ao21 ix756 (.Y (nx755), .A0 (b[4]), .A1 (a[4]), .B0 (nx757)) ;
    nor02 ix758 (.Y (nx757), .A0 (a[4]), .A1 (b[4])) ;
    ao21 ix349 (.Y (nx348), .A0 (a[3]), .A1 (nx278), .B0 (nx344)) ;
    aoi21 ix345 (.Y (nx344), .A0 (nx761), .A1 (nx744), .B0 (b[3])) ;
    ao221 ix331 (.Y (nx330), .A0 (nx312), .A1 (nx863), .B0 (nx324), .B1 (nx875)
          , .C0 (nx310)) ;
    xnor2 ix325 (.Y (nx324), .A0 (nx318), .A1 (nx755)) ;
    oai21 ix319 (.Y (nx318), .A0 (nx741), .A1 (nx732), .B0 (nx747)) ;
    ao221 ix311 (.Y (nx310), .A0 (nx774), .A1 (nx867), .B0 (a[0]), .B1 (nx871), 
          .C0 (nx306)) ;
    inv02 ix775 (.Y (nx774), .A (a[4])) ;
    nor02 ix307 (.Y (nx306), .A0 (nx777), .A1 (nx674)) ;
    nand02 ix778 (.Y (nx777), .A0 (b[4]), .A1 (a[4])) ;
    or02 ix421 (.Y (y[5]), .A0 (nx418), .A1 (nx392)) ;
    ao221 ix419 (.Y (nx418), .A0 (a[4]), .A1 (nx869), .B0 (a[6]), .B1 (nx873), .C0 (
          nx416)) ;
    oai22 ix417 (.Y (nx416), .A0 (nx782), .A1 (nx691), .B0 (nx784), .B1 (nx693)
          ) ;
    xnor2 ix783 (.Y (nx782), .A0 (nx784), .A1 (nx410)) ;
    ao21 ix785 (.Y (nx784), .A0 (b[5]), .A1 (a[5]), .B0 (nx786)) ;
    nor02 ix787 (.Y (nx786), .A0 (a[5]), .A1 (b[5])) ;
    ao21 ix411 (.Y (nx410), .A0 (a[4]), .A1 (nx348), .B0 (nx406)) ;
    aoi21 ix407 (.Y (nx406), .A0 (nx790), .A1 (nx774), .B0 (b[4])) ;
    ao221 ix393 (.Y (nx392), .A0 (nx374), .A1 (nx863), .B0 (nx386), .B1 (nx875)
          , .C0 (nx372)) ;
    xor2 ix387 (.Y (nx386), .A0 (nx795), .A1 (nx784)) ;
    aoi22 ix796 (.Y (nx795), .A0 (b[4]), .A1 (a[4]), .B0 (nx318), .B1 (nx312)) ;
    ao221 ix373 (.Y (nx372), .A0 (nx798), .A1 (nx867), .B0 (a[1]), .B1 (nx871), 
          .C0 (nx368)) ;
    inv02 ix799 (.Y (nx798), .A (a[5])) ;
    nor02 ix369 (.Y (nx368), .A0 (nx801), .A1 (nx674)) ;
    nand02 ix802 (.Y (nx801), .A0 (b[5]), .A1 (a[5])) ;
    or02 ix489 (.Y (y[6]), .A0 (nx486), .A1 (nx460)) ;
    ao221 ix487 (.Y (nx486), .A0 (a[5]), .A1 (nx869), .B0 (a[7]), .B1 (nx873), .C0 (
          nx484)) ;
    oai22 ix485 (.Y (nx484), .A0 (nx806), .A1 (nx691), .B0 (nx808), .B1 (nx693)
          ) ;
    xnor2 ix807 (.Y (nx806), .A0 (nx808), .A1 (nx478)) ;
    ao21 ix809 (.Y (nx808), .A0 (b[6]), .A1 (a[6]), .B0 (nx810)) ;
    nor02 ix811 (.Y (nx810), .A0 (a[6]), .A1 (b[6])) ;
    ao21 ix479 (.Y (nx478), .A0 (a[5]), .A1 (nx410), .B0 (nx474)) ;
    aoi21 ix475 (.Y (nx474), .A0 (nx814), .A1 (nx798), .B0 (b[5])) ;
    ao221 ix461 (.Y (nx460), .A0 (nx442), .A1 (nx863), .B0 (nx454), .B1 (nx875)
          , .C0 (nx440)) ;
    xnor2 ix455 (.Y (nx454), .A0 (nx448), .A1 (nx808)) ;
    oai21 ix449 (.Y (nx448), .A0 (nx795), .A1 (nx786), .B0 (nx801)) ;
    ao221 ix441 (.Y (nx440), .A0 (nx821), .A1 (nx867), .B0 (a[2]), .B1 (nx871), 
          .C0 (nx436)) ;
    inv02 ix822 (.Y (nx821), .A (a[6])) ;
    nor02 ix437 (.Y (nx436), .A0 (nx824), .A1 (nx674)) ;
    nand02 ix825 (.Y (nx824), .A0 (b[6]), .A1 (a[6])) ;
    or02 ix551 (.Y (y[7]), .A0 (nx548), .A1 (nx522)) ;
    ao221 ix549 (.Y (nx548), .A0 (a[6]), .A1 (nx869), .B0 (cin), .B1 (nx873), .C0 (
          nx546)) ;
    oai22 ix547 (.Y (nx546), .A0 (nx829), .A1 (nx691), .B0 (nx831), .B1 (nx693)
          ) ;
    xnor2 ix830 (.Y (nx829), .A0 (nx831), .A1 (nx540)) ;
    ao21 ix832 (.Y (nx831), .A0 (b[7]), .A1 (a[7]), .B0 (nx833)) ;
    nor02 ix834 (.Y (nx833), .A0 (a[7]), .A1 (b[7])) ;
    ao21 ix541 (.Y (nx540), .A0 (a[6]), .A1 (nx478), .B0 (nx536)) ;
    aoi21 ix537 (.Y (nx536), .A0 (nx837), .A1 (nx821), .B0 (b[6])) ;
    ao221 ix523 (.Y (nx522), .A0 (nx504), .A1 (nx863), .B0 (nx516), .B1 (nx875)
          , .C0 (nx502)) ;
    aoi22 ix843 (.Y (nx842), .A0 (b[6]), .A1 (a[6]), .B0 (nx448), .B1 (nx442)) ;
    ao221 ix503 (.Y (nx502), .A0 (nx846), .A1 (nx867), .B0 (a[3]), .B1 (nx871), 
          .C0 (nx498)) ;
    inv02 ix847 (.Y (nx846), .A (a[7])) ;
    nor02 ix499 (.Y (nx498), .A0 (nx849), .A1 (nx674)) ;
    nand02 ix850 (.Y (nx849), .A0 (b[7]), .A1 (a[7])) ;
    ao221 ix591 (.Y (nx590), .A0 (nx875), .A1 (nx564), .B0 (nx865), .B1 (nx578)
          , .C0 (nx588)) ;
    oai21 ix565 (.Y (nx564), .A0 (nx842), .A1 (nx833), .B0 (nx849)) ;
    mux21 ix579 (.Y (nx578), .A0 (a[7]), .A1 (nx540), .S0 (nx831)) ;
    inv02 ix505 (.Y (nx504), .A (nx833)) ;
    inv02 ix838 (.Y (nx837), .A (nx478)) ;
    inv02 ix443 (.Y (nx442), .A (nx810)) ;
    inv02 ix815 (.Y (nx814), .A (nx410)) ;
    inv02 ix375 (.Y (nx374), .A (nx786)) ;
    inv02 ix791 (.Y (nx790), .A (nx348)) ;
    inv02 ix313 (.Y (nx312), .A (nx757)) ;
    inv02 ix762 (.Y (nx761), .A (nx278)) ;
    inv02 ix243 (.Y (nx242), .A (nx732)) ;
    inv02 ix737 (.Y (nx736), .A (nx216)) ;
    inv02 ix181 (.Y (nx180), .A (nx711)) ;
    inv02 ix123 (.Y (nx122), .A (nx688)) ;
    inv02 ix655 (.Y (nx654), .A (nx98)) ;
    inv02 ix857 (.Y (nx856), .A (nx84)) ;
    inv02 ix679 (.Y (nx678), .A (nx66)) ;
    inv02 ix692 (.Y (nx691), .A (nx24)) ;
    inv02 ix660 (.Y (nx659), .A (nx2)) ;
    buf02 ix862 (.Y (nx863), .A (nx14)) ;
    inv02 ix864 (.Y (nx865), .A (nx691)) ;
    inv02 ix866 (.Y (nx867), .A (nx678)) ;
    inv02 ix868 (.Y (nx869), .A (nx856)) ;
    buf02 ix870 (.Y (nx871), .A (nx90)) ;
    inv02 ix872 (.Y (nx873), .A (nx654)) ;
    buf02 ix874 (.Y (nx875), .A (nx134)) ;
    and02 ix101 (.Y (nx100), .A0 (a[1]), .A1 (nx98)) ;
    xor2 ix517 (.Y (nx516), .A0 (nx842), .A1 (nx831)) ;
    xor2 ix593 (.Y (cout), .A0 (nx590), .A1 (nx881)) ;
    ao22 ix589 (.Y (nx588), .A0 (a[0]), .A1 (nx98), .B0 (a[7]), .B1 (nx84)) ;
    inv02 ix880 (.Y (nx881), .A (nx691)) ;
endmodule

